#!/usr/bin/env python

#
# Generated by generateDS.py.
#

import sys
import getopt
from xml.dom import minidom
from xml.dom import Node

#
# If you have installed IPython you can uncomment and use the following.
# IPython is available from http://ipython.scipy.org/.
#

## from IPython.Shell import IPShellEmbed
## args = ''
## ipshell = IPShellEmbed(args,
##     banner = 'Dropping into IPython',
##     exit_msg = 'Leaving Interpreter, back to program.')

# Then use the following line where and when you want to drop into the
# IPython shell:
#    ipshell('<some message> -- Entering ipshell.\nHit Ctrl-D to exit')

#
# Support/utility functions.
#

def showIndent(outfile, level):
    for idx in range(level):
        outfile.write('    ')

def quote_xml(inStr):
    s1 = inStr
    s1 = s1.replace('&', '&amp;')
    s1 = s1.replace('<', '&lt;')
    s1 = s1.replace('"', '&quot;')
    return s1

def quote_python(inStr):
    s1 = inStr
    if s1.find("'") == -1:
        if s1.find('\n') == -1:
            return "'%%s'" % s1
        else:
            return "'''%%s'''" % s1
    else:
        if s1.find('"') != -1:
            s1 = s1.replace('"', '\\"')
        if s1.find('\n') == -1:
            return '"%%s"' % s1
        else:
            return '"""%%s"""' % s1


class MixedContainer:
    # Constants for category:
    CategoryNone = 0
    CategoryText = 1
    CategorySimple = 2
    CategoryComplex = 3
    # Constants for content_type:
    TypeNone = 0
    TypeText = 1
    TypeString = 2
    TypeInteger = 3
    TypeFloat = 4
    TypeDecimal = 5
    TypeDouble = 6
    TypeBoolean = 7
    def __init__(self, category, content_type, name, value):
        self.category = category
        self.content_type = content_type
        self.name = name
        self.value = value
    def getCategory(self):
        return self.category
    def getContenttype(self, content_type):
        return self.content_type
    def getValue(self):
        return self.value
    def getName(self):
        return self.name
    def export(self, outfile, level, name):
        if self.category == MixedContainer.CategoryText:
            outfile.write(self.value)
        elif self.category == MixedContainer.CategorySimple:
            self.exportSimple(outfile, level, name)
        else:    # category == MixedContainer.CategoryComplex
            self.value.export(outfile, level, name)
    def exportSimple(self, outfile, level, name):
        if self.content_type == MixedContainer.TypeString:
            outfile.write('<%%s>%%s</%%s>' % (self.name, self.value, self.name))
        elif self.content_type == MixedContainer.TypeInteger or \
                self.content_type == MixedContainer.TypeBoolean:
            outfile.write('<%%s>%%d</%%s>' % (self.name, self.value, self.name))
        elif self.content_type == MixedContainer.TypeFloat or \
                self.content_type == MixedContainer.TypeDecimal:
            outfile.write('<%%s>%%f</%%s>' % (self.name, self.value, self.name))
        elif self.content_type == MixedContainer.TypeDouble:
            outfile.write('<%%s>%%g</%%s>' % (self.name, self.value, self.name))


#
# Data representation classes.
#

class resultType:
    subclass = None
    def __init__(self, status='', errcode=None, errtext=None):
        self.status = status
        self.errcode = errcode
        self.errtext = errtext
    def factory(*args_, **kwargs_):
        if resultType.subclass:
            return resultType.subclass(*args_, **kwargs_)
        else:
            return resultType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getStatus(self): return self.status
    def setStatus(self, value): self.status = value
    def getErrcode(self): return self.errcode
    def setErrcode(self, value): self.errcode = value
    def getErrtext(self): return self.errtext
    def setErrtext(self, value): self.errtext = value
    def export(self, outfile, level, name_='resultType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='resultType'):
        pass
    def exportChildren(self, outfile, level, name_='resultType'):
        showIndent(outfile, level)
        outfile.write('<status>%s</status>\n' % quote_xml(self.getStatus()))
        if self.errcode is not None:
            showIndent(outfile, level)
            outfile.write('<errcode>%s</errcode>\n' % quote_xml(self.getErrcode()))
        if self.errtext is not None:
            showIndent(outfile, level)
            outfile.write('<errtext>%s</errtext>\n' % quote_xml(self.getErrtext()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'status':
            status_ = ''
            for text__content_ in child_.childNodes:
                status_ += text__content_.nodeValue
            self.status = status_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'errcode':
            errcode_ = ''
            for text__content_ in child_.childNodes:
                errcode_ += text__content_.nodeValue
            self.errcode = errcode_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'errtext':
            errtext_ = ''
            for text__content_ in child_.childNodes:
                errtext_ += text__content_.nodeValue
            self.errtext = errtext_
# end class resultType


class NoneType:
    subclass = None
    def __init__(self, valueOf_=''):
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if NoneType.subclass:
            return NoneType.subclass(*args_, **kwargs_)
        else:
            return NoneType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, name_='NoneType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        self.exportChildren(outfile, level + 1, name_)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='NoneType'):
        pass
    def exportChildren(self, outfile, level, name_='NoneType'):
        outfile.write(self.valueOf_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class NoneType


class buttonDataType:
    subclass = None
    def __init__(self, code='', ttype='', name='', name_id='', group_name='', group_name_id='', href='', js_onclick=None, enabled='', new_window=None, tabindex=None, conhelp_id=None, conhelp=None, icon_url=None):
        self.code = code
        self.ttype = ttype
        self.name = name
        self.name_id = name_id
        self.group_name = group_name
        self.group_name_id = group_name_id
        self.href = href
        self.js_onclick = js_onclick
        self.enabled = enabled
        self.new_window = new_window
        self.tabindex = tabindex
        self.conhelp_id = conhelp_id
        self.conhelp = conhelp
        self.icon_url = icon_url
    def factory(*args_, **kwargs_):
        if buttonDataType.subclass:
            return buttonDataType.subclass(*args_, **kwargs_)
        else:
            return buttonDataType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getCode(self): return self.code
    def setCode(self, value): self.code = value
    def getType(self): return self.ttype
    def setType(self, value): self.ttype = value
    def getName(self): return self.name
    def setName(self, value): self.name = value
    def getName_id(self): return self.name_id
    def setName_id(self, value): self.name_id = value
    def getGroup_name(self): return self.group_name
    def setGroup_name(self, value): self.group_name = value
    def getGroup_name_id(self): return self.group_name_id
    def setGroup_name_id(self, value): self.group_name_id = value
    def getHref(self): return self.href
    def setHref(self, value): self.href = value
    def getJs_onclick(self): return self.js_onclick
    def setJs_onclick(self, value): self.js_onclick = value
    def getEnabled(self): return self.enabled
    def setEnabled(self, value): self.enabled = value
    def getNew_window(self): return self.new_window
    def setNew_window(self, value): self.new_window = value
    def getTabindex(self): return self.tabindex
    def setTabindex(self, value): self.tabindex = value
    def getConhelp_id(self): return self.conhelp_id
    def setConhelp_id(self, value): self.conhelp_id = value
    def getConhelp(self): return self.conhelp
    def setConhelp(self, value): self.conhelp = value
    def getIcon_url(self): return self.icon_url
    def setIcon_url(self, value): self.icon_url = value
    def export(self, outfile, level, name_='buttonDataType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='buttonDataType'):
        pass
    def exportChildren(self, outfile, level, name_='buttonDataType'):
        showIndent(outfile, level)
        outfile.write('<code>%s</code>\n' % quote_xml(self.getCode()))
        showIndent(outfile, level)
        outfile.write('<type>%s</type>\n' % quote_xml(self.getType()))
        showIndent(outfile, level)
        outfile.write('<name>%s</name>\n' % quote_xml(self.getName()))
        showIndent(outfile, level)
        outfile.write('<name_id>%s</name_id>\n' % quote_xml(self.getName_id()))
        showIndent(outfile, level)
        outfile.write('<group_name>%s</group_name>\n' % quote_xml(self.getGroup_name()))
        showIndent(outfile, level)
        outfile.write('<group_name_id>%s</group_name_id>\n' % quote_xml(self.getGroup_name_id()))
        showIndent(outfile, level)
        outfile.write('<href>%s</href>\n' % quote_xml(self.getHref()))
        if self.js_onclick is not None:
            showIndent(outfile, level)
            outfile.write('<js_onclick>%s</js_onclick>\n' % quote_xml(self.getJs_onclick()))
        showIndent(outfile, level)
        outfile.write('<enabled>%s</enabled>\n' % quote_xml(self.getEnabled()))
        if self.new_window is not None:
            showIndent(outfile, level)
            outfile.write('<new_window>%s</new_window>\n' % quote_xml(self.getNew_window()))
        if self.tabindex is not None:
            showIndent(outfile, level)
            outfile.write('<tabindex>%s</tabindex>\n' % quote_xml(self.getTabindex()))
        if self.conhelp_id is not None:
            showIndent(outfile, level)
            outfile.write('<conhelp_id>%s</conhelp_id>\n' % quote_xml(self.getConhelp_id()))
        if self.conhelp is not None:
            showIndent(outfile, level)
            outfile.write('<conhelp>%s</conhelp>\n' % quote_xml(self.getConhelp()))
        if self.icon_url is not None:
            showIndent(outfile, level)
            outfile.write('<icon_url>%s</icon_url>\n' % quote_xml(self.getIcon_url()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'code':
            code_ = ''
            for text__content_ in child_.childNodes:
                code_ += text__content_.nodeValue
            self.code = code_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'type':
            type_ = ''
            for text__content_ in child_.childNodes:
                type_ += text__content_.nodeValue
            self.ttype = type_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'name':
            name_ = ''
            for text__content_ in child_.childNodes:
                name_ += text__content_.nodeValue
            self.name = name_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'name_id':
            name_id_ = ''
            for text__content_ in child_.childNodes:
                name_id_ += text__content_.nodeValue
            self.name_id = name_id_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'group_name':
            group_name_ = ''
            for text__content_ in child_.childNodes:
                group_name_ += text__content_.nodeValue
            self.group_name = group_name_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'group_name_id':
            group_name_id_ = ''
            for text__content_ in child_.childNodes:
                group_name_id_ += text__content_.nodeValue
            self.group_name_id = group_name_id_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'href':
            href_ = ''
            for text__content_ in child_.childNodes:
                href_ += text__content_.nodeValue
            self.href = href_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'js_onclick':
            js_onclick_ = ''
            for text__content_ in child_.childNodes:
                js_onclick_ += text__content_.nodeValue
            self.js_onclick = js_onclick_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'enabled':
            enabled_ = ''
            for text__content_ in child_.childNodes:
                enabled_ += text__content_.nodeValue
            self.enabled = enabled_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'new_window':
            new_window_ = ''
            for text__content_ in child_.childNodes:
                new_window_ += text__content_.nodeValue
            self.new_window = new_window_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'tabindex':
            tabindex_ = ''
            for text__content_ in child_.childNodes:
                tabindex_ += text__content_.nodeValue
            self.tabindex = tabindex_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'conhelp_id':
            conhelp_id_ = ''
            for text__content_ in child_.childNodes:
                conhelp_id_ += text__content_.nodeValue
            self.conhelp_id = conhelp_id_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'conhelp':
            conhelp_ = ''
            for text__content_ in child_.childNodes:
                conhelp_ += text__content_.nodeValue
            self.conhelp = conhelp_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'icon_url':
            icon_url_ = ''
            for text__content_ in child_.childNodes:
                icon_url_ += text__content_.nodeValue
            self.icon_url = icon_url_
# end class buttonDataType


class domainDatasetType:
    subclass = None
    def __init__(self, gen_info=None, hosting=None, limits=None, stat=None, prefs=None, user=None, disk_usage=None):
        self.gen_info = gen_info
        self.hosting = hosting
        self.limits = limits
        self.stat = stat
        self.prefs = prefs
        self.user = user
        self.disk_usage = disk_usage
    def factory(*args_, **kwargs_):
        if domainDatasetType.subclass:
            return domainDatasetType.subclass(*args_, **kwargs_)
        else:
            return domainDatasetType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getGen_info(self): return self.gen_info
    def setGen_info(self, value): self.gen_info = value
    def getHosting(self): return self.hosting
    def setHosting(self, value): self.hosting = value
    def getLimits(self): return self.limits
    def setLimits(self, value): self.limits = value
    def getStat(self): return self.stat
    def setStat(self, value): self.stat = value
    def getPrefs(self): return self.prefs
    def setPrefs(self, value): self.prefs = value
    def getUser(self): return self.user
    def setUser(self, value): self.user = value
    def getDisk_usage(self): return self.disk_usage
    def setDisk_usage(self, value): self.disk_usage = value
    def export(self, outfile, level, name_='domainDatasetType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='domainDatasetType'):
        pass
    def exportChildren(self, outfile, level, name_='domainDatasetType'):
        if self.gen_info is not None:
            self.gen_info.export(outfile, level, name_='gen_info')
        if self.hosting is not None:
            self.hosting.export(outfile, level, name_='hosting')
        if self.limits is not None:
            self.limits.export(outfile, level, name_='limits')
        if self.stat is not None:
            self.stat.export(outfile, level, name_='stat')
        if self.prefs is not None:
            self.prefs.export(outfile, level, name_='prefs')
        if self.user is not None:
            self.user.export(outfile, level, name_='user')
        if self.disk_usage is not None:
            self.disk_usage.export(outfile, level, name_='disk_usage')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'gen_info':
            obj_ = NoneType.factory()
            obj_.build(child_)
            self.setGen_info(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'hosting':
            obj_ = NoneType.factory()
            obj_.build(child_)
            self.setHosting(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'limits':
            obj_ = NoneType.factory()
            obj_.build(child_)
            self.setLimits(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'stat':
            obj_ = NoneType.factory()
            obj_.build(child_)
            self.setStat(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'prefs':
            obj_ = NoneType.factory()
            obj_.build(child_)
            self.setPrefs(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'user':
            obj_ = NoneType.factory()
            obj_.build(child_)
            self.setUser(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'disk_usage':
            obj_ = NoneType.factory()
            obj_.build(child_)
            self.setDisk_usage(obj_)
# end class domainDatasetType


class setGenSetupType:
    subclass = None
    def __init__(self, status=None, name=None, client_id=None, ip_address=None):
        self.status = status
        self.name = name
        self.client_id = client_id
        self.ip_address = ip_address
    def factory(*args_, **kwargs_):
        if setGenSetupType.subclass:
            return setGenSetupType.subclass(*args_, **kwargs_)
        else:
            return setGenSetupType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getStatus(self): return self.status
    def setStatus(self, value): self.status = value
    def getName(self): return self.name
    def setName(self, value): self.name = value
    def getClient_id(self): return self.client_id
    def setClient_id(self, value): self.client_id = value
    def getIp_address(self): return self.ip_address
    def setIp_address(self, value): self.ip_address = value
    def export(self, outfile, level, name_='setGenSetupType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='setGenSetupType'):
        pass
    def exportChildren(self, outfile, level, name_='setGenSetupType'):
        if self.status is not None:
            showIndent(outfile, level)
            outfile.write('<status>%s</status>\n' % quote_xml(self.getStatus()))
        if self.name is not None:
            showIndent(outfile, level)
            outfile.write('<name>%s</name>\n' % quote_xml(self.getName()))
        if self.client_id is not None:
            showIndent(outfile, level)
            outfile.write('<client_id>%s</client_id>\n' % quote_xml(self.getClient_id()))
        if self.ip_address is not None:
            showIndent(outfile, level)
            outfile.write('<ip_address>%s</ip_address>\n' % quote_xml(self.getIp_address()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'status':
            status_ = ''
            for text__content_ in child_.childNodes:
                status_ += text__content_.nodeValue
            self.status = status_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'name':
            name_ = ''
            for text__content_ in child_.childNodes:
                name_ += text__content_.nodeValue
            self.name = name_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'client_id':
            client_id_ = ''
            for text__content_ in child_.childNodes:
                client_id_ += text__content_.nodeValue
            self.client_id = client_id_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ip_address':
            ip_address_ = ''
            for text__content_ in child_.childNodes:
                ip_address_ += text__content_.nodeValue
            self.ip_address = ip_address_
# end class setGenSetupType


class domainGenInfoType:
    subclass = None
    def __init__(self, cr_date='', name='', display_name='', status='', real_size='', client_id='', dns_ip_address=None, htype=''):
        self.cr_date = cr_date
        self.name = name
        self.display_name = display_name
        self.status = status
        self.real_size = real_size
        self.client_id = client_id
        self.dns_ip_address = dns_ip_address
        self.htype = htype
    def factory(*args_, **kwargs_):
        if domainGenInfoType.subclass:
            return domainGenInfoType.subclass(*args_, **kwargs_)
        else:
            return domainGenInfoType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getCr_date(self): return self.cr_date
    def setCr_date(self, value): self.cr_date = value
    def getName(self): return self.name
    def setName(self, value): self.name = value
    def getDisplay_name(self): return self.display_name
    def setDisplay_name(self, value): self.display_name = value
    def getStatus(self): return self.status
    def setStatus(self, value): self.status = value
    def getReal_size(self): return self.real_size
    def setReal_size(self, value): self.real_size = value
    def getClient_id(self): return self.client_id
    def setClient_id(self, value): self.client_id = value
    def getDns_ip_address(self): return self.dns_ip_address
    def setDns_ip_address(self, value): self.dns_ip_address = value
    def getHtype(self): return self.htype
    def setHtype(self, value): self.htype = value
    def export(self, outfile, level, name_='domainGenInfoType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='domainGenInfoType'):
        pass
    def exportChildren(self, outfile, level, name_='domainGenInfoType'):
        showIndent(outfile, level)
        outfile.write('<cr_date>%s</cr_date>\n' % quote_xml(self.getCr_date()))
        showIndent(outfile, level)
        outfile.write('<name>%s</name>\n' % quote_xml(self.getName()))
        showIndent(outfile, level)
        outfile.write('<display_name>%s</display_name>\n' % quote_xml(self.getDisplay_name()))
        showIndent(outfile, level)
        outfile.write('<status>%s</status>\n' % quote_xml(self.getStatus()))
        showIndent(outfile, level)
        outfile.write('<real_size>%s</real_size>\n' % quote_xml(self.getReal_size()))
        showIndent(outfile, level)
        outfile.write('<client_id>%s</client_id>\n' % quote_xml(self.getClient_id()))
        if self.dns_ip_address is not None:
            showIndent(outfile, level)
            outfile.write('<dns_ip_address>%s</dns_ip_address>\n' % quote_xml(self.getDns_ip_address()))
        showIndent(outfile, level)
        outfile.write('<htype>%s</htype>\n' % quote_xml(self.getHtype()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'cr_date':
            cr_date_ = ''
            for text__content_ in child_.childNodes:
                cr_date_ += text__content_.nodeValue
            self.cr_date = cr_date_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'name':
            name_ = ''
            for text__content_ in child_.childNodes:
                name_ += text__content_.nodeValue
            self.name = name_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'display_name':
            display_name_ = ''
            for text__content_ in child_.childNodes:
                display_name_ += text__content_.nodeValue
            self.display_name = display_name_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'status':
            status_ = ''
            for text__content_ in child_.childNodes:
                status_ += text__content_.nodeValue
            self.status = status_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'real_size':
            real_size_ = ''
            for text__content_ in child_.childNodes:
                real_size_ += text__content_.nodeValue
            self.real_size = real_size_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'client_id':
            client_id_ = ''
            for text__content_ in child_.childNodes:
                client_id_ += text__content_.nodeValue
            self.client_id = client_id_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'dns_ip_address':
            dns_ip_address_ = ''
            for text__content_ in child_.childNodes:
                dns_ip_address_ += text__content_.nodeValue
            self.dns_ip_address = dns_ip_address_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'htype':
            htype_ = ''
            for text__content_ in child_.childNodes:
                htype_ += text__content_.nodeValue
            self.htype = htype_
# end class domainGenInfoType


class domainUserGet:
    subclass = None
    def __init__(self, enabled=None, cname=None, pname=None, phone=None, fax=None, email=None, address=None, city=None, state=None, pcode=None, country=None, multiply_login=None, perms=None):
        self.enabled = enabled
        self.cname = cname
        self.pname = pname
        self.phone = phone
        self.fax = fax
        self.email = email
        self.address = address
        self.city = city
        self.state = state
        self.pcode = pcode
        self.country = country
        self.multiply_login = multiply_login
        self.perms = perms
    def factory(*args_, **kwargs_):
        if domainUserGet.subclass:
            return domainUserGet.subclass(*args_, **kwargs_)
        else:
            return domainUserGet(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getEnabled(self): return self.enabled
    def setEnabled(self, value): self.enabled = value
    def getCname(self): return self.cname
    def setCname(self, value): self.cname = value
    def getPname(self): return self.pname
    def setPname(self, value): self.pname = value
    def getPhone(self): return self.phone
    def setPhone(self, value): self.phone = value
    def getFax(self): return self.fax
    def setFax(self, value): self.fax = value
    def getEmail(self): return self.email
    def setEmail(self, value): self.email = value
    def getAddress(self): return self.address
    def setAddress(self, value): self.address = value
    def getCity(self): return self.city
    def setCity(self, value): self.city = value
    def getState(self): return self.state
    def setState(self, value): self.state = value
    def getPcode(self): return self.pcode
    def setPcode(self, value): self.pcode = value
    def getCountry(self): return self.country
    def setCountry(self, value): self.country = value
    def getMultiply_login(self): return self.multiply_login
    def setMultiply_login(self, value): self.multiply_login = value
    def getPerms(self): return self.perms
    def setPerms(self, value): self.perms = value
    def export(self, outfile, level, name_='domainUserGet'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='domainUserGet'):
        pass
    def exportChildren(self, outfile, level, name_='domainUserGet'):
        if self.enabled is not None:
            showIndent(outfile, level)
            outfile.write('<enabled>%s</enabled>\n' % quote_xml(self.getEnabled()))
        if self.cname is not None:
            showIndent(outfile, level)
            outfile.write('<cname>%s</cname>\n' % quote_xml(self.getCname()))
        if self.pname is not None:
            showIndent(outfile, level)
            outfile.write('<pname>%s</pname>\n' % quote_xml(self.getPname()))
        if self.phone is not None:
            showIndent(outfile, level)
            outfile.write('<phone>%s</phone>\n' % quote_xml(self.getPhone()))
        if self.fax is not None:
            showIndent(outfile, level)
            outfile.write('<fax>%s</fax>\n' % quote_xml(self.getFax()))
        if self.email is not None:
            showIndent(outfile, level)
            outfile.write('<email>%s</email>\n' % quote_xml(self.getEmail()))
        if self.address is not None:
            showIndent(outfile, level)
            outfile.write('<address>%s</address>\n' % quote_xml(self.getAddress()))
        if self.city is not None:
            showIndent(outfile, level)
            outfile.write('<city>%s</city>\n' % quote_xml(self.getCity()))
        if self.state is not None:
            showIndent(outfile, level)
            outfile.write('<state>%s</state>\n' % quote_xml(self.getState()))
        if self.pcode is not None:
            showIndent(outfile, level)
            outfile.write('<pcode>%s</pcode>\n' % quote_xml(self.getPcode()))
        if self.country is not None:
            showIndent(outfile, level)
            outfile.write('<country>%s</country>\n' % quote_xml(self.getCountry()))
        if self.multiply_login is not None:
            showIndent(outfile, level)
            outfile.write('<multiply_login>%s</multiply_login>\n' % quote_xml(self.getMultiply_login()))
        if self.perms is not None:
            self.perms.export(outfile, level, name_='perms')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'enabled':
            enabled_ = ''
            for text__content_ in child_.childNodes:
                enabled_ += text__content_.nodeValue
            self.enabled = enabled_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'cname':
            cname_ = ''
            for text__content_ in child_.childNodes:
                cname_ += text__content_.nodeValue
            self.cname = cname_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'pname':
            pname_ = ''
            for text__content_ in child_.childNodes:
                pname_ += text__content_.nodeValue
            self.pname = pname_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'phone':
            phone_ = ''
            for text__content_ in child_.childNodes:
                phone_ += text__content_.nodeValue
            self.phone = phone_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'fax':
            fax_ = ''
            for text__content_ in child_.childNodes:
                fax_ += text__content_.nodeValue
            self.fax = fax_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'email':
            email_ = ''
            for text__content_ in child_.childNodes:
                email_ += text__content_.nodeValue
            self.email = email_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'address':
            address_ = ''
            for text__content_ in child_.childNodes:
                address_ += text__content_.nodeValue
            self.address = address_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'city':
            city_ = ''
            for text__content_ in child_.childNodes:
                city_ += text__content_.nodeValue
            self.city = city_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'state':
            state_ = ''
            for text__content_ in child_.childNodes:
                state_ += text__content_.nodeValue
            self.state = state_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'pcode':
            pcode_ = ''
            for text__content_ in child_.childNodes:
                pcode_ += text__content_.nodeValue
            self.pcode = pcode_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'country':
            country_ = ''
            for text__content_ in child_.childNodes:
                country_ += text__content_.nodeValue
            self.country = country_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'multiply_login':
            multiply_login_ = ''
            for text__content_ in child_.childNodes:
                multiply_login_ += text__content_.nodeValue
            self.multiply_login = multiply_login_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'perms':
            obj_ = domainPerms.factory()
            obj_.build(child_)
            self.setPerms(obj_)
# end class domainUserGet


class domainUserSet:
    subclass = None
    def __init__(self, enabled=None, password=None, cname=None, pname=None, phone=None, fax=None, email=None, address=None, city=None, state=None, pcode=None, country=None, multiply_login=None, perms=None):
        self.enabled = enabled
        self.password = password
        self.cname = cname
        self.pname = pname
        self.phone = phone
        self.fax = fax
        self.email = email
        self.address = address
        self.city = city
        self.state = state
        self.pcode = pcode
        self.country = country
        self.multiply_login = multiply_login
        self.perms = perms
    def factory(*args_, **kwargs_):
        if domainUserSet.subclass:
            return domainUserSet.subclass(*args_, **kwargs_)
        else:
            return domainUserSet(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getEnabled(self): return self.enabled
    def setEnabled(self, value): self.enabled = value
    def getPassword(self): return self.password
    def setPassword(self, value): self.password = value
    def getCname(self): return self.cname
    def setCname(self, value): self.cname = value
    def getPname(self): return self.pname
    def setPname(self, value): self.pname = value
    def getPhone(self): return self.phone
    def setPhone(self, value): self.phone = value
    def getFax(self): return self.fax
    def setFax(self, value): self.fax = value
    def getEmail(self): return self.email
    def setEmail(self, value): self.email = value
    def getAddress(self): return self.address
    def setAddress(self, value): self.address = value
    def getCity(self): return self.city
    def setCity(self, value): self.city = value
    def getState(self): return self.state
    def setState(self, value): self.state = value
    def getPcode(self): return self.pcode
    def setPcode(self, value): self.pcode = value
    def getCountry(self): return self.country
    def setCountry(self, value): self.country = value
    def getMultiply_login(self): return self.multiply_login
    def setMultiply_login(self, value): self.multiply_login = value
    def getPerms(self): return self.perms
    def setPerms(self, value): self.perms = value
    def export(self, outfile, level, name_='domainUserSet'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='domainUserSet'):
        pass
    def exportChildren(self, outfile, level, name_='domainUserSet'):
        if self.enabled is not None:
            showIndent(outfile, level)
            outfile.write('<enabled>%s</enabled>\n' % quote_xml(self.getEnabled()))
        if self.password is not None:
            showIndent(outfile, level)
            outfile.write('<password>%s</password>\n' % quote_xml(self.getPassword()))
        if self.cname is not None:
            showIndent(outfile, level)
            outfile.write('<cname>%s</cname>\n' % quote_xml(self.getCname()))
        if self.pname is not None:
            showIndent(outfile, level)
            outfile.write('<pname>%s</pname>\n' % quote_xml(self.getPname()))
        if self.phone is not None:
            showIndent(outfile, level)
            outfile.write('<phone>%s</phone>\n' % quote_xml(self.getPhone()))
        if self.fax is not None:
            showIndent(outfile, level)
            outfile.write('<fax>%s</fax>\n' % quote_xml(self.getFax()))
        if self.email is not None:
            showIndent(outfile, level)
            outfile.write('<email>%s</email>\n' % quote_xml(self.getEmail()))
        if self.address is not None:
            showIndent(outfile, level)
            outfile.write('<address>%s</address>\n' % quote_xml(self.getAddress()))
        if self.city is not None:
            showIndent(outfile, level)
            outfile.write('<city>%s</city>\n' % quote_xml(self.getCity()))
        if self.state is not None:
            showIndent(outfile, level)
            outfile.write('<state>%s</state>\n' % quote_xml(self.getState()))
        if self.pcode is not None:
            showIndent(outfile, level)
            outfile.write('<pcode>%s</pcode>\n' % quote_xml(self.getPcode()))
        if self.country is not None:
            showIndent(outfile, level)
            outfile.write('<country>%s</country>\n' % quote_xml(self.getCountry()))
        if self.multiply_login is not None:
            showIndent(outfile, level)
            outfile.write('<multiply_login>%s</multiply_login>\n' % quote_xml(self.getMultiply_login()))
        if self.perms is not None:
            self.perms.export(outfile, level, name_='perms')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'enabled':
            enabled_ = ''
            for text__content_ in child_.childNodes:
                enabled_ += text__content_.nodeValue
            self.enabled = enabled_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'password':
            password_ = ''
            for text__content_ in child_.childNodes:
                password_ += text__content_.nodeValue
            self.password = password_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'cname':
            cname_ = ''
            for text__content_ in child_.childNodes:
                cname_ += text__content_.nodeValue
            self.cname = cname_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'pname':
            pname_ = ''
            for text__content_ in child_.childNodes:
                pname_ += text__content_.nodeValue
            self.pname = pname_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'phone':
            phone_ = ''
            for text__content_ in child_.childNodes:
                phone_ += text__content_.nodeValue
            self.phone = phone_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'fax':
            fax_ = ''
            for text__content_ in child_.childNodes:
                fax_ += text__content_.nodeValue
            self.fax = fax_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'email':
            email_ = ''
            for text__content_ in child_.childNodes:
                email_ += text__content_.nodeValue
            self.email = email_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'address':
            address_ = ''
            for text__content_ in child_.childNodes:
                address_ += text__content_.nodeValue
            self.address = address_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'city':
            city_ = ''
            for text__content_ in child_.childNodes:
                city_ += text__content_.nodeValue
            self.city = city_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'state':
            state_ = ''
            for text__content_ in child_.childNodes:
                state_ += text__content_.nodeValue
            self.state = state_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'pcode':
            pcode_ = ''
            for text__content_ in child_.childNodes:
                pcode_ += text__content_.nodeValue
            self.pcode = pcode_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'country':
            country_ = ''
            for text__content_ in child_.childNodes:
                country_ += text__content_.nodeValue
            self.country = country_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'multiply_login':
            multiply_login_ = ''
            for text__content_ in child_.childNodes:
                multiply_login_ += text__content_.nodeValue
            self.multiply_login = multiply_login_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'perms':
            obj_ = domainPerms.factory()
            obj_.build(child_)
            self.setPerms(obj_)
# end class domainUserSet


class domainPrefs:
    subclass = None
    def __init__(self, www=None, stat_ttl=None):
        self.www = www
        self.stat_ttl = stat_ttl
    def factory(*args_, **kwargs_):
        if domainPrefs.subclass:
            return domainPrefs.subclass(*args_, **kwargs_)
        else:
            return domainPrefs(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getWww(self): return self.www
    def setWww(self, value): self.www = value
    def getStat_ttl(self): return self.stat_ttl
    def setStat_ttl(self, value): self.stat_ttl = value
    def export(self, outfile, level, name_='domainPrefs'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='domainPrefs'):
        pass
    def exportChildren(self, outfile, level, name_='domainPrefs'):
        if self.www is not None:
            showIndent(outfile, level)
            outfile.write('<www>%s</www>\n' % quote_xml(self.getWww()))
        if self.stat_ttl is not None:
            showIndent(outfile, level)
            outfile.write('<stat_ttl>%s</stat_ttl>\n' % quote_xml(self.getStat_ttl()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'www':
            www_ = ''
            for text__content_ in child_.childNodes:
                www_ += text__content_.nodeValue
            self.www = www_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'stat_ttl':
            stat_ttl_ = ''
            for text__content_ in child_.childNodes:
                stat_ttl_ += text__content_.nodeValue
            self.stat_ttl = stat_ttl_
# end class domainPrefs


class domainLimits:
    subclass = None
    def __init__(self, max_subdom=None, disk_space=None, max_traffic=None, max_wu=None, max_db=None, max_box=None, mbox_quota=None, max_redir=None, max_mg=None, max_resp=None, max_maillists=None, max_webapps=None, expiration=None, total_mboxes_quota=None, max_dom_aliases=None, mysql_dbase_space=None, mssql_dbase_space=None, max_mssql_db=None, max_shared_ssl_links=None, max_subftp_users=None, max_fpse_users=None):
        self.max_subdom = max_subdom
        self.disk_space = disk_space
        self.max_traffic = max_traffic
        self.max_wu = max_wu
        self.max_db = max_db
        self.max_box = max_box
        self.mbox_quota = mbox_quota
        self.max_redir = max_redir
        self.max_mg = max_mg
        self.max_resp = max_resp
        self.max_maillists = max_maillists
        self.max_webapps = max_webapps
        self.expiration = expiration
        self.total_mboxes_quota = total_mboxes_quota
        self.max_dom_aliases = max_dom_aliases
        self.mysql_dbase_space = mysql_dbase_space
        self.mssql_dbase_space = mssql_dbase_space
        self.max_mssql_db = max_mssql_db
        self.max_shared_ssl_links = max_shared_ssl_links
        self.max_subftp_users = max_subftp_users
        self.max_fpse_users = max_fpse_users
    def factory(*args_, **kwargs_):
        if domainLimits.subclass:
            return domainLimits.subclass(*args_, **kwargs_)
        else:
            return domainLimits(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getMax_subdom(self): return self.max_subdom
    def setMax_subdom(self, value): self.max_subdom = value
    def getDisk_space(self): return self.disk_space
    def setDisk_space(self, value): self.disk_space = value
    def getMax_traffic(self): return self.max_traffic
    def setMax_traffic(self, value): self.max_traffic = value
    def getMax_wu(self): return self.max_wu
    def setMax_wu(self, value): self.max_wu = value
    def getMax_db(self): return self.max_db
    def setMax_db(self, value): self.max_db = value
    def getMax_box(self): return self.max_box
    def setMax_box(self, value): self.max_box = value
    def getMbox_quota(self): return self.mbox_quota
    def setMbox_quota(self, value): self.mbox_quota = value
    def getMax_redir(self): return self.max_redir
    def setMax_redir(self, value): self.max_redir = value
    def getMax_mg(self): return self.max_mg
    def setMax_mg(self, value): self.max_mg = value
    def getMax_resp(self): return self.max_resp
    def setMax_resp(self, value): self.max_resp = value
    def getMax_maillists(self): return self.max_maillists
    def setMax_maillists(self, value): self.max_maillists = value
    def getMax_webapps(self): return self.max_webapps
    def setMax_webapps(self, value): self.max_webapps = value
    def getExpiration(self): return self.expiration
    def setExpiration(self, value): self.expiration = value
    def getTotal_mboxes_quota(self): return self.total_mboxes_quota
    def setTotal_mboxes_quota(self, value): self.total_mboxes_quota = value
    def getMax_dom_aliases(self): return self.max_dom_aliases
    def setMax_dom_aliases(self, value): self.max_dom_aliases = value
    def getMysql_dbase_space(self): return self.mysql_dbase_space
    def setMysql_dbase_space(self, value): self.mysql_dbase_space = value
    def getMssql_dbase_space(self): return self.mssql_dbase_space
    def setMssql_dbase_space(self, value): self.mssql_dbase_space = value
    def getMax_mssql_db(self): return self.max_mssql_db
    def setMax_mssql_db(self, value): self.max_mssql_db = value
    def getMax_shared_ssl_links(self): return self.max_shared_ssl_links
    def setMax_shared_ssl_links(self, value): self.max_shared_ssl_links = value
    def getMax_subftp_users(self): return self.max_subftp_users
    def setMax_subftp_users(self, value): self.max_subftp_users = value
    def getMax_fpse_users(self): return self.max_fpse_users
    def setMax_fpse_users(self, value): self.max_fpse_users = value
    def export(self, outfile, level, name_='domainLimits'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='domainLimits'):
        pass
    def exportChildren(self, outfile, level, name_='domainLimits'):
        if self.max_subdom is not None:
            showIndent(outfile, level)
            outfile.write('<max_subdom>%s</max_subdom>\n' % quote_xml(self.getMax_subdom()))
        if self.disk_space is not None:
            showIndent(outfile, level)
            outfile.write('<disk_space>%s</disk_space>\n' % quote_xml(self.getDisk_space()))
        if self.max_traffic is not None:
            showIndent(outfile, level)
            outfile.write('<max_traffic>%s</max_traffic>\n' % quote_xml(self.getMax_traffic()))
        if self.max_wu is not None:
            showIndent(outfile, level)
            outfile.write('<max_wu>%s</max_wu>\n' % quote_xml(self.getMax_wu()))
        if self.max_db is not None:
            showIndent(outfile, level)
            outfile.write('<max_db>%s</max_db>\n' % quote_xml(self.getMax_db()))
        if self.max_box is not None:
            showIndent(outfile, level)
            outfile.write('<max_box>%s</max_box>\n' % quote_xml(self.getMax_box()))
        if self.mbox_quota is not None:
            showIndent(outfile, level)
            outfile.write('<mbox_quota>%s</mbox_quota>\n' % quote_xml(self.getMbox_quota()))
        if self.max_redir is not None:
            showIndent(outfile, level)
            outfile.write('<max_redir>%s</max_redir>\n' % quote_xml(self.getMax_redir()))
        if self.max_mg is not None:
            showIndent(outfile, level)
            outfile.write('<max_mg>%s</max_mg>\n' % quote_xml(self.getMax_mg()))
        if self.max_resp is not None:
            showIndent(outfile, level)
            outfile.write('<max_resp>%s</max_resp>\n' % quote_xml(self.getMax_resp()))
        if self.max_maillists is not None:
            showIndent(outfile, level)
            outfile.write('<max_maillists>%s</max_maillists>\n' % quote_xml(self.getMax_maillists()))
        if self.max_webapps is not None:
            showIndent(outfile, level)
            outfile.write('<max_webapps>%s</max_webapps>\n' % quote_xml(self.getMax_webapps()))
        if self.expiration is not None:
            showIndent(outfile, level)
            outfile.write('<expiration>%s</expiration>\n' % quote_xml(self.getExpiration()))
        if self.total_mboxes_quota is not None:
            showIndent(outfile, level)
            outfile.write('<total_mboxes_quota>%s</total_mboxes_quota>\n' % quote_xml(self.getTotal_mboxes_quota()))
        if self.max_dom_aliases is not None:
            showIndent(outfile, level)
            outfile.write('<max_dom_aliases>%s</max_dom_aliases>\n' % quote_xml(self.getMax_dom_aliases()))
        if self.mysql_dbase_space is not None:
            showIndent(outfile, level)
            outfile.write('<mysql_dbase_space>%s</mysql_dbase_space>\n' % quote_xml(self.getMysql_dbase_space()))
        if self.mssql_dbase_space is not None:
            showIndent(outfile, level)
            outfile.write('<mssql_dbase_space>%s</mssql_dbase_space>\n' % quote_xml(self.getMssql_dbase_space()))
        if self.max_mssql_db is not None:
            showIndent(outfile, level)
            outfile.write('<max_mssql_db>%s</max_mssql_db>\n' % quote_xml(self.getMax_mssql_db()))
        if self.max_shared_ssl_links is not None:
            showIndent(outfile, level)
            outfile.write('<max_shared_ssl_links>%s</max_shared_ssl_links>\n' % quote_xml(self.getMax_shared_ssl_links()))
        if self.max_subftp_users is not None:
            showIndent(outfile, level)
            outfile.write('<max_subftp_users>%s</max_subftp_users>\n' % quote_xml(self.getMax_subftp_users()))
        if self.max_fpse_users is not None:
            showIndent(outfile, level)
            outfile.write('<max_fpse_users>%s</max_fpse_users>\n' % quote_xml(self.getMax_fpse_users()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'max_subdom':
            max_subdom_ = ''
            for text__content_ in child_.childNodes:
                max_subdom_ += text__content_.nodeValue
            self.max_subdom = max_subdom_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'disk_space':
            disk_space_ = ''
            for text__content_ in child_.childNodes:
                disk_space_ += text__content_.nodeValue
            self.disk_space = disk_space_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'max_traffic':
            max_traffic_ = ''
            for text__content_ in child_.childNodes:
                max_traffic_ += text__content_.nodeValue
            self.max_traffic = max_traffic_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'max_wu':
            max_wu_ = ''
            for text__content_ in child_.childNodes:
                max_wu_ += text__content_.nodeValue
            self.max_wu = max_wu_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'max_db':
            max_db_ = ''
            for text__content_ in child_.childNodes:
                max_db_ += text__content_.nodeValue
            self.max_db = max_db_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'max_box':
            max_box_ = ''
            for text__content_ in child_.childNodes:
                max_box_ += text__content_.nodeValue
            self.max_box = max_box_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'mbox_quota':
            mbox_quota_ = ''
            for text__content_ in child_.childNodes:
                mbox_quota_ += text__content_.nodeValue
            self.mbox_quota = mbox_quota_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'max_redir':
            max_redir_ = ''
            for text__content_ in child_.childNodes:
                max_redir_ += text__content_.nodeValue
            self.max_redir = max_redir_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'max_mg':
            max_mg_ = ''
            for text__content_ in child_.childNodes:
                max_mg_ += text__content_.nodeValue
            self.max_mg = max_mg_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'max_resp':
            max_resp_ = ''
            for text__content_ in child_.childNodes:
                max_resp_ += text__content_.nodeValue
            self.max_resp = max_resp_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'max_maillists':
            max_maillists_ = ''
            for text__content_ in child_.childNodes:
                max_maillists_ += text__content_.nodeValue
            self.max_maillists = max_maillists_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'max_webapps':
            max_webapps_ = ''
            for text__content_ in child_.childNodes:
                max_webapps_ += text__content_.nodeValue
            self.max_webapps = max_webapps_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'expiration':
            expiration_ = ''
            for text__content_ in child_.childNodes:
                expiration_ += text__content_.nodeValue
            self.expiration = expiration_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'total_mboxes_quota':
            total_mboxes_quota_ = ''
            for text__content_ in child_.childNodes:
                total_mboxes_quota_ += text__content_.nodeValue
            self.total_mboxes_quota = total_mboxes_quota_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'max_dom_aliases':
            max_dom_aliases_ = ''
            for text__content_ in child_.childNodes:
                max_dom_aliases_ += text__content_.nodeValue
            self.max_dom_aliases = max_dom_aliases_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'mysql_dbase_space':
            mysql_dbase_space_ = ''
            for text__content_ in child_.childNodes:
                mysql_dbase_space_ += text__content_.nodeValue
            self.mysql_dbase_space = mysql_dbase_space_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'mssql_dbase_space':
            mssql_dbase_space_ = ''
            for text__content_ in child_.childNodes:
                mssql_dbase_space_ += text__content_.nodeValue
            self.mssql_dbase_space = mssql_dbase_space_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'max_mssql_db':
            max_mssql_db_ = ''
            for text__content_ in child_.childNodes:
                max_mssql_db_ += text__content_.nodeValue
            self.max_mssql_db = max_mssql_db_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'max_shared_ssl_links':
            max_shared_ssl_links_ = ''
            for text__content_ in child_.childNodes:
                max_shared_ssl_links_ += text__content_.nodeValue
            self.max_shared_ssl_links = max_shared_ssl_links_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'max_subftp_users':
            max_subftp_users_ = ''
            for text__content_ in child_.childNodes:
                max_subftp_users_ += text__content_.nodeValue
            self.max_subftp_users = max_subftp_users_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'max_fpse_users':
            max_fpse_users_ = ''
            for text__content_ in child_.childNodes:
                max_fpse_users_ += text__content_.nodeValue
            self.max_fpse_users = max_fpse_users_
# end class domainLimits


class domainPhHostingSet:
    subclass = None
    def __init__(self, ftp_login=None, ftp_password=None, ftp_quota=None, fp=None, fp_ssl=None, fp_auth=None, fp_admin_login=None, fp_admin_password=None, ssl=None, shell=None, shell_forbidden=None, php='', php_isapi=None, ssi='', ssi_html=None, cgi=None, mod_perl=None, mod_python=None, asp=None, asp_dot_net=None, managed_runtime_version=None, coldfusion=None, webstat=None, webstat_protected=None, errdocs=None, at_domains=None, sb_publishing=None, php_safe_mode=None, iis_app_pool=None):
        self.ftp_login = ftp_login
        self.ftp_password = ftp_password
        self.ftp_quota = ftp_quota
        self.fp = fp
        self.fp_ssl = fp_ssl
        self.fp_auth = fp_auth
        self.fp_admin_login = fp_admin_login
        self.fp_admin_password = fp_admin_password
        self.ssl = ssl
        self.shell = shell
        self.shell_forbidden = shell_forbidden
        self.php = php
        self.php_isapi = php_isapi
        self.ssi = ssi
        self.ssi_html = ssi_html
        self.cgi = cgi
        self.mod_perl = mod_perl
        self.mod_python = mod_python
        self.asp = asp
        self.asp_dot_net = asp_dot_net
        self.managed_runtime_version = managed_runtime_version
        self.coldfusion = coldfusion
        self.webstat = webstat
        self.webstat_protected = webstat_protected
        self.errdocs = errdocs
        self.at_domains = at_domains
        self.sb_publishing = sb_publishing
        self.php_safe_mode = php_safe_mode
        self.iis_app_pool = iis_app_pool
    def factory(*args_, **kwargs_):
        if domainPhHostingSet.subclass:
            return domainPhHostingSet.subclass(*args_, **kwargs_)
        else:
            return domainPhHostingSet(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getFtp_login(self): return self.ftp_login
    def setFtp_login(self, value): self.ftp_login = value
    def getFtp_password(self): return self.ftp_password
    def setFtp_password(self, value): self.ftp_password = value
    def getFtp_quota(self): return self.ftp_quota
    def setFtp_quota(self, value): self.ftp_quota = value
    def getFp(self): return self.fp
    def setFp(self, value): self.fp = value
    def getFp_ssl(self): return self.fp_ssl
    def setFp_ssl(self, value): self.fp_ssl = value
    def getFp_auth(self): return self.fp_auth
    def setFp_auth(self, value): self.fp_auth = value
    def getFp_admin_login(self): return self.fp_admin_login
    def setFp_admin_login(self, value): self.fp_admin_login = value
    def getFp_admin_password(self): return self.fp_admin_password
    def setFp_admin_password(self, value): self.fp_admin_password = value
    def getSsl(self): return self.ssl
    def setSsl(self, value): self.ssl = value
    def getShell(self): return self.shell
    def setShell(self, value): self.shell = value
    def getShell_forbidden(self): return self.shell_forbidden
    def setShell_forbidden(self, value): self.shell_forbidden = value
    def getPhp(self): return self.php
    def setPhp(self, value): self.php = value
    def getPhp_isapi(self): return self.php_isapi
    def setPhp_isapi(self, value): self.php_isapi = value
    def getSsi(self): return self.ssi
    def setSsi(self, value): self.ssi = value
    def getSsi_html(self): return self.ssi_html
    def setSsi_html(self, value): self.ssi_html = value
    def getCgi(self): return self.cgi
    def setCgi(self, value): self.cgi = value
    def getMod_perl(self): return self.mod_perl
    def setMod_perl(self, value): self.mod_perl = value
    def getMod_python(self): return self.mod_python
    def setMod_python(self, value): self.mod_python = value
    def getAsp(self): return self.asp
    def setAsp(self, value): self.asp = value
    def getAsp_dot_net(self): return self.asp_dot_net
    def setAsp_dot_net(self, value): self.asp_dot_net = value
    def getManaged_runtime_version(self): return self.managed_runtime_version
    def setManaged_runtime_version(self, value): self.managed_runtime_version = value
    def getColdfusion(self): return self.coldfusion
    def setColdfusion(self, value): self.coldfusion = value
    def getWebstat(self): return self.webstat
    def setWebstat(self, value): self.webstat = value
    def getWebstat_protected(self): return self.webstat_protected
    def setWebstat_protected(self, value): self.webstat_protected = value
    def getErrdocs(self): return self.errdocs
    def setErrdocs(self, value): self.errdocs = value
    def getAt_domains(self): return self.at_domains
    def setAt_domains(self, value): self.at_domains = value
    def getSb_publishing(self): return self.sb_publishing
    def setSb_publishing(self, value): self.sb_publishing = value
    def getPhp_safe_mode(self): return self.php_safe_mode
    def setPhp_safe_mode(self, value): self.php_safe_mode = value
    def getIis_app_pool(self): return self.iis_app_pool
    def setIis_app_pool(self, value): self.iis_app_pool = value
    def export(self, outfile, level, name_='domainPhHostingSet'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='domainPhHostingSet'):
        pass
    def exportChildren(self, outfile, level, name_='domainPhHostingSet'):
        if self.ftp_login is not None:
            showIndent(outfile, level)
            outfile.write('<ftp_login>%s</ftp_login>\n' % quote_xml(self.getFtp_login()))
        if self.ftp_password is not None:
            showIndent(outfile, level)
            outfile.write('<ftp_password>%s</ftp_password>\n' % quote_xml(self.getFtp_password()))
        if self.ftp_quota is not None:
            showIndent(outfile, level)
            outfile.write('<ftp_quota>%s</ftp_quota>\n' % quote_xml(self.getFtp_quota()))
        if self.fp is not None:
            showIndent(outfile, level)
            outfile.write('<fp>%s</fp>\n' % quote_xml(self.getFp()))
        if self.fp_ssl is not None:
            showIndent(outfile, level)
            outfile.write('<fp_ssl>%s</fp_ssl>\n' % quote_xml(self.getFp_ssl()))
        if self.fp_auth is not None:
            showIndent(outfile, level)
            outfile.write('<fp_auth>%s</fp_auth>\n' % quote_xml(self.getFp_auth()))
        if self.fp_admin_login is not None:
            showIndent(outfile, level)
            outfile.write('<fp_admin_login>%s</fp_admin_login>\n' % quote_xml(self.getFp_admin_login()))
        if self.fp_admin_password is not None:
            showIndent(outfile, level)
            outfile.write('<fp_admin_password>%s</fp_admin_password>\n' % quote_xml(self.getFp_admin_password()))
        if self.ssl is not None:
            showIndent(outfile, level)
            outfile.write('<ssl>%s</ssl>\n' % quote_xml(self.getSsl()))
        if self.shell is not None:
            showIndent(outfile, level)
            outfile.write('<shell>%s</shell>\n' % quote_xml(self.getShell()))
        if self.shell_forbidden is not None:
            self.shell_forbidden.export(outfile, level, name_='shell-forbidden')
        showIndent(outfile, level)
        outfile.write('<php>%s</php>\n' % quote_xml(self.getPhp()))
        if self.php_isapi is not None:
            showIndent(outfile, level)
            outfile.write('<php_isapi>%s</php_isapi>\n' % quote_xml(self.getPhp_isapi()))
        showIndent(outfile, level)
        outfile.write('<ssi>%s</ssi>\n' % quote_xml(self.getSsi()))
        if self.ssi_html is not None:
            showIndent(outfile, level)
            outfile.write('<ssi_html>%s</ssi_html>\n' % quote_xml(self.getSsi_html()))
        if self.cgi is not None:
            showIndent(outfile, level)
            outfile.write('<cgi>%s</cgi>\n' % quote_xml(self.getCgi()))
        if self.mod_perl is not None:
            showIndent(outfile, level)
            outfile.write('<mod_perl>%s</mod_perl>\n' % quote_xml(self.getMod_perl()))
        if self.mod_python is not None:
            showIndent(outfile, level)
            outfile.write('<mod_python>%s</mod_python>\n' % quote_xml(self.getMod_python()))
        if self.asp is not None:
            showIndent(outfile, level)
            outfile.write('<asp>%s</asp>\n' % quote_xml(self.getAsp()))
        if self.asp_dot_net is not None:
            showIndent(outfile, level)
            outfile.write('<asp_dot_net>%s</asp_dot_net>\n' % quote_xml(self.getAsp_dot_net()))
        if self.managed_runtime_version is not None:
            showIndent(outfile, level)
            outfile.write('<managed_runtime_version>%s</managed_runtime_version>\n' % quote_xml(self.getManaged_runtime_version()))
        if self.coldfusion is not None:
            showIndent(outfile, level)
            outfile.write('<coldfusion>%s</coldfusion>\n' % quote_xml(self.getColdfusion()))
        if self.webstat is not None:
            showIndent(outfile, level)
            outfile.write('<webstat>%s</webstat>\n' % quote_xml(self.getWebstat()))
        if self.webstat_protected is not None:
            showIndent(outfile, level)
            outfile.write('<webstat_protected>%d</webstat_protected>\n' % self.getWebstat_protected())
        if self.errdocs is not None:
            showIndent(outfile, level)
            outfile.write('<errdocs>%s</errdocs>\n' % quote_xml(self.getErrdocs()))
        if self.at_domains is not None:
            showIndent(outfile, level)
            outfile.write('<at_domains>%s</at_domains>\n' % quote_xml(self.getAt_domains()))
        if self.sb_publishing is not None:
            showIndent(outfile, level)
            outfile.write('<sb_publishing>%s</sb_publishing>\n' % quote_xml(self.getSb_publishing()))
        if self.php_safe_mode is not None:
            showIndent(outfile, level)
            outfile.write('<php_safe_mode>%s</php_safe_mode>\n' % quote_xml(self.getPhp_safe_mode()))
        if self.iis_app_pool is not None:
            showIndent(outfile, level)
            outfile.write('<iis-app-pool>%s</iis-app-pool>\n' % quote_xml(self.getIis_app_pool()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ftp_login':
            ftp_login_ = ''
            for text__content_ in child_.childNodes:
                ftp_login_ += text__content_.nodeValue
            self.ftp_login = ftp_login_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ftp_password':
            ftp_password_ = ''
            for text__content_ in child_.childNodes:
                ftp_password_ += text__content_.nodeValue
            self.ftp_password = ftp_password_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ftp_quota':
            ftp_quota_ = ''
            for text__content_ in child_.childNodes:
                ftp_quota_ += text__content_.nodeValue
            self.ftp_quota = ftp_quota_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'fp':
            fp_ = ''
            for text__content_ in child_.childNodes:
                fp_ += text__content_.nodeValue
            self.fp = fp_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'fp_ssl':
            fp_ssl_ = ''
            for text__content_ in child_.childNodes:
                fp_ssl_ += text__content_.nodeValue
            self.fp_ssl = fp_ssl_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'fp_auth':
            fp_auth_ = ''
            for text__content_ in child_.childNodes:
                fp_auth_ += text__content_.nodeValue
            self.fp_auth = fp_auth_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'fp_admin_login':
            fp_admin_login_ = ''
            for text__content_ in child_.childNodes:
                fp_admin_login_ += text__content_.nodeValue
            self.fp_admin_login = fp_admin_login_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'fp_admin_password':
            fp_admin_password_ = ''
            for text__content_ in child_.childNodes:
                fp_admin_password_ += text__content_.nodeValue
            self.fp_admin_password = fp_admin_password_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ssl':
            ssl_ = ''
            for text__content_ in child_.childNodes:
                ssl_ += text__content_.nodeValue
            self.ssl = ssl_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'shell':
            shell_ = ''
            for text__content_ in child_.childNodes:
                shell_ += text__content_.nodeValue
            self.shell = shell_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'shell-forbidden':
            obj_ = NoneType.factory()
            obj_.build(child_)
            self.setShell_forbidden(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'php':
            php_ = ''
            for text__content_ in child_.childNodes:
                php_ += text__content_.nodeValue
            self.php = php_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'php_isapi':
            php_isapi_ = ''
            for text__content_ in child_.childNodes:
                php_isapi_ += text__content_.nodeValue
            self.php_isapi = php_isapi_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ssi':
            ssi_ = ''
            for text__content_ in child_.childNodes:
                ssi_ += text__content_.nodeValue
            self.ssi = ssi_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ssi_html':
            ssi_html_ = ''
            for text__content_ in child_.childNodes:
                ssi_html_ += text__content_.nodeValue
            self.ssi_html = ssi_html_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'cgi':
            cgi_ = ''
            for text__content_ in child_.childNodes:
                cgi_ += text__content_.nodeValue
            self.cgi = cgi_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'mod_perl':
            mod_perl_ = ''
            for text__content_ in child_.childNodes:
                mod_perl_ += text__content_.nodeValue
            self.mod_perl = mod_perl_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'mod_python':
            mod_python_ = ''
            for text__content_ in child_.childNodes:
                mod_python_ += text__content_.nodeValue
            self.mod_python = mod_python_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'asp':
            asp_ = ''
            for text__content_ in child_.childNodes:
                asp_ += text__content_.nodeValue
            self.asp = asp_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'asp_dot_net':
            asp_dot_net_ = ''
            for text__content_ in child_.childNodes:
                asp_dot_net_ += text__content_.nodeValue
            self.asp_dot_net = asp_dot_net_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'managed_runtime_version':
            managed_runtime_version_ = ''
            for text__content_ in child_.childNodes:
                managed_runtime_version_ += text__content_.nodeValue
            self.managed_runtime_version = managed_runtime_version_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'coldfusion':
            coldfusion_ = ''
            for text__content_ in child_.childNodes:
                coldfusion_ += text__content_.nodeValue
            self.coldfusion = coldfusion_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'webstat':
            webstat_ = ''
            for text__content_ in child_.childNodes:
                webstat_ += text__content_.nodeValue
            self.webstat = webstat_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'webstat_protected':
            if child_.firstChild:
                sval_ = child_.firstChild.nodeValue
                if sval_ in ('true', '1'):
                    ival_ = 1
                elif sval_ in ('false', '0'):
                    ival_ = 0
                else:
                    raise ValueError('requires boolean -- %s' % child_.toxml())
                self.webstat_protected = ival_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'errdocs':
            errdocs_ = ''
            for text__content_ in child_.childNodes:
                errdocs_ += text__content_.nodeValue
            self.errdocs = errdocs_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'at_domains':
            at_domains_ = ''
            for text__content_ in child_.childNodes:
                at_domains_ += text__content_.nodeValue
            self.at_domains = at_domains_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'sb_publishing':
            sb_publishing_ = ''
            for text__content_ in child_.childNodes:
                sb_publishing_ += text__content_.nodeValue
            self.sb_publishing = sb_publishing_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'php_safe_mode':
            php_safe_mode_ = ''
            for text__content_ in child_.childNodes:
                php_safe_mode_ += text__content_.nodeValue
            self.php_safe_mode = php_safe_mode_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'iis-app-pool':
            iis_app_pool_ = ''
            for text__content_ in child_.childNodes:
                iis_app_pool_ += text__content_.nodeValue
            self.iis_app_pool = iis_app_pool_
# end class domainPhHostingSet


class domainPhHostingGet:
    subclass = None
    def __init__(self, ftp_login=None, ftp_password=None, ftp_password_type=None, ftp_quota=None, fp=None, fp_ssl=None, fp_auth=None, fp_admin_login=None, fp_admin_password=None, ssl=None, shell=None, shell_forbidden=None, php=None, php_isapi=None, ssi=None, ssi_html=None, cgi=None, mod_perl=None, mod_python=None, asp=None, asp_dot_net=None, managed_runtime_version=None, coldfusion=None, webstat=None, webstat_protected=None, errdocs=None, at_domains=None, php_safe_mode=None, sb_publishing=None, iis_app_pool=None):
        self.ftp_login = ftp_login
        self.ftp_password = ftp_password
        self.ftp_password_type = ftp_password_type
        self.ftp_quota = ftp_quota
        self.fp = fp
        self.fp_ssl = fp_ssl
        self.fp_auth = fp_auth
        self.fp_admin_login = fp_admin_login
        self.fp_admin_password = fp_admin_password
        self.ssl = ssl
        self.shell = shell
        self.shell_forbidden = shell_forbidden
        self.php = php
        self.php_isapi = php_isapi
        self.ssi = ssi
        self.ssi_html = ssi_html
        self.cgi = cgi
        self.mod_perl = mod_perl
        self.mod_python = mod_python
        self.asp = asp
        self.asp_dot_net = asp_dot_net
        self.managed_runtime_version = managed_runtime_version
        self.coldfusion = coldfusion
        self.webstat = webstat
        self.webstat_protected = webstat_protected
        self.errdocs = errdocs
        self.at_domains = at_domains
        self.php_safe_mode = php_safe_mode
        self.sb_publishing = sb_publishing
        self.iis_app_pool = iis_app_pool
    def factory(*args_, **kwargs_):
        if domainPhHostingGet.subclass:
            return domainPhHostingGet.subclass(*args_, **kwargs_)
        else:
            return domainPhHostingGet(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getFtp_login(self): return self.ftp_login
    def setFtp_login(self, value): self.ftp_login = value
    def getFtp_password(self): return self.ftp_password
    def setFtp_password(self, value): self.ftp_password = value
    def getFtp_password_type(self): return self.ftp_password_type
    def setFtp_password_type(self, value): self.ftp_password_type = value
    def getFtp_quota(self): return self.ftp_quota
    def setFtp_quota(self, value): self.ftp_quota = value
    def getFp(self): return self.fp
    def setFp(self, value): self.fp = value
    def getFp_ssl(self): return self.fp_ssl
    def setFp_ssl(self, value): self.fp_ssl = value
    def getFp_auth(self): return self.fp_auth
    def setFp_auth(self, value): self.fp_auth = value
    def getFp_admin_login(self): return self.fp_admin_login
    def setFp_admin_login(self, value): self.fp_admin_login = value
    def getFp_admin_password(self): return self.fp_admin_password
    def setFp_admin_password(self, value): self.fp_admin_password = value
    def getSsl(self): return self.ssl
    def setSsl(self, value): self.ssl = value
    def getShell(self): return self.shell
    def setShell(self, value): self.shell = value
    def getShell_forbidden(self): return self.shell_forbidden
    def setShell_forbidden(self, value): self.shell_forbidden = value
    def getPhp(self): return self.php
    def setPhp(self, value): self.php = value
    def getPhp_isapi(self): return self.php_isapi
    def setPhp_isapi(self, value): self.php_isapi = value
    def getSsi(self): return self.ssi
    def setSsi(self, value): self.ssi = value
    def getSsi_html(self): return self.ssi_html
    def setSsi_html(self, value): self.ssi_html = value
    def getCgi(self): return self.cgi
    def setCgi(self, value): self.cgi = value
    def getMod_perl(self): return self.mod_perl
    def setMod_perl(self, value): self.mod_perl = value
    def getMod_python(self): return self.mod_python
    def setMod_python(self, value): self.mod_python = value
    def getAsp(self): return self.asp
    def setAsp(self, value): self.asp = value
    def getAsp_dot_net(self): return self.asp_dot_net
    def setAsp_dot_net(self, value): self.asp_dot_net = value
    def getManaged_runtime_version(self): return self.managed_runtime_version
    def setManaged_runtime_version(self, value): self.managed_runtime_version = value
    def getColdfusion(self): return self.coldfusion
    def setColdfusion(self, value): self.coldfusion = value
    def getWebstat(self): return self.webstat
    def setWebstat(self, value): self.webstat = value
    def getWebstat_protected(self): return self.webstat_protected
    def setWebstat_protected(self, value): self.webstat_protected = value
    def getErrdocs(self): return self.errdocs
    def setErrdocs(self, value): self.errdocs = value
    def getAt_domains(self): return self.at_domains
    def setAt_domains(self, value): self.at_domains = value
    def getPhp_safe_mode(self): return self.php_safe_mode
    def setPhp_safe_mode(self, value): self.php_safe_mode = value
    def getSb_publishing(self): return self.sb_publishing
    def setSb_publishing(self, value): self.sb_publishing = value
    def getIis_app_pool(self): return self.iis_app_pool
    def setIis_app_pool(self, value): self.iis_app_pool = value
    def export(self, outfile, level, name_='domainPhHostingGet'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='domainPhHostingGet'):
        pass
    def exportChildren(self, outfile, level, name_='domainPhHostingGet'):
        if self.ftp_login is not None:
            showIndent(outfile, level)
            outfile.write('<ftp_login>%s</ftp_login>\n' % quote_xml(self.getFtp_login()))
        if self.ftp_password is not None:
            showIndent(outfile, level)
            outfile.write('<ftp_password>%s</ftp_password>\n' % quote_xml(self.getFtp_password()))
        if self.ftp_password_type is not None:
            showIndent(outfile, level)
            outfile.write('<ftp_password_type>%s</ftp_password_type>\n' % quote_xml(self.getFtp_password_type()))
        if self.ftp_quota is not None:
            showIndent(outfile, level)
            outfile.write('<ftp_quota>%s</ftp_quota>\n' % quote_xml(self.getFtp_quota()))
        if self.fp is not None:
            showIndent(outfile, level)
            outfile.write('<fp>%s</fp>\n' % quote_xml(self.getFp()))
        if self.fp_ssl is not None:
            showIndent(outfile, level)
            outfile.write('<fp_ssl>%s</fp_ssl>\n' % quote_xml(self.getFp_ssl()))
        if self.fp_auth is not None:
            showIndent(outfile, level)
            outfile.write('<fp_auth>%s</fp_auth>\n' % quote_xml(self.getFp_auth()))
        if self.fp_admin_login is not None:
            showIndent(outfile, level)
            outfile.write('<fp_admin_login>%s</fp_admin_login>\n' % quote_xml(self.getFp_admin_login()))
        if self.fp_admin_password is not None:
            showIndent(outfile, level)
            outfile.write('<fp_admin_password>%s</fp_admin_password>\n' % quote_xml(self.getFp_admin_password()))
        if self.ssl is not None:
            showIndent(outfile, level)
            outfile.write('<ssl>%s</ssl>\n' % quote_xml(self.getSsl()))
        if self.shell is not None:
            showIndent(outfile, level)
            outfile.write('<shell>%s</shell>\n' % quote_xml(self.getShell()))
        if self.shell_forbidden is not None:
            self.shell_forbidden.export(outfile, level, name_='shell-forbidden')
        if self.php is not None:
            showIndent(outfile, level)
            outfile.write('<php>%s</php>\n' % quote_xml(self.getPhp()))
        if self.php_isapi is not None:
            showIndent(outfile, level)
            outfile.write('<php_isapi>%s</php_isapi>\n' % quote_xml(self.getPhp_isapi()))
        if self.ssi is not None:
            showIndent(outfile, level)
            outfile.write('<ssi>%s</ssi>\n' % quote_xml(self.getSsi()))
        if self.ssi_html is not None:
            showIndent(outfile, level)
            outfile.write('<ssi_html>%s</ssi_html>\n' % quote_xml(self.getSsi_html()))
        if self.cgi is not None:
            showIndent(outfile, level)
            outfile.write('<cgi>%s</cgi>\n' % quote_xml(self.getCgi()))
        if self.mod_perl is not None:
            showIndent(outfile, level)
            outfile.write('<mod_perl>%s</mod_perl>\n' % quote_xml(self.getMod_perl()))
        if self.mod_python is not None:
            showIndent(outfile, level)
            outfile.write('<mod_python>%s</mod_python>\n' % quote_xml(self.getMod_python()))
        if self.asp is not None:
            showIndent(outfile, level)
            outfile.write('<asp>%s</asp>\n' % quote_xml(self.getAsp()))
        if self.asp_dot_net is not None:
            showIndent(outfile, level)
            outfile.write('<asp_dot_net>%s</asp_dot_net>\n' % quote_xml(self.getAsp_dot_net()))
        if self.managed_runtime_version is not None:
            showIndent(outfile, level)
            outfile.write('<managed_runtime_version>%s</managed_runtime_version>\n' % quote_xml(self.getManaged_runtime_version()))
        if self.coldfusion is not None:
            showIndent(outfile, level)
            outfile.write('<coldfusion>%s</coldfusion>\n' % quote_xml(self.getColdfusion()))
        if self.webstat is not None:
            showIndent(outfile, level)
            outfile.write('<webstat>%s</webstat>\n' % quote_xml(self.getWebstat()))
        if self.webstat_protected is not None:
            showIndent(outfile, level)
            outfile.write('<webstat_protected>%d</webstat_protected>\n' % self.getWebstat_protected())
        if self.errdocs is not None:
            showIndent(outfile, level)
            outfile.write('<errdocs>%s</errdocs>\n' % quote_xml(self.getErrdocs()))
        if self.at_domains is not None:
            showIndent(outfile, level)
            outfile.write('<at_domains>%s</at_domains>\n' % quote_xml(self.getAt_domains()))
        if self.php_safe_mode is not None:
            showIndent(outfile, level)
            outfile.write('<php_safe_mode>%s</php_safe_mode>\n' % quote_xml(self.getPhp_safe_mode()))
        if self.sb_publishing is not None:
            showIndent(outfile, level)
            outfile.write('<sb_publishing>%s</sb_publishing>\n' % quote_xml(self.getSb_publishing()))
        if self.iis_app_pool is not None:
            showIndent(outfile, level)
            outfile.write('<iis-app-pool>%s</iis-app-pool>\n' % quote_xml(self.getIis_app_pool()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ftp_login':
            ftp_login_ = ''
            for text__content_ in child_.childNodes:
                ftp_login_ += text__content_.nodeValue
            self.ftp_login = ftp_login_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ftp_password':
            ftp_password_ = ''
            for text__content_ in child_.childNodes:
                ftp_password_ += text__content_.nodeValue
            self.ftp_password = ftp_password_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ftp_password_type':
            ftp_password_type_ = ''
            for text__content_ in child_.childNodes:
                ftp_password_type_ += text__content_.nodeValue
            self.ftp_password_type = ftp_password_type_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ftp_quota':
            ftp_quota_ = ''
            for text__content_ in child_.childNodes:
                ftp_quota_ += text__content_.nodeValue
            self.ftp_quota = ftp_quota_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'fp':
            fp_ = ''
            for text__content_ in child_.childNodes:
                fp_ += text__content_.nodeValue
            self.fp = fp_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'fp_ssl':
            fp_ssl_ = ''
            for text__content_ in child_.childNodes:
                fp_ssl_ += text__content_.nodeValue
            self.fp_ssl = fp_ssl_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'fp_auth':
            fp_auth_ = ''
            for text__content_ in child_.childNodes:
                fp_auth_ += text__content_.nodeValue
            self.fp_auth = fp_auth_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'fp_admin_login':
            fp_admin_login_ = ''
            for text__content_ in child_.childNodes:
                fp_admin_login_ += text__content_.nodeValue
            self.fp_admin_login = fp_admin_login_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'fp_admin_password':
            fp_admin_password_ = ''
            for text__content_ in child_.childNodes:
                fp_admin_password_ += text__content_.nodeValue
            self.fp_admin_password = fp_admin_password_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ssl':
            ssl_ = ''
            for text__content_ in child_.childNodes:
                ssl_ += text__content_.nodeValue
            self.ssl = ssl_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'shell':
            shell_ = ''
            for text__content_ in child_.childNodes:
                shell_ += text__content_.nodeValue
            self.shell = shell_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'shell-forbidden':
            obj_ = NoneType.factory()
            obj_.build(child_)
            self.setShell_forbidden(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'php':
            php_ = ''
            for text__content_ in child_.childNodes:
                php_ += text__content_.nodeValue
            self.php = php_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'php_isapi':
            php_isapi_ = ''
            for text__content_ in child_.childNodes:
                php_isapi_ += text__content_.nodeValue
            self.php_isapi = php_isapi_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ssi':
            ssi_ = ''
            for text__content_ in child_.childNodes:
                ssi_ += text__content_.nodeValue
            self.ssi = ssi_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ssi_html':
            ssi_html_ = ''
            for text__content_ in child_.childNodes:
                ssi_html_ += text__content_.nodeValue
            self.ssi_html = ssi_html_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'cgi':
            cgi_ = ''
            for text__content_ in child_.childNodes:
                cgi_ += text__content_.nodeValue
            self.cgi = cgi_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'mod_perl':
            mod_perl_ = ''
            for text__content_ in child_.childNodes:
                mod_perl_ += text__content_.nodeValue
            self.mod_perl = mod_perl_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'mod_python':
            mod_python_ = ''
            for text__content_ in child_.childNodes:
                mod_python_ += text__content_.nodeValue
            self.mod_python = mod_python_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'asp':
            asp_ = ''
            for text__content_ in child_.childNodes:
                asp_ += text__content_.nodeValue
            self.asp = asp_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'asp_dot_net':
            asp_dot_net_ = ''
            for text__content_ in child_.childNodes:
                asp_dot_net_ += text__content_.nodeValue
            self.asp_dot_net = asp_dot_net_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'managed_runtime_version':
            managed_runtime_version_ = ''
            for text__content_ in child_.childNodes:
                managed_runtime_version_ += text__content_.nodeValue
            self.managed_runtime_version = managed_runtime_version_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'coldfusion':
            coldfusion_ = ''
            for text__content_ in child_.childNodes:
                coldfusion_ += text__content_.nodeValue
            self.coldfusion = coldfusion_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'webstat':
            webstat_ = ''
            for text__content_ in child_.childNodes:
                webstat_ += text__content_.nodeValue
            self.webstat = webstat_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'webstat_protected':
            if child_.firstChild:
                sval_ = child_.firstChild.nodeValue
                if sval_ in ('true', '1'):
                    ival_ = 1
                elif sval_ in ('false', '0'):
                    ival_ = 0
                else:
                    raise ValueError('requires boolean -- %s' % child_.toxml())
                self.webstat_protected = ival_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'errdocs':
            errdocs_ = ''
            for text__content_ in child_.childNodes:
                errdocs_ += text__content_.nodeValue
            self.errdocs = errdocs_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'at_domains':
            at_domains_ = ''
            for text__content_ in child_.childNodes:
                at_domains_ += text__content_.nodeValue
            self.at_domains = at_domains_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'php_safe_mode':
            php_safe_mode_ = ''
            for text__content_ in child_.childNodes:
                php_safe_mode_ += text__content_.nodeValue
            self.php_safe_mode = php_safe_mode_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'sb_publishing':
            sb_publishing_ = ''
            for text__content_ in child_.childNodes:
                sb_publishing_ += text__content_.nodeValue
            self.sb_publishing = sb_publishing_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'iis-app-pool':
            iis_app_pool_ = ''
            for text__content_ in child_.childNodes:
                iis_app_pool_ += text__content_.nodeValue
            self.iis_app_pool = iis_app_pool_
# end class domainPhHostingGet


class domainFFHostingBase:
    subclass = None
    def __init__(self, dest_url=''):
        self.dest_url = dest_url
    def factory(*args_, **kwargs_):
        if domainFFHostingBase.subclass:
            return domainFFHostingBase.subclass(*args_, **kwargs_)
        else:
            return domainFFHostingBase(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getDest_url(self): return self.dest_url
    def setDest_url(self, value): self.dest_url = value
    def export(self, outfile, level, name_='domainFFHostingBase'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='domainFFHostingBase'):
        pass
    def exportChildren(self, outfile, level, name_='domainFFHostingBase'):
        showIndent(outfile, level)
        outfile.write('<dest_url>%s</dest_url>\n' % quote_xml(self.getDest_url()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'dest_url':
            dest_url_ = ''
            for text__content_ in child_.childNodes:
                dest_url_ += text__content_.nodeValue
            self.dest_url = dest_url_
# end class domainFFHostingBase


class domainSFHostingBase:
    subclass = None
    def __init__(self, dest_url=''):
        self.dest_url = dest_url
    def factory(*args_, **kwargs_):
        if domainSFHostingBase.subclass:
            return domainSFHostingBase.subclass(*args_, **kwargs_)
        else:
            return domainSFHostingBase(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getDest_url(self): return self.dest_url
    def setDest_url(self, value): self.dest_url = value
    def export(self, outfile, level, name_='domainSFHostingBase'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='domainSFHostingBase'):
        pass
    def exportChildren(self, outfile, level, name_='domainSFHostingBase'):
        showIndent(outfile, level)
        outfile.write('<dest_url>%s</dest_url>\n' % quote_xml(self.getDest_url()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'dest_url':
            dest_url_ = ''
            for text__content_ in child_.childNodes:
                dest_url_ += text__content_.nodeValue
            self.dest_url = dest_url_
# end class domainSFHostingBase


class domainBTPhHosting:
    subclass = None
    def __init__(self, ftp_login='', ftp_password='', fp_admin_login=None, fp_admin_password=None, shell=None):
        self.ftp_login = ftp_login
        self.ftp_password = ftp_password
        self.fp_admin_login = fp_admin_login
        self.fp_admin_password = fp_admin_password
        self.shell = shell
    def factory(*args_, **kwargs_):
        if domainBTPhHosting.subclass:
            return domainBTPhHosting.subclass(*args_, **kwargs_)
        else:
            return domainBTPhHosting(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getFtp_login(self): return self.ftp_login
    def setFtp_login(self, value): self.ftp_login = value
    def getFtp_password(self): return self.ftp_password
    def setFtp_password(self, value): self.ftp_password = value
    def getFp_admin_login(self): return self.fp_admin_login
    def setFp_admin_login(self, value): self.fp_admin_login = value
    def getFp_admin_password(self): return self.fp_admin_password
    def setFp_admin_password(self, value): self.fp_admin_password = value
    def getShell(self): return self.shell
    def setShell(self, value): self.shell = value
    def export(self, outfile, level, name_='domainBTPhHosting'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='domainBTPhHosting'):
        pass
    def exportChildren(self, outfile, level, name_='domainBTPhHosting'):
        showIndent(outfile, level)
        outfile.write('<ftp_login>%s</ftp_login>\n' % quote_xml(self.getFtp_login()))
        showIndent(outfile, level)
        outfile.write('<ftp_password>%s</ftp_password>\n' % quote_xml(self.getFtp_password()))
        if self.fp_admin_login is not None:
            showIndent(outfile, level)
            outfile.write('<fp_admin_login>%s</fp_admin_login>\n' % quote_xml(self.getFp_admin_login()))
        if self.fp_admin_password is not None:
            showIndent(outfile, level)
            outfile.write('<fp_admin_password>%s</fp_admin_password>\n' % quote_xml(self.getFp_admin_password()))
        if self.shell is not None:
            showIndent(outfile, level)
            outfile.write('<shell>%s</shell>\n' % quote_xml(self.getShell()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ftp_login':
            ftp_login_ = ''
            for text__content_ in child_.childNodes:
                ftp_login_ += text__content_.nodeValue
            self.ftp_login = ftp_login_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ftp_password':
            ftp_password_ = ''
            for text__content_ in child_.childNodes:
                ftp_password_ += text__content_.nodeValue
            self.ftp_password = ftp_password_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'fp_admin_login':
            fp_admin_login_ = ''
            for text__content_ in child_.childNodes:
                fp_admin_login_ += text__content_.nodeValue
            self.fp_admin_login = fp_admin_login_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'fp_admin_password':
            fp_admin_password_ = ''
            for text__content_ in child_.childNodes:
                fp_admin_password_ += text__content_.nodeValue
            self.fp_admin_password = fp_admin_password_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'shell':
            shell_ = ''
            for text__content_ in child_.childNodes:
                shell_ += text__content_.nodeValue
            self.shell = shell_
# end class domainBTPhHosting


class domainBTHostingOp:
    subclass = None
    def __init__(self, vrt_hst=None, std_fwd=None, frm_fwd=None):
        self.vrt_hst = vrt_hst
        self.std_fwd = std_fwd
        self.frm_fwd = frm_fwd
    def factory(*args_, **kwargs_):
        if domainBTHostingOp.subclass:
            return domainBTHostingOp.subclass(*args_, **kwargs_)
        else:
            return domainBTHostingOp(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getVrt_hst(self): return self.vrt_hst
    def setVrt_hst(self, value): self.vrt_hst = value
    def getStd_fwd(self): return self.std_fwd
    def setStd_fwd(self, value): self.std_fwd = value
    def getFrm_fwd(self): return self.frm_fwd
    def setFrm_fwd(self, value): self.frm_fwd = value
    def export(self, outfile, level, name_='domainBTHostingOp'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='domainBTHostingOp'):
        pass
    def exportChildren(self, outfile, level, name_='domainBTHostingOp'):
        if self.vrt_hst is not None:
            self.vrt_hst.export(outfile, level)
        if self.std_fwd is not None:
            self.std_fwd.export(outfile, level)
        if self.frm_fwd is not None:
            self.frm_fwd.export(outfile, level)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'vrt_hst':
            obj_ = vrt_hst.factory()
            obj_.build(child_)
            self.setVrt_hst(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'std_fwd':
            obj_ = std_fwd.factory()
            obj_.build(child_)
            self.setStd_fwd(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'frm_fwd':
            obj_ = frm_fwd.factory()
            obj_.build(child_)
            self.setFrm_fwd(obj_)
# end class domainBTHostingOp


class domainHostingAgentGet:
    subclass = None
    def __init__(self, vrt_hst=None, std_fwd=None, frm_fwd=None, none=None):
        self.vrt_hst = vrt_hst
        self.std_fwd = std_fwd
        self.frm_fwd = frm_fwd
        self.none = none
    def factory(*args_, **kwargs_):
        if domainHostingAgentGet.subclass:
            return domainHostingAgentGet.subclass(*args_, **kwargs_)
        else:
            return domainHostingAgentGet(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getVrt_hst(self): return self.vrt_hst
    def setVrt_hst(self, value): self.vrt_hst = value
    def getStd_fwd(self): return self.std_fwd
    def setStd_fwd(self, value): self.std_fwd = value
    def getFrm_fwd(self): return self.frm_fwd
    def setFrm_fwd(self, value): self.frm_fwd = value
    def getNone(self): return self.none
    def setNone(self, value): self.none = value
    def export(self, outfile, level, name_='domainHostingAgentGet'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='domainHostingAgentGet'):
        pass
    def exportChildren(self, outfile, level, name_='domainHostingAgentGet'):
        if self.vrt_hst is not None:
            self.vrt_hst.export(outfile, level)
        if self.std_fwd is not None:
            self.std_fwd.export(outfile, level)
        if self.frm_fwd is not None:
            self.frm_fwd.export(outfile, level)
        if self.none is not None:
            showIndent(outfile, level)
            outfile.write('<none>%s</none>\n' % quote_xml(self.getNone()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'vrt_hst':
            obj_ = vrt_hst.factory()
            obj_.build(child_)
            self.setVrt_hst(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'std_fwd':
            obj_ = std_fwd.factory()
            obj_.build(child_)
            self.setStd_fwd(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'frm_fwd':
            obj_ = frm_fwd.factory()
            obj_.build(child_)
            self.setFrm_fwd(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'none':
            none_ = ''
            for text__content_ in child_.childNodes:
                none_ += text__content_.nodeValue
            self.none = none_
# end class domainHostingAgentGet


class domainHostingAgentSet:
    subclass = None
    def __init__(self, vrt_hst=None, std_fwd=None, frm_fwd=None, none=None):
        self.vrt_hst = vrt_hst
        self.std_fwd = std_fwd
        self.frm_fwd = frm_fwd
        self.none = none
    def factory(*args_, **kwargs_):
        if domainHostingAgentSet.subclass:
            return domainHostingAgentSet.subclass(*args_, **kwargs_)
        else:
            return domainHostingAgentSet(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getVrt_hst(self): return self.vrt_hst
    def setVrt_hst(self, value): self.vrt_hst = value
    def getStd_fwd(self): return self.std_fwd
    def setStd_fwd(self, value): self.std_fwd = value
    def getFrm_fwd(self): return self.frm_fwd
    def setFrm_fwd(self, value): self.frm_fwd = value
    def getNone(self): return self.none
    def setNone(self, value): self.none = value
    def export(self, outfile, level, name_='domainHostingAgentSet'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='domainHostingAgentSet'):
        pass
    def exportChildren(self, outfile, level, name_='domainHostingAgentSet'):
        if self.vrt_hst is not None:
            self.vrt_hst.export(outfile, level)
        if self.std_fwd is not None:
            self.std_fwd.export(outfile, level)
        if self.frm_fwd is not None:
            self.frm_fwd.export(outfile, level)
        if self.none is not None:
            showIndent(outfile, level)
            outfile.write('<none>%s</none>\n' % quote_xml(self.getNone()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'vrt_hst':
            obj_ = vrt_hst.factory()
            obj_.build(child_)
            self.setVrt_hst(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'std_fwd':
            obj_ = std_fwd.factory()
            obj_.build(child_)
            self.setStd_fwd(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'frm_fwd':
            obj_ = frm_fwd.factory()
            obj_.build(child_)
            self.setFrm_fwd(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'none':
            none_ = ''
            for text__content_ in child_.childNodes:
                none_ += text__content_.nodeValue
            self.none = none_
# end class domainHostingAgentSet


class domainHostingOpSet:
    subclass = None
    def __init__(self, vrt_hst=None, std_fwd=None, frm_fwd=None, none=None):
        self.vrt_hst = vrt_hst
        self.std_fwd = std_fwd
        self.frm_fwd = frm_fwd
        self.none = none
    def factory(*args_, **kwargs_):
        if domainHostingOpSet.subclass:
            return domainHostingOpSet.subclass(*args_, **kwargs_)
        else:
            return domainHostingOpSet(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getVrt_hst(self): return self.vrt_hst
    def setVrt_hst(self, value): self.vrt_hst = value
    def getStd_fwd(self): return self.std_fwd
    def setStd_fwd(self, value): self.std_fwd = value
    def getFrm_fwd(self): return self.frm_fwd
    def setFrm_fwd(self, value): self.frm_fwd = value
    def getNone(self): return self.none
    def setNone(self, value): self.none = value
    def export(self, outfile, level, name_='domainHostingOpSet'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='domainHostingOpSet'):
        pass
    def exportChildren(self, outfile, level, name_='domainHostingOpSet'):
        if self.vrt_hst is not None:
            self.vrt_hst.export(outfile, level)
        if self.std_fwd is not None:
            self.std_fwd.export(outfile, level)
        if self.frm_fwd is not None:
            self.frm_fwd.export(outfile, level)
        if self.none is not None:
            showIndent(outfile, level)
            outfile.write('<none>%s</none>\n' % quote_xml(self.getNone()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'vrt_hst':
            obj_ = vrt_hst.factory()
            obj_.build(child_)
            self.setVrt_hst(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'std_fwd':
            obj_ = std_fwd.factory()
            obj_.build(child_)
            self.setStd_fwd(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'frm_fwd':
            obj_ = frm_fwd.factory()
            obj_.build(child_)
            self.setFrm_fwd(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'none':
            none_ = ''
            for text__content_ in child_.childNodes:
                none_ += text__content_.nodeValue
            self.none = none_
# end class domainHostingOpSet


class domainHostingOpGet:
    subclass = None
    def __init__(self, vrt_hst=None, std_fwd=None, frm_fwd=None, none=None):
        self.vrt_hst = vrt_hst
        self.std_fwd = std_fwd
        self.frm_fwd = frm_fwd
        self.none = none
    def factory(*args_, **kwargs_):
        if domainHostingOpGet.subclass:
            return domainHostingOpGet.subclass(*args_, **kwargs_)
        else:
            return domainHostingOpGet(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getVrt_hst(self): return self.vrt_hst
    def setVrt_hst(self, value): self.vrt_hst = value
    def getStd_fwd(self): return self.std_fwd
    def setStd_fwd(self, value): self.std_fwd = value
    def getFrm_fwd(self): return self.frm_fwd
    def setFrm_fwd(self, value): self.frm_fwd = value
    def getNone(self): return self.none
    def setNone(self, value): self.none = value
    def export(self, outfile, level, name_='domainHostingOpGet'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='domainHostingOpGet'):
        pass
    def exportChildren(self, outfile, level, name_='domainHostingOpGet'):
        if self.vrt_hst is not None:
            self.vrt_hst.export(outfile, level, name_='vrt_hst')
        if self.std_fwd is not None:
            self.std_fwd.export(outfile, level)
        if self.frm_fwd is not None:
            self.frm_fwd.export(outfile, level)
        if self.none is not None:
            showIndent(outfile, level)
            outfile.write('<none>%s</none>\n' % quote_xml(self.getNone()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'vrt_hst':
            obj_ = domainPhHostingGet.factory()
            obj_.build(child_)
            self.setVrt_hst(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'std_fwd':
            obj_ = std_fwd.factory()
            obj_.build(child_)
            self.setStd_fwd(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'frm_fwd':
            obj_ = frm_fwd.factory()
            obj_.build(child_)
            self.setFrm_fwd(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'none':
            none_ = ''
            for text__content_ in child_.childNodes:
                none_ += text__content_.nodeValue
            self.none = none_
# end class domainHostingOpGet


class domainStat:
    subclass = None
    def __init__(self, traffic='', subdom='', wu='', box='', redir='', mg='', resp='', maillists='', db='', webapps='', traffic_prevday=''):
        self.traffic = traffic
        self.subdom = subdom
        self.wu = wu
        self.box = box
        self.redir = redir
        self.mg = mg
        self.resp = resp
        self.maillists = maillists
        self.db = db
        self.webapps = webapps
        self.traffic_prevday = traffic_prevday
    def factory(*args_, **kwargs_):
        if domainStat.subclass:
            return domainStat.subclass(*args_, **kwargs_)
        else:
            return domainStat(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getTraffic(self): return self.traffic
    def setTraffic(self, value): self.traffic = value
    def getSubdom(self): return self.subdom
    def setSubdom(self, value): self.subdom = value
    def getWu(self): return self.wu
    def setWu(self, value): self.wu = value
    def getBox(self): return self.box
    def setBox(self, value): self.box = value
    def getRedir(self): return self.redir
    def setRedir(self, value): self.redir = value
    def getMg(self): return self.mg
    def setMg(self, value): self.mg = value
    def getResp(self): return self.resp
    def setResp(self, value): self.resp = value
    def getMaillists(self): return self.maillists
    def setMaillists(self, value): self.maillists = value
    def getDb(self): return self.db
    def setDb(self, value): self.db = value
    def getWebapps(self): return self.webapps
    def setWebapps(self, value): self.webapps = value
    def getTraffic_prevday(self): return self.traffic_prevday
    def setTraffic_prevday(self, value): self.traffic_prevday = value
    def export(self, outfile, level, name_='domainStat'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='domainStat'):
        pass
    def exportChildren(self, outfile, level, name_='domainStat'):
        showIndent(outfile, level)
        outfile.write('<traffic>%s</traffic>\n' % quote_xml(self.getTraffic()))
        showIndent(outfile, level)
        outfile.write('<subdom>%s</subdom>\n' % quote_xml(self.getSubdom()))
        showIndent(outfile, level)
        outfile.write('<wu>%s</wu>\n' % quote_xml(self.getWu()))
        showIndent(outfile, level)
        outfile.write('<box>%s</box>\n' % quote_xml(self.getBox()))
        showIndent(outfile, level)
        outfile.write('<redir>%s</redir>\n' % quote_xml(self.getRedir()))
        showIndent(outfile, level)
        outfile.write('<mg>%s</mg>\n' % quote_xml(self.getMg()))
        showIndent(outfile, level)
        outfile.write('<resp>%s</resp>\n' % quote_xml(self.getResp()))
        showIndent(outfile, level)
        outfile.write('<maillists>%s</maillists>\n' % quote_xml(self.getMaillists()))
        showIndent(outfile, level)
        outfile.write('<db>%s</db>\n' % quote_xml(self.getDb()))
        showIndent(outfile, level)
        outfile.write('<webapps>%s</webapps>\n' % quote_xml(self.getWebapps()))
        showIndent(outfile, level)
        outfile.write('<traffic_prevday>%s</traffic_prevday>\n' % quote_xml(self.getTraffic_prevday()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'traffic':
            traffic_ = ''
            for text__content_ in child_.childNodes:
                traffic_ += text__content_.nodeValue
            self.traffic = traffic_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'subdom':
            subdom_ = ''
            for text__content_ in child_.childNodes:
                subdom_ += text__content_.nodeValue
            self.subdom = subdom_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'wu':
            wu_ = ''
            for text__content_ in child_.childNodes:
                wu_ += text__content_.nodeValue
            self.wu = wu_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'box':
            box_ = ''
            for text__content_ in child_.childNodes:
                box_ += text__content_.nodeValue
            self.box = box_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'redir':
            redir_ = ''
            for text__content_ in child_.childNodes:
                redir_ += text__content_.nodeValue
            self.redir = redir_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'mg':
            mg_ = ''
            for text__content_ in child_.childNodes:
                mg_ += text__content_.nodeValue
            self.mg = mg_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'resp':
            resp_ = ''
            for text__content_ in child_.childNodes:
                resp_ += text__content_.nodeValue
            self.resp = resp_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'maillists':
            maillists_ = ''
            for text__content_ in child_.childNodes:
                maillists_ += text__content_.nodeValue
            self.maillists = maillists_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'db':
            db_ = ''
            for text__content_ in child_.childNodes:
                db_ += text__content_.nodeValue
            self.db = db_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'webapps':
            webapps_ = ''
            for text__content_ in child_.childNodes:
                webapps_ += text__content_.nodeValue
            self.webapps = webapps_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'traffic_prevday':
            traffic_prevday_ = ''
            for text__content_ in child_.childNodes:
                traffic_prevday_ += text__content_.nodeValue
            self.traffic_prevday = traffic_prevday_
# end class domainStat


class domainPerms:
    subclass = None
    def __init__(self, manage_phosting=None, manage_not_chroot_shell=None, manage_quota=None, manage_subdomains=None, manage_dns=None, manage_log=None, manage_crontab=None, manage_anonftp=None, manage_webapps=None, manage_sh_access=None, manage_maillists=None, manage_drweb=None, make_dumps=None, site_builder=None, manage_ftp_password=None, manage_performance=None, manage_domain_aliases=None, manage_iis_app_pool=None, dashboard=None, stdgui=None, manage_dashboard=None, manage_subftp=None):
        self.manage_phosting = manage_phosting
        self.manage_not_chroot_shell = manage_not_chroot_shell
        self.manage_quota = manage_quota
        self.manage_subdomains = manage_subdomains
        self.manage_dns = manage_dns
        self.manage_log = manage_log
        self.manage_crontab = manage_crontab
        self.manage_anonftp = manage_anonftp
        self.manage_webapps = manage_webapps
        self.manage_sh_access = manage_sh_access
        self.manage_maillists = manage_maillists
        self.manage_drweb = manage_drweb
        self.make_dumps = make_dumps
        self.site_builder = site_builder
        self.manage_ftp_password = manage_ftp_password
        self.manage_performance = manage_performance
        self.manage_domain_aliases = manage_domain_aliases
        self.manage_iis_app_pool = manage_iis_app_pool
        self.dashboard = dashboard
        self.stdgui = stdgui
        self.manage_dashboard = manage_dashboard
        self.manage_subftp = manage_subftp
    def factory(*args_, **kwargs_):
        if domainPerms.subclass:
            return domainPerms.subclass(*args_, **kwargs_)
        else:
            return domainPerms(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getManage_phosting(self): return self.manage_phosting
    def setManage_phosting(self, value): self.manage_phosting = value
    def getManage_not_chroot_shell(self): return self.manage_not_chroot_shell
    def setManage_not_chroot_shell(self, value): self.manage_not_chroot_shell = value
    def getManage_quota(self): return self.manage_quota
    def setManage_quota(self, value): self.manage_quota = value
    def getManage_subdomains(self): return self.manage_subdomains
    def setManage_subdomains(self, value): self.manage_subdomains = value
    def getManage_dns(self): return self.manage_dns
    def setManage_dns(self, value): self.manage_dns = value
    def getManage_log(self): return self.manage_log
    def setManage_log(self, value): self.manage_log = value
    def getManage_crontab(self): return self.manage_crontab
    def setManage_crontab(self, value): self.manage_crontab = value
    def getManage_anonftp(self): return self.manage_anonftp
    def setManage_anonftp(self, value): self.manage_anonftp = value
    def getManage_webapps(self): return self.manage_webapps
    def setManage_webapps(self, value): self.manage_webapps = value
    def getManage_sh_access(self): return self.manage_sh_access
    def setManage_sh_access(self, value): self.manage_sh_access = value
    def getManage_maillists(self): return self.manage_maillists
    def setManage_maillists(self, value): self.manage_maillists = value
    def getManage_drweb(self): return self.manage_drweb
    def setManage_drweb(self, value): self.manage_drweb = value
    def getMake_dumps(self): return self.make_dumps
    def setMake_dumps(self, value): self.make_dumps = value
    def getSite_builder(self): return self.site_builder
    def setSite_builder(self, value): self.site_builder = value
    def getManage_ftp_password(self): return self.manage_ftp_password
    def setManage_ftp_password(self, value): self.manage_ftp_password = value
    def getManage_performance(self): return self.manage_performance
    def setManage_performance(self, value): self.manage_performance = value
    def getManage_domain_aliases(self): return self.manage_domain_aliases
    def setManage_domain_aliases(self, value): self.manage_domain_aliases = value
    def getManage_iis_app_pool(self): return self.manage_iis_app_pool
    def setManage_iis_app_pool(self, value): self.manage_iis_app_pool = value
    def getDashboard(self): return self.dashboard
    def setDashboard(self, value): self.dashboard = value
    def getStdgui(self): return self.stdgui
    def setStdgui(self, value): self.stdgui = value
    def getManage_dashboard(self): return self.manage_dashboard
    def setManage_dashboard(self, value): self.manage_dashboard = value
    def getManage_subftp(self): return self.manage_subftp
    def setManage_subftp(self, value): self.manage_subftp = value
    def export(self, outfile, level, name_='domainPerms'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='domainPerms'):
        pass
    def exportChildren(self, outfile, level, name_='domainPerms'):
        if self.manage_phosting is not None:
            showIndent(outfile, level)
            outfile.write('<manage_phosting>%s</manage_phosting>\n' % quote_xml(self.getManage_phosting()))
        if self.manage_not_chroot_shell is not None:
            showIndent(outfile, level)
            outfile.write('<manage_not_chroot_shell>%s</manage_not_chroot_shell>\n' % quote_xml(self.getManage_not_chroot_shell()))
        if self.manage_quota is not None:
            showIndent(outfile, level)
            outfile.write('<manage_quota>%s</manage_quota>\n' % quote_xml(self.getManage_quota()))
        if self.manage_subdomains is not None:
            showIndent(outfile, level)
            outfile.write('<manage_subdomains>%s</manage_subdomains>\n' % quote_xml(self.getManage_subdomains()))
        if self.manage_dns is not None:
            showIndent(outfile, level)
            outfile.write('<manage_dns>%s</manage_dns>\n' % quote_xml(self.getManage_dns()))
        if self.manage_log is not None:
            showIndent(outfile, level)
            outfile.write('<manage_log>%s</manage_log>\n' % quote_xml(self.getManage_log()))
        if self.manage_crontab is not None:
            showIndent(outfile, level)
            outfile.write('<manage_crontab>%s</manage_crontab>\n' % quote_xml(self.getManage_crontab()))
        if self.manage_anonftp is not None:
            showIndent(outfile, level)
            outfile.write('<manage_anonftp>%s</manage_anonftp>\n' % quote_xml(self.getManage_anonftp()))
        if self.manage_webapps is not None:
            showIndent(outfile, level)
            outfile.write('<manage_webapps>%s</manage_webapps>\n' % quote_xml(self.getManage_webapps()))
        if self.manage_sh_access is not None:
            showIndent(outfile, level)
            outfile.write('<manage_sh_access>%s</manage_sh_access>\n' % quote_xml(self.getManage_sh_access()))
        if self.manage_maillists is not None:
            showIndent(outfile, level)
            outfile.write('<manage_maillists>%s</manage_maillists>\n' % quote_xml(self.getManage_maillists()))
        if self.manage_drweb is not None:
            showIndent(outfile, level)
            outfile.write('<manage_drweb>%s</manage_drweb>\n' % quote_xml(self.getManage_drweb()))
        if self.make_dumps is not None:
            showIndent(outfile, level)
            outfile.write('<make_dumps>%s</make_dumps>\n' % quote_xml(self.getMake_dumps()))
        if self.site_builder is not None:
            showIndent(outfile, level)
            outfile.write('<site_builder>%s</site_builder>\n' % quote_xml(self.getSite_builder()))
        if self.manage_ftp_password is not None:
            showIndent(outfile, level)
            outfile.write('<manage_ftp_password>%s</manage_ftp_password>\n' % quote_xml(self.getManage_ftp_password()))
        if self.manage_performance is not None:
            showIndent(outfile, level)
            outfile.write('<manage_performance>%s</manage_performance>\n' % quote_xml(self.getManage_performance()))
        if self.manage_domain_aliases is not None:
            showIndent(outfile, level)
            outfile.write('<manage_domain_aliases>%s</manage_domain_aliases>\n' % quote_xml(self.getManage_domain_aliases()))
        if self.manage_iis_app_pool is not None:
            showIndent(outfile, level)
            outfile.write('<manage_iis_app_pool>%s</manage_iis_app_pool>\n' % quote_xml(self.getManage_iis_app_pool()))
        if self.dashboard is not None:
            showIndent(outfile, level)
            outfile.write('<dashboard>%s</dashboard>\n' % quote_xml(self.getDashboard()))
        if self.stdgui is not None:
            showIndent(outfile, level)
            outfile.write('<stdgui>%s</stdgui>\n' % quote_xml(self.getStdgui()))
        if self.manage_dashboard is not None:
            showIndent(outfile, level)
            outfile.write('<manage_dashboard>%s</manage_dashboard>\n' % quote_xml(self.getManage_dashboard()))
        if self.manage_subftp is not None:
            showIndent(outfile, level)
            outfile.write('<manage_subftp>%s</manage_subftp>\n' % quote_xml(self.getManage_subftp()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'manage_phosting':
            manage_phosting_ = ''
            for text__content_ in child_.childNodes:
                manage_phosting_ += text__content_.nodeValue
            self.manage_phosting = manage_phosting_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'manage_not_chroot_shell':
            manage_not_chroot_shell_ = ''
            for text__content_ in child_.childNodes:
                manage_not_chroot_shell_ += text__content_.nodeValue
            self.manage_not_chroot_shell = manage_not_chroot_shell_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'manage_quota':
            manage_quota_ = ''
            for text__content_ in child_.childNodes:
                manage_quota_ += text__content_.nodeValue
            self.manage_quota = manage_quota_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'manage_subdomains':
            manage_subdomains_ = ''
            for text__content_ in child_.childNodes:
                manage_subdomains_ += text__content_.nodeValue
            self.manage_subdomains = manage_subdomains_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'manage_dns':
            manage_dns_ = ''
            for text__content_ in child_.childNodes:
                manage_dns_ += text__content_.nodeValue
            self.manage_dns = manage_dns_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'manage_log':
            manage_log_ = ''
            for text__content_ in child_.childNodes:
                manage_log_ += text__content_.nodeValue
            self.manage_log = manage_log_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'manage_crontab':
            manage_crontab_ = ''
            for text__content_ in child_.childNodes:
                manage_crontab_ += text__content_.nodeValue
            self.manage_crontab = manage_crontab_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'manage_anonftp':
            manage_anonftp_ = ''
            for text__content_ in child_.childNodes:
                manage_anonftp_ += text__content_.nodeValue
            self.manage_anonftp = manage_anonftp_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'manage_webapps':
            manage_webapps_ = ''
            for text__content_ in child_.childNodes:
                manage_webapps_ += text__content_.nodeValue
            self.manage_webapps = manage_webapps_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'manage_sh_access':
            manage_sh_access_ = ''
            for text__content_ in child_.childNodes:
                manage_sh_access_ += text__content_.nodeValue
            self.manage_sh_access = manage_sh_access_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'manage_maillists':
            manage_maillists_ = ''
            for text__content_ in child_.childNodes:
                manage_maillists_ += text__content_.nodeValue
            self.manage_maillists = manage_maillists_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'manage_drweb':
            manage_drweb_ = ''
            for text__content_ in child_.childNodes:
                manage_drweb_ += text__content_.nodeValue
            self.manage_drweb = manage_drweb_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'make_dumps':
            make_dumps_ = ''
            for text__content_ in child_.childNodes:
                make_dumps_ += text__content_.nodeValue
            self.make_dumps = make_dumps_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'site_builder':
            site_builder_ = ''
            for text__content_ in child_.childNodes:
                site_builder_ += text__content_.nodeValue
            self.site_builder = site_builder_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'manage_ftp_password':
            manage_ftp_password_ = ''
            for text__content_ in child_.childNodes:
                manage_ftp_password_ += text__content_.nodeValue
            self.manage_ftp_password = manage_ftp_password_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'manage_performance':
            manage_performance_ = ''
            for text__content_ in child_.childNodes:
                manage_performance_ += text__content_.nodeValue
            self.manage_performance = manage_performance_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'manage_domain_aliases':
            manage_domain_aliases_ = ''
            for text__content_ in child_.childNodes:
                manage_domain_aliases_ += text__content_.nodeValue
            self.manage_domain_aliases = manage_domain_aliases_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'manage_iis_app_pool':
            manage_iis_app_pool_ = ''
            for text__content_ in child_.childNodes:
                manage_iis_app_pool_ += text__content_.nodeValue
            self.manage_iis_app_pool = manage_iis_app_pool_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'dashboard':
            dashboard_ = ''
            for text__content_ in child_.childNodes:
                dashboard_ += text__content_.nodeValue
            self.dashboard = dashboard_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'stdgui':
            stdgui_ = ''
            for text__content_ in child_.childNodes:
                stdgui_ += text__content_.nodeValue
            self.stdgui = stdgui_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'manage_dashboard':
            manage_dashboard_ = ''
            for text__content_ in child_.childNodes:
                manage_dashboard_ += text__content_.nodeValue
            self.manage_dashboard = manage_dashboard_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'manage_subftp':
            manage_subftp_ = ''
            for text__content_ in child_.childNodes:
                manage_subftp_ += text__content_.nodeValue
            self.manage_subftp = manage_subftp_
# end class domainPerms


class trafficType:
    subclass = None
    def __init__(self, date='', http_in='', http_out='', ftp_in='', ftp_out='', smtp_in='', smtp_out='', pop3_imap_in='', pop3_imap_out=''):
        self.date = date
        self.http_in = http_in
        self.http_out = http_out
        self.ftp_in = ftp_in
        self.ftp_out = ftp_out
        self.smtp_in = smtp_in
        self.smtp_out = smtp_out
        self.pop3_imap_in = pop3_imap_in
        self.pop3_imap_out = pop3_imap_out
    def factory(*args_, **kwargs_):
        if trafficType.subclass:
            return trafficType.subclass(*args_, **kwargs_)
        else:
            return trafficType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getDate(self): return self.date
    def setDate(self, value): self.date = value
    def getHttp_in(self): return self.http_in
    def setHttp_in(self, value): self.http_in = value
    def getHttp_out(self): return self.http_out
    def setHttp_out(self, value): self.http_out = value
    def getFtp_in(self): return self.ftp_in
    def setFtp_in(self, value): self.ftp_in = value
    def getFtp_out(self): return self.ftp_out
    def setFtp_out(self, value): self.ftp_out = value
    def getSmtp_in(self): return self.smtp_in
    def setSmtp_in(self, value): self.smtp_in = value
    def getSmtp_out(self): return self.smtp_out
    def setSmtp_out(self, value): self.smtp_out = value
    def getPop3_imap_in(self): return self.pop3_imap_in
    def setPop3_imap_in(self, value): self.pop3_imap_in = value
    def getPop3_imap_out(self): return self.pop3_imap_out
    def setPop3_imap_out(self, value): self.pop3_imap_out = value
    def export(self, outfile, level, name_='trafficType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='trafficType'):
        pass
    def exportChildren(self, outfile, level, name_='trafficType'):
        showIndent(outfile, level)
        outfile.write('<date>%s</date>\n' % quote_xml(self.getDate()))
        showIndent(outfile, level)
        outfile.write('<http_in>%s</http_in>\n' % quote_xml(self.getHttp_in()))
        showIndent(outfile, level)
        outfile.write('<http_out>%s</http_out>\n' % quote_xml(self.getHttp_out()))
        showIndent(outfile, level)
        outfile.write('<ftp_in>%s</ftp_in>\n' % quote_xml(self.getFtp_in()))
        showIndent(outfile, level)
        outfile.write('<ftp_out>%s</ftp_out>\n' % quote_xml(self.getFtp_out()))
        showIndent(outfile, level)
        outfile.write('<smtp_in>%s</smtp_in>\n' % quote_xml(self.getSmtp_in()))
        showIndent(outfile, level)
        outfile.write('<smtp_out>%s</smtp_out>\n' % quote_xml(self.getSmtp_out()))
        showIndent(outfile, level)
        outfile.write('<pop3_imap_in>%s</pop3_imap_in>\n' % quote_xml(self.getPop3_imap_in()))
        showIndent(outfile, level)
        outfile.write('<pop3_imap_out>%s</pop3_imap_out>\n' % quote_xml(self.getPop3_imap_out()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'date':
            date_ = ''
            for text__content_ in child_.childNodes:
                date_ += text__content_.nodeValue
            self.date = date_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'http_in':
            http_in_ = ''
            for text__content_ in child_.childNodes:
                http_in_ += text__content_.nodeValue
            self.http_in = http_in_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'http_out':
            http_out_ = ''
            for text__content_ in child_.childNodes:
                http_out_ += text__content_.nodeValue
            self.http_out = http_out_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ftp_in':
            ftp_in_ = ''
            for text__content_ in child_.childNodes:
                ftp_in_ += text__content_.nodeValue
            self.ftp_in = ftp_in_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ftp_out':
            ftp_out_ = ''
            for text__content_ in child_.childNodes:
                ftp_out_ += text__content_.nodeValue
            self.ftp_out = ftp_out_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'smtp_in':
            smtp_in_ = ''
            for text__content_ in child_.childNodes:
                smtp_in_ += text__content_.nodeValue
            self.smtp_in = smtp_in_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'smtp_out':
            smtp_out_ = ''
            for text__content_ in child_.childNodes:
                smtp_out_ += text__content_.nodeValue
            self.smtp_out = smtp_out_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'pop3_imap_in':
            pop3_imap_in_ = ''
            for text__content_ in child_.childNodes:
                pop3_imap_in_ += text__content_.nodeValue
            self.pop3_imap_in = pop3_imap_in_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'pop3_imap_out':
            pop3_imap_out_ = ''
            for text__content_ in child_.childNodes:
                pop3_imap_out_ += text__content_.nodeValue
            self.pop3_imap_out = pop3_imap_out_
# end class trafficType


class webStat2:
    subclass = None
    def __init__(self, awstats=None, webalizer=None, protected=None, none=None):
        self.awstats = awstats
        self.webalizer = webalizer
        self.protected = protected
        self.none = none
    def factory(*args_, **kwargs_):
        if webStat2.subclass:
            return webStat2.subclass(*args_, **kwargs_)
        else:
            return webStat2(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getAwstats(self): return self.awstats
    def setAwstats(self, value): self.awstats = value
    def getWebalizer(self): return self.webalizer
    def setWebalizer(self, value): self.webalizer = value
    def getProtected(self): return self.protected
    def setProtected(self, value): self.protected = value
    def getNone(self): return self.none
    def setNone(self, value): self.none = value
    def export(self, outfile, level, name_='webStat2'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='webStat2'):
        pass
    def exportChildren(self, outfile, level, name_='webStat2'):
        if self.awstats is not None:
            showIndent(outfile, level)
            outfile.write('<awstats>%s</awstats>\n' % quote_xml(self.getAwstats()))
        if self.webalizer is not None:
            showIndent(outfile, level)
            outfile.write('<webalizer>%s</webalizer>\n' % quote_xml(self.getWebalizer()))
        if self.protected is not None:
            showIndent(outfile, level)
            outfile.write('<protected>%d</protected>\n' % self.getProtected())
        if self.none is not None:
            showIndent(outfile, level)
            outfile.write('<none>%s</none>\n' % quote_xml(self.getNone()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'awstats':
            awstats_ = ''
            for text__content_ in child_.childNodes:
                awstats_ += text__content_.nodeValue
            self.awstats = awstats_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'webalizer':
            webalizer_ = ''
            for text__content_ in child_.childNodes:
                webalizer_ += text__content_.nodeValue
            self.webalizer = webalizer_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'protected':
            if child_.firstChild:
                sval_ = child_.firstChild.nodeValue
                if sval_ in ('true', '1'):
                    ival_ = 1
                elif sval_ in ('false', '0'):
                    ival_ = 0
                else:
                    raise ValueError('requires boolean -- %s' % child_.toxml())
                self.protected = ival_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'none':
            none_ = ''
            for text__content_ in child_.childNodes:
                none_ += text__content_.nodeValue
            self.none = none_
# end class webStat2


class certResultType(resultType):
    subclass = None
    def __init__(self, name='', status='', errcode=None, errtext=None):
        resultType.__init__(self, status, errcode, errtext)
        self.name = name
    def factory(*args_, **kwargs_):
        if certResultType.subclass:
            return certResultType.subclass(*args_, **kwargs_)
        else:
            return certResultType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getName(self): return self.name
    def setName(self, value): self.name = value
    def export(self, outfile, level, name_='certResultType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='certResultType'):
        resultType.exportAttributes(self, outfile, level, name_='certResultType')
    def exportChildren(self, outfile, level, name_='certResultType'):
        showIndent(outfile, level)
        outfile.write('<name>%s</name>\n' % quote_xml(self.getName()))
        resultType.exportChildren(self, outfile, level, name_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        resultType.buildAttributes(self, attrs)
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'name':
            name_ = ''
            for text__content_ in child_.childNodes:
                name_ += text__content_.nodeValue
            self.name = name_
        resultType.buildChildren(self, child_, nodeName_)
# end class certResultType


class CertificateResponseType:
    subclass = None
    def __init__(self, install=None, remove=None, generate=None):
        if install is None:
            self.install = []
        else:
            self.install = install
        if remove is None:
            self.remove = []
        else:
            self.remove = remove
        if generate is None:
            self.generate = []
        else:
            self.generate = generate
    def factory(*args_, **kwargs_):
        if CertificateResponseType.subclass:
            return CertificateResponseType.subclass(*args_, **kwargs_)
        else:
            return CertificateResponseType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getInstall(self): return self.install
    def setInstall(self, value): self.install = value
    def addInstall(self, value): self.install.append(value)
    def insertInstall(self, index, value): self.install[index] = value
    def getRemove(self): return self.remove
    def setRemove(self, value): self.remove = value
    def addRemove(self, value): self.remove.append(value)
    def insertRemove(self, index, value): self.remove[index] = value
    def getGenerate(self): return self.generate
    def setGenerate(self, value): self.generate = value
    def addGenerate(self, value): self.generate.append(value)
    def insertGenerate(self, index, value): self.generate[index] = value
    def export(self, outfile, level, name_='CertificateResponseType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='CertificateResponseType'):
        pass
    def exportChildren(self, outfile, level, name_='CertificateResponseType'):
        for install_ in self.getInstall():
            install_.export(outfile, level)
        for remove_ in self.getRemove():
            remove_.export(outfile, level)
        for generate_ in self.getGenerate():
            generate_.export(outfile, level)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'install':
            obj_ = install.factory()
            obj_.build(child_)
            self.install.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'remove':
            obj_ = remove.factory()
            obj_.build(child_)
            self.remove.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'generate':
            obj_ = generate.factory()
            obj_.build(child_)
            self.generate.append(obj_)
# end class CertificateResponseType


class clientDatasetType:
    subclass = None
    def __init__(self, gen_info=None, stat=None, permissions=None, limits=None, ippool=None):
        self.gen_info = gen_info
        self.stat = stat
        self.permissions = permissions
        self.limits = limits
        self.ippool = ippool
    def factory(*args_, **kwargs_):
        if clientDatasetType.subclass:
            return clientDatasetType.subclass(*args_, **kwargs_)
        else:
            return clientDatasetType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getGen_info(self): return self.gen_info
    def setGen_info(self, value): self.gen_info = value
    def getStat(self): return self.stat
    def setStat(self, value): self.stat = value
    def getPermissions(self): return self.permissions
    def setPermissions(self, value): self.permissions = value
    def getLimits(self): return self.limits
    def setLimits(self, value): self.limits = value
    def getIppool(self): return self.ippool
    def setIppool(self, value): self.ippool = value
    def export(self, outfile, level, name_='clientDatasetType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='clientDatasetType'):
        pass
    def exportChildren(self, outfile, level, name_='clientDatasetType'):
        if self.gen_info is not None:
            showIndent(outfile, level)
            outfile.write('<gen_info>%s</gen_info>\n' % quote_xml(self.getGen_info()))
        if self.stat is not None:
            showIndent(outfile, level)
            outfile.write('<stat>%s</stat>\n' % quote_xml(self.getStat()))
        if self.permissions is not None:
            showIndent(outfile, level)
            outfile.write('<permissions>%s</permissions>\n' % quote_xml(self.getPermissions()))
        if self.limits is not None:
            self.limits.export(outfile, level)
        if self.ippool is not None:
            showIndent(outfile, level)
            outfile.write('<ippool>%s</ippool>\n' % quote_xml(self.getIppool()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'gen_info':
            gen_info_ = ''
            for text__content_ in child_.childNodes:
                gen_info_ += text__content_.nodeValue
            self.gen_info = gen_info_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'stat':
            stat_ = ''
            for text__content_ in child_.childNodes:
                stat_ += text__content_.nodeValue
            self.stat = stat_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'permissions':
            permissions_ = ''
            for text__content_ in child_.childNodes:
                permissions_ += text__content_.nodeValue
            self.permissions = permissions_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'limits':
            obj_ = limits.factory()
            obj_.build(child_)
            self.setLimits(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ippool':
            ippool_ = ''
            for text__content_ in child_.childNodes:
                ippool_ += text__content_.nodeValue
            self.ippool = ippool_
# end class clientDatasetType


class clientData:
    subclass = None
    def __init__(self, gen_info=None, stat=None, permissions=None, limits=None, ippool=None):
        self.gen_info = gen_info
        self.stat = stat
        self.permissions = permissions
        self.limits = limits
        self.ippool = ippool
    def factory(*args_, **kwargs_):
        if clientData.subclass:
            return clientData.subclass(*args_, **kwargs_)
        else:
            return clientData(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getGen_info(self): return self.gen_info
    def setGen_info(self, value): self.gen_info = value
    def getStat(self): return self.stat
    def setStat(self, value): self.stat = value
    def getPermissions(self): return self.permissions
    def setPermissions(self, value): self.permissions = value
    def getLimits(self): return self.limits
    def setLimits(self, value): self.limits = value
    def getIppool(self): return self.ippool
    def setIppool(self, value): self.ippool = value
    def export(self, outfile, level, name_='clientData'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='clientData'):
        pass
    def exportChildren(self, outfile, level, name_='clientData'):
        if self.gen_info is not None:
            self.gen_info.export(outfile, level, name_='gen_info')
        if self.stat is not None:
            self.stat.export(outfile, level, name_='stat')
        if self.permissions is not None:
            self.permissions.export(outfile, level, name_='permissions')
        if self.limits is not None:
            self.limits.export(outfile, level, name_='limits')
        if self.ippool is not None:
            self.ippool.export(outfile, level, name_='ippool')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'gen_info':
            obj_ = clientGetGenInfo.factory()
            obj_.build(child_)
            self.setGen_info(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'stat':
            obj_ = clientStatType.factory()
            obj_.build(child_)
            self.setStat(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'permissions':
            obj_ = clientPerms.factory()
            obj_.build(child_)
            self.setPermissions(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'limits':
            obj_ = clientLimits.factory()
            obj_.build(child_)
            self.setLimits(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ippool':
            obj_ = ipPoolType.factory()
            obj_.build(child_)
            self.setIppool(obj_)
# end class clientData


class clientPerms:
    subclass = None
    def __init__(self, create_domains=None, manage_phosting=None, manage_quota=None, manage_subdomains=None, manage_not_chroot_shell=None, change_limits=None, manage_dns=None, manage_log=None, manage_crontab=None, manage_anonftp=None, manage_webapps=None, manage_sh_access=None, manage_maillists=None, manage_drweb=None, make_dumps=None, site_builder=None, remote_access_interface=None, manage_performance=None, cp_access=None, manage_domain_aliases=None, manage_iis_app_pool=None, dashboard=None, stdgui=None, manage_dashboard=None, manage_subftp=None):
        self.create_domains = create_domains
        self.manage_phosting = manage_phosting
        self.manage_quota = manage_quota
        self.manage_subdomains = manage_subdomains
        self.manage_not_chroot_shell = manage_not_chroot_shell
        self.change_limits = change_limits
        self.manage_dns = manage_dns
        self.manage_log = manage_log
        self.manage_crontab = manage_crontab
        self.manage_anonftp = manage_anonftp
        self.manage_webapps = manage_webapps
        self.manage_sh_access = manage_sh_access
        self.manage_maillists = manage_maillists
        self.manage_drweb = manage_drweb
        self.make_dumps = make_dumps
        self.site_builder = site_builder
        self.remote_access_interface = remote_access_interface
        self.manage_performance = manage_performance
        self.cp_access = cp_access
        self.manage_domain_aliases = manage_domain_aliases
        self.manage_iis_app_pool = manage_iis_app_pool
        self.dashboard = dashboard
        self.stdgui = stdgui
        self.manage_dashboard = manage_dashboard
        self.manage_subftp = manage_subftp
    def factory(*args_, **kwargs_):
        if clientPerms.subclass:
            return clientPerms.subclass(*args_, **kwargs_)
        else:
            return clientPerms(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getCreate_domains(self): return self.create_domains
    def setCreate_domains(self, value): self.create_domains = value
    def getManage_phosting(self): return self.manage_phosting
    def setManage_phosting(self, value): self.manage_phosting = value
    def getManage_quota(self): return self.manage_quota
    def setManage_quota(self, value): self.manage_quota = value
    def getManage_subdomains(self): return self.manage_subdomains
    def setManage_subdomains(self, value): self.manage_subdomains = value
    def getManage_not_chroot_shell(self): return self.manage_not_chroot_shell
    def setManage_not_chroot_shell(self, value): self.manage_not_chroot_shell = value
    def getChange_limits(self): return self.change_limits
    def setChange_limits(self, value): self.change_limits = value
    def getManage_dns(self): return self.manage_dns
    def setManage_dns(self, value): self.manage_dns = value
    def getManage_log(self): return self.manage_log
    def setManage_log(self, value): self.manage_log = value
    def getManage_crontab(self): return self.manage_crontab
    def setManage_crontab(self, value): self.manage_crontab = value
    def getManage_anonftp(self): return self.manage_anonftp
    def setManage_anonftp(self, value): self.manage_anonftp = value
    def getManage_webapps(self): return self.manage_webapps
    def setManage_webapps(self, value): self.manage_webapps = value
    def getManage_sh_access(self): return self.manage_sh_access
    def setManage_sh_access(self, value): self.manage_sh_access = value
    def getManage_maillists(self): return self.manage_maillists
    def setManage_maillists(self, value): self.manage_maillists = value
    def getManage_drweb(self): return self.manage_drweb
    def setManage_drweb(self, value): self.manage_drweb = value
    def getMake_dumps(self): return self.make_dumps
    def setMake_dumps(self, value): self.make_dumps = value
    def getSite_builder(self): return self.site_builder
    def setSite_builder(self, value): self.site_builder = value
    def getRemote_access_interface(self): return self.remote_access_interface
    def setRemote_access_interface(self, value): self.remote_access_interface = value
    def getManage_performance(self): return self.manage_performance
    def setManage_performance(self, value): self.manage_performance = value
    def getCp_access(self): return self.cp_access
    def setCp_access(self, value): self.cp_access = value
    def getManage_domain_aliases(self): return self.manage_domain_aliases
    def setManage_domain_aliases(self, value): self.manage_domain_aliases = value
    def getManage_iis_app_pool(self): return self.manage_iis_app_pool
    def setManage_iis_app_pool(self, value): self.manage_iis_app_pool = value
    def getDashboard(self): return self.dashboard
    def setDashboard(self, value): self.dashboard = value
    def getStdgui(self): return self.stdgui
    def setStdgui(self, value): self.stdgui = value
    def getManage_dashboard(self): return self.manage_dashboard
    def setManage_dashboard(self, value): self.manage_dashboard = value
    def getManage_subftp(self): return self.manage_subftp
    def setManage_subftp(self, value): self.manage_subftp = value
    def export(self, outfile, level, name_='clientPerms'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='clientPerms'):
        pass
    def exportChildren(self, outfile, level, name_='clientPerms'):
        if self.create_domains is not None:
            showIndent(outfile, level)
            outfile.write('<create_domains>%s</create_domains>\n' % quote_xml(self.getCreate_domains()))
        if self.manage_phosting is not None:
            showIndent(outfile, level)
            outfile.write('<manage_phosting>%s</manage_phosting>\n' % quote_xml(self.getManage_phosting()))
        if self.manage_quota is not None:
            showIndent(outfile, level)
            outfile.write('<manage_quota>%s</manage_quota>\n' % quote_xml(self.getManage_quota()))
        if self.manage_subdomains is not None:
            showIndent(outfile, level)
            outfile.write('<manage_subdomains>%s</manage_subdomains>\n' % quote_xml(self.getManage_subdomains()))
        if self.manage_not_chroot_shell is not None:
            showIndent(outfile, level)
            outfile.write('<manage_not_chroot_shell>%s</manage_not_chroot_shell>\n' % quote_xml(self.getManage_not_chroot_shell()))
        if self.change_limits is not None:
            showIndent(outfile, level)
            outfile.write('<change_limits>%s</change_limits>\n' % quote_xml(self.getChange_limits()))
        if self.manage_dns is not None:
            showIndent(outfile, level)
            outfile.write('<manage_dns>%s</manage_dns>\n' % quote_xml(self.getManage_dns()))
        if self.manage_log is not None:
            showIndent(outfile, level)
            outfile.write('<manage_log>%s</manage_log>\n' % quote_xml(self.getManage_log()))
        if self.manage_crontab is not None:
            showIndent(outfile, level)
            outfile.write('<manage_crontab>%s</manage_crontab>\n' % quote_xml(self.getManage_crontab()))
        if self.manage_anonftp is not None:
            showIndent(outfile, level)
            outfile.write('<manage_anonftp>%s</manage_anonftp>\n' % quote_xml(self.getManage_anonftp()))
        if self.manage_webapps is not None:
            showIndent(outfile, level)
            outfile.write('<manage_webapps>%s</manage_webapps>\n' % quote_xml(self.getManage_webapps()))
        if self.manage_sh_access is not None:
            showIndent(outfile, level)
            outfile.write('<manage_sh_access>%s</manage_sh_access>\n' % quote_xml(self.getManage_sh_access()))
        if self.manage_maillists is not None:
            showIndent(outfile, level)
            outfile.write('<manage_maillists>%s</manage_maillists>\n' % quote_xml(self.getManage_maillists()))
        if self.manage_drweb is not None:
            showIndent(outfile, level)
            outfile.write('<manage_drweb>%s</manage_drweb>\n' % quote_xml(self.getManage_drweb()))
        if self.make_dumps is not None:
            showIndent(outfile, level)
            outfile.write('<make_dumps>%s</make_dumps>\n' % quote_xml(self.getMake_dumps()))
        if self.site_builder is not None:
            showIndent(outfile, level)
            outfile.write('<site_builder>%s</site_builder>\n' % quote_xml(self.getSite_builder()))
        if self.remote_access_interface is not None:
            showIndent(outfile, level)
            outfile.write('<remote_access_interface>%s</remote_access_interface>\n' % quote_xml(self.getRemote_access_interface()))
        if self.manage_performance is not None:
            showIndent(outfile, level)
            outfile.write('<manage_performance>%s</manage_performance>\n' % quote_xml(self.getManage_performance()))
        if self.cp_access is not None:
            showIndent(outfile, level)
            outfile.write('<cp_access>%d</cp_access>\n' % self.getCp_access())
        if self.manage_domain_aliases is not None:
            showIndent(outfile, level)
            outfile.write('<manage_domain_aliases>%s</manage_domain_aliases>\n' % quote_xml(self.getManage_domain_aliases()))
        if self.manage_iis_app_pool is not None:
            showIndent(outfile, level)
            outfile.write('<manage_iis_app_pool>%s</manage_iis_app_pool>\n' % quote_xml(self.getManage_iis_app_pool()))
        if self.dashboard is not None:
            showIndent(outfile, level)
            outfile.write('<dashboard>%s</dashboard>\n' % quote_xml(self.getDashboard()))
        if self.stdgui is not None:
            showIndent(outfile, level)
            outfile.write('<stdgui>%s</stdgui>\n' % quote_xml(self.getStdgui()))
        if self.manage_dashboard is not None:
            showIndent(outfile, level)
            outfile.write('<manage_dashboard>%s</manage_dashboard>\n' % quote_xml(self.getManage_dashboard()))
        if self.manage_subftp is not None:
            showIndent(outfile, level)
            outfile.write('<manage_subftp>%s</manage_subftp>\n' % quote_xml(self.getManage_subftp()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'create_domains':
            create_domains_ = ''
            for text__content_ in child_.childNodes:
                create_domains_ += text__content_.nodeValue
            self.create_domains = create_domains_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'manage_phosting':
            manage_phosting_ = ''
            for text__content_ in child_.childNodes:
                manage_phosting_ += text__content_.nodeValue
            self.manage_phosting = manage_phosting_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'manage_quota':
            manage_quota_ = ''
            for text__content_ in child_.childNodes:
                manage_quota_ += text__content_.nodeValue
            self.manage_quota = manage_quota_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'manage_subdomains':
            manage_subdomains_ = ''
            for text__content_ in child_.childNodes:
                manage_subdomains_ += text__content_.nodeValue
            self.manage_subdomains = manage_subdomains_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'manage_not_chroot_shell':
            manage_not_chroot_shell_ = ''
            for text__content_ in child_.childNodes:
                manage_not_chroot_shell_ += text__content_.nodeValue
            self.manage_not_chroot_shell = manage_not_chroot_shell_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'change_limits':
            change_limits_ = ''
            for text__content_ in child_.childNodes:
                change_limits_ += text__content_.nodeValue
            self.change_limits = change_limits_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'manage_dns':
            manage_dns_ = ''
            for text__content_ in child_.childNodes:
                manage_dns_ += text__content_.nodeValue
            self.manage_dns = manage_dns_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'manage_log':
            manage_log_ = ''
            for text__content_ in child_.childNodes:
                manage_log_ += text__content_.nodeValue
            self.manage_log = manage_log_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'manage_crontab':
            manage_crontab_ = ''
            for text__content_ in child_.childNodes:
                manage_crontab_ += text__content_.nodeValue
            self.manage_crontab = manage_crontab_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'manage_anonftp':
            manage_anonftp_ = ''
            for text__content_ in child_.childNodes:
                manage_anonftp_ += text__content_.nodeValue
            self.manage_anonftp = manage_anonftp_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'manage_webapps':
            manage_webapps_ = ''
            for text__content_ in child_.childNodes:
                manage_webapps_ += text__content_.nodeValue
            self.manage_webapps = manage_webapps_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'manage_sh_access':
            manage_sh_access_ = ''
            for text__content_ in child_.childNodes:
                manage_sh_access_ += text__content_.nodeValue
            self.manage_sh_access = manage_sh_access_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'manage_maillists':
            manage_maillists_ = ''
            for text__content_ in child_.childNodes:
                manage_maillists_ += text__content_.nodeValue
            self.manage_maillists = manage_maillists_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'manage_drweb':
            manage_drweb_ = ''
            for text__content_ in child_.childNodes:
                manage_drweb_ += text__content_.nodeValue
            self.manage_drweb = manage_drweb_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'make_dumps':
            make_dumps_ = ''
            for text__content_ in child_.childNodes:
                make_dumps_ += text__content_.nodeValue
            self.make_dumps = make_dumps_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'site_builder':
            site_builder_ = ''
            for text__content_ in child_.childNodes:
                site_builder_ += text__content_.nodeValue
            self.site_builder = site_builder_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'remote_access_interface':
            remote_access_interface_ = ''
            for text__content_ in child_.childNodes:
                remote_access_interface_ += text__content_.nodeValue
            self.remote_access_interface = remote_access_interface_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'manage_performance':
            manage_performance_ = ''
            for text__content_ in child_.childNodes:
                manage_performance_ += text__content_.nodeValue
            self.manage_performance = manage_performance_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'cp_access':
            if child_.firstChild:
                sval_ = child_.firstChild.nodeValue
                if sval_ in ('true', '1'):
                    ival_ = 1
                elif sval_ in ('false', '0'):
                    ival_ = 0
                else:
                    raise ValueError('requires boolean -- %s' % child_.toxml())
                self.cp_access = ival_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'manage_domain_aliases':
            manage_domain_aliases_ = ''
            for text__content_ in child_.childNodes:
                manage_domain_aliases_ += text__content_.nodeValue
            self.manage_domain_aliases = manage_domain_aliases_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'manage_iis_app_pool':
            manage_iis_app_pool_ = ''
            for text__content_ in child_.childNodes:
                manage_iis_app_pool_ += text__content_.nodeValue
            self.manage_iis_app_pool = manage_iis_app_pool_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'dashboard':
            dashboard_ = ''
            for text__content_ in child_.childNodes:
                dashboard_ += text__content_.nodeValue
            self.dashboard = dashboard_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'stdgui':
            stdgui_ = ''
            for text__content_ in child_.childNodes:
                stdgui_ += text__content_.nodeValue
            self.stdgui = stdgui_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'manage_dashboard':
            manage_dashboard_ = ''
            for text__content_ in child_.childNodes:
                manage_dashboard_ += text__content_.nodeValue
            self.manage_dashboard = manage_dashboard_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'manage_subftp':
            manage_subftp_ = ''
            for text__content_ in child_.childNodes:
                manage_subftp_ += text__content_.nodeValue
            self.manage_subftp = manage_subftp_
# end class clientPerms


class clientAddGenInfo:
    subclass = None
    def __init__(self, cname=None, pname='', login='', passwd='', status=None, phone='', fax='', email='', address='', city='', state='', pcode='', country='', locale=None):
        self.cname = cname
        self.pname = pname
        self.login = login
        self.passwd = passwd
        self.status = status
        self.phone = phone
        self.fax = fax
        self.email = email
        self.address = address
        self.city = city
        self.state = state
        self.pcode = pcode
        self.country = country
        self.locale = locale
    def factory(*args_, **kwargs_):
        if clientAddGenInfo.subclass:
            return clientAddGenInfo.subclass(*args_, **kwargs_)
        else:
            return clientAddGenInfo(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getCname(self): return self.cname
    def setCname(self, value): self.cname = value
    def getPname(self): return self.pname
    def setPname(self, value): self.pname = value
    def getLogin(self): return self.login
    def setLogin(self, value): self.login = value
    def getPasswd(self): return self.passwd
    def setPasswd(self, value): self.passwd = value
    def getStatus(self): return self.status
    def setStatus(self, value): self.status = value
    def getPhone(self): return self.phone
    def setPhone(self, value): self.phone = value
    def getFax(self): return self.fax
    def setFax(self, value): self.fax = value
    def getEmail(self): return self.email
    def setEmail(self, value): self.email = value
    def getAddress(self): return self.address
    def setAddress(self, value): self.address = value
    def getCity(self): return self.city
    def setCity(self, value): self.city = value
    def getState(self): return self.state
    def setState(self, value): self.state = value
    def getPcode(self): return self.pcode
    def setPcode(self, value): self.pcode = value
    def getCountry(self): return self.country
    def setCountry(self, value): self.country = value
    def getLocale(self): return self.locale
    def setLocale(self, value): self.locale = value
    def export(self, outfile, level, name_='clientAddGenInfo'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='clientAddGenInfo'):
        pass
    def exportChildren(self, outfile, level, name_='clientAddGenInfo'):
        if self.cname is not None:
            showIndent(outfile, level)
            outfile.write('<cname>%s</cname>\n' % quote_xml(self.getCname()))
        showIndent(outfile, level)
        outfile.write('<pname>%s</pname>\n' % quote_xml(self.getPname()))
        showIndent(outfile, level)
        outfile.write('<login>%s</login>\n' % quote_xml(self.getLogin()))
        showIndent(outfile, level)
        outfile.write('<passwd>%s</passwd>\n' % quote_xml(self.getPasswd()))
        if self.status is not None:
            showIndent(outfile, level)
            outfile.write('<status>%s</status>\n' % quote_xml(self.getStatus()))
        showIndent(outfile, level)
        outfile.write('<phone>%s</phone>\n' % quote_xml(self.getPhone()))
        showIndent(outfile, level)
        outfile.write('<fax>%s</fax>\n' % quote_xml(self.getFax()))
        showIndent(outfile, level)
        outfile.write('<email>%s</email>\n' % quote_xml(self.getEmail()))
        showIndent(outfile, level)
        outfile.write('<address>%s</address>\n' % quote_xml(self.getAddress()))
        showIndent(outfile, level)
        outfile.write('<city>%s</city>\n' % quote_xml(self.getCity()))
        showIndent(outfile, level)
        outfile.write('<state>%s</state>\n' % quote_xml(self.getState()))
        showIndent(outfile, level)
        outfile.write('<pcode>%s</pcode>\n' % quote_xml(self.getPcode()))
        showIndent(outfile, level)
        outfile.write('<country>%s</country>\n' % quote_xml(self.getCountry()))
        if self.locale is not None:
            showIndent(outfile, level)
            outfile.write('<locale>%s</locale>\n' % quote_xml(self.getLocale()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'cname':
            cname_ = ''
            for text__content_ in child_.childNodes:
                cname_ += text__content_.nodeValue
            self.cname = cname_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'pname':
            pname_ = ''
            for text__content_ in child_.childNodes:
                pname_ += text__content_.nodeValue
            self.pname = pname_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'login':
            login_ = ''
            for text__content_ in child_.childNodes:
                login_ += text__content_.nodeValue
            self.login = login_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'passwd':
            passwd_ = ''
            for text__content_ in child_.childNodes:
                passwd_ += text__content_.nodeValue
            self.passwd = passwd_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'status':
            status_ = ''
            for text__content_ in child_.childNodes:
                status_ += text__content_.nodeValue
            self.status = status_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'phone':
            phone_ = ''
            for text__content_ in child_.childNodes:
                phone_ += text__content_.nodeValue
            self.phone = phone_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'fax':
            fax_ = ''
            for text__content_ in child_.childNodes:
                fax_ += text__content_.nodeValue
            self.fax = fax_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'email':
            email_ = ''
            for text__content_ in child_.childNodes:
                email_ += text__content_.nodeValue
            self.email = email_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'address':
            address_ = ''
            for text__content_ in child_.childNodes:
                address_ += text__content_.nodeValue
            self.address = address_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'city':
            city_ = ''
            for text__content_ in child_.childNodes:
                city_ += text__content_.nodeValue
            self.city = city_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'state':
            state_ = ''
            for text__content_ in child_.childNodes:
                state_ += text__content_.nodeValue
            self.state = state_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'pcode':
            pcode_ = ''
            for text__content_ in child_.childNodes:
                pcode_ += text__content_.nodeValue
            self.pcode = pcode_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'country':
            country_ = ''
            for text__content_ in child_.childNodes:
                country_ += text__content_.nodeValue
            self.country = country_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'locale':
            locale_ = ''
            for text__content_ in child_.childNodes:
                locale_ += text__content_.nodeValue
            self.locale = locale_
# end class clientAddGenInfo


class clientSetGenInfo:
    subclass = None
    def __init__(self, cname=None, pname=None, login=None, passwd=None, status=None, phone=None, fax=None, email=None, address=None, city=None, state=None, pcode=None, country=None, locale=None):
        self.cname = cname
        self.pname = pname
        self.login = login
        self.passwd = passwd
        self.status = status
        self.phone = phone
        self.fax = fax
        self.email = email
        self.address = address
        self.city = city
        self.state = state
        self.pcode = pcode
        self.country = country
        self.locale = locale
    def factory(*args_, **kwargs_):
        if clientSetGenInfo.subclass:
            return clientSetGenInfo.subclass(*args_, **kwargs_)
        else:
            return clientSetGenInfo(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getCname(self): return self.cname
    def setCname(self, value): self.cname = value
    def getPname(self): return self.pname
    def setPname(self, value): self.pname = value
    def getLogin(self): return self.login
    def setLogin(self, value): self.login = value
    def getPasswd(self): return self.passwd
    def setPasswd(self, value): self.passwd = value
    def getStatus(self): return self.status
    def setStatus(self, value): self.status = value
    def getPhone(self): return self.phone
    def setPhone(self, value): self.phone = value
    def getFax(self): return self.fax
    def setFax(self, value): self.fax = value
    def getEmail(self): return self.email
    def setEmail(self, value): self.email = value
    def getAddress(self): return self.address
    def setAddress(self, value): self.address = value
    def getCity(self): return self.city
    def setCity(self, value): self.city = value
    def getState(self): return self.state
    def setState(self, value): self.state = value
    def getPcode(self): return self.pcode
    def setPcode(self, value): self.pcode = value
    def getCountry(self): return self.country
    def setCountry(self, value): self.country = value
    def getLocale(self): return self.locale
    def setLocale(self, value): self.locale = value
    def export(self, outfile, level, name_='clientSetGenInfo'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='clientSetGenInfo'):
        pass
    def exportChildren(self, outfile, level, name_='clientSetGenInfo'):
        if self.cname is not None:
            showIndent(outfile, level)
            outfile.write('<cname>%s</cname>\n' % quote_xml(self.getCname()))
        if self.pname is not None:
            showIndent(outfile, level)
            outfile.write('<pname>%s</pname>\n' % quote_xml(self.getPname()))
        if self.login is not None:
            showIndent(outfile, level)
            outfile.write('<login>%s</login>\n' % quote_xml(self.getLogin()))
        if self.passwd is not None:
            showIndent(outfile, level)
            outfile.write('<passwd>%s</passwd>\n' % quote_xml(self.getPasswd()))
        if self.status is not None:
            showIndent(outfile, level)
            outfile.write('<status>%s</status>\n' % quote_xml(self.getStatus()))
        if self.phone is not None:
            showIndent(outfile, level)
            outfile.write('<phone>%s</phone>\n' % quote_xml(self.getPhone()))
        if self.fax is not None:
            showIndent(outfile, level)
            outfile.write('<fax>%s</fax>\n' % quote_xml(self.getFax()))
        if self.email is not None:
            showIndent(outfile, level)
            outfile.write('<email>%s</email>\n' % quote_xml(self.getEmail()))
        if self.address is not None:
            showIndent(outfile, level)
            outfile.write('<address>%s</address>\n' % quote_xml(self.getAddress()))
        if self.city is not None:
            showIndent(outfile, level)
            outfile.write('<city>%s</city>\n' % quote_xml(self.getCity()))
        if self.state is not None:
            showIndent(outfile, level)
            outfile.write('<state>%s</state>\n' % quote_xml(self.getState()))
        if self.pcode is not None:
            showIndent(outfile, level)
            outfile.write('<pcode>%s</pcode>\n' % quote_xml(self.getPcode()))
        if self.country is not None:
            showIndent(outfile, level)
            outfile.write('<country>%s</country>\n' % quote_xml(self.getCountry()))
        if self.locale is not None:
            showIndent(outfile, level)
            outfile.write('<locale>%s</locale>\n' % quote_xml(self.getLocale()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'cname':
            cname_ = ''
            for text__content_ in child_.childNodes:
                cname_ += text__content_.nodeValue
            self.cname = cname_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'pname':
            pname_ = ''
            for text__content_ in child_.childNodes:
                pname_ += text__content_.nodeValue
            self.pname = pname_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'login':
            login_ = ''
            for text__content_ in child_.childNodes:
                login_ += text__content_.nodeValue
            self.login = login_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'passwd':
            passwd_ = ''
            for text__content_ in child_.childNodes:
                passwd_ += text__content_.nodeValue
            self.passwd = passwd_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'status':
            status_ = ''
            for text__content_ in child_.childNodes:
                status_ += text__content_.nodeValue
            self.status = status_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'phone':
            phone_ = ''
            for text__content_ in child_.childNodes:
                phone_ += text__content_.nodeValue
            self.phone = phone_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'fax':
            fax_ = ''
            for text__content_ in child_.childNodes:
                fax_ += text__content_.nodeValue
            self.fax = fax_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'email':
            email_ = ''
            for text__content_ in child_.childNodes:
                email_ += text__content_.nodeValue
            self.email = email_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'address':
            address_ = ''
            for text__content_ in child_.childNodes:
                address_ += text__content_.nodeValue
            self.address = address_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'city':
            city_ = ''
            for text__content_ in child_.childNodes:
                city_ += text__content_.nodeValue
            self.city = city_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'state':
            state_ = ''
            for text__content_ in child_.childNodes:
                state_ += text__content_.nodeValue
            self.state = state_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'pcode':
            pcode_ = ''
            for text__content_ in child_.childNodes:
                pcode_ += text__content_.nodeValue
            self.pcode = pcode_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'country':
            country_ = ''
            for text__content_ in child_.childNodes:
                country_ += text__content_.nodeValue
            self.country = country_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'locale':
            locale_ = ''
            for text__content_ in child_.childNodes:
                locale_ += text__content_.nodeValue
            self.locale = locale_
# end class clientSetGenInfo


class clientGetGenInfo:
    subclass = None
    def __init__(self, cr_date='', cname='', pname='', login='', status='', phone='', fax='', email='', address='', city='', state='', pcode='', country='', locale='', password=None, password_type=None, passwd=None):
        self.cr_date = cr_date
        self.cname = cname
        self.pname = pname
        self.login = login
        self.status = status
        self.phone = phone
        self.fax = fax
        self.email = email
        self.address = address
        self.city = city
        self.state = state
        self.pcode = pcode
        self.country = country
        self.locale = locale
        self.password = password
        self.password_type = password_type
        self.passwd = passwd
    def factory(*args_, **kwargs_):
        if clientGetGenInfo.subclass:
            return clientGetGenInfo.subclass(*args_, **kwargs_)
        else:
            return clientGetGenInfo(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getCr_date(self): return self.cr_date
    def setCr_date(self, value): self.cr_date = value
    def getCname(self): return self.cname
    def setCname(self, value): self.cname = value
    def getPname(self): return self.pname
    def setPname(self, value): self.pname = value
    def getLogin(self): return self.login
    def setLogin(self, value): self.login = value
    def getStatus(self): return self.status
    def setStatus(self, value): self.status = value
    def getPhone(self): return self.phone
    def setPhone(self, value): self.phone = value
    def getFax(self): return self.fax
    def setFax(self, value): self.fax = value
    def getEmail(self): return self.email
    def setEmail(self, value): self.email = value
    def getAddress(self): return self.address
    def setAddress(self, value): self.address = value
    def getCity(self): return self.city
    def setCity(self, value): self.city = value
    def getState(self): return self.state
    def setState(self, value): self.state = value
    def getPcode(self): return self.pcode
    def setPcode(self, value): self.pcode = value
    def getCountry(self): return self.country
    def setCountry(self, value): self.country = value
    def getLocale(self): return self.locale
    def setLocale(self, value): self.locale = value
    def getPassword(self): return self.password
    def setPassword(self, value): self.password = value
    def getPassword_type(self): return self.password_type
    def setPassword_type(self, value): self.password_type = value
    def getPasswd(self): return self.passwd
    def setPasswd(self, value): self.passwd = value
    def export(self, outfile, level, name_='clientGetGenInfo'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='clientGetGenInfo'):
        pass
    def exportChildren(self, outfile, level, name_='clientGetGenInfo'):
        showIndent(outfile, level)
        outfile.write('<cr_date>%s</cr_date>\n' % quote_xml(self.getCr_date()))
        showIndent(outfile, level)
        outfile.write('<cname>%s</cname>\n' % quote_xml(self.getCname()))
        showIndent(outfile, level)
        outfile.write('<pname>%s</pname>\n' % quote_xml(self.getPname()))
        showIndent(outfile, level)
        outfile.write('<login>%s</login>\n' % quote_xml(self.getLogin()))
        showIndent(outfile, level)
        outfile.write('<status>%s</status>\n' % quote_xml(self.getStatus()))
        showIndent(outfile, level)
        outfile.write('<phone>%s</phone>\n' % quote_xml(self.getPhone()))
        showIndent(outfile, level)
        outfile.write('<fax>%s</fax>\n' % quote_xml(self.getFax()))
        showIndent(outfile, level)
        outfile.write('<email>%s</email>\n' % quote_xml(self.getEmail()))
        showIndent(outfile, level)
        outfile.write('<address>%s</address>\n' % quote_xml(self.getAddress()))
        showIndent(outfile, level)
        outfile.write('<city>%s</city>\n' % quote_xml(self.getCity()))
        showIndent(outfile, level)
        outfile.write('<state>%s</state>\n' % quote_xml(self.getState()))
        showIndent(outfile, level)
        outfile.write('<pcode>%s</pcode>\n' % quote_xml(self.getPcode()))
        showIndent(outfile, level)
        outfile.write('<country>%s</country>\n' % quote_xml(self.getCountry()))
        showIndent(outfile, level)
        outfile.write('<locale>%s</locale>\n' % quote_xml(self.getLocale()))
        if self.password is not None:
            showIndent(outfile, level)
            outfile.write('<password>%s</password>\n' % quote_xml(self.getPassword()))
        if self.password_type is not None:
            showIndent(outfile, level)
            outfile.write('<password_type>%s</password_type>\n' % quote_xml(self.getPassword_type()))
        if self.passwd is not None:
            showIndent(outfile, level)
            outfile.write('<passwd>%s</passwd>\n' % quote_xml(self.getPasswd()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'cr_date':
            cr_date_ = ''
            for text__content_ in child_.childNodes:
                cr_date_ += text__content_.nodeValue
            self.cr_date = cr_date_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'cname':
            cname_ = ''
            for text__content_ in child_.childNodes:
                cname_ += text__content_.nodeValue
            self.cname = cname_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'pname':
            pname_ = ''
            for text__content_ in child_.childNodes:
                pname_ += text__content_.nodeValue
            self.pname = pname_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'login':
            login_ = ''
            for text__content_ in child_.childNodes:
                login_ += text__content_.nodeValue
            self.login = login_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'status':
            status_ = ''
            for text__content_ in child_.childNodes:
                status_ += text__content_.nodeValue
            self.status = status_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'phone':
            phone_ = ''
            for text__content_ in child_.childNodes:
                phone_ += text__content_.nodeValue
            self.phone = phone_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'fax':
            fax_ = ''
            for text__content_ in child_.childNodes:
                fax_ += text__content_.nodeValue
            self.fax = fax_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'email':
            email_ = ''
            for text__content_ in child_.childNodes:
                email_ += text__content_.nodeValue
            self.email = email_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'address':
            address_ = ''
            for text__content_ in child_.childNodes:
                address_ += text__content_.nodeValue
            self.address = address_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'city':
            city_ = ''
            for text__content_ in child_.childNodes:
                city_ += text__content_.nodeValue
            self.city = city_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'state':
            state_ = ''
            for text__content_ in child_.childNodes:
                state_ += text__content_.nodeValue
            self.state = state_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'pcode':
            pcode_ = ''
            for text__content_ in child_.childNodes:
                pcode_ += text__content_.nodeValue
            self.pcode = pcode_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'country':
            country_ = ''
            for text__content_ in child_.childNodes:
                country_ += text__content_.nodeValue
            self.country = country_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'locale':
            locale_ = ''
            for text__content_ in child_.childNodes:
                locale_ += text__content_.nodeValue
            self.locale = locale_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'password':
            password_ = ''
            for text__content_ in child_.childNodes:
                password_ += text__content_.nodeValue
            self.password = password_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'password_type':
            password_type_ = ''
            for text__content_ in child_.childNodes:
                password_type_ += text__content_.nodeValue
            self.password_type = password_type_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'passwd':
            passwd_ = ''
            for text__content_ in child_.childNodes:
                passwd_ += text__content_.nodeValue
            self.passwd = passwd_
# end class clientGetGenInfo


class clientLimits:
    subclass = None
    def __init__(self, max_webapps=None, max_maillists=None, max_resp=None, max_mg=None, max_redir=None, mbox_quota=None, max_box=None, max_db=None, max_wu=None, max_traffic=None, disk_space=None, max_subdom=None, max_dom=None, expiration=None, total_mboxes_quota=None, max_dom_aliases=None, mysql_dbase_space=None, mssql_dbase_space=None, max_mssql_db=None, max_iis_app_pools=None, max_shared_ssl_links=None, max_subftp_users=None, max_fpse_users=None):
        self.max_webapps = max_webapps
        self.max_maillists = max_maillists
        self.max_resp = max_resp
        self.max_mg = max_mg
        self.max_redir = max_redir
        self.mbox_quota = mbox_quota
        self.max_box = max_box
        self.max_db = max_db
        self.max_wu = max_wu
        self.max_traffic = max_traffic
        self.disk_space = disk_space
        self.max_subdom = max_subdom
        self.max_dom = max_dom
        self.expiration = expiration
        self.total_mboxes_quota = total_mboxes_quota
        self.max_dom_aliases = max_dom_aliases
        self.mysql_dbase_space = mysql_dbase_space
        self.mssql_dbase_space = mssql_dbase_space
        self.max_mssql_db = max_mssql_db
        self.max_iis_app_pools = max_iis_app_pools
        self.max_shared_ssl_links = max_shared_ssl_links
        self.max_subftp_users = max_subftp_users
        self.max_fpse_users = max_fpse_users
    def factory(*args_, **kwargs_):
        if clientLimits.subclass:
            return clientLimits.subclass(*args_, **kwargs_)
        else:
            return clientLimits(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getMax_webapps(self): return self.max_webapps
    def setMax_webapps(self, value): self.max_webapps = value
    def getMax_maillists(self): return self.max_maillists
    def setMax_maillists(self, value): self.max_maillists = value
    def getMax_resp(self): return self.max_resp
    def setMax_resp(self, value): self.max_resp = value
    def getMax_mg(self): return self.max_mg
    def setMax_mg(self, value): self.max_mg = value
    def getMax_redir(self): return self.max_redir
    def setMax_redir(self, value): self.max_redir = value
    def getMbox_quota(self): return self.mbox_quota
    def setMbox_quota(self, value): self.mbox_quota = value
    def getMax_box(self): return self.max_box
    def setMax_box(self, value): self.max_box = value
    def getMax_db(self): return self.max_db
    def setMax_db(self, value): self.max_db = value
    def getMax_wu(self): return self.max_wu
    def setMax_wu(self, value): self.max_wu = value
    def getMax_traffic(self): return self.max_traffic
    def setMax_traffic(self, value): self.max_traffic = value
    def getDisk_space(self): return self.disk_space
    def setDisk_space(self, value): self.disk_space = value
    def getMax_subdom(self): return self.max_subdom
    def setMax_subdom(self, value): self.max_subdom = value
    def getMax_dom(self): return self.max_dom
    def setMax_dom(self, value): self.max_dom = value
    def getExpiration(self): return self.expiration
    def setExpiration(self, value): self.expiration = value
    def getTotal_mboxes_quota(self): return self.total_mboxes_quota
    def setTotal_mboxes_quota(self, value): self.total_mboxes_quota = value
    def getMax_dom_aliases(self): return self.max_dom_aliases
    def setMax_dom_aliases(self, value): self.max_dom_aliases = value
    def getMysql_dbase_space(self): return self.mysql_dbase_space
    def setMysql_dbase_space(self, value): self.mysql_dbase_space = value
    def getMssql_dbase_space(self): return self.mssql_dbase_space
    def setMssql_dbase_space(self, value): self.mssql_dbase_space = value
    def getMax_mssql_db(self): return self.max_mssql_db
    def setMax_mssql_db(self, value): self.max_mssql_db = value
    def getMax_iis_app_pools(self): return self.max_iis_app_pools
    def setMax_iis_app_pools(self, value): self.max_iis_app_pools = value
    def getMax_shared_ssl_links(self): return self.max_shared_ssl_links
    def setMax_shared_ssl_links(self, value): self.max_shared_ssl_links = value
    def getMax_subftp_users(self): return self.max_subftp_users
    def setMax_subftp_users(self, value): self.max_subftp_users = value
    def getMax_fpse_users(self): return self.max_fpse_users
    def setMax_fpse_users(self, value): self.max_fpse_users = value
    def export(self, outfile, level, name_='clientLimits'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='clientLimits'):
        pass
    def exportChildren(self, outfile, level, name_='clientLimits'):
        if self.max_webapps is not None:
            showIndent(outfile, level)
            outfile.write('<max_webapps>%s</max_webapps>\n' % quote_xml(self.getMax_webapps()))
        if self.max_maillists is not None:
            showIndent(outfile, level)
            outfile.write('<max_maillists>%s</max_maillists>\n' % quote_xml(self.getMax_maillists()))
        if self.max_resp is not None:
            showIndent(outfile, level)
            outfile.write('<max_resp>%s</max_resp>\n' % quote_xml(self.getMax_resp()))
        if self.max_mg is not None:
            showIndent(outfile, level)
            outfile.write('<max_mg>%s</max_mg>\n' % quote_xml(self.getMax_mg()))
        if self.max_redir is not None:
            showIndent(outfile, level)
            outfile.write('<max_redir>%s</max_redir>\n' % quote_xml(self.getMax_redir()))
        if self.mbox_quota is not None:
            showIndent(outfile, level)
            outfile.write('<mbox_quota>%s</mbox_quota>\n' % quote_xml(self.getMbox_quota()))
        if self.max_box is not None:
            showIndent(outfile, level)
            outfile.write('<max_box>%s</max_box>\n' % quote_xml(self.getMax_box()))
        if self.max_db is not None:
            showIndent(outfile, level)
            outfile.write('<max_db>%s</max_db>\n' % quote_xml(self.getMax_db()))
        if self.max_wu is not None:
            showIndent(outfile, level)
            outfile.write('<max_wu>%s</max_wu>\n' % quote_xml(self.getMax_wu()))
        if self.max_traffic is not None:
            showIndent(outfile, level)
            outfile.write('<max_traffic>%s</max_traffic>\n' % quote_xml(self.getMax_traffic()))
        if self.disk_space is not None:
            showIndent(outfile, level)
            outfile.write('<disk_space>%s</disk_space>\n' % quote_xml(self.getDisk_space()))
        if self.max_subdom is not None:
            showIndent(outfile, level)
            outfile.write('<max_subdom>%s</max_subdom>\n' % quote_xml(self.getMax_subdom()))
        if self.max_dom is not None:
            showIndent(outfile, level)
            outfile.write('<max_dom>%s</max_dom>\n' % quote_xml(self.getMax_dom()))
        if self.expiration is not None:
            showIndent(outfile, level)
            outfile.write('<expiration>%s</expiration>\n' % quote_xml(self.getExpiration()))
        if self.total_mboxes_quota is not None:
            showIndent(outfile, level)
            outfile.write('<total_mboxes_quota>%s</total_mboxes_quota>\n' % quote_xml(self.getTotal_mboxes_quota()))
        if self.max_dom_aliases is not None:
            showIndent(outfile, level)
            outfile.write('<max_dom_aliases>%s</max_dom_aliases>\n' % quote_xml(self.getMax_dom_aliases()))
        if self.mysql_dbase_space is not None:
            showIndent(outfile, level)
            outfile.write('<mysql_dbase_space>%s</mysql_dbase_space>\n' % quote_xml(self.getMysql_dbase_space()))
        if self.mssql_dbase_space is not None:
            showIndent(outfile, level)
            outfile.write('<mssql_dbase_space>%s</mssql_dbase_space>\n' % quote_xml(self.getMssql_dbase_space()))
        if self.max_mssql_db is not None:
            showIndent(outfile, level)
            outfile.write('<max_mssql_db>%s</max_mssql_db>\n' % quote_xml(self.getMax_mssql_db()))
        if self.max_iis_app_pools is not None:
            showIndent(outfile, level)
            outfile.write('<max_iis_app_pools>%s</max_iis_app_pools>\n' % quote_xml(self.getMax_iis_app_pools()))
        if self.max_shared_ssl_links is not None:
            showIndent(outfile, level)
            outfile.write('<max_shared_ssl_links>%s</max_shared_ssl_links>\n' % quote_xml(self.getMax_shared_ssl_links()))
        if self.max_subftp_users is not None:
            showIndent(outfile, level)
            outfile.write('<max_subftp_users>%s</max_subftp_users>\n' % quote_xml(self.getMax_subftp_users()))
        if self.max_fpse_users is not None:
            showIndent(outfile, level)
            outfile.write('<max_fpse_users>%s</max_fpse_users>\n' % quote_xml(self.getMax_fpse_users()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'max_webapps':
            max_webapps_ = ''
            for text__content_ in child_.childNodes:
                max_webapps_ += text__content_.nodeValue
            self.max_webapps = max_webapps_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'max_maillists':
            max_maillists_ = ''
            for text__content_ in child_.childNodes:
                max_maillists_ += text__content_.nodeValue
            self.max_maillists = max_maillists_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'max_resp':
            max_resp_ = ''
            for text__content_ in child_.childNodes:
                max_resp_ += text__content_.nodeValue
            self.max_resp = max_resp_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'max_mg':
            max_mg_ = ''
            for text__content_ in child_.childNodes:
                max_mg_ += text__content_.nodeValue
            self.max_mg = max_mg_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'max_redir':
            max_redir_ = ''
            for text__content_ in child_.childNodes:
                max_redir_ += text__content_.nodeValue
            self.max_redir = max_redir_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'mbox_quota':
            mbox_quota_ = ''
            for text__content_ in child_.childNodes:
                mbox_quota_ += text__content_.nodeValue
            self.mbox_quota = mbox_quota_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'max_box':
            max_box_ = ''
            for text__content_ in child_.childNodes:
                max_box_ += text__content_.nodeValue
            self.max_box = max_box_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'max_db':
            max_db_ = ''
            for text__content_ in child_.childNodes:
                max_db_ += text__content_.nodeValue
            self.max_db = max_db_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'max_wu':
            max_wu_ = ''
            for text__content_ in child_.childNodes:
                max_wu_ += text__content_.nodeValue
            self.max_wu = max_wu_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'max_traffic':
            max_traffic_ = ''
            for text__content_ in child_.childNodes:
                max_traffic_ += text__content_.nodeValue
            self.max_traffic = max_traffic_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'disk_space':
            disk_space_ = ''
            for text__content_ in child_.childNodes:
                disk_space_ += text__content_.nodeValue
            self.disk_space = disk_space_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'max_subdom':
            max_subdom_ = ''
            for text__content_ in child_.childNodes:
                max_subdom_ += text__content_.nodeValue
            self.max_subdom = max_subdom_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'max_dom':
            max_dom_ = ''
            for text__content_ in child_.childNodes:
                max_dom_ += text__content_.nodeValue
            self.max_dom = max_dom_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'expiration':
            expiration_ = ''
            for text__content_ in child_.childNodes:
                expiration_ += text__content_.nodeValue
            self.expiration = expiration_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'total_mboxes_quota':
            total_mboxes_quota_ = ''
            for text__content_ in child_.childNodes:
                total_mboxes_quota_ += text__content_.nodeValue
            self.total_mboxes_quota = total_mboxes_quota_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'max_dom_aliases':
            max_dom_aliases_ = ''
            for text__content_ in child_.childNodes:
                max_dom_aliases_ += text__content_.nodeValue
            self.max_dom_aliases = max_dom_aliases_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'mysql_dbase_space':
            mysql_dbase_space_ = ''
            for text__content_ in child_.childNodes:
                mysql_dbase_space_ += text__content_.nodeValue
            self.mysql_dbase_space = mysql_dbase_space_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'mssql_dbase_space':
            mssql_dbase_space_ = ''
            for text__content_ in child_.childNodes:
                mssql_dbase_space_ += text__content_.nodeValue
            self.mssql_dbase_space = mssql_dbase_space_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'max_mssql_db':
            max_mssql_db_ = ''
            for text__content_ in child_.childNodes:
                max_mssql_db_ += text__content_.nodeValue
            self.max_mssql_db = max_mssql_db_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'max_iis_app_pools':
            max_iis_app_pools_ = ''
            for text__content_ in child_.childNodes:
                max_iis_app_pools_ += text__content_.nodeValue
            self.max_iis_app_pools = max_iis_app_pools_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'max_shared_ssl_links':
            max_shared_ssl_links_ = ''
            for text__content_ in child_.childNodes:
                max_shared_ssl_links_ += text__content_.nodeValue
            self.max_shared_ssl_links = max_shared_ssl_links_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'max_subftp_users':
            max_subftp_users_ = ''
            for text__content_ in child_.childNodes:
                max_subftp_users_ += text__content_.nodeValue
            self.max_subftp_users = max_subftp_users_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'max_fpse_users':
            max_fpse_users_ = ''
            for text__content_ in child_.childNodes:
                max_fpse_users_ += text__content_.nodeValue
            self.max_fpse_users = max_fpse_users_
# end class clientLimits


class clientStatType:
    subclass = None
    def __init__(self, active_domains='', subdomains='', disk_space='', postboxs='', redirects='', mail_groups='', mail_resps='', mail_lists='', web_users='', data_bases='', webapps='', traffic='', traffic_prevday=''):
        self.active_domains = active_domains
        self.subdomains = subdomains
        self.disk_space = disk_space
        self.postboxs = postboxs
        self.redirects = redirects
        self.mail_groups = mail_groups
        self.mail_resps = mail_resps
        self.mail_lists = mail_lists
        self.web_users = web_users
        self.data_bases = data_bases
        self.webapps = webapps
        self.traffic = traffic
        self.traffic_prevday = traffic_prevday
    def factory(*args_, **kwargs_):
        if clientStatType.subclass:
            return clientStatType.subclass(*args_, **kwargs_)
        else:
            return clientStatType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getActive_domains(self): return self.active_domains
    def setActive_domains(self, value): self.active_domains = value
    def getSubdomains(self): return self.subdomains
    def setSubdomains(self, value): self.subdomains = value
    def getDisk_space(self): return self.disk_space
    def setDisk_space(self, value): self.disk_space = value
    def getPostboxs(self): return self.postboxs
    def setPostboxs(self, value): self.postboxs = value
    def getRedirects(self): return self.redirects
    def setRedirects(self, value): self.redirects = value
    def getMail_groups(self): return self.mail_groups
    def setMail_groups(self, value): self.mail_groups = value
    def getMail_resps(self): return self.mail_resps
    def setMail_resps(self, value): self.mail_resps = value
    def getMail_lists(self): return self.mail_lists
    def setMail_lists(self, value): self.mail_lists = value
    def getWeb_users(self): return self.web_users
    def setWeb_users(self, value): self.web_users = value
    def getData_bases(self): return self.data_bases
    def setData_bases(self, value): self.data_bases = value
    def getWebapps(self): return self.webapps
    def setWebapps(self, value): self.webapps = value
    def getTraffic(self): return self.traffic
    def setTraffic(self, value): self.traffic = value
    def getTraffic_prevday(self): return self.traffic_prevday
    def setTraffic_prevday(self, value): self.traffic_prevday = value
    def export(self, outfile, level, name_='clientStatType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='clientStatType'):
        pass
    def exportChildren(self, outfile, level, name_='clientStatType'):
        showIndent(outfile, level)
        outfile.write('<active_domains>%s</active_domains>\n' % quote_xml(self.getActive_domains()))
        showIndent(outfile, level)
        outfile.write('<subdomains>%s</subdomains>\n' % quote_xml(self.getSubdomains()))
        showIndent(outfile, level)
        outfile.write('<disk_space>%s</disk_space>\n' % quote_xml(self.getDisk_space()))
        showIndent(outfile, level)
        outfile.write('<postboxs>%s</postboxs>\n' % quote_xml(self.getPostboxs()))
        showIndent(outfile, level)
        outfile.write('<redirects>%s</redirects>\n' % quote_xml(self.getRedirects()))
        showIndent(outfile, level)
        outfile.write('<mail_groups>%s</mail_groups>\n' % quote_xml(self.getMail_groups()))
        showIndent(outfile, level)
        outfile.write('<mail_resps>%s</mail_resps>\n' % quote_xml(self.getMail_resps()))
        showIndent(outfile, level)
        outfile.write('<mail_lists>%s</mail_lists>\n' % quote_xml(self.getMail_lists()))
        showIndent(outfile, level)
        outfile.write('<web_users>%s</web_users>\n' % quote_xml(self.getWeb_users()))
        showIndent(outfile, level)
        outfile.write('<data_bases>%s</data_bases>\n' % quote_xml(self.getData_bases()))
        showIndent(outfile, level)
        outfile.write('<webapps>%s</webapps>\n' % quote_xml(self.getWebapps()))
        showIndent(outfile, level)
        outfile.write('<traffic>%s</traffic>\n' % quote_xml(self.getTraffic()))
        showIndent(outfile, level)
        outfile.write('<traffic_prevday>%s</traffic_prevday>\n' % quote_xml(self.getTraffic_prevday()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'active_domains':
            active_domains_ = ''
            for text__content_ in child_.childNodes:
                active_domains_ += text__content_.nodeValue
            self.active_domains = active_domains_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'subdomains':
            subdomains_ = ''
            for text__content_ in child_.childNodes:
                subdomains_ += text__content_.nodeValue
            self.subdomains = subdomains_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'disk_space':
            disk_space_ = ''
            for text__content_ in child_.childNodes:
                disk_space_ += text__content_.nodeValue
            self.disk_space = disk_space_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'postboxs':
            postboxs_ = ''
            for text__content_ in child_.childNodes:
                postboxs_ += text__content_.nodeValue
            self.postboxs = postboxs_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'redirects':
            redirects_ = ''
            for text__content_ in child_.childNodes:
                redirects_ += text__content_.nodeValue
            self.redirects = redirects_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'mail_groups':
            mail_groups_ = ''
            for text__content_ in child_.childNodes:
                mail_groups_ += text__content_.nodeValue
            self.mail_groups = mail_groups_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'mail_resps':
            mail_resps_ = ''
            for text__content_ in child_.childNodes:
                mail_resps_ += text__content_.nodeValue
            self.mail_resps = mail_resps_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'mail_lists':
            mail_lists_ = ''
            for text__content_ in child_.childNodes:
                mail_lists_ += text__content_.nodeValue
            self.mail_lists = mail_lists_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'web_users':
            web_users_ = ''
            for text__content_ in child_.childNodes:
                web_users_ += text__content_.nodeValue
            self.web_users = web_users_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'data_bases':
            data_bases_ = ''
            for text__content_ in child_.childNodes:
                data_bases_ += text__content_.nodeValue
            self.data_bases = data_bases_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'webapps':
            webapps_ = ''
            for text__content_ in child_.childNodes:
                webapps_ += text__content_.nodeValue
            self.webapps = webapps_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'traffic':
            traffic_ = ''
            for text__content_ in child_.childNodes:
                traffic_ += text__content_.nodeValue
            self.traffic = traffic_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'traffic_prevday':
            traffic_prevday_ = ''
            for text__content_ in child_.childNodes:
                traffic_prevday_ += text__content_.nodeValue
            self.traffic_prevday = traffic_prevday_
# end class clientStatType


class ipPoolType:
    subclass = None
    def __init__(self, ip_address=None):
        if ip_address is None:
            self.ip_address = []
        else:
            self.ip_address = ip_address
    def factory(*args_, **kwargs_):
        if ipPoolType.subclass:
            return ipPoolType.subclass(*args_, **kwargs_)
        else:
            return ipPoolType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getIp_address(self): return self.ip_address
    def setIp_address(self, value): self.ip_address = value
    def addIp_address(self, value): self.ip_address.append(value)
    def insertIp_address(self, index, value): self.ip_address[index] = value
    def export(self, outfile, level, name_='ipPoolType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='ipPoolType'):
        pass
    def exportChildren(self, outfile, level, name_='ipPoolType'):
        for ip_address_ in self.getIp_address():
            showIndent(outfile, level)
            outfile.write('<ip-address>%s</ip-address>\n' % quote_xml(ip_address_))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ip-address':
            ip_address_ = ''
            for text__content_ in child_.childNodes:
                ip_address_ += text__content_.nodeValue
            self.addIp_address(ip_address_)
# end class ipPoolType


class ipPoolOperateType:
    subclass = None
    def __init__(self, client_id='', ip_address=None):
        self.client_id = client_id
        if ip_address is None:
            self.ip_address = []
        else:
            self.ip_address = ip_address
    def factory(*args_, **kwargs_):
        if ipPoolOperateType.subclass:
            return ipPoolOperateType.subclass(*args_, **kwargs_)
        else:
            return ipPoolOperateType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getClient_id(self): return self.client_id
    def setClient_id(self, value): self.client_id = value
    def getIp_address(self): return self.ip_address
    def setIp_address(self, value): self.ip_address = value
    def addIp_address(self, value): self.ip_address.append(value)
    def insertIp_address(self, index, value): self.ip_address[index] = value
    def export(self, outfile, level, name_='ipPoolOperateType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='ipPoolOperateType'):
        pass
    def exportChildren(self, outfile, level, name_='ipPoolOperateType'):
        showIndent(outfile, level)
        outfile.write('<client_id>%s</client_id>\n' % quote_xml(self.getClient_id()))
        for ip_address_ in self.getIp_address():
            showIndent(outfile, level)
            outfile.write('<ip_address>%s</ip_address>\n' % quote_xml(ip_address_))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'client_id':
            client_id_ = ''
            for text__content_ in child_.childNodes:
                client_id_ += text__content_.nodeValue
            self.client_id = client_id_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ip_address':
            ip_address_ = ''
            for text__content_ in child_.childNodes:
                ip_address_ += text__content_.nodeValue
            self.addIp_address(ip_address_)
# end class ipPoolOperateType


class poolOperationResult(resultType):
    subclass = None
    def __init__(self, ip_address=None, client_id=None, status='', errcode=None, errtext=None):
        resultType.__init__(self, status, errcode, errtext)
        self.ip_address = ip_address
        self.client_id = client_id
    def factory(*args_, **kwargs_):
        if poolOperationResult.subclass:
            return poolOperationResult.subclass(*args_, **kwargs_)
        else:
            return poolOperationResult(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getIp_address(self): return self.ip_address
    def setIp_address(self, value): self.ip_address = value
    def getClient_id(self): return self.client_id
    def setClient_id(self, value): self.client_id = value
    def export(self, outfile, level, name_='poolOperationResult'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='poolOperationResult'):
        resultType.exportAttributes(self, outfile, level, name_='poolOperationResult')
    def exportChildren(self, outfile, level, name_='poolOperationResult'):
        if self.ip_address is not None:
            showIndent(outfile, level)
            outfile.write('<ip_address>%s</ip_address>\n' % quote_xml(self.getIp_address()))
        if self.client_id is not None:
            showIndent(outfile, level)
            outfile.write('<client_id>%s</client_id>\n' % quote_xml(self.getClient_id()))
        resultType.exportChildren(self, outfile, level, name_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        resultType.buildAttributes(self, attrs)
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ip_address':
            ip_address_ = ''
            for text__content_ in child_.childNodes:
                ip_address_ += text__content_.nodeValue
            self.ip_address = ip_address_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'client_id':
            client_id_ = ''
            for text__content_ in child_.childNodes:
                client_id_ += text__content_.nodeValue
            self.client_id = client_id_
        resultType.buildChildren(self, child_, nodeName_)
# end class poolOperationResult


class operationResult(resultType):
    subclass = None
    def __init__(self, id='', status='', errcode=None, errtext=None):
        resultType.__init__(self, status, errcode, errtext)
        self.id = id
    def factory(*args_, **kwargs_):
        if operationResult.subclass:
            return operationResult.subclass(*args_, **kwargs_)
        else:
            return operationResult(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getId(self): return self.id
    def setId(self, value): self.id = value
    def export(self, outfile, level, name_='operationResult'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='operationResult'):
        resultType.exportAttributes(self, outfile, level, name_='operationResult')
    def exportChildren(self, outfile, level, name_='operationResult'):
        showIndent(outfile, level)
        outfile.write('<id>%s</id>\n' % quote_xml(self.getId()))
        resultType.exportChildren(self, outfile, level, name_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        resultType.buildAttributes(self, attrs)
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'id':
            id_ = ''
            for text__content_ in child_.childNodes:
                id_ += text__content_.nodeValue
            self.id = id_
        resultType.buildChildren(self, child_, nodeName_)
# end class operationResult


class ClientResponseType:
    subclass = None
    def __init__(self, add=None, get=None, ddel=None, set=None, ippool_add_ip=None, ippool_del_ip=None, cform_buttons_list=None):
        if add is None:
            self.add = []
        else:
            self.add = add
        if get is None:
            self.get = []
        else:
            self.get = get
        if ddel is None:
            self.ddel = []
        else:
            self.ddel = ddel
        if set is None:
            self.set = []
        else:
            self.set = set
        if ippool_add_ip is None:
            self.ippool_add_ip = []
        else:
            self.ippool_add_ip = ippool_add_ip
        if ippool_del_ip is None:
            self.ippool_del_ip = []
        else:
            self.ippool_del_ip = ippool_del_ip
        if cform_buttons_list is None:
            self.cform_buttons_list = []
        else:
            self.cform_buttons_list = cform_buttons_list
    def factory(*args_, **kwargs_):
        if ClientResponseType.subclass:
            return ClientResponseType.subclass(*args_, **kwargs_)
        else:
            return ClientResponseType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getAdd(self): return self.add
    def setAdd(self, value): self.add = value
    def addAdd(self, value): self.add.append(value)
    def insertAdd(self, index, value): self.add[index] = value
    def getGet(self): return self.get
    def setGet(self, value): self.get = value
    def addGet(self, value): self.get.append(value)
    def insertGet(self, index, value): self.get[index] = value
    def getDel(self): return self.ddel
    def setDel(self, value): self.ddel = value
    def addDel(self, value): self.ddel.append(value)
    def insertDel(self, index, value): self.ddel[index] = value
    def getSet(self): return self.set
    def setSet(self, value): self.set = value
    def addSet(self, value): self.set.append(value)
    def insertSet(self, index, value): self.set[index] = value
    def getIppool_add_ip(self): return self.ippool_add_ip
    def setIppool_add_ip(self, value): self.ippool_add_ip = value
    def addIppool_add_ip(self, value): self.ippool_add_ip.append(value)
    def insertIppool_add_ip(self, index, value): self.ippool_add_ip[index] = value
    def getIppool_del_ip(self): return self.ippool_del_ip
    def setIppool_del_ip(self, value): self.ippool_del_ip = value
    def addIppool_del_ip(self, value): self.ippool_del_ip.append(value)
    def insertIppool_del_ip(self, index, value): self.ippool_del_ip[index] = value
    def getCform_buttons_list(self): return self.cform_buttons_list
    def setCform_buttons_list(self, value): self.cform_buttons_list = value
    def addCform_buttons_list(self, value): self.cform_buttons_list.append(value)
    def insertCform_buttons_list(self, index, value): self.cform_buttons_list[index] = value
    def export(self, outfile, level, name_='ClientResponseType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='ClientResponseType'):
        pass
    def exportChildren(self, outfile, level, name_='ClientResponseType'):
        for add_ in self.getAdd():
            add_.export(outfile, level)
        for get_ in self.getGet():
            get_.export(outfile, level)
        for del_ in self.getDel():
            del_.export(outfile, level)
        for set_ in self.getSet():
            set_.export(outfile, level)
        for ippool_add_ip_ in self.getIppool_add_ip():
            ippool_add_ip_.export(outfile, level)
        for ippool_del_ip_ in self.getIppool_del_ip():
            ippool_del_ip_.export(outfile, level)
        for cform_buttons_list_ in self.getCform_buttons_list():
            cform_buttons_list_.export(outfile, level)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'add':
            obj_ = add.factory()
            obj_.build(child_)
            self.add.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'get':
            obj_ = get.factory()
            obj_.build(child_)
            self.get.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'del':
            obj_ = ddel.factory()
            obj_.build(child_)
            self.ddel.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'set':
            obj_ = set.factory()
            obj_.build(child_)
            self.set.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ippool_add_ip':
            obj_ = ippool_add_ip.factory()
            obj_.build(child_)
            self.ippool_add_ip.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ippool_del_ip':
            obj_ = ippool_del_ip.factory()
            obj_.build(child_)
            self.ippool_del_ip.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'cform_buttons_list':
            obj_ = cform_buttons_list.factory()
            obj_.build(child_)
            self.cform_buttons_list.append(obj_)
# end class ClientResponseType


class DatabaseServer:
    subclass = None
    def __init__(self, host=None, port=None):
        self.host = host
        self.port = port
    def factory(*args_, **kwargs_):
        if DatabaseServer.subclass:
            return DatabaseServer.subclass(*args_, **kwargs_)
        else:
            return DatabaseServer(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getHost(self): return self.host
    def setHost(self, value): self.host = value
    def getPort(self): return self.port
    def setPort(self, value): self.port = value
    def export(self, outfile, level, name_='DatabaseServer'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='DatabaseServer'):
        pass
    def exportChildren(self, outfile, level, name_='DatabaseServer'):
        if self.host is not None:
            showIndent(outfile, level)
            outfile.write('<host>%s</host>\n' % quote_xml(self.getHost()))
        if self.port is not None:
            showIndent(outfile, level)
            outfile.write('<port>%s</port>\n' % quote_xml(self.getPort()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'host':
            host_ = ''
            for text__content_ in child_.childNodes:
                host_ += text__content_.nodeValue
            self.host = host_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'port':
            port_ = ''
            for text__content_ in child_.childNodes:
                port_ += text__content_.nodeValue
            self.port = port_
# end class DatabaseServer


class DatabaseServerDescription(DatabaseServer):
    subclass = None
    def __init__(self, ttype='', admin='', password=None, host=None, port=None):
        DatabaseServer.__init__(self, host, port)
        self.ttype = ttype
        self.admin = admin
        self.password = password
    def factory(*args_, **kwargs_):
        if DatabaseServerDescription.subclass:
            return DatabaseServerDescription.subclass(*args_, **kwargs_)
        else:
            return DatabaseServerDescription(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getType(self): return self.ttype
    def setType(self, value): self.ttype = value
    def getAdmin(self): return self.admin
    def setAdmin(self, value): self.admin = value
    def getPassword(self): return self.password
    def setPassword(self, value): self.password = value
    def export(self, outfile, level, name_='DatabaseServerDescription'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='DatabaseServerDescription'):
        DatabaseServer.exportAttributes(self, outfile, level, name_='DatabaseServerDescription')
    def exportChildren(self, outfile, level, name_='DatabaseServerDescription'):
        showIndent(outfile, level)
        outfile.write('<type>%s</type>\n' % quote_xml(self.getType()))
        showIndent(outfile, level)
        outfile.write('<admin>%s</admin>\n' % quote_xml(self.getAdmin()))
        if self.password is not None:
            showIndent(outfile, level)
            outfile.write('<password>%s</password>\n' % quote_xml(self.getPassword()))
        DatabaseServer.exportChildren(self, outfile, level, name_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        DatabaseServer.buildAttributes(self, attrs)
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'type':
            type_ = ''
            for text__content_ in child_.childNodes:
                type_ += text__content_.nodeValue
            self.ttype = type_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'admin':
            admin_ = ''
            for text__content_ in child_.childNodes:
                admin_ += text__content_.nodeValue
            self.admin = admin_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'password':
            password_ = ''
            for text__content_ in child_.childNodes:
                password_ += text__content_.nodeValue
            self.password = password_
        DatabaseServer.buildChildren(self, child_, nodeName_)
# end class DatabaseServerDescription


class DatabaseServerDescriptionOpt(DatabaseServer):
    subclass = None
    def __init__(self, admin=None, password=None, host=None, port=None):
        DatabaseServer.__init__(self, host, port)
        self.admin = admin
        self.password = password
    def factory(*args_, **kwargs_):
        if DatabaseServerDescriptionOpt.subclass:
            return DatabaseServerDescriptionOpt.subclass(*args_, **kwargs_)
        else:
            return DatabaseServerDescriptionOpt(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getAdmin(self): return self.admin
    def setAdmin(self, value): self.admin = value
    def getPassword(self): return self.password
    def setPassword(self, value): self.password = value
    def export(self, outfile, level, name_='DatabaseServerDescriptionOpt'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='DatabaseServerDescriptionOpt'):
        DatabaseServer.exportAttributes(self, outfile, level, name_='DatabaseServerDescriptionOpt')
    def exportChildren(self, outfile, level, name_='DatabaseServerDescriptionOpt'):
        if self.admin is not None:
            showIndent(outfile, level)
            outfile.write('<admin>%s</admin>\n' % quote_xml(self.getAdmin()))
        if self.password is not None:
            showIndent(outfile, level)
            outfile.write('<password>%s</password>\n' % quote_xml(self.getPassword()))
        DatabaseServer.exportChildren(self, outfile, level, name_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        DatabaseServer.buildAttributes(self, attrs)
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'admin':
            admin_ = ''
            for text__content_ in child_.childNodes:
                admin_ += text__content_.nodeValue
            self.admin = admin_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'password':
            password_ = ''
            for text__content_ in child_.childNodes:
                password_ += text__content_.nodeValue
            self.password = password_
        DatabaseServer.buildChildren(self, child_, nodeName_)
# end class DatabaseServerDescriptionOpt


class DatabaseServerAddParam:
    subclass = None
    def __init__(self, host='', port='', ttype='', admin='', password=None):
        self.host = host
        self.port = port
        self.ttype = ttype
        self.admin = admin
        self.password = password
    def factory(*args_, **kwargs_):
        if DatabaseServerAddParam.subclass:
            return DatabaseServerAddParam.subclass(*args_, **kwargs_)
        else:
            return DatabaseServerAddParam(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getHost(self): return self.host
    def setHost(self, value): self.host = value
    def getPort(self): return self.port
    def setPort(self, value): self.port = value
    def getType(self): return self.ttype
    def setType(self, value): self.ttype = value
    def getAdmin(self): return self.admin
    def setAdmin(self, value): self.admin = value
    def getPassword(self): return self.password
    def setPassword(self, value): self.password = value
    def export(self, outfile, level, name_='DatabaseServerAddParam'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='DatabaseServerAddParam'):
        pass
    def exportChildren(self, outfile, level, name_='DatabaseServerAddParam'):
        showIndent(outfile, level)
        outfile.write('<host>%s</host>\n' % quote_xml(self.getHost()))
        showIndent(outfile, level)
        outfile.write('<port>%s</port>\n' % quote_xml(self.getPort()))
        showIndent(outfile, level)
        outfile.write('<type>%s</type>\n' % quote_xml(self.getType()))
        showIndent(outfile, level)
        outfile.write('<admin>%s</admin>\n' % quote_xml(self.getAdmin()))
        if self.password is not None:
            showIndent(outfile, level)
            outfile.write('<password>%s</password>\n' % quote_xml(self.getPassword()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'host':
            host_ = ''
            for text__content_ in child_.childNodes:
                host_ += text__content_.nodeValue
            self.host = host_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'port':
            port_ = ''
            for text__content_ in child_.childNodes:
                port_ += text__content_.nodeValue
            self.port = port_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'type':
            type_ = ''
            for text__content_ in child_.childNodes:
                type_ += text__content_.nodeValue
            self.ttype = type_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'admin':
            admin_ = ''
            for text__content_ in child_.childNodes:
                admin_ += text__content_.nodeValue
            self.admin = admin_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'password':
            password_ = ''
            for text__content_ in child_.childNodes:
                password_ += text__content_.nodeValue
            self.password = password_
# end class DatabaseServerAddParam


class DatabaseServerResultType(resultType):
    subclass = None
    def __init__(self, id='', status='', errcode=None, errtext=None):
        resultType.__init__(self, status, errcode, errtext)
        self.id = id
    def factory(*args_, **kwargs_):
        if DatabaseServerResultType.subclass:
            return DatabaseServerResultType.subclass(*args_, **kwargs_)
        else:
            return DatabaseServerResultType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getId(self): return self.id
    def setId(self, value): self.id = value
    def export(self, outfile, level, name_='DatabaseServerResultType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='DatabaseServerResultType'):
        resultType.exportAttributes(self, outfile, level, name_='DatabaseServerResultType')
    def exportChildren(self, outfile, level, name_='DatabaseServerResultType'):
        showIndent(outfile, level)
        outfile.write('<id>%s</id>\n' % quote_xml(self.getId()))
        resultType.exportChildren(self, outfile, level, name_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        resultType.buildAttributes(self, attrs)
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'id':
            id_ = ''
            for text__content_ in child_.childNodes:
                id_ += text__content_.nodeValue
            self.id = id_
        resultType.buildChildren(self, child_, nodeName_)
# end class DatabaseServerResultType


class DatabaseServerResultType2(resultType):
    subclass = None
    def __init__(self, ttype=None, id=None, status='', errcode=None, errtext=None):
        resultType.__init__(self, status, errcode, errtext)
        self.ttype = ttype
        self.id = id
    def factory(*args_, **kwargs_):
        if DatabaseServerResultType2.subclass:
            return DatabaseServerResultType2.subclass(*args_, **kwargs_)
        else:
            return DatabaseServerResultType2(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getType(self): return self.ttype
    def setType(self, value): self.ttype = value
    def getId(self): return self.id
    def setId(self, value): self.id = value
    def export(self, outfile, level, name_='DatabaseServerResultType2'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='DatabaseServerResultType2'):
        resultType.exportAttributes(self, outfile, level, name_='DatabaseServerResultType2')
    def exportChildren(self, outfile, level, name_='DatabaseServerResultType2'):
        if self.ttype is not None:
            showIndent(outfile, level)
            outfile.write('<type>%s</type>\n' % quote_xml(self.getType()))
        if self.id is not None:
            showIndent(outfile, level)
            outfile.write('<id>%s</id>\n' % quote_xml(self.getId()))
        resultType.exportChildren(self, outfile, level, name_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        resultType.buildAttributes(self, attrs)
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'type':
            type_ = ''
            for text__content_ in child_.childNodes:
                type_ += text__content_.nodeValue
            self.ttype = type_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'id':
            id_ = ''
            for text__content_ in child_.childNodes:
                id_ += text__content_.nodeValue
            self.id = id_
        resultType.buildChildren(self, child_, nodeName_)
# end class DatabaseServerResultType2


class DatabaseServerResponseType:
    subclass = None
    def __init__(self, add=None, set=None, ddel=None, set_default=None, get=None, get_supported_types=None, get_default=None, get_local=None):
        if add is None:
            self.add = []
        else:
            self.add = add
        if set is None:
            self.set = []
        else:
            self.set = set
        if ddel is None:
            self.ddel = []
        else:
            self.ddel = ddel
        if set_default is None:
            self.set_default = []
        else:
            self.set_default = set_default
        if get is None:
            self.get = []
        else:
            self.get = get
        if get_supported_types is None:
            self.get_supported_types = []
        else:
            self.get_supported_types = get_supported_types
        if get_default is None:
            self.get_default = []
        else:
            self.get_default = get_default
        if get_local is None:
            self.get_local = []
        else:
            self.get_local = get_local
    def factory(*args_, **kwargs_):
        if DatabaseServerResponseType.subclass:
            return DatabaseServerResponseType.subclass(*args_, **kwargs_)
        else:
            return DatabaseServerResponseType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getAdd(self): return self.add
    def setAdd(self, value): self.add = value
    def addAdd(self, value): self.add.append(value)
    def insertAdd(self, index, value): self.add[index] = value
    def getSet(self): return self.set
    def setSet(self, value): self.set = value
    def addSet(self, value): self.set.append(value)
    def insertSet(self, index, value): self.set[index] = value
    def getDel(self): return self.ddel
    def setDel(self, value): self.ddel = value
    def addDel(self, value): self.ddel.append(value)
    def insertDel(self, index, value): self.ddel[index] = value
    def getSet_default(self): return self.set_default
    def setSet_default(self, value): self.set_default = value
    def addSet_default(self, value): self.set_default.append(value)
    def insertSet_default(self, index, value): self.set_default[index] = value
    def getGet(self): return self.get
    def setGet(self, value): self.get = value
    def addGet(self, value): self.get.append(value)
    def insertGet(self, index, value): self.get[index] = value
    def getGet_supported_types(self): return self.get_supported_types
    def setGet_supported_types(self, value): self.get_supported_types = value
    def addGet_supported_types(self, value): self.get_supported_types.append(value)
    def insertGet_supported_types(self, index, value): self.get_supported_types[index] = value
    def getGet_default(self): return self.get_default
    def setGet_default(self, value): self.get_default = value
    def addGet_default(self, value): self.get_default.append(value)
    def insertGet_default(self, index, value): self.get_default[index] = value
    def getGet_local(self): return self.get_local
    def setGet_local(self, value): self.get_local = value
    def addGet_local(self, value): self.get_local.append(value)
    def insertGet_local(self, index, value): self.get_local[index] = value
    def export(self, outfile, level, name_='DatabaseServerResponseType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='DatabaseServerResponseType'):
        pass
    def exportChildren(self, outfile, level, name_='DatabaseServerResponseType'):
        for add_ in self.getAdd():
            add_.export(outfile, level)
        for set_ in self.getSet():
            set_.export(outfile, level)
        for del_ in self.getDel():
            del_.export(outfile, level)
        for set_default_ in self.getSet_default():
            set_default_.export(outfile, level)
        for get_ in self.getGet():
            get_.export(outfile, level)
        for get_supported_types_ in self.getGet_supported_types():
            get_supported_types_.export(outfile, level)
        for get_default_ in self.getGet_default():
            get_default_.export(outfile, level)
        for get_local_ in self.getGet_local():
            get_local_.export(outfile, level)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'add':
            obj_ = add.factory()
            obj_.build(child_)
            self.add.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'set':
            obj_ = set.factory()
            obj_.build(child_)
            self.set.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'del':
            obj_ = ddel.factory()
            obj_.build(child_)
            self.ddel.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'set-default':
            obj_ = set_default.factory()
            obj_.build(child_)
            self.set_default.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'get':
            obj_ = get.factory()
            obj_.build(child_)
            self.get.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'get-supported-types':
            obj_ = get_supported_types.factory()
            obj_.build(child_)
            self.get_supported_types.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'get-default':
            obj_ = get_default.factory()
            obj_.build(child_)
            self.get_default.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'get-local':
            obj_ = get_local.factory()
            obj_.build(child_)
            self.get_local.append(obj_)
# end class DatabaseServerResponseType


class dnsRecord:
    subclass = None
    def __init__(self, domain_id=None, domain_alias_id=None, ttype='', host='', value='', opt=None):
        self.domain_id = domain_id
        self.domain_alias_id = domain_alias_id
        self.ttype = ttype
        self.host = host
        self.value = value
        self.opt = opt
    def factory(*args_, **kwargs_):
        if dnsRecord.subclass:
            return dnsRecord.subclass(*args_, **kwargs_)
        else:
            return dnsRecord(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getDomain_id(self): return self.domain_id
    def setDomain_id(self, value): self.domain_id = value
    def getDomain_alias_id(self): return self.domain_alias_id
    def setDomain_alias_id(self, value): self.domain_alias_id = value
    def getType(self): return self.ttype
    def setType(self, value): self.ttype = value
    def getHost(self): return self.host
    def setHost(self, value): self.host = value
    def getValue(self): return self.value
    def setValue(self, value): self.value = value
    def getOpt(self): return self.opt
    def setOpt(self, value): self.opt = value
    def export(self, outfile, level, name_='dnsRecord'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='dnsRecord'):
        pass
    def exportChildren(self, outfile, level, name_='dnsRecord'):
        if self.domain_id is not None:
            showIndent(outfile, level)
            outfile.write('<domain_id>%s</domain_id>\n' % quote_xml(self.getDomain_id()))
        if self.domain_alias_id is not None:
            showIndent(outfile, level)
            outfile.write('<domain_alias_id>%s</domain_alias_id>\n' % quote_xml(self.getDomain_alias_id()))
        showIndent(outfile, level)
        outfile.write('<type>%s</type>\n' % quote_xml(self.getType()))
        showIndent(outfile, level)
        outfile.write('<host>%s</host>\n' % quote_xml(self.getHost()))
        showIndent(outfile, level)
        outfile.write('<value>%s</value>\n' % quote_xml(self.getValue()))
        if self.opt is not None:
            showIndent(outfile, level)
            outfile.write('<opt>%s</opt>\n' % quote_xml(self.getOpt()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'domain_id':
            domain_id_ = ''
            for text__content_ in child_.childNodes:
                domain_id_ += text__content_.nodeValue
            self.domain_id = domain_id_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'domain_alias_id':
            domain_alias_id_ = ''
            for text__content_ in child_.childNodes:
                domain_alias_id_ += text__content_.nodeValue
            self.domain_alias_id = domain_alias_id_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'type':
            type_ = ''
            for text__content_ in child_.childNodes:
                type_ += text__content_.nodeValue
            self.ttype = type_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'host':
            host_ = ''
            for text__content_ in child_.childNodes:
                host_ += text__content_.nodeValue
            self.host = host_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'value':
            value_ = ''
            for text__content_ in child_.childNodes:
                value_ += text__content_.nodeValue
            self.value = value_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'opt':
            opt_ = ''
            for text__content_ in child_.childNodes:
                opt_ += text__content_.nodeValue
            self.opt = opt_
# end class dnsRecord


class SOAType:
    subclass = None
    def __init__(self, ttl=None, refresh=None, retry=None, expire=None, minimum=None):
        self.ttl = ttl
        self.refresh = refresh
        self.retry = retry
        self.expire = expire
        self.minimum = minimum
    def factory(*args_, **kwargs_):
        if SOAType.subclass:
            return SOAType.subclass(*args_, **kwargs_)
        else:
            return SOAType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getTtl(self): return self.ttl
    def setTtl(self, value): self.ttl = value
    def getRefresh(self): return self.refresh
    def setRefresh(self, value): self.refresh = value
    def getRetry(self): return self.retry
    def setRetry(self, value): self.retry = value
    def getExpire(self): return self.expire
    def setExpire(self, value): self.expire = value
    def getMinimum(self): return self.minimum
    def setMinimum(self, value): self.minimum = value
    def export(self, outfile, level, name_='SOAType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='SOAType'):
        pass
    def exportChildren(self, outfile, level, name_='SOAType'):
        if self.ttl is not None:
            showIndent(outfile, level)
            outfile.write('<ttl>%s</ttl>\n' % quote_xml(self.getTtl()))
        if self.refresh is not None:
            showIndent(outfile, level)
            outfile.write('<refresh>%s</refresh>\n' % quote_xml(self.getRefresh()))
        if self.retry is not None:
            showIndent(outfile, level)
            outfile.write('<retry>%s</retry>\n' % quote_xml(self.getRetry()))
        if self.expire is not None:
            showIndent(outfile, level)
            outfile.write('<expire>%s</expire>\n' % quote_xml(self.getExpire()))
        if self.minimum is not None:
            showIndent(outfile, level)
            outfile.write('<minimum>%s</minimum>\n' % quote_xml(self.getMinimum()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ttl':
            ttl_ = ''
            for text__content_ in child_.childNodes:
                ttl_ += text__content_.nodeValue
            self.ttl = ttl_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'refresh':
            refresh_ = ''
            for text__content_ in child_.childNodes:
                refresh_ += text__content_.nodeValue
            self.refresh = refresh_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'retry':
            retry_ = ''
            for text__content_ in child_.childNodes:
                retry_ += text__content_.nodeValue
            self.retry = retry_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'expire':
            expire_ = ''
            for text__content_ in child_.childNodes:
                expire_ += text__content_.nodeValue
            self.expire = expire_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'minimum':
            minimum_ = ''
            for text__content_ in child_.childNodes:
                minimum_ += text__content_.nodeValue
            self.minimum = minimum_
# end class SOAType


class aclResultType(resultType):
    subclass = None
    def __init__(self, host=None, status='', errcode=None, errtext=None):
        resultType.__init__(self, status, errcode, errtext)
        if host is None:
            self.host = []
        else:
            self.host = host
    def factory(*args_, **kwargs_):
        if aclResultType.subclass:
            return aclResultType.subclass(*args_, **kwargs_)
        else:
            return aclResultType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getHost(self): return self.host
    def setHost(self, value): self.host = value
    def addHost(self, value): self.host.append(value)
    def insertHost(self, index, value): self.host[index] = value
    def export(self, outfile, level, name_='aclResultType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='aclResultType'):
        resultType.exportAttributes(self, outfile, level, name_='aclResultType')
    def exportChildren(self, outfile, level, name_='aclResultType'):
        for host_ in self.getHost():
            showIndent(outfile, level)
            outfile.write('<host>%s</host>\n' % quote_xml(host_))
        resultType.exportChildren(self, outfile, level, name_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        resultType.buildAttributes(self, attrs)
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'host':
            host_ = ''
            for text__content_ in child_.childNodes:
                host_ += text__content_.nodeValue
            self.addHost(host_)
        resultType.buildChildren(self, child_, nodeName_)
# end class aclResultType


class resultOpType(resultType):
    subclass = None
    def __init__(self, domain_id=None, domain_alias_id=None, status='', errcode=None, errtext=None):
        resultType.__init__(self, status, errcode, errtext)
        self.domain_id = domain_id
        self.domain_alias_id = domain_alias_id
    def factory(*args_, **kwargs_):
        if resultOpType.subclass:
            return resultOpType.subclass(*args_, **kwargs_)
        else:
            return resultOpType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getDomain_id(self): return self.domain_id
    def setDomain_id(self, value): self.domain_id = value
    def getDomain_alias_id(self): return self.domain_alias_id
    def setDomain_alias_id(self, value): self.domain_alias_id = value
    def export(self, outfile, level, name_='resultOpType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='resultOpType'):
        resultType.exportAttributes(self, outfile, level, name_='resultOpType')
    def exportChildren(self, outfile, level, name_='resultOpType'):
        if self.domain_id is not None:
            showIndent(outfile, level)
            outfile.write('<domain_id>%s</domain_id>\n' % quote_xml(self.getDomain_id()))
        if self.domain_alias_id is not None:
            showIndent(outfile, level)
            outfile.write('<domain_alias_id>%s</domain_alias_id>\n' % quote_xml(self.getDomain_alias_id()))
        resultType.exportChildren(self, outfile, level, name_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        resultType.buildAttributes(self, attrs)
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'domain_id':
            domain_id_ = ''
            for text__content_ in child_.childNodes:
                domain_id_ += text__content_.nodeValue
            self.domain_id = domain_id_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'domain_alias_id':
            domain_alias_id_ = ''
            for text__content_ in child_.childNodes:
                domain_alias_id_ += text__content_.nodeValue
            self.domain_alias_id = domain_alias_id_
        resultType.buildChildren(self, child_, nodeName_)
# end class resultOpType


class DNSResponseType:
    subclass = None
    def __init__(self, add_rec=None, get_rec=None, del_rec=None, get_acl=None, add_to_acl=None, remove_from_acl=None, switch=None, add_master_server=None, get_master_server=None, del_master_server=None, get=None, set=None, enable=None, disable=None):
        if add_rec is None:
            self.add_rec = []
        else:
            self.add_rec = add_rec
        if get_rec is None:
            self.get_rec = []
        else:
            self.get_rec = get_rec
        if del_rec is None:
            self.del_rec = []
        else:
            self.del_rec = del_rec
        if get_acl is None:
            self.get_acl = []
        else:
            self.get_acl = get_acl
        if add_to_acl is None:
            self.add_to_acl = []
        else:
            self.add_to_acl = add_to_acl
        if remove_from_acl is None:
            self.remove_from_acl = []
        else:
            self.remove_from_acl = remove_from_acl
        if switch is None:
            self.switch = []
        else:
            self.switch = switch
        if add_master_server is None:
            self.add_master_server = []
        else:
            self.add_master_server = add_master_server
        if get_master_server is None:
            self.get_master_server = []
        else:
            self.get_master_server = get_master_server
        if del_master_server is None:
            self.del_master_server = []
        else:
            self.del_master_server = del_master_server
        if get is None:
            self.get = []
        else:
            self.get = get
        if set is None:
            self.set = []
        else:
            self.set = set
        if enable is None:
            self.enable = []
        else:
            self.enable = enable
        if disable is None:
            self.disable = []
        else:
            self.disable = disable
    def factory(*args_, **kwargs_):
        if DNSResponseType.subclass:
            return DNSResponseType.subclass(*args_, **kwargs_)
        else:
            return DNSResponseType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getAdd_rec(self): return self.add_rec
    def setAdd_rec(self, value): self.add_rec = value
    def addAdd_rec(self, value): self.add_rec.append(value)
    def insertAdd_rec(self, index, value): self.add_rec[index] = value
    def getGet_rec(self): return self.get_rec
    def setGet_rec(self, value): self.get_rec = value
    def addGet_rec(self, value): self.get_rec.append(value)
    def insertGet_rec(self, index, value): self.get_rec[index] = value
    def getDel_rec(self): return self.del_rec
    def setDel_rec(self, value): self.del_rec = value
    def addDel_rec(self, value): self.del_rec.append(value)
    def insertDel_rec(self, index, value): self.del_rec[index] = value
    def getGet_acl(self): return self.get_acl
    def setGet_acl(self, value): self.get_acl = value
    def addGet_acl(self, value): self.get_acl.append(value)
    def insertGet_acl(self, index, value): self.get_acl[index] = value
    def getAdd_to_acl(self): return self.add_to_acl
    def setAdd_to_acl(self, value): self.add_to_acl = value
    def addAdd_to_acl(self, value): self.add_to_acl.append(value)
    def insertAdd_to_acl(self, index, value): self.add_to_acl[index] = value
    def getRemove_from_acl(self): return self.remove_from_acl
    def setRemove_from_acl(self, value): self.remove_from_acl = value
    def addRemove_from_acl(self, value): self.remove_from_acl.append(value)
    def insertRemove_from_acl(self, index, value): self.remove_from_acl[index] = value
    def getSwitch(self): return self.switch
    def setSwitch(self, value): self.switch = value
    def addSwitch(self, value): self.switch.append(value)
    def insertSwitch(self, index, value): self.switch[index] = value
    def getAdd_master_server(self): return self.add_master_server
    def setAdd_master_server(self, value): self.add_master_server = value
    def addAdd_master_server(self, value): self.add_master_server.append(value)
    def insertAdd_master_server(self, index, value): self.add_master_server[index] = value
    def getGet_master_server(self): return self.get_master_server
    def setGet_master_server(self, value): self.get_master_server = value
    def addGet_master_server(self, value): self.get_master_server.append(value)
    def insertGet_master_server(self, index, value): self.get_master_server[index] = value
    def getDel_master_server(self): return self.del_master_server
    def setDel_master_server(self, value): self.del_master_server = value
    def addDel_master_server(self, value): self.del_master_server.append(value)
    def insertDel_master_server(self, index, value): self.del_master_server[index] = value
    def getGet(self): return self.get
    def setGet(self, value): self.get = value
    def addGet(self, value): self.get.append(value)
    def insertGet(self, index, value): self.get[index] = value
    def getSet(self): return self.set
    def setSet(self, value): self.set = value
    def addSet(self, value): self.set.append(value)
    def insertSet(self, index, value): self.set[index] = value
    def getEnable(self): return self.enable
    def setEnable(self, value): self.enable = value
    def addEnable(self, value): self.enable.append(value)
    def insertEnable(self, index, value): self.enable[index] = value
    def getDisable(self): return self.disable
    def setDisable(self, value): self.disable = value
    def addDisable(self, value): self.disable.append(value)
    def insertDisable(self, index, value): self.disable[index] = value
    def export(self, outfile, level, name_='DNSResponseType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='DNSResponseType'):
        pass
    def exportChildren(self, outfile, level, name_='DNSResponseType'):
        for add_rec_ in self.getAdd_rec():
            add_rec_.export(outfile, level)
        for get_rec_ in self.getGet_rec():
            get_rec_.export(outfile, level)
        for del_rec_ in self.getDel_rec():
            del_rec_.export(outfile, level)
        for get_acl_ in self.getGet_acl():
            get_acl_.export(outfile, level)
        for add_to_acl_ in self.getAdd_to_acl():
            add_to_acl_.export(outfile, level)
        for remove_from_acl_ in self.getRemove_from_acl():
            remove_from_acl_.export(outfile, level)
        for switch_ in self.getSwitch():
            switch_.export(outfile, level)
        for add_master_server_ in self.getAdd_master_server():
            add_master_server_.export(outfile, level)
        for get_master_server_ in self.getGet_master_server():
            get_master_server_.export(outfile, level)
        for del_master_server_ in self.getDel_master_server():
            del_master_server_.export(outfile, level)
        for get_ in self.getGet():
            get_.export(outfile, level)
        for set_ in self.getSet():
            set_.export(outfile, level)
        for enable_ in self.getEnable():
            enable_.export(outfile, level)
        for disable_ in self.getDisable():
            disable_.export(outfile, level)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'add_rec':
            obj_ = add_rec.factory()
            obj_.build(child_)
            self.add_rec.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'get_rec':
            obj_ = get_rec.factory()
            obj_.build(child_)
            self.get_rec.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'del_rec':
            obj_ = del_rec.factory()
            obj_.build(child_)
            self.del_rec.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'get_acl':
            obj_ = get_acl.factory()
            obj_.build(child_)
            self.get_acl.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'add_to_acl':
            obj_ = add_to_acl.factory()
            obj_.build(child_)
            self.add_to_acl.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'remove_from_acl':
            obj_ = remove_from_acl.factory()
            obj_.build(child_)
            self.remove_from_acl.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'switch':
            obj_ = switch.factory()
            obj_.build(child_)
            self.switch.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'add_master_server':
            obj_ = add_master_server.factory()
            obj_.build(child_)
            self.add_master_server.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'get_master_server':
            obj_ = get_master_server.factory()
            obj_.build(child_)
            self.get_master_server.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'del_master_server':
            obj_ = del_master_server.factory()
            obj_.build(child_)
            self.del_master_server.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'get':
            obj_ = get.factory()
            obj_.build(child_)
            self.get.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'set':
            obj_ = set.factory()
            obj_.build(child_)
            self.set.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'enable':
            obj_ = enable.factory()
            obj_.build(child_)
            self.enable.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'disable':
            obj_ = disable.factory()
            obj_.build(child_)
            self.disable.append(obj_)
# end class DNSResponseType


class DomainResponseType:
    subclass = None
    def __init__(self, add=None, get=None, ddel=None, set=None, cform_buttons_list=None, get_traffic=None, set_traffic=None):
        if add is None:
            self.add = []
        else:
            self.add = add
        if get is None:
            self.get = []
        else:
            self.get = get
        if ddel is None:
            self.ddel = []
        else:
            self.ddel = ddel
        if set is None:
            self.set = []
        else:
            self.set = set
        if cform_buttons_list is None:
            self.cform_buttons_list = []
        else:
            self.cform_buttons_list = cform_buttons_list
        if get_traffic is None:
            self.get_traffic = []
        else:
            self.get_traffic = get_traffic
        if set_traffic is None:
            self.set_traffic = []
        else:
            self.set_traffic = set_traffic
    def factory(*args_, **kwargs_):
        if DomainResponseType.subclass:
            return DomainResponseType.subclass(*args_, **kwargs_)
        else:
            return DomainResponseType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getAdd(self): return self.add
    def setAdd(self, value): self.add = value
    def addAdd(self, value): self.add.append(value)
    def insertAdd(self, index, value): self.add[index] = value
    def getGet(self): return self.get
    def setGet(self, value): self.get = value
    def addGet(self, value): self.get.append(value)
    def insertGet(self, index, value): self.get[index] = value
    def getDel(self): return self.ddel
    def setDel(self, value): self.ddel = value
    def addDel(self, value): self.ddel.append(value)
    def insertDel(self, index, value): self.ddel[index] = value
    def getSet(self): return self.set
    def setSet(self, value): self.set = value
    def addSet(self, value): self.set.append(value)
    def insertSet(self, index, value): self.set[index] = value
    def getCform_buttons_list(self): return self.cform_buttons_list
    def setCform_buttons_list(self, value): self.cform_buttons_list = value
    def addCform_buttons_list(self, value): self.cform_buttons_list.append(value)
    def insertCform_buttons_list(self, index, value): self.cform_buttons_list[index] = value
    def getGet_traffic(self): return self.get_traffic
    def setGet_traffic(self, value): self.get_traffic = value
    def addGet_traffic(self, value): self.get_traffic.append(value)
    def insertGet_traffic(self, index, value): self.get_traffic[index] = value
    def getSet_traffic(self): return self.set_traffic
    def setSet_traffic(self, value): self.set_traffic = value
    def addSet_traffic(self, value): self.set_traffic.append(value)
    def insertSet_traffic(self, index, value): self.set_traffic[index] = value
    def export(self, outfile, level, name_='DomainResponseType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='DomainResponseType'):
        pass
    def exportChildren(self, outfile, level, name_='DomainResponseType'):
        for add_ in self.getAdd():
            add_.export(outfile, level)
        for get_ in self.getGet():
            get_.export(outfile, level)
        for del_ in self.getDel():
            del_.export(outfile, level)
        for set_ in self.getSet():
            set_.export(outfile, level)
        for cform_buttons_list_ in self.getCform_buttons_list():
            cform_buttons_list_.export(outfile, level)
        for get_traffic_ in self.getGet_traffic():
            get_traffic_.export(outfile, level)
        for set_traffic_ in self.getSet_traffic():
            set_traffic_.export(outfile, level)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'add':
            obj_ = add.factory()
            obj_.build(child_)
            self.add.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'get':
            obj_ = get.factory()
            obj_.build(child_)
            self.get.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'del':
            obj_ = ddel.factory()
            obj_.build(child_)
            self.ddel.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'set':
            obj_ = set.factory()
            obj_.build(child_)
            self.set.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'cform_buttons_list':
            obj_ = cform_buttons_list.factory()
            obj_.build(child_)
            self.cform_buttons_list.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'get_traffic':
            obj_ = get_traffic.factory()
            obj_.build(child_)
            self.get_traffic.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'set_traffic':
            obj_ = set_traffic.factory()
            obj_.build(child_)
            self.set_traffic.append(obj_)
# end class DomainResponseType


class Settings:
    subclass = None
    def __init__(self, status=None, pref=None):
        self.status = status
        self.pref = pref
    def factory(*args_, **kwargs_):
        if Settings.subclass:
            return Settings.subclass(*args_, **kwargs_)
        else:
            return Settings(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getStatus(self): return self.status
    def setStatus(self, value): self.status = value
    def getPref(self): return self.pref
    def setPref(self, value): self.pref = value
    def export(self, outfile, level, name_='Settings'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='Settings'):
        pass
    def exportChildren(self, outfile, level, name_='Settings'):
        if self.status is not None:
            showIndent(outfile, level)
            outfile.write('<status>%s</status>\n' % quote_xml(self.getStatus()))
        if self.pref is not None:
            self.pref.export(outfile, level)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'status':
            status_ = ''
            for text__content_ in child_.childNodes:
                status_ += text__content_.nodeValue
            self.status = status_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'pref':
            obj_ = pref.factory()
            obj_.build(child_)
            self.setPref(obj_)
# end class Settings


class aliasResultType(resultType):
    subclass = None
    def __init__(self, id=None, name=None, status='', errcode=None, errtext=None):
        resultType.__init__(self, status, errcode, errtext)
        self.id = id
        self.name = name
    def factory(*args_, **kwargs_):
        if aliasResultType.subclass:
            return aliasResultType.subclass(*args_, **kwargs_)
        else:
            return aliasResultType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getId(self): return self.id
    def setId(self, value): self.id = value
    def getName(self): return self.name
    def setName(self, value): self.name = value
    def export(self, outfile, level, name_='aliasResultType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='aliasResultType'):
        resultType.exportAttributes(self, outfile, level, name_='aliasResultType')
    def exportChildren(self, outfile, level, name_='aliasResultType'):
        if self.id is not None:
            showIndent(outfile, level)
            outfile.write('<id>%s</id>\n' % quote_xml(self.getId()))
        if self.name is not None:
            showIndent(outfile, level)
            outfile.write('<name>%s</name>\n' % quote_xml(self.getName()))
        resultType.exportChildren(self, outfile, level, name_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        resultType.buildAttributes(self, attrs)
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'id':
            id_ = ''
            for text__content_ in child_.childNodes:
                id_ += text__content_.nodeValue
            self.id = id_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'name':
            name_ = ''
            for text__content_ in child_.childNodes:
                name_ += text__content_.nodeValue
            self.name = name_
        resultType.buildChildren(self, child_, nodeName_)
# end class aliasResultType


class DomainAliasResponseType:
    subclass = None
    def __init__(self, create=None, rename=None, get=None, delete=None, set=None):
        if create is None:
            self.create = []
        else:
            self.create = create
        if rename is None:
            self.rename = []
        else:
            self.rename = rename
        if get is None:
            self.get = []
        else:
            self.get = get
        if delete is None:
            self.delete = []
        else:
            self.delete = delete
        if set is None:
            self.set = []
        else:
            self.set = set
    def factory(*args_, **kwargs_):
        if DomainAliasResponseType.subclass:
            return DomainAliasResponseType.subclass(*args_, **kwargs_)
        else:
            return DomainAliasResponseType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getCreate(self): return self.create
    def setCreate(self, value): self.create = value
    def addCreate(self, value): self.create.append(value)
    def insertCreate(self, index, value): self.create[index] = value
    def getRename(self): return self.rename
    def setRename(self, value): self.rename = value
    def addRename(self, value): self.rename.append(value)
    def insertRename(self, index, value): self.rename[index] = value
    def getGet(self): return self.get
    def setGet(self, value): self.get = value
    def addGet(self, value): self.get.append(value)
    def insertGet(self, index, value): self.get[index] = value
    def getDelete(self): return self.delete
    def setDelete(self, value): self.delete = value
    def addDelete(self, value): self.delete.append(value)
    def insertDelete(self, index, value): self.delete[index] = value
    def getSet(self): return self.set
    def setSet(self, value): self.set = value
    def addSet(self, value): self.set.append(value)
    def insertSet(self, index, value): self.set[index] = value
    def export(self, outfile, level, name_='DomainAliasResponseType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='DomainAliasResponseType'):
        pass
    def exportChildren(self, outfile, level, name_='DomainAliasResponseType'):
        for create_ in self.getCreate():
            create_.export(outfile, level)
        for rename_ in self.getRename():
            rename_.export(outfile, level)
        for get_ in self.getGet():
            get_.export(outfile, level)
        for delete_ in self.getDelete():
            delete_.export(outfile, level)
        for set_ in self.getSet():
            set_.export(outfile, level)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'create':
            obj_ = create.factory()
            obj_.build(child_)
            self.create.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'rename':
            obj_ = rename.factory()
            obj_.build(child_)
            self.rename.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'get':
            obj_ = get.factory()
            obj_.build(child_)
            self.get.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'delete':
            obj_ = delete.factory()
            obj_.build(child_)
            self.delete.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'set':
            obj_ = set.factory()
            obj_.build(child_)
            self.set.append(obj_)
# end class DomainAliasResponseType


class EventLogResponseType:
    subclass = None
    def __init__(self, get=None, get_events=None):
        if get is None:
            self.get = []
        else:
            self.get = get
        if get_events is None:
            self.get_events = []
        else:
            self.get_events = get_events
    def factory(*args_, **kwargs_):
        if EventLogResponseType.subclass:
            return EventLogResponseType.subclass(*args_, **kwargs_)
        else:
            return EventLogResponseType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getGet(self): return self.get
    def setGet(self, value): self.get = value
    def addGet(self, value): self.get.append(value)
    def insertGet(self, index, value): self.get[index] = value
    def getGet_events(self): return self.get_events
    def setGet_events(self, value): self.get_events = value
    def addGet_events(self, value): self.get_events.append(value)
    def insertGet_events(self, index, value): self.get_events[index] = value
    def export(self, outfile, level, name_='EventLogResponseType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='EventLogResponseType'):
        pass
    def exportChildren(self, outfile, level, name_='EventLogResponseType'):
        for get_ in self.getGet():
            get_.export(outfile, level)
        for get_events_ in self.getGet_events():
            get_events_.export(outfile, level)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'get':
            obj_ = get.factory()
            obj_.build(child_)
            self.get.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'get_events':
            obj_ = get_events.factory()
            obj_.build(child_)
            self.get_events.append(obj_)
# end class EventLogResponseType


class IpResponseType:
    subclass = None
    def __init__(self, add=None, get=None, set=None, ddel=None):
        if add is None:
            self.add = []
        else:
            self.add = add
        if get is None:
            self.get = []
        else:
            self.get = get
        if set is None:
            self.set = []
        else:
            self.set = set
        if ddel is None:
            self.ddel = []
        else:
            self.ddel = ddel
    def factory(*args_, **kwargs_):
        if IpResponseType.subclass:
            return IpResponseType.subclass(*args_, **kwargs_)
        else:
            return IpResponseType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getAdd(self): return self.add
    def setAdd(self, value): self.add = value
    def addAdd(self, value): self.add.append(value)
    def insertAdd(self, index, value): self.add[index] = value
    def getGet(self): return self.get
    def setGet(self, value): self.get = value
    def addGet(self, value): self.get.append(value)
    def insertGet(self, index, value): self.get[index] = value
    def getSet(self): return self.set
    def setSet(self, value): self.set = value
    def addSet(self, value): self.set.append(value)
    def insertSet(self, index, value): self.set[index] = value
    def getDel(self): return self.ddel
    def setDel(self, value): self.ddel = value
    def addDel(self, value): self.ddel.append(value)
    def insertDel(self, index, value): self.ddel[index] = value
    def export(self, outfile, level, name_='IpResponseType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='IpResponseType'):
        pass
    def exportChildren(self, outfile, level, name_='IpResponseType'):
        for add_ in self.getAdd():
            add_.export(outfile, level)
        for get_ in self.getGet():
            get_.export(outfile, level)
        for set_ in self.getSet():
            set_.export(outfile, level)
        for del_ in self.getDel():
            del_.export(outfile, level)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'add':
            obj_ = add.factory()
            obj_.build(child_)
            self.add.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'get':
            obj_ = get.factory()
            obj_.build(child_)
            self.get.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'set':
            obj_ = set.factory()
            obj_.build(child_)
            self.set.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'del':
            obj_ = ddel.factory()
            obj_.build(child_)
            self.ddel.append(obj_)
# end class IpResponseType


class mailnameType:
    subclass = None
    def __init__(self, id=None, name='', cp_access=None, mailbox=None, redirect=None, mailgroup=None, group=None, alias=None, autoresponders=None, repository=None, password=None, password_type=None, drweb=None):
        self.id = id
        self.name = name
        self.cp_access = cp_access
        self.mailbox = mailbox
        self.redirect = redirect
        self.mailgroup = mailgroup
        if group is None:
            self.group = []
        else:
            self.group = group
        if alias is None:
            self.alias = []
        else:
            self.alias = alias
        self.autoresponders = autoresponders
        self.repository = repository
        self.password = password
        self.password_type = password_type
        self.drweb = drweb
    def factory(*args_, **kwargs_):
        if mailnameType.subclass:
            return mailnameType.subclass(*args_, **kwargs_)
        else:
            return mailnameType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getId(self): return self.id
    def setId(self, value): self.id = value
    def getName(self): return self.name
    def setName(self, value): self.name = value
    def getCp_access(self): return self.cp_access
    def setCp_access(self, value): self.cp_access = value
    def getMailbox(self): return self.mailbox
    def setMailbox(self, value): self.mailbox = value
    def getRedirect(self): return self.redirect
    def setRedirect(self, value): self.redirect = value
    def getMailgroup(self): return self.mailgroup
    def setMailgroup(self, value): self.mailgroup = value
    def getGroup(self): return self.group
    def setGroup(self, value): self.group = value
    def addGroup(self, value): self.group.append(value)
    def insertGroup(self, index, value): self.group[index] = value
    def getAlias(self): return self.alias
    def setAlias(self, value): self.alias = value
    def addAlias(self, value): self.alias.append(value)
    def insertAlias(self, index, value): self.alias[index] = value
    def getAutoresponders(self): return self.autoresponders
    def setAutoresponders(self, value): self.autoresponders = value
    def getRepository(self): return self.repository
    def setRepository(self, value): self.repository = value
    def getPassword(self): return self.password
    def setPassword(self, value): self.password = value
    def getPassword_type(self): return self.password_type
    def setPassword_type(self, value): self.password_type = value
    def getDrweb(self): return self.drweb
    def setDrweb(self, value): self.drweb = value
    def export(self, outfile, level, name_='mailnameType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='mailnameType'):
        pass
    def exportChildren(self, outfile, level, name_='mailnameType'):
        if self.id is not None:
            showIndent(outfile, level)
            outfile.write('<id>%s</id>\n' % quote_xml(self.getId()))
        showIndent(outfile, level)
        outfile.write('<name>%s</name>\n' % quote_xml(self.getName()))
        if self.cp_access is not None:
            self.cp_access.export(outfile, level)
        if self.mailbox is not None:
            self.mailbox.export(outfile, level)
        if self.redirect is not None:
            self.redirect.export(outfile, level)
        if self.mailgroup is not None:
            self.mailgroup.export(outfile, level)
        for group_ in self.getGroup():
            showIndent(outfile, level)
            outfile.write('<group>%s</group>\n' % quote_xml(group_))
        for alias_ in self.getAlias():
            showIndent(outfile, level)
            outfile.write('<alias>%s</alias>\n' % quote_xml(alias_))
        if self.autoresponders is not None:
            self.autoresponders.export(outfile, level)
        if self.repository is not None:
            self.repository.export(outfile, level)
        if self.password is not None:
            showIndent(outfile, level)
            outfile.write('<password>%s</password>\n' % quote_xml(self.getPassword()))
        if self.password_type is not None:
            showIndent(outfile, level)
            outfile.write('<password_type>%s</password_type>\n' % quote_xml(self.getPassword_type()))
        if self.drweb is not None:
            showIndent(outfile, level)
            outfile.write('<drweb>%s</drweb>\n' % quote_xml(self.getDrweb()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'id':
            id_ = ''
            for text__content_ in child_.childNodes:
                id_ += text__content_.nodeValue
            self.id = id_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'name':
            name_ = ''
            for text__content_ in child_.childNodes:
                name_ += text__content_.nodeValue
            self.name = name_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'cp_access':
            obj_ = cp_access.factory()
            obj_.build(child_)
            self.setCp_access(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'mailbox':
            obj_ = mailbox.factory()
            obj_.build(child_)
            self.setMailbox(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'redirect':
            obj_ = redirect.factory()
            obj_.build(child_)
            self.setRedirect(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'mailgroup':
            obj_ = mailgroup.factory()
            obj_.build(child_)
            self.setMailgroup(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'group':
            group_ = ''
            for text__content_ in child_.childNodes:
                group_ += text__content_.nodeValue
            self.addGroup(group_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'alias':
            alias_ = ''
            for text__content_ in child_.childNodes:
                alias_ += text__content_.nodeValue
            self.addAlias(alias_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'autoresponders':
            obj_ = autoresponders.factory()
            obj_.build(child_)
            self.setAutoresponders(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'repository':
            obj_ = repository.factory()
            obj_.build(child_)
            self.setRepository(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'password':
            password_ = ''
            for text__content_ in child_.childNodes:
                password_ += text__content_.nodeValue
            self.password = password_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'password_type':
            password_type_ = ''
            for text__content_ in child_.childNodes:
                password_type_ += text__content_.nodeValue
            self.password_type = password_type_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'drweb':
            drweb_ = ''
            for text__content_ in child_.childNodes:
                drweb_ += text__content_.nodeValue
            self.drweb = drweb_
# end class mailnameType


class MailPreferences:
    subclass = None
    def __init__(self, nonexistent_user=None, webmail=None):
        self.nonexistent_user = nonexistent_user
        self.webmail = webmail
    def factory(*args_, **kwargs_):
        if MailPreferences.subclass:
            return MailPreferences.subclass(*args_, **kwargs_)
        else:
            return MailPreferences(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getNonexistent_user(self): return self.nonexistent_user
    def setNonexistent_user(self, value): self.nonexistent_user = value
    def getWebmail(self): return self.webmail
    def setWebmail(self, value): self.webmail = value
    def export(self, outfile, level, name_='MailPreferences'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='MailPreferences'):
        pass
    def exportChildren(self, outfile, level, name_='MailPreferences'):
        if self.nonexistent_user is not None:
            self.nonexistent_user.export(outfile, level)
        if self.webmail is not None:
            showIndent(outfile, level)
            outfile.write('<webmail>%s</webmail>\n' % quote_xml(self.getWebmail()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'nonexistent-user':
            obj_ = nonexistent_user.factory()
            obj_.build(child_)
            self.setNonexistent_user(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'webmail':
            webmail_ = ''
            for text__content_ in child_.childNodes:
                webmail_ += text__content_.nodeValue
            self.webmail = webmail_
# end class MailPreferences


class operationresultType(resultType):
    subclass = None
    def __init__(self, mailname=None, status='', errcode=None, errtext=None):
        resultType.__init__(self, status, errcode, errtext)
        self.mailname = mailname
    def factory(*args_, **kwargs_):
        if operationresultType.subclass:
            return operationresultType.subclass(*args_, **kwargs_)
        else:
            return operationresultType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getMailname(self): return self.mailname
    def setMailname(self, value): self.mailname = value
    def export(self, outfile, level, name_='operationresultType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='operationresultType'):
        resultType.exportAttributes(self, outfile, level, name_='operationresultType')
    def exportChildren(self, outfile, level, name_='operationresultType'):
        if self.mailname is not None:
            self.mailname.export(outfile, level, name_='mailname')
        resultType.exportChildren(self, outfile, level, name_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        resultType.buildAttributes(self, attrs)
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'mailname':
            obj_ = mailnameType.factory()
            obj_.build(child_)
            self.setMailname(obj_)
        resultType.buildChildren(self, child_, nodeName_)
# end class operationresultType


class MailResponseType:
    subclass = None
    def __init__(self, create=None, update=None, get_info=None, enable=None, disable=None, remove=None, set_prefs=None, get_prefs=None, rename=None):
        if create is None:
            self.create = []
        else:
            self.create = create
        if update is None:
            self.update = []
        else:
            self.update = update
        if get_info is None:
            self.get_info = []
        else:
            self.get_info = get_info
        if enable is None:
            self.enable = []
        else:
            self.enable = enable
        if disable is None:
            self.disable = []
        else:
            self.disable = disable
        if remove is None:
            self.remove = []
        else:
            self.remove = remove
        if set_prefs is None:
            self.set_prefs = []
        else:
            self.set_prefs = set_prefs
        if get_prefs is None:
            self.get_prefs = []
        else:
            self.get_prefs = get_prefs
        if rename is None:
            self.rename = []
        else:
            self.rename = rename
    def factory(*args_, **kwargs_):
        if MailResponseType.subclass:
            return MailResponseType.subclass(*args_, **kwargs_)
        else:
            return MailResponseType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getCreate(self): return self.create
    def setCreate(self, value): self.create = value
    def addCreate(self, value): self.create.append(value)
    def insertCreate(self, index, value): self.create[index] = value
    def getUpdate(self): return self.update
    def setUpdate(self, value): self.update = value
    def addUpdate(self, value): self.update.append(value)
    def insertUpdate(self, index, value): self.update[index] = value
    def getGet_info(self): return self.get_info
    def setGet_info(self, value): self.get_info = value
    def addGet_info(self, value): self.get_info.append(value)
    def insertGet_info(self, index, value): self.get_info[index] = value
    def getEnable(self): return self.enable
    def setEnable(self, value): self.enable = value
    def addEnable(self, value): self.enable.append(value)
    def insertEnable(self, index, value): self.enable[index] = value
    def getDisable(self): return self.disable
    def setDisable(self, value): self.disable = value
    def addDisable(self, value): self.disable.append(value)
    def insertDisable(self, index, value): self.disable[index] = value
    def getRemove(self): return self.remove
    def setRemove(self, value): self.remove = value
    def addRemove(self, value): self.remove.append(value)
    def insertRemove(self, index, value): self.remove[index] = value
    def getSet_prefs(self): return self.set_prefs
    def setSet_prefs(self, value): self.set_prefs = value
    def addSet_prefs(self, value): self.set_prefs.append(value)
    def insertSet_prefs(self, index, value): self.set_prefs[index] = value
    def getGet_prefs(self): return self.get_prefs
    def setGet_prefs(self, value): self.get_prefs = value
    def addGet_prefs(self, value): self.get_prefs.append(value)
    def insertGet_prefs(self, index, value): self.get_prefs[index] = value
    def getRename(self): return self.rename
    def setRename(self, value): self.rename = value
    def addRename(self, value): self.rename.append(value)
    def insertRename(self, index, value): self.rename[index] = value
    def export(self, outfile, level, name_='MailResponseType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='MailResponseType'):
        pass
    def exportChildren(self, outfile, level, name_='MailResponseType'):
        for create_ in self.getCreate():
            create_.export(outfile, level)
        for update_ in self.getUpdate():
            update_.export(outfile, level)
        for get_info_ in self.getGet_info():
            get_info_.export(outfile, level)
        for enable_ in self.getEnable():
            enable_.export(outfile, level)
        for disable_ in self.getDisable():
            disable_.export(outfile, level)
        for remove_ in self.getRemove():
            remove_.export(outfile, level)
        for set_prefs_ in self.getSet_prefs():
            set_prefs_.export(outfile, level)
        for get_prefs_ in self.getGet_prefs():
            get_prefs_.export(outfile, level)
        for rename_ in self.getRename():
            rename_.export(outfile, level)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'create':
            obj_ = create.factory()
            obj_.build(child_)
            self.create.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'update':
            obj_ = update.factory()
            obj_.build(child_)
            self.update.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'get_info':
            obj_ = get_info.factory()
            obj_.build(child_)
            self.get_info.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'enable':
            obj_ = enable.factory()
            obj_.build(child_)
            self.enable.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'disable':
            obj_ = disable.factory()
            obj_.build(child_)
            self.disable.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'remove':
            obj_ = remove.factory()
            obj_.build(child_)
            self.remove.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'set_prefs':
            obj_ = set_prefs.factory()
            obj_.build(child_)
            self.set_prefs.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'get_prefs':
            obj_ = get_prefs.factory()
            obj_.build(child_)
            self.get_prefs.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'rename':
            obj_ = rename.factory()
            obj_.build(child_)
            self.rename.append(obj_)
# end class MailResponseType


class MigrationAruments:
    subclass = None
    def __init__(self, host='', login='', password='', source_host_directory='', destination_host_directory='', selected_objects=None):
        self.host = host
        self.login = login
        self.password = password
        self.source_host_directory = source_host_directory
        self.destination_host_directory = destination_host_directory
        self.selected_objects = selected_objects
    def factory(*args_, **kwargs_):
        if MigrationAruments.subclass:
            return MigrationAruments.subclass(*args_, **kwargs_)
        else:
            return MigrationAruments(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getHost(self): return self.host
    def setHost(self, value): self.host = value
    def getLogin(self): return self.login
    def setLogin(self, value): self.login = value
    def getPassword(self): return self.password
    def setPassword(self, value): self.password = value
    def getSource_host_directory(self): return self.source_host_directory
    def setSource_host_directory(self, value): self.source_host_directory = value
    def getDestination_host_directory(self): return self.destination_host_directory
    def setDestination_host_directory(self, value): self.destination_host_directory = value
    def getSelected_objects(self): return self.selected_objects
    def setSelected_objects(self, value): self.selected_objects = value
    def export(self, outfile, level, name_='MigrationAruments'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='MigrationAruments'):
        pass
    def exportChildren(self, outfile, level, name_='MigrationAruments'):
        showIndent(outfile, level)
        outfile.write('<host>%s</host>\n' % quote_xml(self.getHost()))
        showIndent(outfile, level)
        outfile.write('<login>%s</login>\n' % quote_xml(self.getLogin()))
        showIndent(outfile, level)
        outfile.write('<password>%s</password>\n' % quote_xml(self.getPassword()))
        showIndent(outfile, level)
        outfile.write('<source-host-directory>%s</source-host-directory>\n' % quote_xml(self.getSource_host_directory()))
        showIndent(outfile, level)
        outfile.write('<destination-host-directory>%s</destination-host-directory>\n' % quote_xml(self.getDestination_host_directory()))
        if self.selected_objects is not None:
            self.selected_objects.export(outfile, level, name_='selected-objects')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'host':
            host_ = ''
            for text__content_ in child_.childNodes:
                host_ += text__content_.nodeValue
            self.host = host_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'login':
            login_ = ''
            for text__content_ in child_.childNodes:
                login_ += text__content_.nodeValue
            self.login = login_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'password':
            password_ = ''
            for text__content_ in child_.childNodes:
                password_ += text__content_.nodeValue
            self.password = password_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'source-host-directory':
            source_host_directory_ = ''
            for text__content_ in child_.childNodes:
                source_host_directory_ += text__content_.nodeValue
            self.source_host_directory = source_host_directory_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'destination-host-directory':
            destination_host_directory_ = ''
            for text__content_ in child_.childNodes:
                destination_host_directory_ += text__content_.nodeValue
            self.destination_host_directory = destination_host_directory_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'selected-objects':
            obj_ = SelectedObjects.factory()
            obj_.build(child_)
            self.setSelected_objects(obj_)
# end class MigrationAruments


class ActionGetStatusResponse:
    subclass = None
    def __init__(self, working=None, finished=None):
        self.working = working
        self.finished = finished
    def factory(*args_, **kwargs_):
        if ActionGetStatusResponse.subclass:
            return ActionGetStatusResponse.subclass(*args_, **kwargs_)
        else:
            return ActionGetStatusResponse(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getWorking(self): return self.working
    def setWorking(self, value): self.working = value
    def getFinished(self): return self.finished
    def setFinished(self, value): self.finished = value
    def export(self, outfile, level, name_='ActionGetStatusResponse'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='ActionGetStatusResponse'):
        pass
    def exportChildren(self, outfile, level, name_='ActionGetStatusResponse'):
        if self.working is not None:
            self.working.export(outfile, level, name_='working')
        if self.finished is not None:
            self.finished.export(outfile, level, name_='finished')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'working':
            obj_ = StatusWorking.factory()
            obj_.build(child_)
            self.setWorking(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'finished':
            obj_ = StatusFinished.factory()
            obj_.build(child_)
            self.setFinished(obj_)
# end class ActionGetStatusResponse


class SelectedObjects:
    subclass = None
    def __init__(self, migrate_clients=None, migrate_domains=None, migrate_server=None):
        self.migrate_clients = migrate_clients
        if migrate_domains is None:
            self.migrate_domains = []
        else:
            self.migrate_domains = migrate_domains
        self.migrate_server = migrate_server
    def factory(*args_, **kwargs_):
        if SelectedObjects.subclass:
            return SelectedObjects.subclass(*args_, **kwargs_)
        else:
            return SelectedObjects(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getMigrate_clients(self): return self.migrate_clients
    def setMigrate_clients(self, value): self.migrate_clients = value
    def getMigrate_domains(self): return self.migrate_domains
    def setMigrate_domains(self, value): self.migrate_domains = value
    def addMigrate_domains(self, value): self.migrate_domains.append(value)
    def insertMigrate_domains(self, index, value): self.migrate_domains[index] = value
    def getMigrate_server(self): return self.migrate_server
    def setMigrate_server(self, value): self.migrate_server = value
    def export(self, outfile, level, name_='SelectedObjects'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='SelectedObjects'):
        pass
    def exportChildren(self, outfile, level, name_='SelectedObjects'):
        if self.migrate_clients is not None:
            self.migrate_clients.export(outfile, level, name_='migrate-clients')
        for migrate_domains_ in self.getMigrate_domains():
            migrate_domains_.export(outfile, level, name_='migrate-domains')
        if self.migrate_server is not None:
            self.migrate_server.export(outfile, level, name_='migrate-server')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'migrate-clients':
            obj_ = SelectedClients.factory()
            obj_.build(child_)
            self.setMigrate_clients(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'migrate-domains':
            obj_ = SelectedDomains.factory()
            obj_.build(child_)
            self.migrate_domains.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'migrate-server':
            obj_ = SelectedServer.factory()
            obj_.build(child_)
            self.setMigrate_server(obj_)
# end class SelectedObjects


class SelectedDomains:
    subclass = None
    def __init__(self, target_client='', domain=None, mail_only=None, no_account=None, no_limits=None, no_permissions=None, no_status=None):
        self.target_client = target_client
        if domain is None:
            self.domain = []
        else:
            self.domain = domain
        self.mail_only = mail_only
        self.no_account = no_account
        self.no_limits = no_limits
        self.no_permissions = no_permissions
        self.no_status = no_status
    def factory(*args_, **kwargs_):
        if SelectedDomains.subclass:
            return SelectedDomains.subclass(*args_, **kwargs_)
        else:
            return SelectedDomains(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getTarget_client(self): return self.target_client
    def setTarget_client(self, value): self.target_client = value
    def getDomain(self): return self.domain
    def setDomain(self, value): self.domain = value
    def addDomain(self, value): self.domain.append(value)
    def insertDomain(self, index, value): self.domain[index] = value
    def getMail_only(self): return self.mail_only
    def setMail_only(self, value): self.mail_only = value
    def getNo_account(self): return self.no_account
    def setNo_account(self, value): self.no_account = value
    def getNo_limits(self): return self.no_limits
    def setNo_limits(self, value): self.no_limits = value
    def getNo_permissions(self): return self.no_permissions
    def setNo_permissions(self, value): self.no_permissions = value
    def getNo_status(self): return self.no_status
    def setNo_status(self, value): self.no_status = value
    def export(self, outfile, level, name_='SelectedDomains'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='SelectedDomains'):
        pass
    def exportChildren(self, outfile, level, name_='SelectedDomains'):
        showIndent(outfile, level)
        outfile.write('<target-client>%s</target-client>\n' % quote_xml(self.getTarget_client()))
        for domain_ in self.getDomain():
            domain_.export(outfile, level, name_='domain')
        if self.mail_only is not None:
            self.mail_only.export(outfile, level, name_='mail-only')
        if self.no_account is not None:
            self.no_account.export(outfile, level, name_='no-account')
        if self.no_limits is not None:
            self.no_limits.export(outfile, level, name_='no-limits')
        if self.no_permissions is not None:
            self.no_permissions.export(outfile, level, name_='no-permissions')
        if self.no_status is not None:
            self.no_status.export(outfile, level, name_='no-status')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'target-client':
            target_client_ = ''
            for text__content_ in child_.childNodes:
                target_client_ += text__content_.nodeValue
            self.target_client = target_client_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'domain':
            obj_ = MappedDomain.factory()
            obj_.build(child_)
            self.domain.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'mail-only':
            obj_ = NoneType.factory()
            obj_.build(child_)
            self.setMail_only(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'no-account':
            obj_ = NoneType.factory()
            obj_.build(child_)
            self.setNo_account(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'no-limits':
            obj_ = NoneType.factory()
            obj_.build(child_)
            self.setNo_limits(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'no-permissions':
            obj_ = NoneType.factory()
            obj_.build(child_)
            self.setNo_permissions(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'no-status':
            obj_ = NoneType.factory()
            obj_.build(child_)
            self.setNo_status(obj_)
# end class SelectedDomains


class SelectedClients:
    subclass = None
    def __init__(self, client=None, no_account=None, no_limits=None, no_permissions=None, no_status=None, preserve_domains=None, mail_only=None):
        if client is None:
            self.client = []
        else:
            self.client = client
        self.no_account = no_account
        self.no_limits = no_limits
        self.no_permissions = no_permissions
        self.no_status = no_status
        self.preserve_domains = preserve_domains
        self.mail_only = mail_only
    def factory(*args_, **kwargs_):
        if SelectedClients.subclass:
            return SelectedClients.subclass(*args_, **kwargs_)
        else:
            return SelectedClients(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getClient(self): return self.client
    def setClient(self, value): self.client = value
    def addClient(self, value): self.client.append(value)
    def insertClient(self, index, value): self.client[index] = value
    def getNo_account(self): return self.no_account
    def setNo_account(self, value): self.no_account = value
    def getNo_limits(self): return self.no_limits
    def setNo_limits(self, value): self.no_limits = value
    def getNo_permissions(self): return self.no_permissions
    def setNo_permissions(self, value): self.no_permissions = value
    def getNo_status(self): return self.no_status
    def setNo_status(self, value): self.no_status = value
    def getPreserve_domains(self): return self.preserve_domains
    def setPreserve_domains(self, value): self.preserve_domains = value
    def getMail_only(self): return self.mail_only
    def setMail_only(self, value): self.mail_only = value
    def export(self, outfile, level, name_='SelectedClients'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='SelectedClients'):
        pass
    def exportChildren(self, outfile, level, name_='SelectedClients'):
        for client_ in self.getClient():
            client_.export(outfile, level, name_='client')
        if self.no_account is not None:
            self.no_account.export(outfile, level, name_='no-account')
        if self.no_limits is not None:
            self.no_limits.export(outfile, level, name_='no-limits')
        if self.no_permissions is not None:
            self.no_permissions.export(outfile, level, name_='no-permissions')
        if self.no_status is not None:
            self.no_status.export(outfile, level, name_='no-status')
        if self.preserve_domains is not None:
            self.preserve_domains.export(outfile, level, name_='preserve-domains')
        if self.mail_only is not None:
            self.mail_only.export(outfile, level, name_='mail-only')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'client':
            obj_ = MappedClient.factory()
            obj_.build(child_)
            self.client.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'no-account':
            obj_ = NoneType.factory()
            obj_.build(child_)
            self.setNo_account(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'no-limits':
            obj_ = NoneType.factory()
            obj_.build(child_)
            self.setNo_limits(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'no-permissions':
            obj_ = NoneType.factory()
            obj_.build(child_)
            self.setNo_permissions(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'no-status':
            obj_ = NoneType.factory()
            obj_.build(child_)
            self.setNo_status(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'preserve-domains':
            obj_ = NoneType.factory()
            obj_.build(child_)
            self.setPreserve_domains(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'mail-only':
            obj_ = NoneType.factory()
            obj_.build(child_)
            self.setMail_only(obj_)
# end class SelectedClients


class StatusWorking:
    subclass = None
    def __init__(self, idle=None, starting=None, translate=None, deploy=None, agent=None, dumping=None, transfer=None):
        self.idle = idle
        self.starting = starting
        self.translate = translate
        self.deploy = deploy
        self.agent = agent
        self.dumping = dumping
        self.transfer = transfer
    def factory(*args_, **kwargs_):
        if StatusWorking.subclass:
            return StatusWorking.subclass(*args_, **kwargs_)
        else:
            return StatusWorking(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getIdle(self): return self.idle
    def setIdle(self, value): self.idle = value
    def getStarting(self): return self.starting
    def setStarting(self, value): self.starting = value
    def getTranslate(self): return self.translate
    def setTranslate(self, value): self.translate = value
    def getDeploy(self): return self.deploy
    def setDeploy(self, value): self.deploy = value
    def getAgent(self): return self.agent
    def setAgent(self, value): self.agent = value
    def getDumping(self): return self.dumping
    def setDumping(self, value): self.dumping = value
    def getTransfer(self): return self.transfer
    def setTransfer(self, value): self.transfer = value
    def export(self, outfile, level, name_='StatusWorking'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='StatusWorking'):
        pass
    def exportChildren(self, outfile, level, name_='StatusWorking'):
        if self.idle is not None:
            self.idle.export(outfile, level, name_='idle')
        if self.starting is not None:
            self.starting.export(outfile, level, name_='starting')
        if self.translate is not None:
            self.translate.export(outfile, level, name_='translate')
        if self.deploy is not None:
            self.deploy.export(outfile, level, name_='deploy')
        if self.agent is not None:
            self.agent.export(outfile, level, name_='agent')
        if self.dumping is not None:
            self.dumping.export(outfile, level, name_='dumping')
        if self.transfer is not None:
            self.transfer.export(outfile, level, name_='transfer')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'idle':
            obj_ = StatusWorkingIdle.factory()
            obj_.build(child_)
            self.setIdle(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'starting':
            obj_ = StatusWorkingStarting.factory()
            obj_.build(child_)
            self.setStarting(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'translate':
            obj_ = StatusWorkingTranslate.factory()
            obj_.build(child_)
            self.setTranslate(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'deploy':
            obj_ = StatusWorkingDeploy.factory()
            obj_.build(child_)
            self.setDeploy(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'agent':
            obj_ = StatusWorkingAgent.factory()
            obj_.build(child_)
            self.setAgent(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'dumping':
            obj_ = MigrationAgentStatusWorkingDumping.factory()
            obj_.build(child_)
            self.setDumping(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'transfer':
            obj_ = StatusWorkingTransfer.factory()
            obj_.build(child_)
            self.setTransfer(obj_)
# end class StatusWorking


class StatusWorkingIdle:
    subclass = None
    def __init__(self, valueOf_=''):
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if StatusWorkingIdle.subclass:
            return StatusWorkingIdle.subclass(*args_, **kwargs_)
        else:
            return StatusWorkingIdle(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, name_='StatusWorkingIdle'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        self.exportChildren(outfile, level + 1, name_)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='StatusWorkingIdle'):
        pass
    def exportChildren(self, outfile, level, name_='StatusWorkingIdle'):
        outfile.write(self.valueOf_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class StatusWorkingIdle


class StatusWorkingStarting:
    subclass = None
    def __init__(self, valueOf_=''):
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if StatusWorkingStarting.subclass:
            return StatusWorkingStarting.subclass(*args_, **kwargs_)
        else:
            return StatusWorkingStarting(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, name_='StatusWorkingStarting'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        self.exportChildren(outfile, level + 1, name_)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='StatusWorkingStarting'):
        pass
    def exportChildren(self, outfile, level, name_='StatusWorkingStarting'):
        outfile.write(self.valueOf_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class StatusWorkingStarting


class StatusWorkingTranslate:
    subclass = None
    def __init__(self, valueOf_=''):
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if StatusWorkingTranslate.subclass:
            return StatusWorkingTranslate.subclass(*args_, **kwargs_)
        else:
            return StatusWorkingTranslate(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, name_='StatusWorkingTranslate'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        self.exportChildren(outfile, level + 1, name_)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='StatusWorkingTranslate'):
        pass
    def exportChildren(self, outfile, level, name_='StatusWorkingTranslate'):
        outfile.write(self.valueOf_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class StatusWorkingTranslate


class StatusWorkingAgent:
    subclass = None
    def __init__(self, action=None, host=''):
        self.action = action
        self.host = host
    def factory(*args_, **kwargs_):
        if StatusWorkingAgent.subclass:
            return StatusWorkingAgent.subclass(*args_, **kwargs_)
        else:
            return StatusWorkingAgent(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getHost(self): return self.host
    def setHost(self, value): self.host = value
    def getAction(self): return self.action
    def setAction(self, value): self.action = value
    def export(self, outfile, level, name_='StatusWorkingAgent'):
        showIndent(outfile, level)
        outfile.write('<%s' % (name_, ))
        self.exportAttributes(outfile, level, name_='StatusWorkingAgent')
        outfile.write('>')
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='StatusWorkingAgent'):
        if self.getAction() is not None:
            outfile.write(' action="%s"' % (self.getAction(), ))
    def exportChildren(self, outfile, level, name_='StatusWorkingAgent'):
        showIndent(outfile, level)
        outfile.write('<host>%s</host>\n' % quote_xml(self.getHost()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('action'):
            self.action = attrs.get('action').value
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'host':
            host_ = ''
            for text__content_ in child_.childNodes:
                host_ += text__content_.nodeValue
            self.host = host_
# end class StatusWorkingAgent


class StatusWorkingTransfer:
    subclass = None
    def __init__(self, speed=None, host='', dumpfile=None, files=None):
        self.speed = speed
        self.host = host
        self.dumpfile = dumpfile
        self.files = files
    def factory(*args_, **kwargs_):
        if StatusWorkingTransfer.subclass:
            return StatusWorkingTransfer.subclass(*args_, **kwargs_)
        else:
            return StatusWorkingTransfer(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getHost(self): return self.host
    def setHost(self, value): self.host = value
    def getDumpfile(self): return self.dumpfile
    def setDumpfile(self, value): self.dumpfile = value
    def getFiles(self): return self.files
    def setFiles(self, value): self.files = value
    def getSpeed(self): return self.speed
    def setSpeed(self, value): self.speed = value
    def export(self, outfile, level, name_='StatusWorkingTransfer'):
        showIndent(outfile, level)
        outfile.write('<%s' % (name_, ))
        self.exportAttributes(outfile, level, name_='StatusWorkingTransfer')
        outfile.write('>')
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='StatusWorkingTransfer'):
        if self.getSpeed() is not None:
            outfile.write(' speed="%s"' % (self.getSpeed(), ))
    def exportChildren(self, outfile, level, name_='StatusWorkingTransfer'):
        showIndent(outfile, level)
        outfile.write('<host>%s</host>\n' % quote_xml(self.getHost()))
        if self.dumpfile is not None:
            self.dumpfile.export(outfile, level, name_='dumpfile')
        if self.files is not None:
            self.files.export(outfile, level, name_='files')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('speed'):
            self.speed = attrs.get('speed').value
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'host':
            host_ = ''
            for text__content_ in child_.childNodes:
                host_ += text__content_.nodeValue
            self.host = host_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'dumpfile':
            obj_ = StatusWorkingTransferDumpFile.factory()
            obj_.build(child_)
            self.setDumpfile(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'files':
            obj_ = TransferFiles.factory()
            obj_.build(child_)
            self.setFiles(obj_)
# end class StatusWorkingTransfer


class StatusWorkingTransferDumpFile:
    subclass = None
    def __init__(self, valueOf_=''):
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if StatusWorkingTransferDumpFile.subclass:
            return StatusWorkingTransferDumpFile.subclass(*args_, **kwargs_)
        else:
            return StatusWorkingTransferDumpFile(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, name_='StatusWorkingTransferDumpFile'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        self.exportChildren(outfile, level + 1, name_)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='StatusWorkingTransferDumpFile'):
        pass
    def exportChildren(self, outfile, level, name_='StatusWorkingTransferDumpFile'):
        outfile.write(self.valueOf_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class StatusWorkingTransferDumpFile


class TransferFiles:
    subclass = None
    def __init__(self, size_total=None, total='', size_left=None, left='', current_file=None):
        self.size_total = size_total
        self.total = total
        self.size_left = size_left
        self.left = left
        self.current_file = current_file
    def factory(*args_, **kwargs_):
        if TransferFiles.subclass:
            return TransferFiles.subclass(*args_, **kwargs_)
        else:
            return TransferFiles(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getCurrent_file(self): return self.current_file
    def setCurrent_file(self, value): self.current_file = value
    def getSize_total(self): return self.size_total
    def setSize_total(self, value): self.size_total = value
    def getTotal(self): return self.total
    def setTotal(self, value): self.total = value
    def getSize_left(self): return self.size_left
    def setSize_left(self, value): self.size_left = value
    def getLeft(self): return self.left
    def setLeft(self, value): self.left = value
    def export(self, outfile, level, name_='TransferFiles'):
        showIndent(outfile, level)
        outfile.write('<%s' % (name_, ))
        self.exportAttributes(outfile, level, name_='TransferFiles')
        outfile.write('>')
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='TransferFiles'):
        if self.getSize_total() is not None:
            outfile.write(' size-total="%s"' % (self.getSize_total(), ))
        outfile.write(' total="%s"' % (self.getTotal(), ))
        if self.getSize_left() is not None:
            outfile.write(' size-left="%s"' % (self.getSize_left(), ))
        outfile.write(' left="%s"' % (self.getLeft(), ))
    def exportChildren(self, outfile, level, name_='TransferFiles'):
        if self.current_file is not None:
            self.current_file.export(outfile, level, name_='current-file')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('size-total'):
            self.size_total = attrs.get('size-total').value
        if attrs.get('total'):
            self.total = attrs.get('total').value
        if attrs.get('size-left'):
            self.size_left = attrs.get('size-left').value
        if attrs.get('left'):
            self.left = attrs.get('left').value
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'current-file':
            obj_ = TransferFilesCurrentFileType.factory()
            obj_.build(child_)
            self.setCurrent_file(obj_)
# end class TransferFiles


class TransferFilesCurrentFileType:
    subclass = None
    def __init__(self, size_left=None, size=None, valueOf_=''):
        self.size_left = size_left
        self.size = size
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if TransferFilesCurrentFileType.subclass:
            return TransferFilesCurrentFileType.subclass(*args_, **kwargs_)
        else:
            return TransferFilesCurrentFileType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getSize_left(self): return self.size_left
    def setSize_left(self, value): self.size_left = value
    def getSize(self): return self.size
    def setSize(self, value): self.size = value
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, name_='TransferFilesCurrentFileType'):
        showIndent(outfile, level)
        outfile.write('<%s' % (name_, ))
        self.exportAttributes(outfile, level, name_='TransferFilesCurrentFileType')
        outfile.write('>')
        self.exportChildren(outfile, level + 1, name_)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='TransferFilesCurrentFileType'):
        if self.getSize_left() is not None:
            outfile.write(' size-left="%s"' % (self.getSize_left(), ))
        if self.getSize() is not None:
            outfile.write(' size="%s"' % (self.getSize(), ))
    def exportChildren(self, outfile, level, name_='TransferFilesCurrentFileType'):
        outfile.write(self.valueOf_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('size-left'):
            self.size_left = attrs.get('size-left').value
        if attrs.get('size'):
            self.size = attrs.get('size').value
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class TransferFilesCurrentFileType


class StatusWorkingDeploy:
    subclass = None
    def __init__(self, domains=-1, accounts_left=-1, accounts=-1, domains_left=-1, current_object=None):
        self.domains = domains
        self.accounts_left = accounts_left
        self.accounts = accounts
        self.domains_left = domains_left
        self.current_object = current_object
    def factory(*args_, **kwargs_):
        if StatusWorkingDeploy.subclass:
            return StatusWorkingDeploy.subclass(*args_, **kwargs_)
        else:
            return StatusWorkingDeploy(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getCurrent_object(self): return self.current_object
    def setCurrent_object(self, value): self.current_object = value
    def getDomains(self): return self.domains
    def setDomains(self, value): self.domains = value
    def getAccounts_left(self): return self.accounts_left
    def setAccounts_left(self, value): self.accounts_left = value
    def getAccounts(self): return self.accounts
    def setAccounts(self, value): self.accounts = value
    def getDomains_left(self): return self.domains_left
    def setDomains_left(self, value): self.domains_left = value
    def export(self, outfile, level, name_='StatusWorkingDeploy'):
        showIndent(outfile, level)
        outfile.write('<%s' % (name_, ))
        self.exportAttributes(outfile, level, name_='StatusWorkingDeploy')
        outfile.write('>')
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='StatusWorkingDeploy'):
        outfile.write(' domains="%s"' % (self.getDomains(), ))
        outfile.write(' accounts-left="%s"' % (self.getAccounts_left(), ))
        outfile.write(' accounts="%s"' % (self.getAccounts(), ))
        outfile.write(' domains-left="%s"' % (self.getDomains_left(), ))
    def exportChildren(self, outfile, level, name_='StatusWorkingDeploy'):
        if self.current_object is not None:
            self.current_object.export(outfile, level, name_='current-object')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('domains'):
            try:
                self.domains = long(attrs.get('domains').value)
            except ValueError:
                raise ValueError('Bad integer attribute (domains)')
        if attrs.get('accounts-left'):
            try:
                self.accounts_left = long(attrs.get('accounts-left').value)
            except ValueError:
                raise ValueError('Bad integer attribute (accounts-left)')
        if attrs.get('accounts'):
            try:
                self.accounts = long(attrs.get('accounts').value)
            except ValueError:
                raise ValueError('Bad integer attribute (accounts)')
        if attrs.get('domains-left'):
            try:
                self.domains_left = long(attrs.get('domains-left').value)
            except ValueError:
                raise ValueError('Bad integer attribute (domains-left)')
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'current-object':
            obj_ = StatusWorkingDeployCurrentObject.factory()
            obj_.build(child_)
            self.setCurrent_object(obj_)
# end class StatusWorkingDeploy


class StatusWorkingDeployCurrentObject:
    subclass = None
    def __init__(self, valueOf_=''):
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if StatusWorkingDeployCurrentObject.subclass:
            return StatusWorkingDeployCurrentObject.subclass(*args_, **kwargs_)
        else:
            return StatusWorkingDeployCurrentObject(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, name_='StatusWorkingDeployCurrentObject'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        self.exportChildren(outfile, level + 1, name_)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='StatusWorkingDeployCurrentObject'):
        pass
    def exportChildren(self, outfile, level, name_='StatusWorkingDeployCurrentObject'):
        outfile.write(self.valueOf_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class StatusWorkingDeployCurrentObject


class MigrationAgentStatusWorking:
    subclass = None
    def __init__(self, preparing=None, dumping=None):
        self.preparing = preparing
        self.dumping = dumping
    def factory(*args_, **kwargs_):
        if MigrationAgentStatusWorking.subclass:
            return MigrationAgentStatusWorking.subclass(*args_, **kwargs_)
        else:
            return MigrationAgentStatusWorking(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getPreparing(self): return self.preparing
    def setPreparing(self, value): self.preparing = value
    def getDumping(self): return self.dumping
    def setDumping(self, value): self.dumping = value
    def export(self, outfile, level, name_='MigrationAgentStatusWorking'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='MigrationAgentStatusWorking'):
        pass
    def exportChildren(self, outfile, level, name_='MigrationAgentStatusWorking'):
        if self.preparing is not None:
            self.preparing.export(outfile, level, name_='preparing')
        if self.dumping is not None:
            self.dumping.export(outfile, level, name_='dumping')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'preparing':
            obj_ = MigrationAgentStatusWorkingPreparing.factory()
            obj_.build(child_)
            self.setPreparing(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'dumping':
            obj_ = MigrationAgentStatusWorkingDumping.factory()
            obj_.build(child_)
            self.setDumping(obj_)
# end class MigrationAgentStatusWorking


class MigrationAgentStatusWorkingPreparing:
    subclass = None
    def __init__(self, valueOf_=''):
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if MigrationAgentStatusWorkingPreparing.subclass:
            return MigrationAgentStatusWorkingPreparing.subclass(*args_, **kwargs_)
        else:
            return MigrationAgentStatusWorkingPreparing(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, name_='MigrationAgentStatusWorkingPreparing'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        self.exportChildren(outfile, level + 1, name_)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='MigrationAgentStatusWorkingPreparing'):
        pass
    def exportChildren(self, outfile, level, name_='MigrationAgentStatusWorkingPreparing'):
        outfile.write(self.valueOf_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class MigrationAgentStatusWorkingPreparing


class MigrationAgentStatusWorkingDumping:
    subclass = None
    def __init__(self, total_clients=-1, completed_clients=-1, completed_domains=-1, current_object=None, total_domains=-1, valueOf_=''):
        self.total_clients = total_clients
        self.completed_clients = completed_clients
        self.completed_domains = completed_domains
        self.current_object = current_object
        self.total_domains = total_domains
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if MigrationAgentStatusWorkingDumping.subclass:
            return MigrationAgentStatusWorkingDumping.subclass(*args_, **kwargs_)
        else:
            return MigrationAgentStatusWorkingDumping(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getTotal_clients(self): return self.total_clients
    def setTotal_clients(self, value): self.total_clients = value
    def getCompleted_clients(self): return self.completed_clients
    def setCompleted_clients(self, value): self.completed_clients = value
    def getCompleted_domains(self): return self.completed_domains
    def setCompleted_domains(self, value): self.completed_domains = value
    def getCurrent_object(self): return self.current_object
    def setCurrent_object(self, value): self.current_object = value
    def getTotal_domains(self): return self.total_domains
    def setTotal_domains(self, value): self.total_domains = value
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, name_='MigrationAgentStatusWorkingDumping'):
        showIndent(outfile, level)
        outfile.write('<%s' % (name_, ))
        self.exportAttributes(outfile, level, name_='MigrationAgentStatusWorkingDumping')
        outfile.write('>')
        self.exportChildren(outfile, level + 1, name_)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='MigrationAgentStatusWorkingDumping'):
        outfile.write(' total-clients="%s"' % (self.getTotal_clients(), ))
        outfile.write(' completed-clients="%s"' % (self.getCompleted_clients(), ))
        outfile.write(' completed-domains="%s"' % (self.getCompleted_domains(), ))
        if self.getCurrent_object() is not None:
            outfile.write(' current-object="%s"' % (self.getCurrent_object(), ))
        outfile.write(' total-domains="%s"' % (self.getTotal_domains(), ))
    def exportChildren(self, outfile, level, name_='MigrationAgentStatusWorkingDumping'):
        outfile.write(self.valueOf_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('total-clients'):
            try:
                self.total_clients = long(attrs.get('total-clients').value)
            except ValueError:
                raise ValueError('Bad integer attribute (total-clients)')
        if attrs.get('completed-clients'):
            try:
                self.completed_clients = long(attrs.get('completed-clients').value)
            except ValueError:
                raise ValueError('Bad integer attribute (completed-clients)')
        if attrs.get('completed-domains'):
            try:
                self.completed_domains = long(attrs.get('completed-domains').value)
            except ValueError:
                raise ValueError('Bad integer attribute (completed-domains)')
        if attrs.get('current-object'):
            self.current_object = attrs.get('current-object').value
        if attrs.get('total-domains'):
            try:
                self.total_domains = long(attrs.get('total-domains').value)
            except ValueError:
                raise ValueError('Bad integer attribute (total-domains)')
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
# end class MigrationAgentStatusWorkingDumping


class StatusFinished:
    subclass = None
    def __init__(self, status=None, message=None, object=None):
        self.status = status
        if message is None:
            self.message = []
        else:
            self.message = message
        if object is None:
            self.object = []
        else:
            self.object = object
    def factory(*args_, **kwargs_):
        if StatusFinished.subclass:
            return StatusFinished.subclass(*args_, **kwargs_)
        else:
            return StatusFinished(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getMessage(self): return self.message
    def setMessage(self, value): self.message = value
    def addMessage(self, value): self.message.append(value)
    def insertMessage(self, index, value): self.message[index] = value
    def getObject(self): return self.object
    def setObject(self, value): self.object = value
    def addObject(self, value): self.object.append(value)
    def insertObject(self, index, value): self.object[index] = value
    def getStatus(self): return self.status
    def setStatus(self, value): self.status = value
    def export(self, outfile, level, name_='StatusFinished'):
        showIndent(outfile, level)
        outfile.write('<%s' % (name_, ))
        self.exportAttributes(outfile, level, name_='StatusFinished')
        outfile.write('>')
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='StatusFinished'):
        outfile.write(' status="%s"' % (self.getStatus(), ))
    def exportChildren(self, outfile, level, name_='StatusFinished'):
        for message_ in self.getMessage():
            message_.export(outfile, level, name_='message')
        for object_ in self.getObject():
            object_.export(outfile, level, name_='object')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('status'):
            self.status = attrs.get('status').value
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'message':
            obj_ = MessageType.factory()
            obj_.build(child_)
            self.message.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'object':
            obj_ = ObjectType.factory()
            obj_.build(child_)
            self.object.append(obj_)
# end class StatusFinished


class ObjectType:
    subclass = None
    def __init__(self, ttype='', name='', object=None, message=None):
        self.ttype = ttype
        self.name = name
        if object is None:
            self.object = []
        else:
            self.object = object
        if message is None:
            self.message = []
        else:
            self.message = message
    def factory(*args_, **kwargs_):
        if ObjectType.subclass:
            return ObjectType.subclass(*args_, **kwargs_)
        else:
            return ObjectType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getObject(self): return self.object
    def setObject(self, value): self.object = value
    def addObject(self, value): self.object.append(value)
    def insertObject(self, index, value): self.object[index] = value
    def getMessage(self): return self.message
    def setMessage(self, value): self.message = value
    def addMessage(self, value): self.message.append(value)
    def insertMessage(self, index, value): self.message[index] = value
    def getType(self): return self.ttype
    def setType(self, value): self.ttype = value
    def getName(self): return self.name
    def setName(self, value): self.name = value
    def export(self, outfile, level, name_='ObjectType'):
        showIndent(outfile, level)
        outfile.write('<%s' % (name_, ))
        self.exportAttributes(outfile, level, name_='ObjectType')
        outfile.write('>')
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='ObjectType'):
        outfile.write(' type="%s"' % (self.getType(), ))
        outfile.write(' name="%s"' % (self.getName(), ))
    def exportChildren(self, outfile, level, name_='ObjectType'):
        for object_ in self.getObject():
            object_.export(outfile, level, name_='object')
        for message_ in self.getMessage():
            message_.export(outfile, level, name_='message')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('type'):
            self.ttype = attrs.get('type').value
        if attrs.get('name'):
            self.name = attrs.get('name').value
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'object':
            obj_ = ObjectType.factory()
            obj_.build(child_)
            self.object.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'message':
            obj_ = MessageType.factory()
            obj_.build(child_)
            self.message.append(obj_)
# end class ObjectType


class MessageType:
    subclass = None
    def __init__(self, code='', context=None, file=None, line=None, text='', message=None):
        self.code = code
        self.context = context
        self.file = file
        self.line = line
        self.text = text
        self.message = message
    def factory(*args_, **kwargs_):
        if MessageType.subclass:
            return MessageType.subclass(*args_, **kwargs_)
        else:
            return MessageType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getContext(self): return self.context
    def setContext(self, value): self.context = value
    def getFile(self): return self.file
    def setFile(self, value): self.file = value
    def getLine(self): return self.line
    def setLine(self, value): self.line = value
    def getText(self): return self.text
    def setText(self, value): self.text = value
    def getMessage(self): return self.message
    def setMessage(self, value): self.message = value
    def getCode(self): return self.code
    def setCode(self, value): self.code = value
    def export(self, outfile, level, name_='MessageType'):
        showIndent(outfile, level)
        outfile.write('<%s' % (name_, ))
        self.exportAttributes(outfile, level, name_='MessageType')
        outfile.write('>')
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='MessageType'):
        outfile.write(' code="%s"' % (self.getCode(), ))
    def exportChildren(self, outfile, level, name_='MessageType'):
        if self.context is not None:
            showIndent(outfile, level)
            outfile.write('<context>%s</context>\n' % quote_xml(self.getContext()))
        if self.file is not None:
            showIndent(outfile, level)
            outfile.write('<file>%s</file>\n' % quote_xml(self.getFile()))
        if self.line is not None:
            showIndent(outfile, level)
            outfile.write('<line>%s</line>\n' % quote_xml(self.getLine()))
        showIndent(outfile, level)
        outfile.write('<text>%s</text>\n' % quote_xml(self.getText()))
        if self.message is not None:
            self.message.export(outfile, level, name_='message')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('code'):
            self.code = attrs.get('code').value
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'context':
            context_ = ''
            for text__content_ in child_.childNodes:
                context_ += text__content_.nodeValue
            self.context = context_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'file':
            file_ = ''
            for text__content_ in child_.childNodes:
                file_ += text__content_.nodeValue
            self.file = file_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'line':
            line_ = ''
            for text__content_ in child_.childNodes:
                line_ += text__content_.nodeValue
            self.line = line_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'text':
            text_ = ''
            for text__content_ in child_.childNodes:
                text_ += text__content_.nodeValue
            self.text = text_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'message':
            obj_ = MessageType.factory()
            obj_.build(child_)
            self.setMessage(obj_)
# end class MessageType


class MigrationApiStatusWorking:
    subclass = None
    def __init__(self, preparing=None, total=None, completed=None, description=None):
        self.preparing = preparing
        self.total = total
        self.completed = completed
        self.description = description
    def factory(*args_, **kwargs_):
        if MigrationApiStatusWorking.subclass:
            return MigrationApiStatusWorking.subclass(*args_, **kwargs_)
        else:
            return MigrationApiStatusWorking(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getPreparing(self): return self.preparing
    def setPreparing(self, value): self.preparing = value
    def getTotal(self): return self.total
    def setTotal(self, value): self.total = value
    def getCompleted(self): return self.completed
    def setCompleted(self, value): self.completed = value
    def getDescription(self): return self.description
    def setDescription(self, value): self.description = value
    def export(self, outfile, level, name_='MigrationApiStatusWorking'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='MigrationApiStatusWorking'):
        pass
    def exportChildren(self, outfile, level, name_='MigrationApiStatusWorking'):
        if self.preparing is not None:
            self.preparing.export(outfile, level, name_='preparing')
        if self.total is not None:
            showIndent(outfile, level)
            outfile.write('<total>%d</total>\n' % self.getTotal())
        if self.completed is not None:
            showIndent(outfile, level)
            outfile.write('<completed>%d</completed>\n' % self.getCompleted())
        if self.description is not None:
            showIndent(outfile, level)
            outfile.write('<description>%s</description>\n' % quote_xml(self.getDescription()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'preparing':
            obj_ = MigrationAgentStatusWorkingPreparing.factory()
            obj_.build(child_)
            self.setPreparing(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'total':
            if child_.firstChild:
                sval_ = child_.firstChild.nodeValue
                try:
                    ival_ = int(sval_)
                except ValueError:
                    raise ValueError('requires integer -- %s' % child_.toxml())
                self.total = ival_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'completed':
            if child_.firstChild:
                sval_ = child_.firstChild.nodeValue
                try:
                    ival_ = int(sval_)
                except ValueError:
                    raise ValueError('requires integer -- %s' % child_.toxml())
                self.completed = ival_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'description':
            description_ = ''
            for text__content_ in child_.childNodes:
                description_ += text__content_.nodeValue
            self.description = description_
# end class MigrationApiStatusWorking


class Ip:
    subclass = None
    def __init__(self, ip_type='', ip_address=''):
        self.ip_type = ip_type
        self.ip_address = ip_address
    def factory(*args_, **kwargs_):
        if Ip.subclass:
            return Ip.subclass(*args_, **kwargs_)
        else:
            return Ip(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getIp_type(self): return self.ip_type
    def setIp_type(self, value): self.ip_type = value
    def getIp_address(self): return self.ip_address
    def setIp_address(self, value): self.ip_address = value
    def export(self, outfile, level, name_='Ip'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='Ip'):
        pass
    def exportChildren(self, outfile, level, name_='Ip'):
        showIndent(outfile, level)
        outfile.write('<ip-type>%s</ip-type>\n' % quote_xml(self.getIp_type()))
        showIndent(outfile, level)
        outfile.write('<ip-address>%s</ip-address>\n' % quote_xml(self.getIp_address()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ip-type':
            ip_type_ = ''
            for text__content_ in child_.childNodes:
                ip_type_ += text__content_.nodeValue
            self.ip_type = ip_type_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ip-address':
            ip_address_ = ''
            for text__content_ in child_.childNodes:
                ip_address_ += text__content_.nodeValue
            self.ip_address = ip_address_
# end class Ip


class Server:
    subclass = None
    def __init__(self, db_server=None, client=None):
        if db_server is None:
            self.db_server = []
        else:
            self.db_server = db_server
        if client is None:
            self.client = []
        else:
            self.client = client
    def factory(*args_, **kwargs_):
        if Server.subclass:
            return Server.subclass(*args_, **kwargs_)
        else:
            return Server(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getDb_server(self): return self.db_server
    def setDb_server(self, value): self.db_server = value
    def addDb_server(self, value): self.db_server.append(value)
    def insertDb_server(self, index, value): self.db_server[index] = value
    def getClient(self): return self.client
    def setClient(self, value): self.client = value
    def addClient(self, value): self.client.append(value)
    def insertClient(self, index, value): self.client[index] = value
    def export(self, outfile, level, name_='Server'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='Server'):
        pass
    def exportChildren(self, outfile, level, name_='Server'):
        for db_server_ in self.getDb_server():
            db_server_.export(outfile, level, name_='db-server')
        for client_ in self.getClient():
            client_.export(outfile, level, name_='client')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'db-server':
            obj_ = DbServer.factory()
            obj_.build(child_)
            self.db_server.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'client':
            obj_ = Client.factory()
            obj_.build(child_)
            self.client.append(obj_)
# end class Server


class Client:
    subclass = None
    def __init__(self, name='', ip=None, domain=None):
        self.name = name
        if ip is None:
            self.ip = []
        else:
            self.ip = ip
        if domain is None:
            self.domain = []
        else:
            self.domain = domain
    def factory(*args_, **kwargs_):
        if Client.subclass:
            return Client.subclass(*args_, **kwargs_)
        else:
            return Client(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getName(self): return self.name
    def setName(self, value): self.name = value
    def getIp(self): return self.ip
    def setIp(self, value): self.ip = value
    def addIp(self, value): self.ip.append(value)
    def insertIp(self, index, value): self.ip[index] = value
    def getDomain(self): return self.domain
    def setDomain(self, value): self.domain = value
    def addDomain(self, value): self.domain.append(value)
    def insertDomain(self, index, value): self.domain[index] = value
    def export(self, outfile, level, name_='Client'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='Client'):
        pass
    def exportChildren(self, outfile, level, name_='Client'):
        showIndent(outfile, level)
        outfile.write('<name>%s</name>\n' % quote_xml(self.getName()))
        for ip_ in self.getIp():
            ip_.export(outfile, level, name_='ip')
        for domain_ in self.getDomain():
            domain_.export(outfile, level, name_='domain')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'name':
            name_ = ''
            for text__content_ in child_.childNodes:
                name_ += text__content_.nodeValue
            self.name = name_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ip':
            obj_ = Ip.factory()
            obj_.build(child_)
            self.ip.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'domain':
            obj_ = Domain.factory()
            obj_.build(child_)
            self.domain.append(obj_)
# end class Client


class Domain:
    subclass = None
    def __init__(self, name='', ip=None, db_server=None):
        self.name = name
        self.ip = ip
        if db_server is None:
            self.db_server = []
        else:
            self.db_server = db_server
    def factory(*args_, **kwargs_):
        if Domain.subclass:
            return Domain.subclass(*args_, **kwargs_)
        else:
            return Domain(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getName(self): return self.name
    def setName(self, value): self.name = value
    def getIp(self): return self.ip
    def setIp(self, value): self.ip = value
    def getDb_server(self): return self.db_server
    def setDb_server(self, value): self.db_server = value
    def addDb_server(self, value): self.db_server.append(value)
    def insertDb_server(self, index, value): self.db_server[index] = value
    def export(self, outfile, level, name_='Domain'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='Domain'):
        pass
    def exportChildren(self, outfile, level, name_='Domain'):
        showIndent(outfile, level)
        outfile.write('<name>%s</name>\n' % quote_xml(self.getName()))
        if self.ip is not None:
            self.ip.export(outfile, level, name_='ip')
        for db_server_ in self.getDb_server():
            db_server_.export(outfile, level, name_='db-server')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'name':
            name_ = ''
            for text__content_ in child_.childNodes:
                name_ += text__content_.nodeValue
            self.name = name_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ip':
            obj_ = Ip.factory()
            obj_.build(child_)
            self.setIp(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'db-server':
            obj_ = DbServer.factory()
            obj_.build(child_)
            self.db_server.append(obj_)
# end class Domain


class MappedClient:
    subclass = None
    def __init__(self, name='', ip=None, domain=None):
        self.name = name
        if ip is None:
            self.ip = []
        else:
            self.ip = ip
        if domain is None:
            self.domain = []
        else:
            self.domain = domain
    def factory(*args_, **kwargs_):
        if MappedClient.subclass:
            return MappedClient.subclass(*args_, **kwargs_)
        else:
            return MappedClient(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getName(self): return self.name
    def setName(self, value): self.name = value
    def getIp(self): return self.ip
    def setIp(self, value): self.ip = value
    def addIp(self, value): self.ip.append(value)
    def insertIp(self, index, value): self.ip[index] = value
    def getDomain(self): return self.domain
    def setDomain(self, value): self.domain = value
    def addDomain(self, value): self.domain.append(value)
    def insertDomain(self, index, value): self.domain[index] = value
    def export(self, outfile, level, name_='MappedClient'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='MappedClient'):
        pass
    def exportChildren(self, outfile, level, name_='MappedClient'):
        showIndent(outfile, level)
        outfile.write('<name>%s</name>\n' % quote_xml(self.getName()))
        for ip_ in self.getIp():
            ip_.export(outfile, level, name_='ip')
        for domain_ in self.getDomain():
            domain_.export(outfile, level, name_='domain')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'name':
            name_ = ''
            for text__content_ in child_.childNodes:
                name_ += text__content_.nodeValue
            self.name = name_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ip':
            obj_ = MappedIp.factory()
            obj_.build(child_)
            self.ip.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'domain':
            obj_ = MappedDomain.factory()
            obj_.build(child_)
            self.domain.append(obj_)
# end class MappedClient


class MappedDomain:
    subclass = None
    def __init__(self, name='', ip=None, db_server=None):
        self.name = name
        self.ip = ip
        if db_server is None:
            self.db_server = []
        else:
            self.db_server = db_server
    def factory(*args_, **kwargs_):
        if MappedDomain.subclass:
            return MappedDomain.subclass(*args_, **kwargs_)
        else:
            return MappedDomain(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getName(self): return self.name
    def setName(self, value): self.name = value
    def getIp(self): return self.ip
    def setIp(self, value): self.ip = value
    def getDb_server(self): return self.db_server
    def setDb_server(self, value): self.db_server = value
    def addDb_server(self, value): self.db_server.append(value)
    def insertDb_server(self, index, value): self.db_server[index] = value
    def export(self, outfile, level, name_='MappedDomain'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='MappedDomain'):
        pass
    def exportChildren(self, outfile, level, name_='MappedDomain'):
        showIndent(outfile, level)
        outfile.write('<name>%s</name>\n' % quote_xml(self.getName()))
        if self.ip is not None:
            self.ip.export(outfile, level, name_='ip')
        for db_server_ in self.getDb_server():
            db_server_.export(outfile, level, name_='db-server')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'name':
            name_ = ''
            for text__content_ in child_.childNodes:
                name_ += text__content_.nodeValue
            self.name = name_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ip':
            obj_ = MappedIp.factory()
            obj_.build(child_)
            self.setIp(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'db-server':
            obj_ = MappedDbServer.factory()
            obj_.build(child_)
            self.db_server.append(obj_)
# end class MappedDomain


class MappedIp:
    subclass = None
    def __init__(self, old=None, new=None):
        self.old = old
        self.new = new
    def factory(*args_, **kwargs_):
        if MappedIp.subclass:
            return MappedIp.subclass(*args_, **kwargs_)
        else:
            return MappedIp(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getOld(self): return self.old
    def setOld(self, value): self.old = value
    def getNew(self): return self.new
    def setNew(self, value): self.new = value
    def export(self, outfile, level, name_='MappedIp'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='MappedIp'):
        pass
    def exportChildren(self, outfile, level, name_='MappedIp'):
        if self.old is not None:
            self.old.export(outfile, level, name_='old')
        if self.new is not None:
            self.new.export(outfile, level, name_='new')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'old':
            obj_ = Ip.factory()
            obj_.build(child_)
            self.setOld(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'new':
            obj_ = Ip.factory()
            obj_.build(child_)
            self.setNew(obj_)
# end class MappedIp


class MappedDbServer:
    subclass = None
    def __init__(self, old=None, new=None):
        self.old = old
        self.new = new
    def factory(*args_, **kwargs_):
        if MappedDbServer.subclass:
            return MappedDbServer.subclass(*args_, **kwargs_)
        else:
            return MappedDbServer(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getOld(self): return self.old
    def setOld(self, value): self.old = value
    def getNew(self): return self.new
    def setNew(self, value): self.new = value
    def export(self, outfile, level, name_='MappedDbServer'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='MappedDbServer'):
        pass
    def exportChildren(self, outfile, level, name_='MappedDbServer'):
        if self.old is not None:
            self.old.export(outfile, level, name_='old')
        if self.new is not None:
            self.new.export(outfile, level, name_='new')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'old':
            obj_ = DbServer.factory()
            obj_.build(child_)
            self.setOld(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'new':
            obj_ = DbServer.factory()
            obj_.build(child_)
            self.setNew(obj_)
# end class MappedDbServer


class DbServer:
    subclass = None
    def __init__(self, host='', port='', ttype='', admin='', password='', default=None):
        self.host = host
        self.port = port
        self.ttype = ttype
        self.admin = admin
        self.password = password
        self.default = default
    def factory(*args_, **kwargs_):
        if DbServer.subclass:
            return DbServer.subclass(*args_, **kwargs_)
        else:
            return DbServer(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getHost(self): return self.host
    def setHost(self, value): self.host = value
    def getPort(self): return self.port
    def setPort(self, value): self.port = value
    def getType(self): return self.ttype
    def setType(self, value): self.ttype = value
    def getAdmin(self): return self.admin
    def setAdmin(self, value): self.admin = value
    def getPassword(self): return self.password
    def setPassword(self, value): self.password = value
    def getDefault(self): return self.default
    def setDefault(self, value): self.default = value
    def export(self, outfile, level, name_='DbServer'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='DbServer'):
        pass
    def exportChildren(self, outfile, level, name_='DbServer'):
        showIndent(outfile, level)
        outfile.write('<host>%s</host>\n' % quote_xml(self.getHost()))
        showIndent(outfile, level)
        outfile.write('<port>%s</port>\n' % quote_xml(self.getPort()))
        showIndent(outfile, level)
        outfile.write('<type>%s</type>\n' % quote_xml(self.getType()))
        showIndent(outfile, level)
        outfile.write('<admin>%s</admin>\n' % quote_xml(self.getAdmin()))
        showIndent(outfile, level)
        outfile.write('<password>%s</password>\n' % quote_xml(self.getPassword()))
        if self.default is not None:
            self.default.export(outfile, level, name_='default')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'host':
            host_ = ''
            for text__content_ in child_.childNodes:
                host_ += text__content_.nodeValue
            self.host = host_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'port':
            port_ = ''
            for text__content_ in child_.childNodes:
                port_ += text__content_.nodeValue
            self.port = port_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'type':
            type_ = ''
            for text__content_ in child_.childNodes:
                type_ += text__content_.nodeValue
            self.ttype = type_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'admin':
            admin_ = ''
            for text__content_ in child_.childNodes:
                admin_ += text__content_.nodeValue
            self.admin = admin_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'password':
            password_ = ''
            for text__content_ in child_.childNodes:
                password_ += text__content_.nodeValue
            self.password = password_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'default':
            obj_ = NoneType.factory()
            obj_.build(child_)
            self.setDefault(obj_)
# end class DbServer


class SelectedServer:
    subclass = None
    def __init__(self, client=None, db_server=None, license=None):
        if client is None:
            self.client = []
        else:
            self.client = client
        if db_server is None:
            self.db_server = []
        else:
            self.db_server = db_server
        self.license = license
    def factory(*args_, **kwargs_):
        if SelectedServer.subclass:
            return SelectedServer.subclass(*args_, **kwargs_)
        else:
            return SelectedServer(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getClient(self): return self.client
    def setClient(self, value): self.client = value
    def addClient(self, value): self.client.append(value)
    def insertClient(self, index, value): self.client[index] = value
    def getDb_server(self): return self.db_server
    def setDb_server(self, value): self.db_server = value
    def addDb_server(self, value): self.db_server.append(value)
    def insertDb_server(self, index, value): self.db_server[index] = value
    def getLicense(self): return self.license
    def setLicense(self, value): self.license = value
    def export(self, outfile, level, name_='SelectedServer'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='SelectedServer'):
        pass
    def exportChildren(self, outfile, level, name_='SelectedServer'):
        for client_ in self.getClient():
            client_.export(outfile, level, name_='client')
        for db_server_ in self.getDb_server():
            db_server_.export(outfile, level, name_='db-server')
        if self.license is not None:
            self.license.export(outfile, level, name_='license')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'client':
            obj_ = MappedClient.factory()
            obj_.build(child_)
            self.client.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'db-server':
            obj_ = MappedDbServer.factory()
            obj_.build(child_)
            self.db_server.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'license':
            obj_ = NoneType.factory()
            obj_.build(child_)
            self.setLicense(obj_)
# end class SelectedServer


class AgentDumpingStatus:
    subclass = None
    def __init__(self, pid='', account='', domain='', accounts_left=-1, domains_left=-1):
        self.pid = pid
        self.account = account
        self.domain = domain
        self.accounts_left = accounts_left
        self.domains_left = domains_left
    def factory(*args_, **kwargs_):
        if AgentDumpingStatus.subclass:
            return AgentDumpingStatus.subclass(*args_, **kwargs_)
        else:
            return AgentDumpingStatus(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getPid(self): return self.pid
    def setPid(self, value): self.pid = value
    def getAccount(self): return self.account
    def setAccount(self, value): self.account = value
    def getDomain(self): return self.domain
    def setDomain(self, value): self.domain = value
    def getAccounts_left(self): return self.accounts_left
    def setAccounts_left(self, value): self.accounts_left = value
    def getDomains_left(self): return self.domains_left
    def setDomains_left(self, value): self.domains_left = value
    def export(self, outfile, level, name_='AgentDumpingStatus'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='AgentDumpingStatus'):
        pass
    def exportChildren(self, outfile, level, name_='AgentDumpingStatus'):
        showIndent(outfile, level)
        outfile.write('<pid>%s</pid>\n' % quote_xml(self.getPid()))
        showIndent(outfile, level)
        outfile.write('<account>%s</account>\n' % quote_xml(self.getAccount()))
        showIndent(outfile, level)
        outfile.write('<domain>%s</domain>\n' % quote_xml(self.getDomain()))
        showIndent(outfile, level)
        outfile.write('<accounts-left>%d</accounts-left>\n' % self.getAccounts_left())
        showIndent(outfile, level)
        outfile.write('<domains-left>%d</domains-left>\n' % self.getDomains_left())
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'pid':
            pid_ = ''
            for text__content_ in child_.childNodes:
                pid_ += text__content_.nodeValue
            self.pid = pid_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'account':
            account_ = ''
            for text__content_ in child_.childNodes:
                account_ += text__content_.nodeValue
            self.account = account_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'domain':
            domain_ = ''
            for text__content_ in child_.childNodes:
                domain_ += text__content_.nodeValue
            self.domain = domain_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'accounts-left':
            if child_.firstChild:
                sval_ = child_.firstChild.nodeValue
                try:
                    ival_ = int(sval_)
                except ValueError:
                    raise ValueError('requires integer -- %s' % child_.toxml())
                self.accounts_left = ival_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'domains-left':
            if child_.firstChild:
                sval_ = child_.firstChild.nodeValue
                try:
                    ival_ = int(sval_)
                except ValueError:
                    raise ValueError('requires integer -- %s' % child_.toxml())
                self.domains_left = ival_
# end class AgentDumpingStatus


class MigrationAgentOutputType:
    subclass = None
    def __init__(self, start=None, get_status=None, finish=None, check=None):
        if start is None:
            self.start = []
        else:
            self.start = start
        if get_status is None:
            self.get_status = []
        else:
            self.get_status = get_status
        if finish is None:
            self.finish = []
        else:
            self.finish = finish
        if check is None:
            self.check = []
        else:
            self.check = check
    def factory(*args_, **kwargs_):
        if MigrationAgentOutputType.subclass:
            return MigrationAgentOutputType.subclass(*args_, **kwargs_)
        else:
            return MigrationAgentOutputType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getStart(self): return self.start
    def setStart(self, value): self.start = value
    def addStart(self, value): self.start.append(value)
    def insertStart(self, index, value): self.start[index] = value
    def getGet_status(self): return self.get_status
    def setGet_status(self, value): self.get_status = value
    def addGet_status(self, value): self.get_status.append(value)
    def insertGet_status(self, index, value): self.get_status[index] = value
    def getFinish(self): return self.finish
    def setFinish(self, value): self.finish = value
    def addFinish(self, value): self.finish.append(value)
    def insertFinish(self, index, value): self.finish[index] = value
    def getCheck(self): return self.check
    def setCheck(self, value): self.check = value
    def addCheck(self, value): self.check.append(value)
    def insertCheck(self, index, value): self.check[index] = value
    def export(self, outfile, level, name_='MigrationAgentOutputType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='MigrationAgentOutputType'):
        pass
    def exportChildren(self, outfile, level, name_='MigrationAgentOutputType'):
        for start_ in self.getStart():
            start_.export(outfile, level, name_='start')
        for get_status_ in self.getGet_status():
            get_status_.export(outfile, level, name_='get-status')
        for finish_ in self.getFinish():
            finish_.export(outfile, level, name_='finish')
        for check_ in self.getCheck():
            check_.export(outfile, level, name_='check')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'start':
            obj_ = MigrationAgentOutputStart.factory()
            obj_.build(child_)
            self.start.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'get-status':
            obj_ = MigrationAgentOutputGetStatus.factory()
            obj_.build(child_)
            self.get_status.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'finish':
            obj_ = MigrationAgentOutputFinish.factory()
            obj_.build(child_)
            self.finish.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'check':
            obj_ = MigrationAgentOutputFinish.factory()
            obj_.build(child_)
            self.check.append(obj_)
# end class MigrationAgentOutputType


class MigrationAgentOutputStart:
    subclass = None
    def __init__(self, result=None):
        self.result = result
    def factory(*args_, **kwargs_):
        if MigrationAgentOutputStart.subclass:
            return MigrationAgentOutputStart.subclass(*args_, **kwargs_)
        else:
            return MigrationAgentOutputStart(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getResult(self): return self.result
    def setResult(self, value): self.result = value
    def export(self, outfile, level, name_='MigrationAgentOutputStart'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='MigrationAgentOutputStart'):
        pass
    def exportChildren(self, outfile, level, name_='MigrationAgentOutputStart'):
        if self.result is not None:
            self.result.export(outfile, level, name_='result')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'result':
            obj_ = MigrationAgentOutputStartType.factory()
            obj_.build(child_)
            self.setResult(obj_)
# end class MigrationAgentOutputStart


class MigrationAgentOutputStartType(resultType):
    subclass = None
    def __init__(self, migration_id=None, status='', errcode=None, errtext=None):
        resultType.__init__(self, status, errcode, errtext)
        self.migration_id = migration_id
    def factory(*args_, **kwargs_):
        if MigrationAgentOutputStartType.subclass:
            return MigrationAgentOutputStartType.subclass(*args_, **kwargs_)
        else:
            return MigrationAgentOutputStartType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getMigration_id(self): return self.migration_id
    def setMigration_id(self, value): self.migration_id = value
    def export(self, outfile, level, name_='MigrationAgentOutputStartType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='MigrationAgentOutputStartType'):
        resultType.exportAttributes(self, outfile, level, name_='MigrationAgentOutputStartType')
    def exportChildren(self, outfile, level, name_='MigrationAgentOutputStartType'):
        if self.migration_id is not None:
            showIndent(outfile, level)
            outfile.write('<migration-id>%s</migration-id>\n' % quote_xml(self.getMigration_id()))
        resultType.exportChildren(self, outfile, level, name_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        resultType.buildAttributes(self, attrs)
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'migration-id':
            migration_id_ = ''
            for text__content_ in child_.childNodes:
                migration_id_ += text__content_.nodeValue
            self.migration_id = migration_id_
        resultType.buildChildren(self, child_, nodeName_)
# end class MigrationAgentOutputStartType


class MigrationAgentOutputGetStatus:
    subclass = None
    def __init__(self, result=None):
        self.result = result
    def factory(*args_, **kwargs_):
        if MigrationAgentOutputGetStatus.subclass:
            return MigrationAgentOutputGetStatus.subclass(*args_, **kwargs_)
        else:
            return MigrationAgentOutputGetStatus(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getResult(self): return self.result
    def setResult(self, value): self.result = value
    def export(self, outfile, level, name_='MigrationAgentOutputGetStatus'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='MigrationAgentOutputGetStatus'):
        pass
    def exportChildren(self, outfile, level, name_='MigrationAgentOutputGetStatus'):
        if self.result is not None:
            self.result.export(outfile, level, name_='result')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'result':
            obj_ = MigrationAgentOutputGetStatusType.factory()
            obj_.build(child_)
            self.setResult(obj_)
# end class MigrationAgentOutputGetStatus


class MigrationAgentOutputGetStatusType(resultType):
    subclass = None
    def __init__(self, working=None, finished=None, status='', errcode=None, errtext=None):
        resultType.__init__(self, status, errcode, errtext)
        self.working = working
        self.finished = finished
    def factory(*args_, **kwargs_):
        if MigrationAgentOutputGetStatusType.subclass:
            return MigrationAgentOutputGetStatusType.subclass(*args_, **kwargs_)
        else:
            return MigrationAgentOutputGetStatusType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getWorking(self): return self.working
    def setWorking(self, value): self.working = value
    def getFinished(self): return self.finished
    def setFinished(self, value): self.finished = value
    def export(self, outfile, level, name_='MigrationAgentOutputGetStatusType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='MigrationAgentOutputGetStatusType'):
        resultType.exportAttributes(self, outfile, level, name_='MigrationAgentOutputGetStatusType')
    def exportChildren(self, outfile, level, name_='MigrationAgentOutputGetStatusType'):
        if self.working is not None:
            self.working.export(outfile, level, name_='working')
        if self.finished is not None:
            self.finished.export(outfile, level, name_='finished')
        resultType.exportChildren(self, outfile, level, name_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        resultType.buildAttributes(self, attrs)
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'working':
            obj_ = MigrationAgentStatusWorking.factory()
            obj_.build(child_)
            self.setWorking(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'finished':
            obj_ = MigrationAgentStatusFinished.factory()
            obj_.build(child_)
            self.setFinished(obj_)
        resultType.buildChildren(self, child_, nodeName_)
# end class MigrationAgentOutputGetStatusType


class MigrationAgentStatusFinished:
    subclass = None
    def __init__(self, error=None, password=None, dump_url=None, content_url=None):
        self.error = error
        self.password = password
        self.dump_url = dump_url
        if content_url is None:
            self.content_url = []
        else:
            self.content_url = content_url
    def factory(*args_, **kwargs_):
        if MigrationAgentStatusFinished.subclass:
            return MigrationAgentStatusFinished.subclass(*args_, **kwargs_)
        else:
            return MigrationAgentStatusFinished(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getError(self): return self.error
    def setError(self, value): self.error = value
    def getPassword(self): return self.password
    def setPassword(self, value): self.password = value
    def getDump_url(self): return self.dump_url
    def setDump_url(self, value): self.dump_url = value
    def getContent_url(self): return self.content_url
    def setContent_url(self, value): self.content_url = value
    def addContent_url(self, value): self.content_url.append(value)
    def insertContent_url(self, index, value): self.content_url[index] = value
    def export(self, outfile, level, name_='MigrationAgentStatusFinished'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='MigrationAgentStatusFinished'):
        pass
    def exportChildren(self, outfile, level, name_='MigrationAgentStatusFinished'):
        if self.error is not None:
            showIndent(outfile, level)
            outfile.write('<error>%s</error>\n' % quote_xml(self.getError()))
        if self.password is not None:
            showIndent(outfile, level)
            outfile.write('<password>%s</password>\n' % quote_xml(self.getPassword()))
        if self.dump_url is not None:
            showIndent(outfile, level)
            outfile.write('<dump-url>%s</dump-url>\n' % quote_xml(self.getDump_url()))
        for content_url_ in self.getContent_url():
            showIndent(outfile, level)
            outfile.write('<content-url>%s</content-url>\n' % quote_xml(content_url_))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'error':
            error_ = ''
            for text__content_ in child_.childNodes:
                error_ += text__content_.nodeValue
            self.error = error_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'password':
            password_ = ''
            for text__content_ in child_.childNodes:
                password_ += text__content_.nodeValue
            self.password = password_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'dump-url':
            dump_url_ = ''
            for text__content_ in child_.childNodes:
                dump_url_ += text__content_.nodeValue
            self.dump_url = dump_url_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'content-url':
            content_url_ = ''
            for text__content_ in child_.childNodes:
                content_url_ += text__content_.nodeValue
            self.addContent_url(content_url_)
# end class MigrationAgentStatusFinished


class MigrationAgentOutputFinish:
    subclass = None
    def __init__(self, result=None):
        self.result = result
    def factory(*args_, **kwargs_):
        if MigrationAgentOutputFinish.subclass:
            return MigrationAgentOutputFinish.subclass(*args_, **kwargs_)
        else:
            return MigrationAgentOutputFinish(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getResult(self): return self.result
    def setResult(self, value): self.result = value
    def export(self, outfile, level, name_='MigrationAgentOutputFinish'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='MigrationAgentOutputFinish'):
        pass
    def exportChildren(self, outfile, level, name_='MigrationAgentOutputFinish'):
        if self.result is not None:
            self.result.export(outfile, level, name_='result')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'result':
            obj_ = resultType.factory()
            obj_.build(child_)
            self.setResult(obj_)
# end class MigrationAgentOutputFinish


class MigrationOutputType:
    subclass = None
    def __init__(self, start=None, finish=None, get_fs=None, get_status=None, check=None):
        if start is None:
            self.start = []
        else:
            self.start = start
        if finish is None:
            self.finish = []
        else:
            self.finish = finish
        if get_fs is None:
            self.get_fs = []
        else:
            self.get_fs = get_fs
        if get_status is None:
            self.get_status = []
        else:
            self.get_status = get_status
        if check is None:
            self.check = []
        else:
            self.check = check
    def factory(*args_, **kwargs_):
        if MigrationOutputType.subclass:
            return MigrationOutputType.subclass(*args_, **kwargs_)
        else:
            return MigrationOutputType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getStart(self): return self.start
    def setStart(self, value): self.start = value
    def addStart(self, value): self.start.append(value)
    def insertStart(self, index, value): self.start[index] = value
    def getFinish(self): return self.finish
    def setFinish(self, value): self.finish = value
    def addFinish(self, value): self.finish.append(value)
    def insertFinish(self, index, value): self.finish[index] = value
    def getGet_fs(self): return self.get_fs
    def setGet_fs(self, value): self.get_fs = value
    def addGet_fs(self, value): self.get_fs.append(value)
    def insertGet_fs(self, index, value): self.get_fs[index] = value
    def getGet_status(self): return self.get_status
    def setGet_status(self, value): self.get_status = value
    def addGet_status(self, value): self.get_status.append(value)
    def insertGet_status(self, index, value): self.get_status[index] = value
    def getCheck(self): return self.check
    def setCheck(self, value): self.check = value
    def addCheck(self, value): self.check.append(value)
    def insertCheck(self, index, value): self.check[index] = value
    def export(self, outfile, level, name_='MigrationOutputType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='MigrationOutputType'):
        pass
    def exportChildren(self, outfile, level, name_='MigrationOutputType'):
        for start_ in self.getStart():
            start_.export(outfile, level, name_='start')
        for finish_ in self.getFinish():
            finish_.export(outfile, level, name_='finish')
        for get_fs_ in self.getGet_fs():
            get_fs_.export(outfile, level, name_='get_fs')
        for get_status_ in self.getGet_status():
            get_status_.export(outfile, level, name_='get_status')
        for check_ in self.getCheck():
            check_.export(outfile, level, name_='check')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'start':
            obj_ = MigrationOutputStartType.factory()
            obj_.build(child_)
            self.start.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'finish':
            obj_ = MigrationOutputFinishType.factory()
            obj_.build(child_)
            self.finish.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'get_fs':
            obj_ = MigrationOutputGetFsType.factory()
            obj_.build(child_)
            self.get_fs.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'get_status':
            obj_ = MigrationOutputGetStatusType.factory()
            obj_.build(child_)
            self.get_status.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'check':
            obj_ = MigrationOutputFinishType.factory()
            obj_.build(child_)
            self.check.append(obj_)
# end class MigrationOutputType


class MigrationOutputStartType:
    subclass = None
    def __init__(self, result=None):
        self.result = result
    def factory(*args_, **kwargs_):
        if MigrationOutputStartType.subclass:
            return MigrationOutputStartType.subclass(*args_, **kwargs_)
        else:
            return MigrationOutputStartType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getResult(self): return self.result
    def setResult(self, value): self.result = value
    def export(self, outfile, level, name_='MigrationOutputStartType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='MigrationOutputStartType'):
        pass
    def exportChildren(self, outfile, level, name_='MigrationOutputStartType'):
        if self.result is not None:
            self.result.export(outfile, level, name_='result')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'result':
            obj_ = MigrationOutputStartResultType.factory()
            obj_.build(child_)
            self.setResult(obj_)
# end class MigrationOutputStartType


class MigrationOutputStartResultType(resultType):
    subclass = None
    def __init__(self, migration_id='', status='', errcode=None, errtext=None):
        resultType.__init__(self, status, errcode, errtext)
        self.migration_id = migration_id
    def factory(*args_, **kwargs_):
        if MigrationOutputStartResultType.subclass:
            return MigrationOutputStartResultType.subclass(*args_, **kwargs_)
        else:
            return MigrationOutputStartResultType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getMigration_id(self): return self.migration_id
    def setMigration_id(self, value): self.migration_id = value
    def export(self, outfile, level, name_='MigrationOutputStartResultType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='MigrationOutputStartResultType'):
        resultType.exportAttributes(self, outfile, level, name_='MigrationOutputStartResultType')
    def exportChildren(self, outfile, level, name_='MigrationOutputStartResultType'):
        showIndent(outfile, level)
        outfile.write('<migration_id>%s</migration_id>\n' % quote_xml(self.getMigration_id()))
        resultType.exportChildren(self, outfile, level, name_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        resultType.buildAttributes(self, attrs)
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'migration_id':
            migration_id_ = ''
            for text__content_ in child_.childNodes:
                migration_id_ += text__content_.nodeValue
            self.migration_id = migration_id_
        resultType.buildChildren(self, child_, nodeName_)
# end class MigrationOutputStartResultType


class MigrationOutputGetStatusType:
    subclass = None
    def __init__(self, result=None):
        self.result = result
    def factory(*args_, **kwargs_):
        if MigrationOutputGetStatusType.subclass:
            return MigrationOutputGetStatusType.subclass(*args_, **kwargs_)
        else:
            return MigrationOutputGetStatusType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getResult(self): return self.result
    def setResult(self, value): self.result = value
    def export(self, outfile, level, name_='MigrationOutputGetStatusType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='MigrationOutputGetStatusType'):
        pass
    def exportChildren(self, outfile, level, name_='MigrationOutputGetStatusType'):
        if self.result is not None:
            self.result.export(outfile, level, name_='result')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'result':
            obj_ = MigrationOutputGetStatusResultType.factory()
            obj_.build(child_)
            self.setResult(obj_)
# end class MigrationOutputGetStatusType


class MigrationOutputGetStatusResultType(resultType):
    subclass = None
    def __init__(self, migration_status=None, finished=None, status='', errcode=None, errtext=None):
        resultType.__init__(self, status, errcode, errtext)
        self.migration_status = migration_status
        self.finished = finished
    def factory(*args_, **kwargs_):
        if MigrationOutputGetStatusResultType.subclass:
            return MigrationOutputGetStatusResultType.subclass(*args_, **kwargs_)
        else:
            return MigrationOutputGetStatusResultType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getMigration_status(self): return self.migration_status
    def setMigration_status(self, value): self.migration_status = value
    def getFinished(self): return self.finished
    def setFinished(self, value): self.finished = value
    def export(self, outfile, level, name_='MigrationOutputGetStatusResultType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='MigrationOutputGetStatusResultType'):
        resultType.exportAttributes(self, outfile, level, name_='MigrationOutputGetStatusResultType')
    def exportChildren(self, outfile, level, name_='MigrationOutputGetStatusResultType'):
        if self.migration_status is not None:
            self.migration_status.export(outfile, level, name_='migration_status')
        if self.finished is not None:
            showIndent(outfile, level)
            outfile.write('<finished>%s</finished>\n' % quote_xml(self.getFinished()))
        resultType.exportChildren(self, outfile, level, name_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        resultType.buildAttributes(self, attrs)
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'migration_status':
            obj_ = MigrationStatus.factory()
            obj_.build(child_)
            self.setMigration_status(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'finished':
            finished_ = ''
            for text__content_ in child_.childNodes:
                finished_ += text__content_.nodeValue
            self.finished = finished_
        resultType.buildChildren(self, child_, nodeName_)
# end class MigrationOutputGetStatusResultType


class MigrationOutputFinishType:
    subclass = None
    def __init__(self, result=None):
        self.result = result
    def factory(*args_, **kwargs_):
        if MigrationOutputFinishType.subclass:
            return MigrationOutputFinishType.subclass(*args_, **kwargs_)
        else:
            return MigrationOutputFinishType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getResult(self): return self.result
    def setResult(self, value): self.result = value
    def export(self, outfile, level, name_='MigrationOutputFinishType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='MigrationOutputFinishType'):
        pass
    def exportChildren(self, outfile, level, name_='MigrationOutputFinishType'):
        if self.result is not None:
            self.result.export(outfile, level, name_='result')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'result':
            obj_ = resultType.factory()
            obj_.build(child_)
            self.setResult(obj_)
# end class MigrationOutputFinishType


class MigrationOutputGetFsType:
    subclass = None
    def __init__(self, result=None):
        self.result = result
    def factory(*args_, **kwargs_):
        if MigrationOutputGetFsType.subclass:
            return MigrationOutputGetFsType.subclass(*args_, **kwargs_)
        else:
            return MigrationOutputGetFsType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getResult(self): return self.result
    def setResult(self, value): self.result = value
    def export(self, outfile, level, name_='MigrationOutputGetFsType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='MigrationOutputGetFsType'):
        pass
    def exportChildren(self, outfile, level, name_='MigrationOutputGetFsType'):
        if self.result is not None:
            self.result.export(outfile, level, name_='result')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'result':
            obj_ = MigrationOutputGetFsResultType.factory()
            obj_.build(child_)
            self.setResult(obj_)
# end class MigrationOutputGetFsType


class MigrationOutputGetFsResultType(resultType):
    subclass = None
    def __init__(self, fs=None, status='', errcode=None, errtext=None):
        resultType.__init__(self, status, errcode, errtext)
        if fs is None:
            self.fs = []
        else:
            self.fs = fs
    def factory(*args_, **kwargs_):
        if MigrationOutputGetFsResultType.subclass:
            return MigrationOutputGetFsResultType.subclass(*args_, **kwargs_)
        else:
            return MigrationOutputGetFsResultType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getFs(self): return self.fs
    def setFs(self, value): self.fs = value
    def addFs(self, value): self.fs.append(value)
    def insertFs(self, index, value): self.fs[index] = value
    def export(self, outfile, level, name_='MigrationOutputGetFsResultType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='MigrationOutputGetFsResultType'):
        resultType.exportAttributes(self, outfile, level, name_='MigrationOutputGetFsResultType')
    def exportChildren(self, outfile, level, name_='MigrationOutputGetFsResultType'):
        for fs_ in self.getFs():
            fs_.export(outfile, level, name_='fs')
        resultType.exportChildren(self, outfile, level, name_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        resultType.buildAttributes(self, attrs)
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'fs':
            obj_ = FS.factory()
            obj_.build(child_)
            self.fs.append(obj_)
        resultType.buildChildren(self, child_, nodeName_)
# end class MigrationOutputGetFsResultType


class FS:
    subclass = None
    def __init__(self, mountpoint='', device='', mode='', size='', free='', ttype=''):
        self.mountpoint = mountpoint
        self.device = device
        self.mode = mode
        self.size = size
        self.free = free
        self.ttype = ttype
    def factory(*args_, **kwargs_):
        if FS.subclass:
            return FS.subclass(*args_, **kwargs_)
        else:
            return FS(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getMountpoint(self): return self.mountpoint
    def setMountpoint(self, value): self.mountpoint = value
    def getDevice(self): return self.device
    def setDevice(self, value): self.device = value
    def getMode(self): return self.mode
    def setMode(self, value): self.mode = value
    def getSize(self): return self.size
    def setSize(self, value): self.size = value
    def getFree(self): return self.free
    def setFree(self, value): self.free = value
    def getType(self): return self.ttype
    def setType(self, value): self.ttype = value
    def export(self, outfile, level, name_='FS'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='FS'):
        pass
    def exportChildren(self, outfile, level, name_='FS'):
        showIndent(outfile, level)
        outfile.write('<mountpoint>%s</mountpoint>\n' % quote_xml(self.getMountpoint()))
        showIndent(outfile, level)
        outfile.write('<device>%s</device>\n' % quote_xml(self.getDevice()))
        showIndent(outfile, level)
        outfile.write('<mode>%s</mode>\n' % quote_xml(self.getMode()))
        showIndent(outfile, level)
        outfile.write('<size>%s</size>\n' % quote_xml(self.getSize()))
        showIndent(outfile, level)
        outfile.write('<free>%s</free>\n' % quote_xml(self.getFree()))
        showIndent(outfile, level)
        outfile.write('<type>%s</type>\n' % quote_xml(self.getType()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'mountpoint':
            mountpoint_ = ''
            for text__content_ in child_.childNodes:
                mountpoint_ += text__content_.nodeValue
            self.mountpoint = mountpoint_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'device':
            device_ = ''
            for text__content_ in child_.childNodes:
                device_ += text__content_.nodeValue
            self.device = device_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'mode':
            mode_ = ''
            for text__content_ in child_.childNodes:
                mode_ += text__content_.nodeValue
            self.mode = mode_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'size':
            size_ = ''
            for text__content_ in child_.childNodes:
                size_ += text__content_.nodeValue
            self.size = size_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'free':
            free_ = ''
            for text__content_ in child_.childNodes:
                free_ += text__content_.nodeValue
            self.free = free_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'type':
            type_ = ''
            for text__content_ in child_.childNodes:
                type_ += text__content_.nodeValue
            self.ttype = type_
# end class FS


class MigrationStatus:
    subclass = None
    def __init__(self, total=-1, completed=-1, description=None):
        self.total = total
        self.completed = completed
        self.description = description
    def factory(*args_, **kwargs_):
        if MigrationStatus.subclass:
            return MigrationStatus.subclass(*args_, **kwargs_)
        else:
            return MigrationStatus(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getTotal(self): return self.total
    def setTotal(self, value): self.total = value
    def getCompleted(self): return self.completed
    def setCompleted(self, value): self.completed = value
    def getDescription(self): return self.description
    def setDescription(self, value): self.description = value
    def export(self, outfile, level, name_='MigrationStatus'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='MigrationStatus'):
        pass
    def exportChildren(self, outfile, level, name_='MigrationStatus'):
        showIndent(outfile, level)
        outfile.write('<total>%d</total>\n' % self.getTotal())
        showIndent(outfile, level)
        outfile.write('<completed>%d</completed>\n' % self.getCompleted())
        if self.description is not None:
            showIndent(outfile, level)
            outfile.write('<description>%s</description>\n' % quote_xml(self.getDescription()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'total':
            if child_.firstChild:
                sval_ = child_.firstChild.nodeValue
                try:
                    ival_ = int(sval_)
                except ValueError:
                    raise ValueError('requires integer -- %s' % child_.toxml())
                self.total = ival_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'completed':
            if child_.firstChild:
                sval_ = child_.firstChild.nodeValue
                try:
                    ival_ = int(sval_)
                except ValueError:
                    raise ValueError('requires integer -- %s' % child_.toxml())
                self.completed = ival_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'description':
            description_ = ''
            for text__content_ in child_.childNodes:
                description_ += text__content_.nodeValue
            self.description = description_
# end class MigrationStatus


class SecretKeyInfo:
    subclass = None
    def __init__(self, key='', ip_address='', description=''):
        self.key = key
        self.ip_address = ip_address
        self.description = description
    def factory(*args_, **kwargs_):
        if SecretKeyInfo.subclass:
            return SecretKeyInfo.subclass(*args_, **kwargs_)
        else:
            return SecretKeyInfo(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getKey(self): return self.key
    def setKey(self, value): self.key = value
    def getIp_address(self): return self.ip_address
    def setIp_address(self, value): self.ip_address = value
    def getDescription(self): return self.description
    def setDescription(self, value): self.description = value
    def export(self, outfile, level, name_='SecretKeyInfo'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='SecretKeyInfo'):
        pass
    def exportChildren(self, outfile, level, name_='SecretKeyInfo'):
        showIndent(outfile, level)
        outfile.write('<key>%s</key>\n' % quote_xml(self.getKey()))
        showIndent(outfile, level)
        outfile.write('<ip_address>%s</ip_address>\n' % quote_xml(self.getIp_address()))
        showIndent(outfile, level)
        outfile.write('<description>%s</description>\n' % quote_xml(self.getDescription()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'key':
            key_ = ''
            for text__content_ in child_.childNodes:
                key_ += text__content_.nodeValue
            self.key = key_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ip_address':
            ip_address_ = ''
            for text__content_ in child_.childNodes:
                ip_address_ += text__content_.nodeValue
            self.ip_address = ip_address_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'description':
            description_ = ''
            for text__content_ in child_.childNodes:
                description_ += text__content_.nodeValue
            self.description = description_
# end class SecretKeyInfo


class SecretKeyResponseType:
    subclass = None
    def __init__(self, create=None, delete=None, get_info=None):
        if create is None:
            self.create = []
        else:
            self.create = create
        if delete is None:
            self.delete = []
        else:
            self.delete = delete
        if get_info is None:
            self.get_info = []
        else:
            self.get_info = get_info
    def factory(*args_, **kwargs_):
        if SecretKeyResponseType.subclass:
            return SecretKeyResponseType.subclass(*args_, **kwargs_)
        else:
            return SecretKeyResponseType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getCreate(self): return self.create
    def setCreate(self, value): self.create = value
    def addCreate(self, value): self.create.append(value)
    def insertCreate(self, index, value): self.create[index] = value
    def getDelete(self): return self.delete
    def setDelete(self, value): self.delete = value
    def addDelete(self, value): self.delete.append(value)
    def insertDelete(self, index, value): self.delete[index] = value
    def getGet_info(self): return self.get_info
    def setGet_info(self, value): self.get_info = value
    def addGet_info(self, value): self.get_info.append(value)
    def insertGet_info(self, index, value): self.get_info[index] = value
    def export(self, outfile, level, name_='SecretKeyResponseType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='SecretKeyResponseType'):
        pass
    def exportChildren(self, outfile, level, name_='SecretKeyResponseType'):
        for create_ in self.getCreate():
            create_.export(outfile, level)
        for delete_ in self.getDelete():
            delete_.export(outfile, level)
        for get_info_ in self.getGet_info():
            get_info_.export(outfile, level)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'create':
            obj_ = create.factory()
            obj_.build(child_)
            self.create.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'delete':
            obj_ = delete.factory()
            obj_.build(child_)
            self.delete.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'get_info':
            obj_ = get_info.factory()
            obj_.build(child_)
            self.get_info.append(obj_)
# end class SecretKeyResponseType


class keyType:
    subclass = None
    def __init__(self, plesk_key_id='', prod_type=None, lim_date='', lim_slaves='', lim_cl='', lim_dom='', lim_mn='', lim_wu='', MLS='', MPCID='', noMPC='', noMngMPC='', key_vz='', key_mssql=None, key_postgresql=None, key_tomcat='', key_gch='', key_shell='', key_traffic='', key_cl_tmpl='', key_notifmgr='', key_eventmgr='', key_actionmgr='', key_dombackup='', key_expiration='', key_subdomains='', key_coldfusion='', key_cgitory='', key_spamassassin='', key_drweb=None, key_sitebuilder='', key_tts='', license_update_date=None, reseller_email=None, key_migration=None, key_askupdate=None, key_nosappactivation=None, store_id=None, autoinstaller_config=None, key_easy=None, key_dlu=None, product_version=None, content=None, key_drweb_limit=None, PLUS=None, key_manage_dashboard=None, key_stdgui=None, key_dashboard=None, keyserver_host=None, key_ip_ranges=None, key_hwid=None, key_qmail_queue=None, key_remote_db=None):
        self.plesk_key_id = plesk_key_id
        self.prod_type = prod_type
        self.lim_date = lim_date
        self.lim_slaves = lim_slaves
        self.lim_cl = lim_cl
        self.lim_dom = lim_dom
        self.lim_mn = lim_mn
        self.lim_wu = lim_wu
        self.MLS = MLS
        self.MPCID = MPCID
        self.noMPC = noMPC
        self.noMngMPC = noMngMPC
        self.key_vz = key_vz
        self.key_mssql = key_mssql
        self.key_postgresql = key_postgresql
        self.key_tomcat = key_tomcat
        self.key_gch = key_gch
        self.key_shell = key_shell
        self.key_traffic = key_traffic
        self.key_cl_tmpl = key_cl_tmpl
        self.key_notifmgr = key_notifmgr
        self.key_eventmgr = key_eventmgr
        self.key_actionmgr = key_actionmgr
        self.key_dombackup = key_dombackup
        self.key_expiration = key_expiration
        self.key_subdomains = key_subdomains
        self.key_coldfusion = key_coldfusion
        self.key_cgitory = key_cgitory
        self.key_spamassassin = key_spamassassin
        self.key_drweb = key_drweb
        self.key_sitebuilder = key_sitebuilder
        self.key_tts = key_tts
        self.license_update_date = license_update_date
        self.reseller_email = reseller_email
        self.key_migration = key_migration
        self.key_askupdate = key_askupdate
        self.key_nosappactivation = key_nosappactivation
        self.store_id = store_id
        self.autoinstaller_config = autoinstaller_config
        self.key_easy = key_easy
        self.key_dlu = key_dlu
        self.product_version = product_version
        self.content = content
        self.key_drweb_limit = key_drweb_limit
        self.PLUS = PLUS
        self.key_manage_dashboard = key_manage_dashboard
        self.key_stdgui = key_stdgui
        self.key_dashboard = key_dashboard
        self.keyserver_host = keyserver_host
        self.key_ip_ranges = key_ip_ranges
        self.key_hwid = key_hwid
        self.key_qmail_queue = key_qmail_queue
        self.key_remote_db = key_remote_db
    def factory(*args_, **kwargs_):
        if keyType.subclass:
            return keyType.subclass(*args_, **kwargs_)
        else:
            return keyType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getPlesk_key_id(self): return self.plesk_key_id
    def setPlesk_key_id(self, value): self.plesk_key_id = value
    def getProd_type(self): return self.prod_type
    def setProd_type(self, value): self.prod_type = value
    def getLim_date(self): return self.lim_date
    def setLim_date(self, value): self.lim_date = value
    def getLim_slaves(self): return self.lim_slaves
    def setLim_slaves(self, value): self.lim_slaves = value
    def getLim_cl(self): return self.lim_cl
    def setLim_cl(self, value): self.lim_cl = value
    def getLim_dom(self): return self.lim_dom
    def setLim_dom(self, value): self.lim_dom = value
    def getLim_mn(self): return self.lim_mn
    def setLim_mn(self, value): self.lim_mn = value
    def getLim_wu(self): return self.lim_wu
    def setLim_wu(self, value): self.lim_wu = value
    def getMls(self): return self.MLS
    def setMls(self, value): self.MLS = value
    def getMpcid(self): return self.MPCID
    def setMpcid(self, value): self.MPCID = value
    def getNompc(self): return self.noMPC
    def setNompc(self, value): self.noMPC = value
    def getNomngmpc(self): return self.noMngMPC
    def setNomngmpc(self, value): self.noMngMPC = value
    def getKey_vz(self): return self.key_vz
    def setKey_vz(self, value): self.key_vz = value
    def getKey_mssql(self): return self.key_mssql
    def setKey_mssql(self, value): self.key_mssql = value
    def getKey_postgresql(self): return self.key_postgresql
    def setKey_postgresql(self, value): self.key_postgresql = value
    def getKey_tomcat(self): return self.key_tomcat
    def setKey_tomcat(self, value): self.key_tomcat = value
    def getKey_gch(self): return self.key_gch
    def setKey_gch(self, value): self.key_gch = value
    def getKey_shell(self): return self.key_shell
    def setKey_shell(self, value): self.key_shell = value
    def getKey_traffic(self): return self.key_traffic
    def setKey_traffic(self, value): self.key_traffic = value
    def getKey_cl_tmpl(self): return self.key_cl_tmpl
    def setKey_cl_tmpl(self, value): self.key_cl_tmpl = value
    def getKey_notifmgr(self): return self.key_notifmgr
    def setKey_notifmgr(self, value): self.key_notifmgr = value
    def getKey_eventmgr(self): return self.key_eventmgr
    def setKey_eventmgr(self, value): self.key_eventmgr = value
    def getKey_actionmgr(self): return self.key_actionmgr
    def setKey_actionmgr(self, value): self.key_actionmgr = value
    def getKey_dombackup(self): return self.key_dombackup
    def setKey_dombackup(self, value): self.key_dombackup = value
    def getKey_expiration(self): return self.key_expiration
    def setKey_expiration(self, value): self.key_expiration = value
    def getKey_subdomains(self): return self.key_subdomains
    def setKey_subdomains(self, value): self.key_subdomains = value
    def getKey_coldfusion(self): return self.key_coldfusion
    def setKey_coldfusion(self, value): self.key_coldfusion = value
    def getKey_cgitory(self): return self.key_cgitory
    def setKey_cgitory(self, value): self.key_cgitory = value
    def getKey_spamassassin(self): return self.key_spamassassin
    def setKey_spamassassin(self, value): self.key_spamassassin = value
    def getKey_drweb(self): return self.key_drweb
    def setKey_drweb(self, value): self.key_drweb = value
    def getKey_sitebuilder(self): return self.key_sitebuilder
    def setKey_sitebuilder(self, value): self.key_sitebuilder = value
    def getKey_tts(self): return self.key_tts
    def setKey_tts(self, value): self.key_tts = value
    def getLicense_update_date(self): return self.license_update_date
    def setLicense_update_date(self, value): self.license_update_date = value
    def getReseller_email(self): return self.reseller_email
    def setReseller_email(self, value): self.reseller_email = value
    def getKey_migration(self): return self.key_migration
    def setKey_migration(self, value): self.key_migration = value
    def getKey_askupdate(self): return self.key_askupdate
    def setKey_askupdate(self, value): self.key_askupdate = value
    def getKey_nosappactivation(self): return self.key_nosappactivation
    def setKey_nosappactivation(self, value): self.key_nosappactivation = value
    def getStore_id(self): return self.store_id
    def setStore_id(self, value): self.store_id = value
    def getAutoinstaller_config(self): return self.autoinstaller_config
    def setAutoinstaller_config(self, value): self.autoinstaller_config = value
    def getKey_easy(self): return self.key_easy
    def setKey_easy(self, value): self.key_easy = value
    def getKey_dlu(self): return self.key_dlu
    def setKey_dlu(self, value): self.key_dlu = value
    def getProduct_version(self): return self.product_version
    def setProduct_version(self, value): self.product_version = value
    def getContent(self): return self.content
    def setContent(self, value): self.content = value
    def getKey_drweb_limit(self): return self.key_drweb_limit
    def setKey_drweb_limit(self, value): self.key_drweb_limit = value
    def getPlus(self): return self.PLUS
    def setPlus(self, value): self.PLUS = value
    def getKey_manage_dashboard(self): return self.key_manage_dashboard
    def setKey_manage_dashboard(self, value): self.key_manage_dashboard = value
    def getKey_stdgui(self): return self.key_stdgui
    def setKey_stdgui(self, value): self.key_stdgui = value
    def getKey_dashboard(self): return self.key_dashboard
    def setKey_dashboard(self, value): self.key_dashboard = value
    def getKeyserver_host(self): return self.keyserver_host
    def setKeyserver_host(self, value): self.keyserver_host = value
    def getKey_ip_ranges(self): return self.key_ip_ranges
    def setKey_ip_ranges(self, value): self.key_ip_ranges = value
    def getKey_hwid(self): return self.key_hwid
    def setKey_hwid(self, value): self.key_hwid = value
    def getKey_qmail_queue(self): return self.key_qmail_queue
    def setKey_qmail_queue(self, value): self.key_qmail_queue = value
    def getKey_remote_db(self): return self.key_remote_db
    def setKey_remote_db(self, value): self.key_remote_db = value
    def export(self, outfile, level, name_='keyType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='keyType'):
        pass
    def exportChildren(self, outfile, level, name_='keyType'):
        showIndent(outfile, level)
        outfile.write('<plesk_key_id>%s</plesk_key_id>\n' % quote_xml(self.getPlesk_key_id()))
        if self.prod_type is not None:
            showIndent(outfile, level)
            outfile.write('<prod_type>%s</prod_type>\n' % quote_xml(self.getProd_type()))
        showIndent(outfile, level)
        outfile.write('<lim_date>%s</lim_date>\n' % quote_xml(self.getLim_date()))
        showIndent(outfile, level)
        outfile.write('<lim_slaves>%s</lim_slaves>\n' % quote_xml(self.getLim_slaves()))
        showIndent(outfile, level)
        outfile.write('<lim_cl>%s</lim_cl>\n' % quote_xml(self.getLim_cl()))
        showIndent(outfile, level)
        outfile.write('<lim_dom>%s</lim_dom>\n' % quote_xml(self.getLim_dom()))
        showIndent(outfile, level)
        outfile.write('<lim_mn>%s</lim_mn>\n' % quote_xml(self.getLim_mn()))
        showIndent(outfile, level)
        outfile.write('<lim_wu>%s</lim_wu>\n' % quote_xml(self.getLim_wu()))
        showIndent(outfile, level)
        outfile.write('<MLS>%s</MLS>\n' % quote_xml(self.getMls()))
        showIndent(outfile, level)
        outfile.write('<MPCID>%s</MPCID>\n' % quote_xml(self.getMpcid()))
        showIndent(outfile, level)
        outfile.write('<noMPC>%s</noMPC>\n' % quote_xml(self.getNompc()))
        showIndent(outfile, level)
        outfile.write('<noMngMPC>%s</noMngMPC>\n' % quote_xml(self.getNomngmpc()))
        showIndent(outfile, level)
        outfile.write('<key_vz>%s</key_vz>\n' % quote_xml(self.getKey_vz()))
        if self.key_mssql is not None:
            showIndent(outfile, level)
            outfile.write('<key_mssql>%s</key_mssql>\n' % quote_xml(self.getKey_mssql()))
        if self.key_postgresql is not None:
            showIndent(outfile, level)
            outfile.write('<key_postgresql>%s</key_postgresql>\n' % quote_xml(self.getKey_postgresql()))
        showIndent(outfile, level)
        outfile.write('<key_tomcat>%s</key_tomcat>\n' % quote_xml(self.getKey_tomcat()))
        showIndent(outfile, level)
        outfile.write('<key_gch>%s</key_gch>\n' % quote_xml(self.getKey_gch()))
        showIndent(outfile, level)
        outfile.write('<key_shell>%s</key_shell>\n' % quote_xml(self.getKey_shell()))
        showIndent(outfile, level)
        outfile.write('<key_traffic>%s</key_traffic>\n' % quote_xml(self.getKey_traffic()))
        showIndent(outfile, level)
        outfile.write('<key_cl_tmpl>%s</key_cl_tmpl>\n' % quote_xml(self.getKey_cl_tmpl()))
        showIndent(outfile, level)
        outfile.write('<key_notifmgr>%s</key_notifmgr>\n' % quote_xml(self.getKey_notifmgr()))
        showIndent(outfile, level)
        outfile.write('<key_eventmgr>%s</key_eventmgr>\n' % quote_xml(self.getKey_eventmgr()))
        showIndent(outfile, level)
        outfile.write('<key_actionmgr>%s</key_actionmgr>\n' % quote_xml(self.getKey_actionmgr()))
        showIndent(outfile, level)
        outfile.write('<key_dombackup>%s</key_dombackup>\n' % quote_xml(self.getKey_dombackup()))
        showIndent(outfile, level)
        outfile.write('<key_expiration>%s</key_expiration>\n' % quote_xml(self.getKey_expiration()))
        showIndent(outfile, level)
        outfile.write('<key_subdomains>%s</key_subdomains>\n' % quote_xml(self.getKey_subdomains()))
        showIndent(outfile, level)
        outfile.write('<key_coldfusion>%s</key_coldfusion>\n' % quote_xml(self.getKey_coldfusion()))
        showIndent(outfile, level)
        outfile.write('<key_cgitory>%s</key_cgitory>\n' % quote_xml(self.getKey_cgitory()))
        showIndent(outfile, level)
        outfile.write('<key_spamassassin>%s</key_spamassassin>\n' % quote_xml(self.getKey_spamassassin()))
        if self.key_drweb is not None:
            showIndent(outfile, level)
            outfile.write('<key_drweb>%s</key_drweb>\n' % quote_xml(self.getKey_drweb()))
        showIndent(outfile, level)
        outfile.write('<key_sitebuilder>%s</key_sitebuilder>\n' % quote_xml(self.getKey_sitebuilder()))
        showIndent(outfile, level)
        outfile.write('<key_tts>%s</key_tts>\n' % quote_xml(self.getKey_tts()))
        if self.license_update_date is not None:
            showIndent(outfile, level)
            outfile.write('<license_update_date>%s</license_update_date>\n' % quote_xml(self.getLicense_update_date()))
        if self.reseller_email is not None:
            showIndent(outfile, level)
            outfile.write('<reseller_email>%s</reseller_email>\n' % quote_xml(self.getReseller_email()))
        if self.key_migration is not None:
            showIndent(outfile, level)
            outfile.write('<key_migration>%s</key_migration>\n' % quote_xml(self.getKey_migration()))
        if self.key_askupdate is not None:
            showIndent(outfile, level)
            outfile.write('<key_askupdate>%s</key_askupdate>\n' % quote_xml(self.getKey_askupdate()))
        if self.key_nosappactivation is not None:
            showIndent(outfile, level)
            outfile.write('<key_nosappactivation>%s</key_nosappactivation>\n' % quote_xml(self.getKey_nosappactivation()))
        if self.store_id is not None:
            showIndent(outfile, level)
            outfile.write('<store_id>%s</store_id>\n' % quote_xml(self.getStore_id()))
        if self.autoinstaller_config is not None:
            showIndent(outfile, level)
            outfile.write('<autoinstaller_config>%s</autoinstaller_config>\n' % quote_xml(self.getAutoinstaller_config()))
        if self.key_easy is not None:
            showIndent(outfile, level)
            outfile.write('<key_easy>%s</key_easy>\n' % quote_xml(self.getKey_easy()))
        if self.key_dlu is not None:
            showIndent(outfile, level)
            outfile.write('<key_dlu>%s</key_dlu>\n' % quote_xml(self.getKey_dlu()))
        if self.product_version is not None:
            showIndent(outfile, level)
            outfile.write('<product_version>%s</product_version>\n' % quote_xml(self.getProduct_version()))
        if self.content is not None:
            showIndent(outfile, level)
            outfile.write('<content>%s</content>\n' % quote_xml(self.getContent()))
        if self.key_drweb_limit is not None:
            showIndent(outfile, level)
            outfile.write('<key_drweb_limit>%s</key_drweb_limit>\n' % quote_xml(self.getKey_drweb_limit()))
        if self.PLUS is not None:
            showIndent(outfile, level)
            outfile.write('<PLUS>%s</PLUS>\n' % quote_xml(self.getPlus()))
        if self.key_manage_dashboard is not None:
            showIndent(outfile, level)
            outfile.write('<key_manage_dashboard>%s</key_manage_dashboard>\n' % quote_xml(self.getKey_manage_dashboard()))
        if self.key_stdgui is not None:
            showIndent(outfile, level)
            outfile.write('<key_stdgui>%s</key_stdgui>\n' % quote_xml(self.getKey_stdgui()))
        if self.key_dashboard is not None:
            showIndent(outfile, level)
            outfile.write('<key_dashboard>%s</key_dashboard>\n' % quote_xml(self.getKey_dashboard()))
        if self.keyserver_host is not None:
            showIndent(outfile, level)
            outfile.write('<keyserver_host>%s</keyserver_host>\n' % quote_xml(self.getKeyserver_host()))
        if self.key_ip_ranges is not None:
            showIndent(outfile, level)
            outfile.write('<key_ip_ranges>%s</key_ip_ranges>\n' % quote_xml(self.getKey_ip_ranges()))
        if self.key_hwid is not None:
            showIndent(outfile, level)
            outfile.write('<key_hwid>%s</key_hwid>\n' % quote_xml(self.getKey_hwid()))
        if self.key_qmail_queue is not None:
            showIndent(outfile, level)
            outfile.write('<key_qmail_queue>%s</key_qmail_queue>\n' % quote_xml(self.getKey_qmail_queue()))
        if self.key_remote_db is not None:
            showIndent(outfile, level)
            outfile.write('<key_remote_db>%s</key_remote_db>\n' % quote_xml(self.getKey_remote_db()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'plesk_key_id':
            plesk_key_id_ = ''
            for text__content_ in child_.childNodes:
                plesk_key_id_ += text__content_.nodeValue
            self.plesk_key_id = plesk_key_id_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'prod_type':
            prod_type_ = ''
            for text__content_ in child_.childNodes:
                prod_type_ += text__content_.nodeValue
            self.prod_type = prod_type_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'lim_date':
            lim_date_ = ''
            for text__content_ in child_.childNodes:
                lim_date_ += text__content_.nodeValue
            self.lim_date = lim_date_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'lim_slaves':
            lim_slaves_ = ''
            for text__content_ in child_.childNodes:
                lim_slaves_ += text__content_.nodeValue
            self.lim_slaves = lim_slaves_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'lim_cl':
            lim_cl_ = ''
            for text__content_ in child_.childNodes:
                lim_cl_ += text__content_.nodeValue
            self.lim_cl = lim_cl_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'lim_dom':
            lim_dom_ = ''
            for text__content_ in child_.childNodes:
                lim_dom_ += text__content_.nodeValue
            self.lim_dom = lim_dom_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'lim_mn':
            lim_mn_ = ''
            for text__content_ in child_.childNodes:
                lim_mn_ += text__content_.nodeValue
            self.lim_mn = lim_mn_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'lim_wu':
            lim_wu_ = ''
            for text__content_ in child_.childNodes:
                lim_wu_ += text__content_.nodeValue
            self.lim_wu = lim_wu_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'MLS':
            MLS_ = ''
            for text__content_ in child_.childNodes:
                MLS_ += text__content_.nodeValue
            self.MLS = MLS_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'MPCID':
            MPCID_ = ''
            for text__content_ in child_.childNodes:
                MPCID_ += text__content_.nodeValue
            self.MPCID = MPCID_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'noMPC':
            noMPC_ = ''
            for text__content_ in child_.childNodes:
                noMPC_ += text__content_.nodeValue
            self.noMPC = noMPC_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'noMngMPC':
            noMngMPC_ = ''
            for text__content_ in child_.childNodes:
                noMngMPC_ += text__content_.nodeValue
            self.noMngMPC = noMngMPC_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'key_vz':
            key_vz_ = ''
            for text__content_ in child_.childNodes:
                key_vz_ += text__content_.nodeValue
            self.key_vz = key_vz_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'key_mssql':
            key_mssql_ = ''
            for text__content_ in child_.childNodes:
                key_mssql_ += text__content_.nodeValue
            self.key_mssql = key_mssql_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'key_postgresql':
            key_postgresql_ = ''
            for text__content_ in child_.childNodes:
                key_postgresql_ += text__content_.nodeValue
            self.key_postgresql = key_postgresql_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'key_tomcat':
            key_tomcat_ = ''
            for text__content_ in child_.childNodes:
                key_tomcat_ += text__content_.nodeValue
            self.key_tomcat = key_tomcat_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'key_gch':
            key_gch_ = ''
            for text__content_ in child_.childNodes:
                key_gch_ += text__content_.nodeValue
            self.key_gch = key_gch_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'key_shell':
            key_shell_ = ''
            for text__content_ in child_.childNodes:
                key_shell_ += text__content_.nodeValue
            self.key_shell = key_shell_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'key_traffic':
            key_traffic_ = ''
            for text__content_ in child_.childNodes:
                key_traffic_ += text__content_.nodeValue
            self.key_traffic = key_traffic_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'key_cl_tmpl':
            key_cl_tmpl_ = ''
            for text__content_ in child_.childNodes:
                key_cl_tmpl_ += text__content_.nodeValue
            self.key_cl_tmpl = key_cl_tmpl_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'key_notifmgr':
            key_notifmgr_ = ''
            for text__content_ in child_.childNodes:
                key_notifmgr_ += text__content_.nodeValue
            self.key_notifmgr = key_notifmgr_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'key_eventmgr':
            key_eventmgr_ = ''
            for text__content_ in child_.childNodes:
                key_eventmgr_ += text__content_.nodeValue
            self.key_eventmgr = key_eventmgr_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'key_actionmgr':
            key_actionmgr_ = ''
            for text__content_ in child_.childNodes:
                key_actionmgr_ += text__content_.nodeValue
            self.key_actionmgr = key_actionmgr_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'key_dombackup':
            key_dombackup_ = ''
            for text__content_ in child_.childNodes:
                key_dombackup_ += text__content_.nodeValue
            self.key_dombackup = key_dombackup_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'key_expiration':
            key_expiration_ = ''
            for text__content_ in child_.childNodes:
                key_expiration_ += text__content_.nodeValue
            self.key_expiration = key_expiration_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'key_subdomains':
            key_subdomains_ = ''
            for text__content_ in child_.childNodes:
                key_subdomains_ += text__content_.nodeValue
            self.key_subdomains = key_subdomains_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'key_coldfusion':
            key_coldfusion_ = ''
            for text__content_ in child_.childNodes:
                key_coldfusion_ += text__content_.nodeValue
            self.key_coldfusion = key_coldfusion_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'key_cgitory':
            key_cgitory_ = ''
            for text__content_ in child_.childNodes:
                key_cgitory_ += text__content_.nodeValue
            self.key_cgitory = key_cgitory_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'key_spamassassin':
            key_spamassassin_ = ''
            for text__content_ in child_.childNodes:
                key_spamassassin_ += text__content_.nodeValue
            self.key_spamassassin = key_spamassassin_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'key_drweb':
            key_drweb_ = ''
            for text__content_ in child_.childNodes:
                key_drweb_ += text__content_.nodeValue
            self.key_drweb = key_drweb_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'key_sitebuilder':
            key_sitebuilder_ = ''
            for text__content_ in child_.childNodes:
                key_sitebuilder_ += text__content_.nodeValue
            self.key_sitebuilder = key_sitebuilder_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'key_tts':
            key_tts_ = ''
            for text__content_ in child_.childNodes:
                key_tts_ += text__content_.nodeValue
            self.key_tts = key_tts_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'license_update_date':
            license_update_date_ = ''
            for text__content_ in child_.childNodes:
                license_update_date_ += text__content_.nodeValue
            self.license_update_date = license_update_date_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'reseller_email':
            reseller_email_ = ''
            for text__content_ in child_.childNodes:
                reseller_email_ += text__content_.nodeValue
            self.reseller_email = reseller_email_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'key_migration':
            key_migration_ = ''
            for text__content_ in child_.childNodes:
                key_migration_ += text__content_.nodeValue
            self.key_migration = key_migration_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'key_askupdate':
            key_askupdate_ = ''
            for text__content_ in child_.childNodes:
                key_askupdate_ += text__content_.nodeValue
            self.key_askupdate = key_askupdate_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'key_nosappactivation':
            key_nosappactivation_ = ''
            for text__content_ in child_.childNodes:
                key_nosappactivation_ += text__content_.nodeValue
            self.key_nosappactivation = key_nosappactivation_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'store_id':
            store_id_ = ''
            for text__content_ in child_.childNodes:
                store_id_ += text__content_.nodeValue
            self.store_id = store_id_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'autoinstaller_config':
            autoinstaller_config_ = ''
            for text__content_ in child_.childNodes:
                autoinstaller_config_ += text__content_.nodeValue
            self.autoinstaller_config = autoinstaller_config_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'key_easy':
            key_easy_ = ''
            for text__content_ in child_.childNodes:
                key_easy_ += text__content_.nodeValue
            self.key_easy = key_easy_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'key_dlu':
            key_dlu_ = ''
            for text__content_ in child_.childNodes:
                key_dlu_ += text__content_.nodeValue
            self.key_dlu = key_dlu_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'product_version':
            product_version_ = ''
            for text__content_ in child_.childNodes:
                product_version_ += text__content_.nodeValue
            self.product_version = product_version_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'content':
            content_ = ''
            for text__content_ in child_.childNodes:
                content_ += text__content_.nodeValue
            self.content = content_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'key_drweb_limit':
            key_drweb_limit_ = ''
            for text__content_ in child_.childNodes:
                key_drweb_limit_ += text__content_.nodeValue
            self.key_drweb_limit = key_drweb_limit_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'PLUS':
            PLUS_ = ''
            for text__content_ in child_.childNodes:
                PLUS_ += text__content_.nodeValue
            self.PLUS = PLUS_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'key_manage_dashboard':
            key_manage_dashboard_ = ''
            for text__content_ in child_.childNodes:
                key_manage_dashboard_ += text__content_.nodeValue
            self.key_manage_dashboard = key_manage_dashboard_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'key_stdgui':
            key_stdgui_ = ''
            for text__content_ in child_.childNodes:
                key_stdgui_ += text__content_.nodeValue
            self.key_stdgui = key_stdgui_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'key_dashboard':
            key_dashboard_ = ''
            for text__content_ in child_.childNodes:
                key_dashboard_ += text__content_.nodeValue
            self.key_dashboard = key_dashboard_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'keyserver_host':
            keyserver_host_ = ''
            for text__content_ in child_.childNodes:
                keyserver_host_ += text__content_.nodeValue
            self.keyserver_host = keyserver_host_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'key_ip_ranges':
            key_ip_ranges_ = ''
            for text__content_ in child_.childNodes:
                key_ip_ranges_ += text__content_.nodeValue
            self.key_ip_ranges = key_ip_ranges_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'key_hwid':
            key_hwid_ = ''
            for text__content_ in child_.childNodes:
                key_hwid_ += text__content_.nodeValue
            self.key_hwid = key_hwid_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'key_qmail_queue':
            key_qmail_queue_ = ''
            for text__content_ in child_.childNodes:
                key_qmail_queue_ += text__content_.nodeValue
            self.key_qmail_queue = key_qmail_queue_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'key_remote_db':
            key_remote_db_ = ''
            for text__content_ in child_.childNodes:
                key_remote_db_ += text__content_.nodeValue
            self.key_remote_db = key_remote_db_
# end class keyType


class serverGenInfoType:
    subclass = None
    def __init__(self, server_name=''):
        self.server_name = server_name
    def factory(*args_, **kwargs_):
        if serverGenInfoType.subclass:
            return serverGenInfoType.subclass(*args_, **kwargs_)
        else:
            return serverGenInfoType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getServer_name(self): return self.server_name
    def setServer_name(self, value): self.server_name = value
    def export(self, outfile, level, name_='serverGenInfoType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='serverGenInfoType'):
        pass
    def exportChildren(self, outfile, level, name_='serverGenInfoType'):
        showIndent(outfile, level)
        outfile.write('<server_name>%s</server_name>\n' % quote_xml(self.getServer_name()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'server_name':
            server_name_ = ''
            for text__content_ in child_.childNodes:
                server_name_ += text__content_.nodeValue
            self.server_name = server_name_
# end class serverGenInfoType


class componentsType:
    subclass = None
    def __init__(self, component=None):
        if component is None:
            self.component = []
        else:
            self.component = component
    def factory(*args_, **kwargs_):
        if componentsType.subclass:
            return componentsType.subclass(*args_, **kwargs_)
        else:
            return componentsType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getComponent(self): return self.component
    def setComponent(self, value): self.component = value
    def addComponent(self, value): self.component.append(value)
    def insertComponent(self, index, value): self.component[index] = value
    def export(self, outfile, level, name_='componentsType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='componentsType'):
        pass
    def exportChildren(self, outfile, level, name_='componentsType'):
        for component_ in self.getComponent():
            component_.export(outfile, level)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'component':
            obj_ = component.factory()
            obj_.build(child_)
            self.component.append(obj_)
# end class componentsType


class servicesState:
    subclass = None
    def __init__(self, srv=None):
        if srv is None:
            self.srv = []
        else:
            self.srv = srv
    def factory(*args_, **kwargs_):
        if servicesState.subclass:
            return servicesState.subclass(*args_, **kwargs_)
        else:
            return servicesState(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getSrv(self): return self.srv
    def setSrv(self, value): self.srv = value
    def addSrv(self, value): self.srv.append(value)
    def insertSrv(self, index, value): self.srv[index] = value
    def export(self, outfile, level, name_='servicesState'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='servicesState'):
        pass
    def exportChildren(self, outfile, level, name_='servicesState'):
        for srv_ in self.getSrv():
            srv_.export(outfile, level)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'srv':
            obj_ = srv.factory()
            obj_.build(child_)
            self.srv.append(obj_)
# end class servicesState


class serverPrefs:
    subclass = None
    def __init__(self, stat_ttl=None, traffic_accounting=None, restart_apache_interval=None):
        self.stat_ttl = stat_ttl
        self.traffic_accounting = traffic_accounting
        self.restart_apache_interval = restart_apache_interval
    def factory(*args_, **kwargs_):
        if serverPrefs.subclass:
            return serverPrefs.subclass(*args_, **kwargs_)
        else:
            return serverPrefs(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getStat_ttl(self): return self.stat_ttl
    def setStat_ttl(self, value): self.stat_ttl = value
    def getTraffic_accounting(self): return self.traffic_accounting
    def setTraffic_accounting(self, value): self.traffic_accounting = value
    def getRestart_apache_interval(self): return self.restart_apache_interval
    def setRestart_apache_interval(self, value): self.restart_apache_interval = value
    def export(self, outfile, level, name_='serverPrefs'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='serverPrefs'):
        pass
    def exportChildren(self, outfile, level, name_='serverPrefs'):
        if self.stat_ttl is not None:
            showIndent(outfile, level)
            outfile.write('<stat_ttl>%s</stat_ttl>\n' % quote_xml(self.getStat_ttl()))
        if self.traffic_accounting is not None:
            showIndent(outfile, level)
            outfile.write('<traffic_accounting>%s</traffic_accounting>\n' % quote_xml(self.getTraffic_accounting()))
        if self.restart_apache_interval is not None:
            showIndent(outfile, level)
            outfile.write('<restart_apache_interval>%s</restart_apache_interval>\n' % quote_xml(self.getRestart_apache_interval()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'stat_ttl':
            stat_ttl_ = ''
            for text__content_ in child_.childNodes:
                stat_ttl_ += text__content_.nodeValue
            self.stat_ttl = stat_ttl_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'traffic_accounting':
            traffic_accounting_ = ''
            for text__content_ in child_.childNodes:
                traffic_accounting_ += text__content_.nodeValue
            self.traffic_accounting = traffic_accounting_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'restart_apache_interval':
            restart_apache_interval_ = ''
            for text__content_ in child_.childNodes:
                restart_apache_interval_ += text__content_.nodeValue
            self.restart_apache_interval = restart_apache_interval_
# end class serverPrefs


class serverSessionSetup:
    subclass = None
    def __init__(self, login_timeout=None):
        self.login_timeout = login_timeout
    def factory(*args_, **kwargs_):
        if serverSessionSetup.subclass:
            return serverSessionSetup.subclass(*args_, **kwargs_)
        else:
            return serverSessionSetup(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getLogin_timeout(self): return self.login_timeout
    def setLogin_timeout(self, value): self.login_timeout = value
    def export(self, outfile, level, name_='serverSessionSetup'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='serverSessionSetup'):
        pass
    def exportChildren(self, outfile, level, name_='serverSessionSetup'):
        if self.login_timeout is not None:
            showIndent(outfile, level)
            outfile.write('<login_timeout>%s</login_timeout>\n' % quote_xml(self.getLogin_timeout()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'login_timeout':
            login_timeout_ = ''
            for text__content_ in child_.childNodes:
                login_timeout_ += text__content_.nodeValue
            self.login_timeout = login_timeout_
# end class serverSessionSetup


class statType:
    subclass = None
    def __init__(self, objects=None, version=None, other=None, load_avg=None, mem=None, swap=None, diskspace=None):
        self.objects = objects
        self.version = version
        self.other = other
        self.load_avg = load_avg
        self.mem = mem
        self.swap = swap
        self.diskspace = diskspace
    def factory(*args_, **kwargs_):
        if statType.subclass:
            return statType.subclass(*args_, **kwargs_)
        else:
            return statType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getObjects(self): return self.objects
    def setObjects(self, value): self.objects = value
    def getVersion(self): return self.version
    def setVersion(self, value): self.version = value
    def getOther(self): return self.other
    def setOther(self, value): self.other = value
    def getLoad_avg(self): return self.load_avg
    def setLoad_avg(self, value): self.load_avg = value
    def getMem(self): return self.mem
    def setMem(self, value): self.mem = value
    def getSwap(self): return self.swap
    def setSwap(self, value): self.swap = value
    def getDiskspace(self): return self.diskspace
    def setDiskspace(self, value): self.diskspace = value
    def export(self, outfile, level, name_='statType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='statType'):
        pass
    def exportChildren(self, outfile, level, name_='statType'):
        if self.objects is not None:
            self.objects.export(outfile, level, name_='objects')
        if self.version is not None:
            self.version.export(outfile, level, name_='version')
        if self.other is not None:
            self.other.export(outfile, level, name_='other')
        if self.load_avg is not None:
            self.load_avg.export(outfile, level, name_='load_avg')
        if self.mem is not None:
            self.mem.export(outfile, level, name_='mem')
        if self.swap is not None:
            self.swap.export(outfile, level, name_='swap')
        if self.diskspace is not None:
            self.diskspace.export(outfile, level, name_='diskspace')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'objects':
            obj_ = objectsStatType.factory()
            obj_.build(child_)
            self.setObjects(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'version':
            obj_ = versionStatType.factory()
            obj_.build(child_)
            self.setVersion(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'other':
            obj_ = otherStatType.factory()
            obj_.build(child_)
            self.setOther(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'load_avg':
            obj_ = load_avgStatType.factory()
            obj_.build(child_)
            self.setLoad_avg(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'mem':
            obj_ = memStatType.factory()
            obj_.build(child_)
            self.setMem(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'swap':
            obj_ = swapStatType.factory()
            obj_.build(child_)
            self.setSwap(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'diskspace':
            obj_ = diskspaceStatType.factory()
            obj_.build(child_)
            self.setDiskspace(obj_)
# end class statType


class objectsStatType:
    subclass = None
    def __init__(self, clients='', domains='', active_domains='', mail_boxes='', mail_redirects='', mail_groups='', mail_responders='', web_users='', databases='', database_users='', problem_clients='', problem_domains=''):
        self.clients = clients
        self.domains = domains
        self.active_domains = active_domains
        self.mail_boxes = mail_boxes
        self.mail_redirects = mail_redirects
        self.mail_groups = mail_groups
        self.mail_responders = mail_responders
        self.web_users = web_users
        self.databases = databases
        self.database_users = database_users
        self.problem_clients = problem_clients
        self.problem_domains = problem_domains
    def factory(*args_, **kwargs_):
        if objectsStatType.subclass:
            return objectsStatType.subclass(*args_, **kwargs_)
        else:
            return objectsStatType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getClients(self): return self.clients
    def setClients(self, value): self.clients = value
    def getDomains(self): return self.domains
    def setDomains(self, value): self.domains = value
    def getActive_domains(self): return self.active_domains
    def setActive_domains(self, value): self.active_domains = value
    def getMail_boxes(self): return self.mail_boxes
    def setMail_boxes(self, value): self.mail_boxes = value
    def getMail_redirects(self): return self.mail_redirects
    def setMail_redirects(self, value): self.mail_redirects = value
    def getMail_groups(self): return self.mail_groups
    def setMail_groups(self, value): self.mail_groups = value
    def getMail_responders(self): return self.mail_responders
    def setMail_responders(self, value): self.mail_responders = value
    def getWeb_users(self): return self.web_users
    def setWeb_users(self, value): self.web_users = value
    def getDatabases(self): return self.databases
    def setDatabases(self, value): self.databases = value
    def getDatabase_users(self): return self.database_users
    def setDatabase_users(self, value): self.database_users = value
    def getProblem_clients(self): return self.problem_clients
    def setProblem_clients(self, value): self.problem_clients = value
    def getProblem_domains(self): return self.problem_domains
    def setProblem_domains(self, value): self.problem_domains = value
    def export(self, outfile, level, name_='objectsStatType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='objectsStatType'):
        pass
    def exportChildren(self, outfile, level, name_='objectsStatType'):
        showIndent(outfile, level)
        outfile.write('<clients>%s</clients>\n' % quote_xml(self.getClients()))
        showIndent(outfile, level)
        outfile.write('<domains>%s</domains>\n' % quote_xml(self.getDomains()))
        showIndent(outfile, level)
        outfile.write('<active_domains>%s</active_domains>\n' % quote_xml(self.getActive_domains()))
        showIndent(outfile, level)
        outfile.write('<mail_boxes>%s</mail_boxes>\n' % quote_xml(self.getMail_boxes()))
        showIndent(outfile, level)
        outfile.write('<mail_redirects>%s</mail_redirects>\n' % quote_xml(self.getMail_redirects()))
        showIndent(outfile, level)
        outfile.write('<mail_groups>%s</mail_groups>\n' % quote_xml(self.getMail_groups()))
        showIndent(outfile, level)
        outfile.write('<mail_responders>%s</mail_responders>\n' % quote_xml(self.getMail_responders()))
        showIndent(outfile, level)
        outfile.write('<web_users>%s</web_users>\n' % quote_xml(self.getWeb_users()))
        showIndent(outfile, level)
        outfile.write('<databases>%s</databases>\n' % quote_xml(self.getDatabases()))
        showIndent(outfile, level)
        outfile.write('<database_users>%s</database_users>\n' % quote_xml(self.getDatabase_users()))
        showIndent(outfile, level)
        outfile.write('<problem_clients>%s</problem_clients>\n' % quote_xml(self.getProblem_clients()))
        showIndent(outfile, level)
        outfile.write('<problem_domains>%s</problem_domains>\n' % quote_xml(self.getProblem_domains()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'clients':
            clients_ = ''
            for text__content_ in child_.childNodes:
                clients_ += text__content_.nodeValue
            self.clients = clients_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'domains':
            domains_ = ''
            for text__content_ in child_.childNodes:
                domains_ += text__content_.nodeValue
            self.domains = domains_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'active_domains':
            active_domains_ = ''
            for text__content_ in child_.childNodes:
                active_domains_ += text__content_.nodeValue
            self.active_domains = active_domains_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'mail_boxes':
            mail_boxes_ = ''
            for text__content_ in child_.childNodes:
                mail_boxes_ += text__content_.nodeValue
            self.mail_boxes = mail_boxes_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'mail_redirects':
            mail_redirects_ = ''
            for text__content_ in child_.childNodes:
                mail_redirects_ += text__content_.nodeValue
            self.mail_redirects = mail_redirects_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'mail_groups':
            mail_groups_ = ''
            for text__content_ in child_.childNodes:
                mail_groups_ += text__content_.nodeValue
            self.mail_groups = mail_groups_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'mail_responders':
            mail_responders_ = ''
            for text__content_ in child_.childNodes:
                mail_responders_ += text__content_.nodeValue
            self.mail_responders = mail_responders_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'web_users':
            web_users_ = ''
            for text__content_ in child_.childNodes:
                web_users_ += text__content_.nodeValue
            self.web_users = web_users_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'databases':
            databases_ = ''
            for text__content_ in child_.childNodes:
                databases_ += text__content_.nodeValue
            self.databases = databases_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'database_users':
            database_users_ = ''
            for text__content_ in child_.childNodes:
                database_users_ += text__content_.nodeValue
            self.database_users = database_users_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'problem_clients':
            problem_clients_ = ''
            for text__content_ in child_.childNodes:
                problem_clients_ += text__content_.nodeValue
            self.problem_clients = problem_clients_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'problem_domains':
            problem_domains_ = ''
            for text__content_ in child_.childNodes:
                problem_domains_ += text__content_.nodeValue
            self.problem_domains = problem_domains_
# end class objectsStatType


class versionStatType:
    subclass = None
    def __init__(self, plesk_name='', plesk_version='', plesk_os='', plesk_os_version='', plesk_build='', os_release=''):
        self.plesk_name = plesk_name
        self.plesk_version = plesk_version
        self.plesk_os = plesk_os
        self.plesk_os_version = plesk_os_version
        self.plesk_build = plesk_build
        self.os_release = os_release
    def factory(*args_, **kwargs_):
        if versionStatType.subclass:
            return versionStatType.subclass(*args_, **kwargs_)
        else:
            return versionStatType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getPlesk_name(self): return self.plesk_name
    def setPlesk_name(self, value): self.plesk_name = value
    def getPlesk_version(self): return self.plesk_version
    def setPlesk_version(self, value): self.plesk_version = value
    def getPlesk_os(self): return self.plesk_os
    def setPlesk_os(self, value): self.plesk_os = value
    def getPlesk_os_version(self): return self.plesk_os_version
    def setPlesk_os_version(self, value): self.plesk_os_version = value
    def getPlesk_build(self): return self.plesk_build
    def setPlesk_build(self, value): self.plesk_build = value
    def getOs_release(self): return self.os_release
    def setOs_release(self, value): self.os_release = value
    def export(self, outfile, level, name_='versionStatType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='versionStatType'):
        pass
    def exportChildren(self, outfile, level, name_='versionStatType'):
        showIndent(outfile, level)
        outfile.write('<plesk_name>%s</plesk_name>\n' % quote_xml(self.getPlesk_name()))
        showIndent(outfile, level)
        outfile.write('<plesk_version>%s</plesk_version>\n' % quote_xml(self.getPlesk_version()))
        showIndent(outfile, level)
        outfile.write('<plesk_os>%s</plesk_os>\n' % quote_xml(self.getPlesk_os()))
        showIndent(outfile, level)
        outfile.write('<plesk_os_version>%s</plesk_os_version>\n' % quote_xml(self.getPlesk_os_version()))
        showIndent(outfile, level)
        outfile.write('<plesk_build>%s</plesk_build>\n' % quote_xml(self.getPlesk_build()))
        showIndent(outfile, level)
        outfile.write('<os_release>%s</os_release>\n' % quote_xml(self.getOs_release()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'plesk_name':
            plesk_name_ = ''
            for text__content_ in child_.childNodes:
                plesk_name_ += text__content_.nodeValue
            self.plesk_name = plesk_name_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'plesk_version':
            plesk_version_ = ''
            for text__content_ in child_.childNodes:
                plesk_version_ += text__content_.nodeValue
            self.plesk_version = plesk_version_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'plesk_os':
            plesk_os_ = ''
            for text__content_ in child_.childNodes:
                plesk_os_ += text__content_.nodeValue
            self.plesk_os = plesk_os_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'plesk_os_version':
            plesk_os_version_ = ''
            for text__content_ in child_.childNodes:
                plesk_os_version_ += text__content_.nodeValue
            self.plesk_os_version = plesk_os_version_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'plesk_build':
            plesk_build_ = ''
            for text__content_ in child_.childNodes:
                plesk_build_ += text__content_.nodeValue
            self.plesk_build = plesk_build_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'os_release':
            os_release_ = ''
            for text__content_ in child_.childNodes:
                os_release_ += text__content_.nodeValue
            self.os_release = os_release_
# end class versionStatType


class otherStatType:
    subclass = None
    def __init__(self, cpu='', uptime='', inside_vz=''):
        self.cpu = cpu
        self.uptime = uptime
        self.inside_vz = inside_vz
    def factory(*args_, **kwargs_):
        if otherStatType.subclass:
            return otherStatType.subclass(*args_, **kwargs_)
        else:
            return otherStatType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getCpu(self): return self.cpu
    def setCpu(self, value): self.cpu = value
    def getUptime(self): return self.uptime
    def setUptime(self, value): self.uptime = value
    def getInside_vz(self): return self.inside_vz
    def setInside_vz(self, value): self.inside_vz = value
    def export(self, outfile, level, name_='otherStatType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='otherStatType'):
        pass
    def exportChildren(self, outfile, level, name_='otherStatType'):
        showIndent(outfile, level)
        outfile.write('<cpu>%s</cpu>\n' % quote_xml(self.getCpu()))
        showIndent(outfile, level)
        outfile.write('<uptime>%s</uptime>\n' % quote_xml(self.getUptime()))
        showIndent(outfile, level)
        outfile.write('<inside_vz>%s</inside_vz>\n' % quote_xml(self.getInside_vz()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'cpu':
            cpu_ = ''
            for text__content_ in child_.childNodes:
                cpu_ += text__content_.nodeValue
            self.cpu = cpu_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'uptime':
            uptime_ = ''
            for text__content_ in child_.childNodes:
                uptime_ += text__content_.nodeValue
            self.uptime = uptime_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'inside_vz':
            inside_vz_ = ''
            for text__content_ in child_.childNodes:
                inside_vz_ += text__content_.nodeValue
            self.inside_vz = inside_vz_
# end class otherStatType


class load_avgStatType:
    subclass = None
    def __init__(self, l1='', l5='', l15=''):
        self.l1 = l1
        self.l5 = l5
        self.l15 = l15
    def factory(*args_, **kwargs_):
        if load_avgStatType.subclass:
            return load_avgStatType.subclass(*args_, **kwargs_)
        else:
            return load_avgStatType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getL1(self): return self.l1
    def setL1(self, value): self.l1 = value
    def getL5(self): return self.l5
    def setL5(self, value): self.l5 = value
    def getL15(self): return self.l15
    def setL15(self, value): self.l15 = value
    def export(self, outfile, level, name_='load_avgStatType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='load_avgStatType'):
        pass
    def exportChildren(self, outfile, level, name_='load_avgStatType'):
        showIndent(outfile, level)
        outfile.write('<l1>%s</l1>\n' % quote_xml(self.getL1()))
        showIndent(outfile, level)
        outfile.write('<l5>%s</l5>\n' % quote_xml(self.getL5()))
        showIndent(outfile, level)
        outfile.write('<l15>%s</l15>\n' % quote_xml(self.getL15()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'l1':
            l1_ = ''
            for text__content_ in child_.childNodes:
                l1_ += text__content_.nodeValue
            self.l1 = l1_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'l5':
            l5_ = ''
            for text__content_ in child_.childNodes:
                l5_ += text__content_.nodeValue
            self.l5 = l5_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'l15':
            l15_ = ''
            for text__content_ in child_.childNodes:
                l15_ += text__content_.nodeValue
            self.l15 = l15_
# end class load_avgStatType


class memStatType:
    subclass = None
    def __init__(self, total='', used='', free='', shared='', buffer='', cached=''):
        self.total = total
        self.used = used
        self.free = free
        self.shared = shared
        self.buffer = buffer
        self.cached = cached
    def factory(*args_, **kwargs_):
        if memStatType.subclass:
            return memStatType.subclass(*args_, **kwargs_)
        else:
            return memStatType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getTotal(self): return self.total
    def setTotal(self, value): self.total = value
    def getUsed(self): return self.used
    def setUsed(self, value): self.used = value
    def getFree(self): return self.free
    def setFree(self, value): self.free = value
    def getShared(self): return self.shared
    def setShared(self, value): self.shared = value
    def getBuffer(self): return self.buffer
    def setBuffer(self, value): self.buffer = value
    def getCached(self): return self.cached
    def setCached(self, value): self.cached = value
    def export(self, outfile, level, name_='memStatType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='memStatType'):
        pass
    def exportChildren(self, outfile, level, name_='memStatType'):
        showIndent(outfile, level)
        outfile.write('<total>%s</total>\n' % quote_xml(self.getTotal()))
        showIndent(outfile, level)
        outfile.write('<used>%s</used>\n' % quote_xml(self.getUsed()))
        showIndent(outfile, level)
        outfile.write('<free>%s</free>\n' % quote_xml(self.getFree()))
        showIndent(outfile, level)
        outfile.write('<shared>%s</shared>\n' % quote_xml(self.getShared()))
        showIndent(outfile, level)
        outfile.write('<buffer>%s</buffer>\n' % quote_xml(self.getBuffer()))
        showIndent(outfile, level)
        outfile.write('<cached>%s</cached>\n' % quote_xml(self.getCached()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'total':
            total_ = ''
            for text__content_ in child_.childNodes:
                total_ += text__content_.nodeValue
            self.total = total_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'used':
            used_ = ''
            for text__content_ in child_.childNodes:
                used_ += text__content_.nodeValue
            self.used = used_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'free':
            free_ = ''
            for text__content_ in child_.childNodes:
                free_ += text__content_.nodeValue
            self.free = free_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'shared':
            shared_ = ''
            for text__content_ in child_.childNodes:
                shared_ += text__content_.nodeValue
            self.shared = shared_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'buffer':
            buffer_ = ''
            for text__content_ in child_.childNodes:
                buffer_ += text__content_.nodeValue
            self.buffer = buffer_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'cached':
            cached_ = ''
            for text__content_ in child_.childNodes:
                cached_ += text__content_.nodeValue
            self.cached = cached_
# end class memStatType


class swapStatType:
    subclass = None
    def __init__(self, total='', used='', free=''):
        self.total = total
        self.used = used
        self.free = free
    def factory(*args_, **kwargs_):
        if swapStatType.subclass:
            return swapStatType.subclass(*args_, **kwargs_)
        else:
            return swapStatType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getTotal(self): return self.total
    def setTotal(self, value): self.total = value
    def getUsed(self): return self.used
    def setUsed(self, value): self.used = value
    def getFree(self): return self.free
    def setFree(self, value): self.free = value
    def export(self, outfile, level, name_='swapStatType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='swapStatType'):
        pass
    def exportChildren(self, outfile, level, name_='swapStatType'):
        showIndent(outfile, level)
        outfile.write('<total>%s</total>\n' % quote_xml(self.getTotal()))
        showIndent(outfile, level)
        outfile.write('<used>%s</used>\n' % quote_xml(self.getUsed()))
        showIndent(outfile, level)
        outfile.write('<free>%s</free>\n' % quote_xml(self.getFree()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'total':
            total_ = ''
            for text__content_ in child_.childNodes:
                total_ += text__content_.nodeValue
            self.total = total_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'used':
            used_ = ''
            for text__content_ in child_.childNodes:
                used_ += text__content_.nodeValue
            self.used = used_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'free':
            free_ = ''
            for text__content_ in child_.childNodes:
                free_ += text__content_.nodeValue
            self.free = free_
# end class swapStatType


class diskspaceStatType:
    subclass = None
    def __init__(self, device=None):
        if device is None:
            self.device = []
        else:
            self.device = device
    def factory(*args_, **kwargs_):
        if diskspaceStatType.subclass:
            return diskspaceStatType.subclass(*args_, **kwargs_)
        else:
            return diskspaceStatType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getDevice(self): return self.device
    def setDevice(self, value): self.device = value
    def addDevice(self, value): self.device.append(value)
    def insertDevice(self, index, value): self.device[index] = value
    def export(self, outfile, level, name_='diskspaceStatType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='diskspaceStatType'):
        pass
    def exportChildren(self, outfile, level, name_='diskspaceStatType'):
        for device_ in self.getDevice():
            device_.export(outfile, level)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'device':
            obj_ = device.factory()
            obj_.build(child_)
            self.device.append(obj_)
# end class diskspaceStatType


class adminType:
    subclass = None
    def __init__(self, admin_cname='', admin_pname='', admin_phone='', admin_fax='', admin_email='', admin_address='', admin_city='', admin_state='', admin_pcode='', admin_country='', send_announce=''):
        self.admin_cname = admin_cname
        self.admin_pname = admin_pname
        self.admin_phone = admin_phone
        self.admin_fax = admin_fax
        self.admin_email = admin_email
        self.admin_address = admin_address
        self.admin_city = admin_city
        self.admin_state = admin_state
        self.admin_pcode = admin_pcode
        self.admin_country = admin_country
        self.send_announce = send_announce
    def factory(*args_, **kwargs_):
        if adminType.subclass:
            return adminType.subclass(*args_, **kwargs_)
        else:
            return adminType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getAdmin_cname(self): return self.admin_cname
    def setAdmin_cname(self, value): self.admin_cname = value
    def getAdmin_pname(self): return self.admin_pname
    def setAdmin_pname(self, value): self.admin_pname = value
    def getAdmin_phone(self): return self.admin_phone
    def setAdmin_phone(self, value): self.admin_phone = value
    def getAdmin_fax(self): return self.admin_fax
    def setAdmin_fax(self, value): self.admin_fax = value
    def getAdmin_email(self): return self.admin_email
    def setAdmin_email(self, value): self.admin_email = value
    def getAdmin_address(self): return self.admin_address
    def setAdmin_address(self, value): self.admin_address = value
    def getAdmin_city(self): return self.admin_city
    def setAdmin_city(self, value): self.admin_city = value
    def getAdmin_state(self): return self.admin_state
    def setAdmin_state(self, value): self.admin_state = value
    def getAdmin_pcode(self): return self.admin_pcode
    def setAdmin_pcode(self, value): self.admin_pcode = value
    def getAdmin_country(self): return self.admin_country
    def setAdmin_country(self, value): self.admin_country = value
    def getSend_announce(self): return self.send_announce
    def setSend_announce(self, value): self.send_announce = value
    def export(self, outfile, level, name_='adminType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='adminType'):
        pass
    def exportChildren(self, outfile, level, name_='adminType'):
        showIndent(outfile, level)
        outfile.write('<admin_cname>%s</admin_cname>\n' % quote_xml(self.getAdmin_cname()))
        showIndent(outfile, level)
        outfile.write('<admin_pname>%s</admin_pname>\n' % quote_xml(self.getAdmin_pname()))
        showIndent(outfile, level)
        outfile.write('<admin_phone>%s</admin_phone>\n' % quote_xml(self.getAdmin_phone()))
        showIndent(outfile, level)
        outfile.write('<admin_fax>%s</admin_fax>\n' % quote_xml(self.getAdmin_fax()))
        showIndent(outfile, level)
        outfile.write('<admin_email>%s</admin_email>\n' % quote_xml(self.getAdmin_email()))
        showIndent(outfile, level)
        outfile.write('<admin_address>%s</admin_address>\n' % quote_xml(self.getAdmin_address()))
        showIndent(outfile, level)
        outfile.write('<admin_city>%s</admin_city>\n' % quote_xml(self.getAdmin_city()))
        showIndent(outfile, level)
        outfile.write('<admin_state>%s</admin_state>\n' % quote_xml(self.getAdmin_state()))
        showIndent(outfile, level)
        outfile.write('<admin_pcode>%s</admin_pcode>\n' % quote_xml(self.getAdmin_pcode()))
        showIndent(outfile, level)
        outfile.write('<admin_country>%s</admin_country>\n' % quote_xml(self.getAdmin_country()))
        showIndent(outfile, level)
        outfile.write('<send_announce>%s</send_announce>\n' % quote_xml(self.getSend_announce()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'admin_cname':
            admin_cname_ = ''
            for text__content_ in child_.childNodes:
                admin_cname_ += text__content_.nodeValue
            self.admin_cname = admin_cname_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'admin_pname':
            admin_pname_ = ''
            for text__content_ in child_.childNodes:
                admin_pname_ += text__content_.nodeValue
            self.admin_pname = admin_pname_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'admin_phone':
            admin_phone_ = ''
            for text__content_ in child_.childNodes:
                admin_phone_ += text__content_.nodeValue
            self.admin_phone = admin_phone_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'admin_fax':
            admin_fax_ = ''
            for text__content_ in child_.childNodes:
                admin_fax_ += text__content_.nodeValue
            self.admin_fax = admin_fax_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'admin_email':
            admin_email_ = ''
            for text__content_ in child_.childNodes:
                admin_email_ += text__content_.nodeValue
            self.admin_email = admin_email_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'admin_address':
            admin_address_ = ''
            for text__content_ in child_.childNodes:
                admin_address_ += text__content_.nodeValue
            self.admin_address = admin_address_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'admin_city':
            admin_city_ = ''
            for text__content_ in child_.childNodes:
                admin_city_ += text__content_.nodeValue
            self.admin_city = admin_city_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'admin_state':
            admin_state_ = ''
            for text__content_ in child_.childNodes:
                admin_state_ += text__content_.nodeValue
            self.admin_state = admin_state_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'admin_pcode':
            admin_pcode_ = ''
            for text__content_ in child_.childNodes:
                admin_pcode_ += text__content_.nodeValue
            self.admin_pcode = admin_pcode_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'admin_country':
            admin_country_ = ''
            for text__content_ in child_.childNodes:
                admin_country_ += text__content_.nodeValue
            self.admin_country = admin_country_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'send_announce':
            send_announce_ = ''
            for text__content_ in child_.childNodes:
                send_announce_ += text__content_.nodeValue
            self.send_announce = send_announce_
# end class adminType


class interfacesType:
    subclass = None
    def __init__(self, interface=''):
        self.interface = interface
    def factory(*args_, **kwargs_):
        if interfacesType.subclass:
            return interfacesType.subclass(*args_, **kwargs_)
        else:
            return interfacesType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getInterface(self): return self.interface
    def setInterface(self, value): self.interface = value
    def export(self, outfile, level, name_='interfacesType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='interfacesType'):
        pass
    def exportChildren(self, outfile, level, name_='interfacesType'):
        showIndent(outfile, level)
        outfile.write('<interface>%s</interface>\n' % quote_xml(self.getInterface()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'interface':
            interface_ = ''
            for text__content_ in child_.childNodes:
                interface_ += text__content_.nodeValue
            self.interface = interface_
# end class interfacesType


class shellType:
    subclass = None
    def __init__(self, name='', path=''):
        self.name = name
        self.path = path
    def factory(*args_, **kwargs_):
        if shellType.subclass:
            return shellType.subclass(*args_, **kwargs_)
        else:
            return shellType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getName(self): return self.name
    def setName(self, value): self.name = value
    def getPath(self): return self.path
    def setPath(self, value): self.path = value
    def export(self, outfile, level, name_='shellType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='shellType'):
        pass
    def exportChildren(self, outfile, level, name_='shellType'):
        showIndent(outfile, level)
        outfile.write('<name>%s</name>\n' % quote_xml(self.getName()))
        showIndent(outfile, level)
        outfile.write('<path>%s</path>\n' % quote_xml(self.getPath()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'name':
            name_ = ''
            for text__content_ in child_.childNodes:
                name_ += text__content_.nodeValue
            self.name = name_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'path':
            path_ = ''
            for text__content_ in child_.childNodes:
                path_ += text__content_.nodeValue
            self.path = path_
# end class shellType


class initialSetupType:
    subclass = None
    def __init__(self, admin=None, password='', server_name=None):
        self.admin = admin
        self.password = password
        self.server_name = server_name
    def factory(*args_, **kwargs_):
        if initialSetupType.subclass:
            return initialSetupType.subclass(*args_, **kwargs_)
        else:
            return initialSetupType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getAdmin(self): return self.admin
    def setAdmin(self, value): self.admin = value
    def getPassword(self): return self.password
    def setPassword(self, value): self.password = value
    def getServer_name(self): return self.server_name
    def setServer_name(self, value): self.server_name = value
    def export(self, outfile, level, name_='initialSetupType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='initialSetupType'):
        pass
    def exportChildren(self, outfile, level, name_='initialSetupType'):
        if self.admin is not None:
            self.admin.export(outfile, level, name_='admin')
        showIndent(outfile, level)
        outfile.write('<password>%s</password>\n' % quote_xml(self.getPassword()))
        if self.server_name is not None:
            showIndent(outfile, level)
            outfile.write('<server_name>%s</server_name>\n' % quote_xml(self.getServer_name()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'admin':
            obj_ = adminType.factory()
            obj_.build(child_)
            self.setAdmin(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'password':
            password_ = ''
            for text__content_ in child_.childNodes:
                password_ += text__content_.nodeValue
            self.password = password_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'server_name':
            server_name_ = ''
            for text__content_ in child_.childNodes:
                server_name_ += text__content_.nodeValue
            self.server_name = server_name_
# end class initialSetupType


class aeParamsType:
    subclass = None
    def __init__(self, host='', user='', password=''):
        self.host = host
        self.user = user
        self.password = password
    def factory(*args_, **kwargs_):
        if aeParamsType.subclass:
            return aeParamsType.subclass(*args_, **kwargs_)
        else:
            return aeParamsType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getHost(self): return self.host
    def setHost(self, value): self.host = value
    def getUser(self): return self.user
    def setUser(self, value): self.user = value
    def getPassword(self): return self.password
    def setPassword(self, value): self.password = value
    def export(self, outfile, level, name_='aeParamsType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='aeParamsType'):
        pass
    def exportChildren(self, outfile, level, name_='aeParamsType'):
        showIndent(outfile, level)
        outfile.write('<host>%s</host>\n' % quote_xml(self.getHost()))
        showIndent(outfile, level)
        outfile.write('<user>%s</user>\n' % quote_xml(self.getUser()))
        showIndent(outfile, level)
        outfile.write('<password>%s</password>\n' % quote_xml(self.getPassword()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'host':
            host_ = ''
            for text__content_ in child_.childNodes:
                host_ += text__content_.nodeValue
            self.host = host_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'user':
            user_ = ''
            for text__content_ in child_.childNodes:
                user_ += text__content_.nodeValue
            self.user = user_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'password':
            password_ = ''
            for text__content_ in child_.childNodes:
                password_ += text__content_.nodeValue
            self.password = password_
# end class aeParamsType


class GetValidationModeResultType:
    subclass = None
    def __init__(self, result=None):
        self.result = result
    def factory(*args_, **kwargs_):
        if GetValidationModeResultType.subclass:
            return GetValidationModeResultType.subclass(*args_, **kwargs_)
        else:
            return GetValidationModeResultType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getResult(self): return self.result
    def setResult(self, value): self.result = value
    def export(self, outfile, level, name_='GetValidationModeResultType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='GetValidationModeResultType'):
        pass
    def exportChildren(self, outfile, level, name_='GetValidationModeResultType'):
        if self.result is not None:
            self.result.export(outfile, level, name_='result')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'result':
            obj_ = resultType.factory()
            obj_.build(child_)
            self.setResult(obj_)
# end class GetValidationModeResultType


class SetValidationModeResultType:
    subclass = None
    def __init__(self, result=None):
        self.result = result
    def factory(*args_, **kwargs_):
        if SetValidationModeResultType.subclass:
            return SetValidationModeResultType.subclass(*args_, **kwargs_)
        else:
            return SetValidationModeResultType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getResult(self): return self.result
    def setResult(self, value): self.result = value
    def export(self, outfile, level, name_='SetValidationModeResultType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='SetValidationModeResultType'):
        pass
    def exportChildren(self, outfile, level, name_='SetValidationModeResultType'):
        if self.result is not None:
            self.result.export(outfile, level, name_='result')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'result':
            obj_ = resultType.factory()
            obj_.build(child_)
            self.setResult(obj_)
# end class SetValidationModeResultType


class ServerOperatorType:
    subclass = None
    def __init__(self, get_protos=None, get=None, set=None, srv_man=None, lic_install=None, initial_setup=None, get_additional_key=None, set_misc=None, get_misc=None, del_misc=None, enable_ae=None, disable_ae=None, get_ae_params=None, create_session=None, set_validation_mode=None, get_validation_mode=None):
        if get_protos is None:
            self.get_protos = []
        else:
            self.get_protos = get_protos
        if get is None:
            self.get = []
        else:
            self.get = get
        if set is None:
            self.set = []
        else:
            self.set = set
        if srv_man is None:
            self.srv_man = []
        else:
            self.srv_man = srv_man
        if lic_install is None:
            self.lic_install = []
        else:
            self.lic_install = lic_install
        if initial_setup is None:
            self.initial_setup = []
        else:
            self.initial_setup = initial_setup
        if get_additional_key is None:
            self.get_additional_key = []
        else:
            self.get_additional_key = get_additional_key
        if set_misc is None:
            self.set_misc = []
        else:
            self.set_misc = set_misc
        if get_misc is None:
            self.get_misc = []
        else:
            self.get_misc = get_misc
        if del_misc is None:
            self.del_misc = []
        else:
            self.del_misc = del_misc
        if enable_ae is None:
            self.enable_ae = []
        else:
            self.enable_ae = enable_ae
        if disable_ae is None:
            self.disable_ae = []
        else:
            self.disable_ae = disable_ae
        if get_ae_params is None:
            self.get_ae_params = []
        else:
            self.get_ae_params = get_ae_params
        if create_session is None:
            self.create_session = []
        else:
            self.create_session = create_session
        if set_validation_mode is None:
            self.set_validation_mode = []
        else:
            self.set_validation_mode = set_validation_mode
        if get_validation_mode is None:
            self.get_validation_mode = []
        else:
            self.get_validation_mode = get_validation_mode
    def factory(*args_, **kwargs_):
        if ServerOperatorType.subclass:
            return ServerOperatorType.subclass(*args_, **kwargs_)
        else:
            return ServerOperatorType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getGet_protos(self): return self.get_protos
    def setGet_protos(self, value): self.get_protos = value
    def addGet_protos(self, value): self.get_protos.append(value)
    def insertGet_protos(self, index, value): self.get_protos[index] = value
    def getGet(self): return self.get
    def setGet(self, value): self.get = value
    def addGet(self, value): self.get.append(value)
    def insertGet(self, index, value): self.get[index] = value
    def getSet(self): return self.set
    def setSet(self, value): self.set = value
    def addSet(self, value): self.set.append(value)
    def insertSet(self, index, value): self.set[index] = value
    def getSrv_man(self): return self.srv_man
    def setSrv_man(self, value): self.srv_man = value
    def addSrv_man(self, value): self.srv_man.append(value)
    def insertSrv_man(self, index, value): self.srv_man[index] = value
    def getLic_install(self): return self.lic_install
    def setLic_install(self, value): self.lic_install = value
    def addLic_install(self, value): self.lic_install.append(value)
    def insertLic_install(self, index, value): self.lic_install[index] = value
    def getInitial_setup(self): return self.initial_setup
    def setInitial_setup(self, value): self.initial_setup = value
    def addInitial_setup(self, value): self.initial_setup.append(value)
    def insertInitial_setup(self, index, value): self.initial_setup[index] = value
    def getGet_additional_key(self): return self.get_additional_key
    def setGet_additional_key(self, value): self.get_additional_key = value
    def addGet_additional_key(self, value): self.get_additional_key.append(value)
    def insertGet_additional_key(self, index, value): self.get_additional_key[index] = value
    def getSet_misc(self): return self.set_misc
    def setSet_misc(self, value): self.set_misc = value
    def addSet_misc(self, value): self.set_misc.append(value)
    def insertSet_misc(self, index, value): self.set_misc[index] = value
    def getGet_misc(self): return self.get_misc
    def setGet_misc(self, value): self.get_misc = value
    def addGet_misc(self, value): self.get_misc.append(value)
    def insertGet_misc(self, index, value): self.get_misc[index] = value
    def getDel_misc(self): return self.del_misc
    def setDel_misc(self, value): self.del_misc = value
    def addDel_misc(self, value): self.del_misc.append(value)
    def insertDel_misc(self, index, value): self.del_misc[index] = value
    def getEnable_ae(self): return self.enable_ae
    def setEnable_ae(self, value): self.enable_ae = value
    def addEnable_ae(self, value): self.enable_ae.append(value)
    def insertEnable_ae(self, index, value): self.enable_ae[index] = value
    def getDisable_ae(self): return self.disable_ae
    def setDisable_ae(self, value): self.disable_ae = value
    def addDisable_ae(self, value): self.disable_ae.append(value)
    def insertDisable_ae(self, index, value): self.disable_ae[index] = value
    def getGet_ae_params(self): return self.get_ae_params
    def setGet_ae_params(self, value): self.get_ae_params = value
    def addGet_ae_params(self, value): self.get_ae_params.append(value)
    def insertGet_ae_params(self, index, value): self.get_ae_params[index] = value
    def getCreate_session(self): return self.create_session
    def setCreate_session(self, value): self.create_session = value
    def addCreate_session(self, value): self.create_session.append(value)
    def insertCreate_session(self, index, value): self.create_session[index] = value
    def getSet_validation_mode(self): return self.set_validation_mode
    def setSet_validation_mode(self, value): self.set_validation_mode = value
    def addSet_validation_mode(self, value): self.set_validation_mode.append(value)
    def insertSet_validation_mode(self, index, value): self.set_validation_mode[index] = value
    def getGet_validation_mode(self): return self.get_validation_mode
    def setGet_validation_mode(self, value): self.get_validation_mode = value
    def addGet_validation_mode(self, value): self.get_validation_mode.append(value)
    def insertGet_validation_mode(self, index, value): self.get_validation_mode[index] = value
    def export(self, outfile, level, name_='ServerOperatorType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='ServerOperatorType'):
        pass
    def exportChildren(self, outfile, level, name_='ServerOperatorType'):
        for get_protos_ in self.getGet_protos():
            get_protos_.export(outfile, level, name_='get_protos')
        for get_ in self.getGet():
            get_.export(outfile, level, name_='get')
        for set_ in self.getSet():
            set_.export(outfile, level, name_='set')
        for srv_man_ in self.getSrv_man():
            srv_man_.export(outfile, level, name_='srv_man')
        for lic_install_ in self.getLic_install():
            lic_install_.export(outfile, level, name_='lic_install')
        for initial_setup_ in self.getInitial_setup():
            initial_setup_.export(outfile, level, name_='initial_setup')
        for get_additional_key_ in self.getGet_additional_key():
            get_additional_key_.export(outfile, level, name_='get_additional_key')
        for set_misc_ in self.getSet_misc():
            set_misc_.export(outfile, level, name_='set_misc')
        for get_misc_ in self.getGet_misc():
            get_misc_.export(outfile, level, name_='get_misc')
        for del_misc_ in self.getDel_misc():
            del_misc_.export(outfile, level, name_='del_misc')
        for enable_ae_ in self.getEnable_ae():
            enable_ae_.export(outfile, level, name_='enable_ae')
        for disable_ae_ in self.getDisable_ae():
            disable_ae_.export(outfile, level, name_='disable_ae')
        for get_ae_params_ in self.getGet_ae_params():
            get_ae_params_.export(outfile, level, name_='get_ae_params')
        for create_session_ in self.getCreate_session():
            create_session_.export(outfile, level, name_='create_session')
        for set_validation_mode_ in self.getSet_validation_mode():
            set_validation_mode_.export(outfile, level, name_='set-validation-mode')
        for get_validation_mode_ in self.getGet_validation_mode():
            get_validation_mode_.export(outfile, level, name_='get-validation-mode')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'get_protos':
            obj_ = GetProtosType.factory()
            obj_.build(child_)
            self.get_protos.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'get':
            obj_ = GetType.factory()
            obj_.build(child_)
            self.get.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'set':
            obj_ = SetType.factory()
            obj_.build(child_)
            self.set.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'srv_man':
            obj_ = ServicesManagementType.factory()
            obj_.build(child_)
            self.srv_man.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'lic_install':
            obj_ = LicenseInstallType.factory()
            obj_.build(child_)
            self.lic_install.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'initial_setup':
            obj_ = InitialSetupType.factory()
            obj_.build(child_)
            self.initial_setup.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'get_additional_key':
            obj_ = GetAdditionalKeyType.factory()
            obj_.build(child_)
            self.get_additional_key.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'set_misc':
            obj_ = SetMiscType.factory()
            obj_.build(child_)
            self.set_misc.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'get_misc':
            obj_ = GetMiscType.factory()
            obj_.build(child_)
            self.get_misc.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'del_misc':
            obj_ = DelMiscType.factory()
            obj_.build(child_)
            self.del_misc.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'enable_ae':
            obj_ = EnableAeType.factory()
            obj_.build(child_)
            self.enable_ae.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'disable_ae':
            obj_ = DisableAeType.factory()
            obj_.build(child_)
            self.disable_ae.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'get_ae_params':
            obj_ = GetAeParametersType.factory()
            obj_.build(child_)
            self.get_ae_params.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'create_session':
            obj_ = CreateSessionType.factory()
            obj_.build(child_)
            self.create_session.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'set-validation-mode':
            obj_ = SetValidationModeResultType.factory()
            obj_.build(child_)
            self.set_validation_mode.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'get-validation-mode':
            obj_ = GetValidationModeResultType.factory()
            obj_.build(child_)
            self.get_validation_mode.append(obj_)
# end class ServerOperatorType


class additionalKeyType:
    subclass = None
    def __init__(self, number='', name='', active=0, license_update_date=None, lim_date=None, content='', property=None):
        self.number = number
        self.name = name
        self.active = active
        self.license_update_date = license_update_date
        self.lim_date = lim_date
        self.content = content
        if property is None:
            self.property = []
        else:
            self.property = property
    def factory(*args_, **kwargs_):
        if additionalKeyType.subclass:
            return additionalKeyType.subclass(*args_, **kwargs_)
        else:
            return additionalKeyType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getNumber(self): return self.number
    def setNumber(self, value): self.number = value
    def getName(self): return self.name
    def setName(self, value): self.name = value
    def getActive(self): return self.active
    def setActive(self, value): self.active = value
    def getLicense_update_date(self): return self.license_update_date
    def setLicense_update_date(self, value): self.license_update_date = value
    def getLim_date(self): return self.lim_date
    def setLim_date(self, value): self.lim_date = value
    def getContent(self): return self.content
    def setContent(self, value): self.content = value
    def getProperty(self): return self.property
    def setProperty(self, value): self.property = value
    def addProperty(self, value): self.property.append(value)
    def insertProperty(self, index, value): self.property[index] = value
    def export(self, outfile, level, name_='additionalKeyType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='additionalKeyType'):
        pass
    def exportChildren(self, outfile, level, name_='additionalKeyType'):
        showIndent(outfile, level)
        outfile.write('<number>%s</number>\n' % quote_xml(self.getNumber()))
        showIndent(outfile, level)
        outfile.write('<name>%s</name>\n' % quote_xml(self.getName()))
        showIndent(outfile, level)
        outfile.write('<active>%d</active>\n' % self.getActive())
        if self.license_update_date is not None:
            showIndent(outfile, level)
            outfile.write('<license_update_date>%s</license_update_date>\n' % quote_xml(self.getLicense_update_date()))
        if self.lim_date is not None:
            showIndent(outfile, level)
            outfile.write('<lim_date>%s</lim_date>\n' % quote_xml(self.getLim_date()))
        showIndent(outfile, level)
        outfile.write('<content>%s</content>\n' % quote_xml(self.getContent()))
        for property_ in self.getProperty():
            property_.export(outfile, level, name_='property')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'number':
            number_ = ''
            for text__content_ in child_.childNodes:
                number_ += text__content_.nodeValue
            self.number = number_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'name':
            name_ = ''
            for text__content_ in child_.childNodes:
                name_ += text__content_.nodeValue
            self.name = name_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'active':
            if child_.firstChild:
                sval_ = child_.firstChild.nodeValue
                if sval_ in ('true', '1'):
                    ival_ = 1
                elif sval_ in ('false', '0'):
                    ival_ = 0
                else:
                    raise ValueError('requires boolean -- %s' % child_.toxml())
                self.active = ival_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'license_update_date':
            license_update_date_ = ''
            for text__content_ in child_.childNodes:
                license_update_date_ += text__content_.nodeValue
            self.license_update_date = license_update_date_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'lim_date':
            lim_date_ = ''
            for text__content_ in child_.childNodes:
                lim_date_ += text__content_.nodeValue
            self.lim_date = lim_date_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'content':
            content_ = ''
            for text__content_ in child_.childNodes:
                content_ += text__content_.nodeValue
            self.content = content_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'property':
            obj_ = AdditionalKeyPropertyType.factory()
            obj_.build(child_)
            self.property.append(obj_)
# end class additionalKeyType


class miscResultType(resultType):
    subclass = None
    def __init__(self, property=None, status='', errcode=None, errtext=None):
        resultType.__init__(self, status, errcode, errtext)
        self.property = property
    def factory(*args_, **kwargs_):
        if miscResultType.subclass:
            return miscResultType.subclass(*args_, **kwargs_)
        else:
            return miscResultType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getProperty(self): return self.property
    def setProperty(self, value): self.property = value
    def export(self, outfile, level, name_='miscResultType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='miscResultType'):
        resultType.exportAttributes(self, outfile, level, name_='miscResultType')
    def exportChildren(self, outfile, level, name_='miscResultType'):
        if self.property is not None:
            self.property.export(outfile, level, name_='property')
        resultType.exportChildren(self, outfile, level, name_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        resultType.buildAttributes(self, attrs)
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'property':
            obj_ = miscPropertyType.factory()
            obj_.build(child_)
            self.setProperty(obj_)
        resultType.buildChildren(self, child_, nodeName_)
# end class miscResultType


class miscPropertyType:
    subclass = None
    def __init__(self, name='', value=None):
        self.name = name
        self.value = value
    def factory(*args_, **kwargs_):
        if miscPropertyType.subclass:
            return miscPropertyType.subclass(*args_, **kwargs_)
        else:
            return miscPropertyType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getName(self): return self.name
    def setName(self, value): self.name = value
    def getValue(self): return self.value
    def setValue(self, value): self.value = value
    def export(self, outfile, level, name_='miscPropertyType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='miscPropertyType'):
        pass
    def exportChildren(self, outfile, level, name_='miscPropertyType'):
        showIndent(outfile, level)
        outfile.write('<name>%s</name>\n' % quote_xml(self.getName()))
        if self.value is not None:
            showIndent(outfile, level)
            outfile.write('<value>%s</value>\n' % quote_xml(self.getValue()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'name':
            name_ = ''
            for text__content_ in child_.childNodes:
                name_ += text__content_.nodeValue
            self.name = name_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'value':
            value_ = ''
            for text__content_ in child_.childNodes:
                value_ += text__content_.nodeValue
            self.value = value_
# end class miscPropertyType


class GetProtosType:
    subclass = None
    def __init__(self, result=None):
        self.result = result
    def factory(*args_, **kwargs_):
        if GetProtosType.subclass:
            return GetProtosType.subclass(*args_, **kwargs_)
        else:
            return GetProtosType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getResult(self): return self.result
    def setResult(self, value): self.result = value
    def export(self, outfile, level, name_='GetProtosType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='GetProtosType'):
        pass
    def exportChildren(self, outfile, level, name_='GetProtosType'):
        if self.result is not None:
            self.result.export(outfile, level, name_='result')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'result':
            obj_ = GetProtosResultType.factory()
            obj_.build(child_)
            self.setResult(obj_)
# end class GetProtosType


class GetType:
    subclass = None
    def __init__(self, result=None):
        self.result = result
    def factory(*args_, **kwargs_):
        if GetType.subclass:
            return GetType.subclass(*args_, **kwargs_)
        else:
            return GetType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getResult(self): return self.result
    def setResult(self, value): self.result = value
    def export(self, outfile, level, name_='GetType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='GetType'):
        pass
    def exportChildren(self, outfile, level, name_='GetType'):
        if self.result is not None:
            self.result.export(outfile, level, name_='result')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'result':
            obj_ = GetResultType.factory()
            obj_.build(child_)
            self.setResult(obj_)
# end class GetType


class SetType:
    subclass = None
    def __init__(self, result=None):
        self.result = result
    def factory(*args_, **kwargs_):
        if SetType.subclass:
            return SetType.subclass(*args_, **kwargs_)
        else:
            return SetType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getResult(self): return self.result
    def setResult(self, value): self.result = value
    def export(self, outfile, level, name_='SetType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='SetType'):
        pass
    def exportChildren(self, outfile, level, name_='SetType'):
        if self.result is not None:
            self.result.export(outfile, level, name_='result')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'result':
            obj_ = SetResultType.factory()
            obj_.build(child_)
            self.setResult(obj_)
# end class SetType


class ServicesManagementType:
    subclass = None
    def __init__(self, result=None):
        self.result = result
    def factory(*args_, **kwargs_):
        if ServicesManagementType.subclass:
            return ServicesManagementType.subclass(*args_, **kwargs_)
        else:
            return ServicesManagementType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getResult(self): return self.result
    def setResult(self, value): self.result = value
    def export(self, outfile, level, name_='ServicesManagementType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='ServicesManagementType'):
        pass
    def exportChildren(self, outfile, level, name_='ServicesManagementType'):
        if self.result is not None:
            self.result.export(outfile, level, name_='result')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'result':
            obj_ = ServicesManagementResultType.factory()
            obj_.build(child_)
            self.setResult(obj_)
# end class ServicesManagementType


class LicenseInstallType:
    subclass = None
    def __init__(self, result=None):
        self.result = result
    def factory(*args_, **kwargs_):
        if LicenseInstallType.subclass:
            return LicenseInstallType.subclass(*args_, **kwargs_)
        else:
            return LicenseInstallType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getResult(self): return self.result
    def setResult(self, value): self.result = value
    def export(self, outfile, level, name_='LicenseInstallType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='LicenseInstallType'):
        pass
    def exportChildren(self, outfile, level, name_='LicenseInstallType'):
        if self.result is not None:
            self.result.export(outfile, level, name_='result')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'result':
            obj_ = resultType.factory()
            obj_.build(child_)
            self.setResult(obj_)
# end class LicenseInstallType


class InitialSetupType:
    subclass = None
    def __init__(self, result=None):
        self.result = result
    def factory(*args_, **kwargs_):
        if InitialSetupType.subclass:
            return InitialSetupType.subclass(*args_, **kwargs_)
        else:
            return InitialSetupType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getResult(self): return self.result
    def setResult(self, value): self.result = value
    def export(self, outfile, level, name_='InitialSetupType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='InitialSetupType'):
        pass
    def exportChildren(self, outfile, level, name_='InitialSetupType'):
        if self.result is not None:
            self.result.export(outfile, level, name_='result')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'result':
            obj_ = InitialSetupResultType.factory()
            obj_.build(child_)
            self.setResult(obj_)
# end class InitialSetupType


class GetAdditionalKeyType:
    subclass = None
    def __init__(self, result=None):
        if result is None:
            self.result = []
        else:
            self.result = result
    def factory(*args_, **kwargs_):
        if GetAdditionalKeyType.subclass:
            return GetAdditionalKeyType.subclass(*args_, **kwargs_)
        else:
            return GetAdditionalKeyType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getResult(self): return self.result
    def setResult(self, value): self.result = value
    def addResult(self, value): self.result.append(value)
    def insertResult(self, index, value): self.result[index] = value
    def export(self, outfile, level, name_='GetAdditionalKeyType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='GetAdditionalKeyType'):
        pass
    def exportChildren(self, outfile, level, name_='GetAdditionalKeyType'):
        for result_ in self.getResult():
            result_.export(outfile, level, name_='result')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'result':
            obj_ = GetAdditionalKeyResultType.factory()
            obj_.build(child_)
            self.result.append(obj_)
# end class GetAdditionalKeyType


class SetMiscType:
    subclass = None
    def __init__(self, result=None):
        if result is None:
            self.result = []
        else:
            self.result = result
    def factory(*args_, **kwargs_):
        if SetMiscType.subclass:
            return SetMiscType.subclass(*args_, **kwargs_)
        else:
            return SetMiscType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getResult(self): return self.result
    def setResult(self, value): self.result = value
    def addResult(self, value): self.result.append(value)
    def insertResult(self, index, value): self.result[index] = value
    def export(self, outfile, level, name_='SetMiscType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='SetMiscType'):
        pass
    def exportChildren(self, outfile, level, name_='SetMiscType'):
        for result_ in self.getResult():
            result_.export(outfile, level, name_='result')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'result':
            obj_ = miscResultType.factory()
            obj_.build(child_)
            self.result.append(obj_)
# end class SetMiscType


class GetMiscType:
    subclass = None
    def __init__(self, result=None):
        if result is None:
            self.result = []
        else:
            self.result = result
    def factory(*args_, **kwargs_):
        if GetMiscType.subclass:
            return GetMiscType.subclass(*args_, **kwargs_)
        else:
            return GetMiscType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getResult(self): return self.result
    def setResult(self, value): self.result = value
    def addResult(self, value): self.result.append(value)
    def insertResult(self, index, value): self.result[index] = value
    def export(self, outfile, level, name_='GetMiscType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='GetMiscType'):
        pass
    def exportChildren(self, outfile, level, name_='GetMiscType'):
        for result_ in self.getResult():
            result_.export(outfile, level, name_='result')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'result':
            obj_ = miscResultType.factory()
            obj_.build(child_)
            self.result.append(obj_)
# end class GetMiscType


class DelMiscType:
    subclass = None
    def __init__(self, result=None):
        self.result = result
    def factory(*args_, **kwargs_):
        if DelMiscType.subclass:
            return DelMiscType.subclass(*args_, **kwargs_)
        else:
            return DelMiscType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getResult(self): return self.result
    def setResult(self, value): self.result = value
    def export(self, outfile, level, name_='DelMiscType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='DelMiscType'):
        pass
    def exportChildren(self, outfile, level, name_='DelMiscType'):
        if self.result is not None:
            self.result.export(outfile, level, name_='result')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'result':
            obj_ = miscResultType.factory()
            obj_.build(child_)
            self.setResult(obj_)
# end class DelMiscType


class EnableAeType:
    subclass = None
    def __init__(self, result=None):
        self.result = result
    def factory(*args_, **kwargs_):
        if EnableAeType.subclass:
            return EnableAeType.subclass(*args_, **kwargs_)
        else:
            return EnableAeType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getResult(self): return self.result
    def setResult(self, value): self.result = value
    def export(self, outfile, level, name_='EnableAeType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='EnableAeType'):
        pass
    def exportChildren(self, outfile, level, name_='EnableAeType'):
        if self.result is not None:
            self.result.export(outfile, level, name_='result')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'result':
            obj_ = resultType.factory()
            obj_.build(child_)
            self.setResult(obj_)
# end class EnableAeType


class DisableAeType:
    subclass = None
    def __init__(self, result=None):
        self.result = result
    def factory(*args_, **kwargs_):
        if DisableAeType.subclass:
            return DisableAeType.subclass(*args_, **kwargs_)
        else:
            return DisableAeType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getResult(self): return self.result
    def setResult(self, value): self.result = value
    def export(self, outfile, level, name_='DisableAeType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='DisableAeType'):
        pass
    def exportChildren(self, outfile, level, name_='DisableAeType'):
        if self.result is not None:
            self.result.export(outfile, level, name_='result')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'result':
            obj_ = resultType.factory()
            obj_.build(child_)
            self.setResult(obj_)
# end class DisableAeType


class GetAeParametersType:
    subclass = None
    def __init__(self, result=None):
        self.result = result
    def factory(*args_, **kwargs_):
        if GetAeParametersType.subclass:
            return GetAeParametersType.subclass(*args_, **kwargs_)
        else:
            return GetAeParametersType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getResult(self): return self.result
    def setResult(self, value): self.result = value
    def export(self, outfile, level, name_='GetAeParametersType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='GetAeParametersType'):
        pass
    def exportChildren(self, outfile, level, name_='GetAeParametersType'):
        if self.result is not None:
            self.result.export(outfile, level, name_='result')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'result':
            obj_ = GetAeParametersResultType.factory()
            obj_.build(child_)
            self.setResult(obj_)
# end class GetAeParametersType


class CreateSessionType:
    subclass = None
    def __init__(self, result=None):
        self.result = result
    def factory(*args_, **kwargs_):
        if CreateSessionType.subclass:
            return CreateSessionType.subclass(*args_, **kwargs_)
        else:
            return CreateSessionType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getResult(self): return self.result
    def setResult(self, value): self.result = value
    def export(self, outfile, level, name_='CreateSessionType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='CreateSessionType'):
        pass
    def exportChildren(self, outfile, level, name_='CreateSessionType'):
        if self.result is not None:
            self.result.export(outfile, level, name_='result')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'result':
            obj_ = CreateSessionResultType.factory()
            obj_.build(child_)
            self.setResult(obj_)
# end class CreateSessionType


class AdditionalKeyPropertyType:
    subclass = None
    def __init__(self, name='', value=''):
        self.name = name
        self.value = value
    def factory(*args_, **kwargs_):
        if AdditionalKeyPropertyType.subclass:
            return AdditionalKeyPropertyType.subclass(*args_, **kwargs_)
        else:
            return AdditionalKeyPropertyType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getName(self): return self.name
    def setName(self, value): self.name = value
    def getValue(self): return self.value
    def setValue(self, value): self.value = value
    def export(self, outfile, level, name_='AdditionalKeyPropertyType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='AdditionalKeyPropertyType'):
        pass
    def exportChildren(self, outfile, level, name_='AdditionalKeyPropertyType'):
        showIndent(outfile, level)
        outfile.write('<name>%s</name>\n' % quote_xml(self.getName()))
        showIndent(outfile, level)
        outfile.write('<value>%s</value>\n' % quote_xml(self.getValue()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'name':
            name_ = ''
            for text__content_ in child_.childNodes:
                name_ += text__content_.nodeValue
            self.name = name_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'value':
            value_ = ''
            for text__content_ in child_.childNodes:
                value_ += text__content_.nodeValue
            self.value = value_
# end class AdditionalKeyPropertyType


class GetProtosResultType(resultType):
    subclass = None
    def __init__(self, protos=None, status='', errcode=None, errtext=None):
        resultType.__init__(self, status, errcode, errtext)
        self.protos = protos
    def factory(*args_, **kwargs_):
        if GetProtosResultType.subclass:
            return GetProtosResultType.subclass(*args_, **kwargs_)
        else:
            return GetProtosResultType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getProtos(self): return self.protos
    def setProtos(self, value): self.protos = value
    def export(self, outfile, level, name_='GetProtosResultType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='GetProtosResultType'):
        resultType.exportAttributes(self, outfile, level, name_='GetProtosResultType')
    def exportChildren(self, outfile, level, name_='GetProtosResultType'):
        if self.protos is not None:
            self.protos.export(outfile, level, name_='protos')
        resultType.exportChildren(self, outfile, level, name_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        resultType.buildAttributes(self, attrs)
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'protos':
            obj_ = ProtosList.factory()
            obj_.build(child_)
            self.setProtos(obj_)
        resultType.buildChildren(self, child_, nodeName_)
# end class GetProtosResultType


class GetResultType(resultType):
    subclass = None
    def __init__(self, key=None, gen_info=None, components=None, stat=None, admin=None, interfaces=None, services_state=None, prefs=None, shells=None, session_setup=None, status='', errcode=None, errtext=None):
        resultType.__init__(self, status, errcode, errtext)
        if key is None:
            self.key = []
        else:
            self.key = key
        if gen_info is None:
            self.gen_info = []
        else:
            self.gen_info = gen_info
        if components is None:
            self.components = []
        else:
            self.components = components
        if stat is None:
            self.stat = []
        else:
            self.stat = stat
        if admin is None:
            self.admin = []
        else:
            self.admin = admin
        if interfaces is None:
            self.interfaces = []
        else:
            self.interfaces = interfaces
        if services_state is None:
            self.services_state = []
        else:
            self.services_state = services_state
        if prefs is None:
            self.prefs = []
        else:
            self.prefs = prefs
        if shells is None:
            self.shells = []
        else:
            self.shells = shells
        if session_setup is None:
            self.session_setup = []
        else:
            self.session_setup = session_setup
    def factory(*args_, **kwargs_):
        if GetResultType.subclass:
            return GetResultType.subclass(*args_, **kwargs_)
        else:
            return GetResultType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getKey(self): return self.key
    def setKey(self, value): self.key = value
    def addKey(self, value): self.key.append(value)
    def insertKey(self, index, value): self.key[index] = value
    def getGen_info(self): return self.gen_info
    def setGen_info(self, value): self.gen_info = value
    def addGen_info(self, value): self.gen_info.append(value)
    def insertGen_info(self, index, value): self.gen_info[index] = value
    def getComponents(self): return self.components
    def setComponents(self, value): self.components = value
    def addComponents(self, value): self.components.append(value)
    def insertComponents(self, index, value): self.components[index] = value
    def getStat(self): return self.stat
    def setStat(self, value): self.stat = value
    def addStat(self, value): self.stat.append(value)
    def insertStat(self, index, value): self.stat[index] = value
    def getAdmin(self): return self.admin
    def setAdmin(self, value): self.admin = value
    def addAdmin(self, value): self.admin.append(value)
    def insertAdmin(self, index, value): self.admin[index] = value
    def getInterfaces(self): return self.interfaces
    def setInterfaces(self, value): self.interfaces = value
    def addInterfaces(self, value): self.interfaces.append(value)
    def insertInterfaces(self, index, value): self.interfaces[index] = value
    def getServices_state(self): return self.services_state
    def setServices_state(self, value): self.services_state = value
    def addServices_state(self, value): self.services_state.append(value)
    def insertServices_state(self, index, value): self.services_state[index] = value
    def getPrefs(self): return self.prefs
    def setPrefs(self, value): self.prefs = value
    def addPrefs(self, value): self.prefs.append(value)
    def insertPrefs(self, index, value): self.prefs[index] = value
    def getShells(self): return self.shells
    def setShells(self, value): self.shells = value
    def addShells(self, value): self.shells.append(value)
    def insertShells(self, index, value): self.shells[index] = value
    def getSession_setup(self): return self.session_setup
    def setSession_setup(self, value): self.session_setup = value
    def addSession_setup(self, value): self.session_setup.append(value)
    def insertSession_setup(self, index, value): self.session_setup[index] = value
    def export(self, outfile, level, name_='GetResultType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='GetResultType'):
        resultType.exportAttributes(self, outfile, level, name_='GetResultType')
    def exportChildren(self, outfile, level, name_='GetResultType'):
        for key_ in self.getKey():
            key_.export(outfile, level, name_='key')
        for gen_info_ in self.getGen_info():
            gen_info_.export(outfile, level, name_='gen_info')
        for components_ in self.getComponents():
            components_.export(outfile, level, name_='components')
        for stat_ in self.getStat():
            stat_.export(outfile, level, name_='stat')
        for admin_ in self.getAdmin():
            admin_.export(outfile, level, name_='admin')
        for interfaces_ in self.getInterfaces():
            interfaces_.export(outfile, level, name_='interfaces')
        for services_state_ in self.getServices_state():
            services_state_.export(outfile, level, name_='services_state')
        for prefs_ in self.getPrefs():
            prefs_.export(outfile, level, name_='prefs')
        for shells_ in self.getShells():
            shells_.export(outfile, level, name_='shells')
        for session_setup_ in self.getSession_setup():
            session_setup_.export(outfile, level, name_='session_setup')
        resultType.exportChildren(self, outfile, level, name_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        resultType.buildAttributes(self, attrs)
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'key':
            obj_ = keyType.factory()
            obj_.build(child_)
            self.key.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'gen_info':
            obj_ = serverGenInfoType.factory()
            obj_.build(child_)
            self.gen_info.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'components':
            obj_ = componentsType.factory()
            obj_.build(child_)
            self.components.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'stat':
            obj_ = statType.factory()
            obj_.build(child_)
            self.stat.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'admin':
            obj_ = adminType.factory()
            obj_.build(child_)
            self.admin.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'interfaces':
            obj_ = interfacesType.factory()
            obj_.build(child_)
            self.interfaces.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'services_state':
            obj_ = servicesState.factory()
            obj_.build(child_)
            self.services_state.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'prefs':
            obj_ = serverPrefs.factory()
            obj_.build(child_)
            self.prefs.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'shells':
            obj_ = ShellsList.factory()
            obj_.build(child_)
            self.shells.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'session_setup':
            obj_ = serverSessionSetup.factory()
            obj_.build(child_)
            self.session_setup.append(obj_)
        resultType.buildChildren(self, child_, nodeName_)
# end class GetResultType


class SetResultType(resultType):
    subclass = None
    def __init__(self, status='', errcode=None, errtext=None, valueOf_=''):
        resultType.__init__(self, status, errcode, errtext)
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if SetResultType.subclass:
            return SetResultType.subclass(*args_, **kwargs_)
        else:
            return SetResultType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, name_='SetResultType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='SetResultType'):
        resultType.exportAttributes(self, outfile, level, name_='SetResultType')
    def exportChildren(self, outfile, level, name_='SetResultType'):
        resultType.exportChildren(self, outfile, level, name_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        resultType.buildAttributes(self, attrs)
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
        resultType.buildChildren(self, child_, nodeName_)
# end class SetResultType


class ServicesManagementResultType(resultType):
    subclass = None
    def __init__(self, id='', status='', errcode=None, errtext=None):
        resultType.__init__(self, status, errcode, errtext)
        self.id = id
    def factory(*args_, **kwargs_):
        if ServicesManagementResultType.subclass:
            return ServicesManagementResultType.subclass(*args_, **kwargs_)
        else:
            return ServicesManagementResultType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getId(self): return self.id
    def setId(self, value): self.id = value
    def export(self, outfile, level, name_='ServicesManagementResultType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='ServicesManagementResultType'):
        resultType.exportAttributes(self, outfile, level, name_='ServicesManagementResultType')
    def exportChildren(self, outfile, level, name_='ServicesManagementResultType'):
        showIndent(outfile, level)
        outfile.write('<id>%s</id>\n' % quote_xml(self.getId()))
        resultType.exportChildren(self, outfile, level, name_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        resultType.buildAttributes(self, attrs)
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'id':
            id_ = ''
            for text__content_ in child_.childNodes:
                id_ += text__content_.nodeValue
            self.id = id_
        resultType.buildChildren(self, child_, nodeName_)
# end class ServicesManagementResultType


class InitialSetupResultType(resultType):
    subclass = None
    def __init__(self, server_name='', status='', errcode=None, errtext=None):
        resultType.__init__(self, status, errcode, errtext)
        self.server_name = server_name
    def factory(*args_, **kwargs_):
        if InitialSetupResultType.subclass:
            return InitialSetupResultType.subclass(*args_, **kwargs_)
        else:
            return InitialSetupResultType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getServer_name(self): return self.server_name
    def setServer_name(self, value): self.server_name = value
    def export(self, outfile, level, name_='InitialSetupResultType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='InitialSetupResultType'):
        resultType.exportAttributes(self, outfile, level, name_='InitialSetupResultType')
    def exportChildren(self, outfile, level, name_='InitialSetupResultType'):
        showIndent(outfile, level)
        outfile.write('<server_name>%s</server_name>\n' % quote_xml(self.getServer_name()))
        resultType.exportChildren(self, outfile, level, name_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        resultType.buildAttributes(self, attrs)
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'server_name':
            server_name_ = ''
            for text__content_ in child_.childNodes:
                server_name_ += text__content_.nodeValue
            self.server_name = server_name_
        resultType.buildChildren(self, child_, nodeName_)
# end class InitialSetupResultType


class GetAdditionalKeyResultType(resultType):
    subclass = None
    def __init__(self, name=None, key_info=None, status='', errcode=None, errtext=None):
        resultType.__init__(self, status, errcode, errtext)
        self.name = name
        self.key_info = key_info
    def factory(*args_, **kwargs_):
        if GetAdditionalKeyResultType.subclass:
            return GetAdditionalKeyResultType.subclass(*args_, **kwargs_)
        else:
            return GetAdditionalKeyResultType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getName(self): return self.name
    def setName(self, value): self.name = value
    def getKey_info(self): return self.key_info
    def setKey_info(self, value): self.key_info = value
    def export(self, outfile, level, name_='GetAdditionalKeyResultType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='GetAdditionalKeyResultType'):
        resultType.exportAttributes(self, outfile, level, name_='GetAdditionalKeyResultType')
    def exportChildren(self, outfile, level, name_='GetAdditionalKeyResultType'):
        if self.name is not None:
            showIndent(outfile, level)
            outfile.write('<name>%s</name>\n' % quote_xml(self.getName()))
        if self.key_info is not None:
            self.key_info.export(outfile, level, name_='key_info')
        resultType.exportChildren(self, outfile, level, name_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        resultType.buildAttributes(self, attrs)
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'name':
            name_ = ''
            for text__content_ in child_.childNodes:
                name_ += text__content_.nodeValue
            self.name = name_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'key_info':
            obj_ = additionalKeyType.factory()
            obj_.build(child_)
            self.setKey_info(obj_)
        resultType.buildChildren(self, child_, nodeName_)
# end class GetAdditionalKeyResultType


class GetAeParametersResultType(resultType):
    subclass = None
    def __init__(self, params=None, status='', errcode=None, errtext=None):
        resultType.__init__(self, status, errcode, errtext)
        self.params = params
    def factory(*args_, **kwargs_):
        if GetAeParametersResultType.subclass:
            return GetAeParametersResultType.subclass(*args_, **kwargs_)
        else:
            return GetAeParametersResultType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getParams(self): return self.params
    def setParams(self, value): self.params = value
    def export(self, outfile, level, name_='GetAeParametersResultType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='GetAeParametersResultType'):
        resultType.exportAttributes(self, outfile, level, name_='GetAeParametersResultType')
    def exportChildren(self, outfile, level, name_='GetAeParametersResultType'):
        if self.params is not None:
            self.params.export(outfile, level, name_='params')
        resultType.exportChildren(self, outfile, level, name_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        resultType.buildAttributes(self, attrs)
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'params':
            obj_ = aeParamsType.factory()
            obj_.build(child_)
            self.setParams(obj_)
        resultType.buildChildren(self, child_, nodeName_)
# end class GetAeParametersResultType


class CreateSessionResultType(resultType):
    subclass = None
    def __init__(self, id='', status='', errcode=None, errtext=None):
        resultType.__init__(self, status, errcode, errtext)
        self.id = id
    def factory(*args_, **kwargs_):
        if CreateSessionResultType.subclass:
            return CreateSessionResultType.subclass(*args_, **kwargs_)
        else:
            return CreateSessionResultType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getId(self): return self.id
    def setId(self, value): self.id = value
    def export(self, outfile, level, name_='CreateSessionResultType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='CreateSessionResultType'):
        resultType.exportAttributes(self, outfile, level, name_='CreateSessionResultType')
    def exportChildren(self, outfile, level, name_='CreateSessionResultType'):
        showIndent(outfile, level)
        outfile.write('<id>%s</id>\n' % quote_xml(self.getId()))
        resultType.exportChildren(self, outfile, level, name_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        resultType.buildAttributes(self, attrs)
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'id':
            id_ = ''
            for text__content_ in child_.childNodes:
                id_ += text__content_.nodeValue
            self.id = id_
        resultType.buildChildren(self, child_, nodeName_)
# end class CreateSessionResultType


class ProtosList:
    subclass = None
    def __init__(self, proto=None):
        if proto is None:
            self.proto = []
        else:
            self.proto = proto
    def factory(*args_, **kwargs_):
        if ProtosList.subclass:
            return ProtosList.subclass(*args_, **kwargs_)
        else:
            return ProtosList(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getProto(self): return self.proto
    def setProto(self, value): self.proto = value
    def addProto(self, value): self.proto.append(value)
    def insertProto(self, index, value): self.proto[index] = value
    def export(self, outfile, level, name_='ProtosList'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='ProtosList'):
        pass
    def exportChildren(self, outfile, level, name_='ProtosList'):
        for proto_ in self.getProto():
            showIndent(outfile, level)
            outfile.write('<proto>%s</proto>\n' % quote_xml(proto_))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'proto':
            proto_ = ''
            for text__content_ in child_.childNodes:
                proto_ += text__content_.nodeValue
            self.addProto(proto_)
# end class ProtosList


class ShellsList:
    subclass = None
    def __init__(self, shell=None):
        if shell is None:
            self.shell = []
        else:
            self.shell = shell
    def factory(*args_, **kwargs_):
        if ShellsList.subclass:
            return ShellsList.subclass(*args_, **kwargs_)
        else:
            return ShellsList(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getShell(self): return self.shell
    def setShell(self, value): self.shell = value
    def addShell(self, value): self.shell.append(value)
    def insertShell(self, index, value): self.shell[index] = value
    def export(self, outfile, level, name_='ShellsList'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='ShellsList'):
        pass
    def exportChildren(self, outfile, level, name_='ShellsList'):
        for shell_ in self.getShell():
            shell_.export(outfile, level, name_='shell')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'shell':
            obj_ = shellType.factory()
            obj_.build(child_)
            self.shell.append(obj_)
# end class ShellsList


class siteappDescriptionType:
    subclass = None
    def __init__(self, id='', name='', version='', release='', description='', license='', access_level='', instance=None):
        self.id = id
        self.name = name
        self.version = version
        self.release = release
        self.description = description
        self.license = license
        self.access_level = access_level
        self.instance = instance
    def factory(*args_, **kwargs_):
        if siteappDescriptionType.subclass:
            return siteappDescriptionType.subclass(*args_, **kwargs_)
        else:
            return siteappDescriptionType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getId(self): return self.id
    def setId(self, value): self.id = value
    def getName(self): return self.name
    def setName(self, value): self.name = value
    def getVersion(self): return self.version
    def setVersion(self, value): self.version = value
    def getRelease(self): return self.release
    def setRelease(self, value): self.release = value
    def getDescription(self): return self.description
    def setDescription(self, value): self.description = value
    def getLicense(self): return self.license
    def setLicense(self, value): self.license = value
    def getAccess_level(self): return self.access_level
    def setAccess_level(self, value): self.access_level = value
    def getInstance(self): return self.instance
    def setInstance(self, value): self.instance = value
    def export(self, outfile, level, name_='siteappDescriptionType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='siteappDescriptionType'):
        pass
    def exportChildren(self, outfile, level, name_='siteappDescriptionType'):
        showIndent(outfile, level)
        outfile.write('<id>%s</id>\n' % quote_xml(self.getId()))
        showIndent(outfile, level)
        outfile.write('<name>%s</name>\n' % quote_xml(self.getName()))
        showIndent(outfile, level)
        outfile.write('<version>%s</version>\n' % quote_xml(self.getVersion()))
        showIndent(outfile, level)
        outfile.write('<release>%s</release>\n' % quote_xml(self.getRelease()))
        showIndent(outfile, level)
        outfile.write('<description>%s</description>\n' % quote_xml(self.getDescription()))
        showIndent(outfile, level)
        outfile.write('<license>%s</license>\n' % quote_xml(self.getLicense()))
        showIndent(outfile, level)
        outfile.write('<access_level>%s</access_level>\n' % quote_xml(self.getAccess_level()))
        if self.instance is not None:
            showIndent(outfile, level)
            outfile.write('<instance>%s</instance>\n' % quote_xml(self.getInstance()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'id':
            id_ = ''
            for text__content_ in child_.childNodes:
                id_ += text__content_.nodeValue
            self.id = id_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'name':
            name_ = ''
            for text__content_ in child_.childNodes:
                name_ += text__content_.nodeValue
            self.name = name_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'version':
            version_ = ''
            for text__content_ in child_.childNodes:
                version_ += text__content_.nodeValue
            self.version = version_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'release':
            release_ = ''
            for text__content_ in child_.childNodes:
                release_ += text__content_.nodeValue
            self.release = release_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'description':
            description_ = ''
            for text__content_ in child_.childNodes:
                description_ += text__content_.nodeValue
            self.description = description_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'license':
            license_ = ''
            for text__content_ in child_.childNodes:
                license_ += text__content_.nodeValue
            self.license = license_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'access_level':
            access_level_ = ''
            for text__content_ in child_.childNodes:
                access_level_ += text__content_.nodeValue
            self.access_level = access_level_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'instance':
            instance_ = ''
            for text__content_ in child_.childNodes:
                instance_ += text__content_.nodeValue
            self.instance = instance_
# end class siteappDescriptionType


class operationResultType(resultType):
    subclass = None
    def __init__(self, package_id='', status='', errcode=None, errtext=None):
        resultType.__init__(self, status, errcode, errtext)
        self.package_id = package_id
    def factory(*args_, **kwargs_):
        if operationResultType.subclass:
            return operationResultType.subclass(*args_, **kwargs_)
        else:
            return operationResultType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getPackage_id(self): return self.package_id
    def setPackage_id(self, value): self.package_id = value
    def export(self, outfile, level, name_='operationResultType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='operationResultType'):
        resultType.exportAttributes(self, outfile, level, name_='operationResultType')
    def exportChildren(self, outfile, level, name_='operationResultType'):
        showIndent(outfile, level)
        outfile.write('<package_id>%s</package_id>\n' % quote_xml(self.getPackage_id()))
        resultType.exportChildren(self, outfile, level, name_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        resultType.buildAttributes(self, attrs)
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'package_id':
            package_id_ = ''
            for text__content_ in child_.childNodes:
                package_id_ += text__content_.nodeValue
            self.package_id = package_id_
        resultType.buildChildren(self, child_, nodeName_)
# end class operationResultType


class SiteAppResponseType:
    subclass = None
    def __init__(self, get_all_packages_list=None, get_packages_list_by_client=None, add_packages_to_client_pool=None, remove_packages_from_client_pool=None, get_packages_list_by_domain=None, get_package_requirements=None, install_packages=None, set_package_properties=None):
        if get_all_packages_list is None:
            self.get_all_packages_list = []
        else:
            self.get_all_packages_list = get_all_packages_list
        if get_packages_list_by_client is None:
            self.get_packages_list_by_client = []
        else:
            self.get_packages_list_by_client = get_packages_list_by_client
        if add_packages_to_client_pool is None:
            self.add_packages_to_client_pool = []
        else:
            self.add_packages_to_client_pool = add_packages_to_client_pool
        if remove_packages_from_client_pool is None:
            self.remove_packages_from_client_pool = []
        else:
            self.remove_packages_from_client_pool = remove_packages_from_client_pool
        if get_packages_list_by_domain is None:
            self.get_packages_list_by_domain = []
        else:
            self.get_packages_list_by_domain = get_packages_list_by_domain
        if get_package_requirements is None:
            self.get_package_requirements = []
        else:
            self.get_package_requirements = get_package_requirements
        if install_packages is None:
            self.install_packages = []
        else:
            self.install_packages = install_packages
        if set_package_properties is None:
            self.set_package_properties = []
        else:
            self.set_package_properties = set_package_properties
    def factory(*args_, **kwargs_):
        if SiteAppResponseType.subclass:
            return SiteAppResponseType.subclass(*args_, **kwargs_)
        else:
            return SiteAppResponseType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getGet_all_packages_list(self): return self.get_all_packages_list
    def setGet_all_packages_list(self, value): self.get_all_packages_list = value
    def addGet_all_packages_list(self, value): self.get_all_packages_list.append(value)
    def insertGet_all_packages_list(self, index, value): self.get_all_packages_list[index] = value
    def getGet_packages_list_by_client(self): return self.get_packages_list_by_client
    def setGet_packages_list_by_client(self, value): self.get_packages_list_by_client = value
    def addGet_packages_list_by_client(self, value): self.get_packages_list_by_client.append(value)
    def insertGet_packages_list_by_client(self, index, value): self.get_packages_list_by_client[index] = value
    def getAdd_packages_to_client_pool(self): return self.add_packages_to_client_pool
    def setAdd_packages_to_client_pool(self, value): self.add_packages_to_client_pool = value
    def addAdd_packages_to_client_pool(self, value): self.add_packages_to_client_pool.append(value)
    def insertAdd_packages_to_client_pool(self, index, value): self.add_packages_to_client_pool[index] = value
    def getRemove_packages_from_client_pool(self): return self.remove_packages_from_client_pool
    def setRemove_packages_from_client_pool(self, value): self.remove_packages_from_client_pool = value
    def addRemove_packages_from_client_pool(self, value): self.remove_packages_from_client_pool.append(value)
    def insertRemove_packages_from_client_pool(self, index, value): self.remove_packages_from_client_pool[index] = value
    def getGet_packages_list_by_domain(self): return self.get_packages_list_by_domain
    def setGet_packages_list_by_domain(self, value): self.get_packages_list_by_domain = value
    def addGet_packages_list_by_domain(self, value): self.get_packages_list_by_domain.append(value)
    def insertGet_packages_list_by_domain(self, index, value): self.get_packages_list_by_domain[index] = value
    def getGet_package_requirements(self): return self.get_package_requirements
    def setGet_package_requirements(self, value): self.get_package_requirements = value
    def addGet_package_requirements(self, value): self.get_package_requirements.append(value)
    def insertGet_package_requirements(self, index, value): self.get_package_requirements[index] = value
    def getInstall_packages(self): return self.install_packages
    def setInstall_packages(self, value): self.install_packages = value
    def addInstall_packages(self, value): self.install_packages.append(value)
    def insertInstall_packages(self, index, value): self.install_packages[index] = value
    def getSet_package_properties(self): return self.set_package_properties
    def setSet_package_properties(self, value): self.set_package_properties = value
    def addSet_package_properties(self, value): self.set_package_properties.append(value)
    def insertSet_package_properties(self, index, value): self.set_package_properties[index] = value
    def export(self, outfile, level, name_='SiteAppResponseType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='SiteAppResponseType'):
        pass
    def exportChildren(self, outfile, level, name_='SiteAppResponseType'):
        for get_all_packages_list_ in self.getGet_all_packages_list():
            get_all_packages_list_.export(outfile, level)
        for get_packages_list_by_client_ in self.getGet_packages_list_by_client():
            get_packages_list_by_client_.export(outfile, level)
        for add_packages_to_client_pool_ in self.getAdd_packages_to_client_pool():
            add_packages_to_client_pool_.export(outfile, level)
        for remove_packages_from_client_pool_ in self.getRemove_packages_from_client_pool():
            remove_packages_from_client_pool_.export(outfile, level)
        for get_packages_list_by_domain_ in self.getGet_packages_list_by_domain():
            get_packages_list_by_domain_.export(outfile, level)
        for get_package_requirements_ in self.getGet_package_requirements():
            get_package_requirements_.export(outfile, level)
        for install_packages_ in self.getInstall_packages():
            install_packages_.export(outfile, level)
        for set_package_properties_ in self.getSet_package_properties():
            set_package_properties_.export(outfile, level)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'get_all_packages_list':
            obj_ = get_all_packages_list.factory()
            obj_.build(child_)
            self.get_all_packages_list.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'get_packages_list_by_client':
            obj_ = get_packages_list_by_client.factory()
            obj_.build(child_)
            self.get_packages_list_by_client.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'add_packages_to_client_pool':
            obj_ = add_packages_to_client_pool.factory()
            obj_.build(child_)
            self.add_packages_to_client_pool.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'remove_packages_from_client_pool':
            obj_ = remove_packages_from_client_pool.factory()
            obj_.build(child_)
            self.remove_packages_from_client_pool.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'get_packages_list_by_domain':
            obj_ = get_packages_list_by_domain.factory()
            obj_.build(child_)
            self.get_packages_list_by_domain.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'get_package_requirements':
            obj_ = get_package_requirements.factory()
            obj_.build(child_)
            self.get_package_requirements.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'install_packages':
            obj_ = install_packages.factory()
            obj_.build(child_)
            self.install_packages.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'set_package_properties':
            obj_ = set_package_properties.factory()
            obj_.build(child_)
            self.set_package_properties.append(obj_)
# end class SiteAppResponseType


class PolicySettings:
    subclass = None
    def __init__(self, use_server_wide_settings='', personal=None):
        self.use_server_wide_settings = use_server_wide_settings
        self.personal = personal
    def factory(*args_, **kwargs_):
        if PolicySettings.subclass:
            return PolicySettings.subclass(*args_, **kwargs_)
        else:
            return PolicySettings(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getUse_server_wide_settings(self): return self.use_server_wide_settings
    def setUse_server_wide_settings(self, value): self.use_server_wide_settings = value
    def getPersonal(self): return self.personal
    def setPersonal(self, value): self.personal = value
    def export(self, outfile, level, name_='PolicySettings'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='PolicySettings'):
        pass
    def exportChildren(self, outfile, level, name_='PolicySettings'):
        showIndent(outfile, level)
        outfile.write('<use-server-wide-settings>%s</use-server-wide-settings>\n' % quote_xml(self.getUse_server_wide_settings()))
        if self.personal is not None:
            showIndent(outfile, level)
            outfile.write('<personal>%s</personal>\n' % quote_xml(self.getPersonal()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'use-server-wide-settings':
            use_server_wide_settings_ = ''
            for text__content_ in child_.childNodes:
                use_server_wide_settings_ += text__content_.nodeValue
            self.use_server_wide_settings = use_server_wide_settings_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'personal':
            personal_ = ''
            for text__content_ in child_.childNodes:
                personal_ += text__content_.nodeValue
            self.personal = personal_
# end class PolicySettings


class ServerSettings:
    subclass = None
    def __init__(self, hits='', modify='', subject=None):
        self.hits = hits
        self.modify = modify
        self.subject = subject
    def factory(*args_, **kwargs_):
        if ServerSettings.subclass:
            return ServerSettings.subclass(*args_, **kwargs_)
        else:
            return ServerSettings(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getHits(self): return self.hits
    def setHits(self, value): self.hits = value
    def getModify(self): return self.modify
    def setModify(self, value): self.modify = value
    def getSubject(self): return self.subject
    def setSubject(self, value): self.subject = value
    def export(self, outfile, level, name_='ServerSettings'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='ServerSettings'):
        pass
    def exportChildren(self, outfile, level, name_='ServerSettings'):
        showIndent(outfile, level)
        outfile.write('<hits>%s</hits>\n' % quote_xml(self.getHits()))
        showIndent(outfile, level)
        outfile.write('<modify>%s</modify>\n' % quote_xml(self.getModify()))
        if self.subject is not None:
            showIndent(outfile, level)
            outfile.write('<subject>%s</subject>\n' % quote_xml(self.getSubject()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'hits':
            hits_ = ''
            for text__content_ in child_.childNodes:
                hits_ += text__content_.nodeValue
            self.hits = hits_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'modify':
            modify_ = ''
            for text__content_ in child_.childNodes:
                modify_ += text__content_.nodeValue
            self.modify = modify_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'subject':
            subject_ = ''
            for text__content_ in child_.childNodes:
                subject_ += text__content_.nodeValue
            self.subject = subject_
# end class ServerSettings


class PatternList:
    subclass = None
    def __init__(self, pattern=None):
        if pattern is None:
            self.pattern = []
        else:
            self.pattern = pattern
    def factory(*args_, **kwargs_):
        if PatternList.subclass:
            return PatternList.subclass(*args_, **kwargs_)
        else:
            return PatternList(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getPattern(self): return self.pattern
    def setPattern(self, value): self.pattern = value
    def addPattern(self, value): self.pattern.append(value)
    def insertPattern(self, index, value): self.pattern[index] = value
    def export(self, outfile, level, name_='PatternList'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='PatternList'):
        pass
    def exportChildren(self, outfile, level, name_='PatternList'):
        for pattern_ in self.getPattern():
            showIndent(outfile, level)
            outfile.write('<pattern>%s</pattern>\n' % quote_xml(pattern_))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'pattern':
            pattern_ = ''
            for text__content_ in child_.childNodes:
                pattern_ += text__content_.nodeValue
            self.addPattern(pattern_)
# end class PatternList


class SpamFilter:
    subclass = None
    def __init__(self, policy_settings=None, server_settings=None, mailname=None, personal_settings=None, whitelist=None, blacklist=None, ignorelist=None):
        self.policy_settings = policy_settings
        self.server_settings = server_settings
        self.mailname = mailname
        self.personal_settings = personal_settings
        self.whitelist = whitelist
        self.blacklist = blacklist
        self.ignorelist = ignorelist
    def factory(*args_, **kwargs_):
        if SpamFilter.subclass:
            return SpamFilter.subclass(*args_, **kwargs_)
        else:
            return SpamFilter(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getPolicy_settings(self): return self.policy_settings
    def setPolicy_settings(self, value): self.policy_settings = value
    def getServer_settings(self): return self.server_settings
    def setServer_settings(self, value): self.server_settings = value
    def getMailname(self): return self.mailname
    def setMailname(self, value): self.mailname = value
    def getPersonal_settings(self): return self.personal_settings
    def setPersonal_settings(self, value): self.personal_settings = value
    def getWhitelist(self): return self.whitelist
    def setWhitelist(self, value): self.whitelist = value
    def getBlacklist(self): return self.blacklist
    def setBlacklist(self, value): self.blacklist = value
    def getIgnorelist(self): return self.ignorelist
    def setIgnorelist(self, value): self.ignorelist = value
    def export(self, outfile, level, name_='SpamFilter'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='SpamFilter'):
        pass
    def exportChildren(self, outfile, level, name_='SpamFilter'):
        if self.policy_settings is not None:
            self.policy_settings.export(outfile, level, name_='policy_settings')
        if self.server_settings is not None:
            self.server_settings.export(outfile, level, name_='server_settings')
        if self.mailname is not None:
            showIndent(outfile, level)
            outfile.write('<mailname>%s</mailname>\n' % quote_xml(self.getMailname()))
        if self.personal_settings is not None:
            self.personal_settings.export(outfile, level, name_='personal_settings')
        if self.whitelist is not None:
            self.whitelist.export(outfile, level, name_='whitelist')
        if self.blacklist is not None:
            self.blacklist.export(outfile, level, name_='blacklist')
        if self.ignorelist is not None:
            self.ignorelist.export(outfile, level, name_='ignorelist')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'policy_settings':
            obj_ = PolicySettings.factory()
            obj_.build(child_)
            self.setPolicy_settings(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'server_settings':
            obj_ = ServerSettings.factory()
            obj_.build(child_)
            self.setServer_settings(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'mailname':
            mailname_ = ''
            for text__content_ in child_.childNodes:
                mailname_ += text__content_.nodeValue
            self.mailname = mailname_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'personal_settings':
            obj_ = PersonalSettings.factory()
            obj_.build(child_)
            self.setPersonal_settings(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'whitelist':
            obj_ = PatternList.factory()
            obj_.build(child_)
            self.setWhitelist(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'blacklist':
            obj_ = PatternList.factory()
            obj_.build(child_)
            self.setBlacklist(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ignorelist':
            obj_ = PatternList.factory()
            obj_.build(child_)
            self.setIgnorelist(obj_)
# end class SpamFilter


class ArgListOp:
    subclass = None
    def __init__(self, filter=None, mailname=None, whitelist=None, blacklist=None, ignorelist=None):
        self.filter = filter
        self.mailname = mailname
        self.whitelist = whitelist
        self.blacklist = blacklist
        self.ignorelist = ignorelist
    def factory(*args_, **kwargs_):
        if ArgListOp.subclass:
            return ArgListOp.subclass(*args_, **kwargs_)
        else:
            return ArgListOp(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getFilter(self): return self.filter
    def setFilter(self, value): self.filter = value
    def getMailname(self): return self.mailname
    def setMailname(self, value): self.mailname = value
    def getWhitelist(self): return self.whitelist
    def setWhitelist(self, value): self.whitelist = value
    def getBlacklist(self): return self.blacklist
    def setBlacklist(self, value): self.blacklist = value
    def getIgnorelist(self): return self.ignorelist
    def setIgnorelist(self, value): self.ignorelist = value
    def export(self, outfile, level, name_='ArgListOp'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='ArgListOp'):
        pass
    def exportChildren(self, outfile, level, name_='ArgListOp'):
        if self.filter is not None:
            self.filter.export(outfile, level, name_='filter')
        if self.mailname is not None:
            showIndent(outfile, level)
            outfile.write('<mailname>%s</mailname>\n' % quote_xml(self.getMailname()))
        if self.whitelist is not None:
            showIndent(outfile, level)
            outfile.write('<whitelist>%s</whitelist>\n' % quote_xml(self.getWhitelist()))
        if self.blacklist is not None:
            showIndent(outfile, level)
            outfile.write('<blacklist>%s</blacklist>\n' % quote_xml(self.getBlacklist()))
        if self.ignorelist is not None:
            showIndent(outfile, level)
            outfile.write('<ignorelist>%s</ignorelist>\n' % quote_xml(self.getIgnorelist()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'filter':
            obj_ = PatternList.factory()
            obj_.build(child_)
            self.setFilter(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'mailname':
            mailname_ = ''
            for text__content_ in child_.childNodes:
                mailname_ += text__content_.nodeValue
            self.mailname = mailname_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'whitelist':
            whitelist_ = ''
            for text__content_ in child_.childNodes:
                whitelist_ += text__content_.nodeValue
            self.whitelist = whitelist_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'blacklist':
            blacklist_ = ''
            for text__content_ in child_.childNodes:
                blacklist_ += text__content_.nodeValue
            self.blacklist = blacklist_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ignorelist':
            ignorelist_ = ''
            for text__content_ in child_.childNodes:
                ignorelist_ += text__content_.nodeValue
            self.ignorelist = ignorelist_
# end class ArgListOp


class MailnameSpamFilter:
    subclass = None
    def __init__(self, mailname='', personal_settings=''):
        self.mailname = mailname
        self.personal_settings = personal_settings
    def factory(*args_, **kwargs_):
        if MailnameSpamFilter.subclass:
            return MailnameSpamFilter.subclass(*args_, **kwargs_)
        else:
            return MailnameSpamFilter(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getMailname(self): return self.mailname
    def setMailname(self, value): self.mailname = value
    def getPersonal_settings(self): return self.personal_settings
    def setPersonal_settings(self, value): self.personal_settings = value
    def export(self, outfile, level, name_='MailnameSpamFilter'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='MailnameSpamFilter'):
        pass
    def exportChildren(self, outfile, level, name_='MailnameSpamFilter'):
        showIndent(outfile, level)
        outfile.write('<mailname>%s</mailname>\n' % quote_xml(self.getMailname()))
        showIndent(outfile, level)
        outfile.write('<personal_settings>%s</personal_settings>\n' % quote_xml(self.getPersonal_settings()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'mailname':
            mailname_ = ''
            for text__content_ in child_.childNodes:
                mailname_ += text__content_.nodeValue
            self.mailname = mailname_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'personal_settings':
            personal_settings_ = ''
            for text__content_ in child_.childNodes:
                personal_settings_ += text__content_.nodeValue
            self.personal_settings = personal_settings_
# end class MailnameSpamFilter


class PersonalSettings(ServerSettings):
    subclass = None
    def __init__(self, use_server_wide_settings='', spam_action='', hits='', modify='', subject=None):
        ServerSettings.__init__(self, hits, modify, subject)
        self.use_server_wide_settings = use_server_wide_settings
        self.spam_action = spam_action
    def factory(*args_, **kwargs_):
        if PersonalSettings.subclass:
            return PersonalSettings.subclass(*args_, **kwargs_)
        else:
            return PersonalSettings(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getUse_server_wide_settings(self): return self.use_server_wide_settings
    def setUse_server_wide_settings(self, value): self.use_server_wide_settings = value
    def getSpam_action(self): return self.spam_action
    def setSpam_action(self, value): self.spam_action = value
    def export(self, outfile, level, name_='PersonalSettings'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='PersonalSettings'):
        ServerSettings.exportAttributes(self, outfile, level, name_='PersonalSettings')
    def exportChildren(self, outfile, level, name_='PersonalSettings'):
        showIndent(outfile, level)
        outfile.write('<use-server-wide-settings>%s</use-server-wide-settings>\n' % quote_xml(self.getUse_server_wide_settings()))
        showIndent(outfile, level)
        outfile.write('<spam-action>%s</spam-action>\n' % quote_xml(self.getSpam_action()))
        ServerSettings.exportChildren(self, outfile, level, name_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        ServerSettings.buildAttributes(self, attrs)
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'use-server-wide-settings':
            use_server_wide_settings_ = ''
            for text__content_ in child_.childNodes:
                use_server_wide_settings_ += text__content_.nodeValue
            self.use_server_wide_settings = use_server_wide_settings_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'spam-action':
            spam_action_ = ''
            for text__content_ in child_.childNodes:
                spam_action_ += text__content_.nodeValue
            self.spam_action = spam_action_
        ServerSettings.buildChildren(self, child_, nodeName_)
# end class PersonalSettings


class SpamfilterResponseType:
    subclass = None
    def __init__(self, get=None, set=None, add=None, remove=None, check=None):
        if get is None:
            self.get = []
        else:
            self.get = get
        if set is None:
            self.set = []
        else:
            self.set = set
        if add is None:
            self.add = []
        else:
            self.add = add
        if remove is None:
            self.remove = []
        else:
            self.remove = remove
        if check is None:
            self.check = []
        else:
            self.check = check
    def factory(*args_, **kwargs_):
        if SpamfilterResponseType.subclass:
            return SpamfilterResponseType.subclass(*args_, **kwargs_)
        else:
            return SpamfilterResponseType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getGet(self): return self.get
    def setGet(self, value): self.get = value
    def addGet(self, value): self.get.append(value)
    def insertGet(self, index, value): self.get[index] = value
    def getSet(self): return self.set
    def setSet(self, value): self.set = value
    def addSet(self, value): self.set.append(value)
    def insertSet(self, index, value): self.set[index] = value
    def getAdd(self): return self.add
    def setAdd(self, value): self.add = value
    def addAdd(self, value): self.add.append(value)
    def insertAdd(self, index, value): self.add[index] = value
    def getRemove(self): return self.remove
    def setRemove(self, value): self.remove = value
    def addRemove(self, value): self.remove.append(value)
    def insertRemove(self, index, value): self.remove[index] = value
    def getCheck(self): return self.check
    def setCheck(self, value): self.check = value
    def addCheck(self, value): self.check.append(value)
    def insertCheck(self, index, value): self.check[index] = value
    def export(self, outfile, level, name_='SpamfilterResponseType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='SpamfilterResponseType'):
        pass
    def exportChildren(self, outfile, level, name_='SpamfilterResponseType'):
        for get_ in self.getGet():
            get_.export(outfile, level)
        for set_ in self.getSet():
            set_.export(outfile, level)
        for add_ in self.getAdd():
            add_.export(outfile, level)
        for remove_ in self.getRemove():
            remove_.export(outfile, level)
        for check_ in self.getCheck():
            check_.export(outfile, level)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'get':
            obj_ = get.factory()
            obj_.build(child_)
            self.get.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'set':
            obj_ = set.factory()
            obj_.build(child_)
            self.set.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'add':
            obj_ = add.factory()
            obj_.build(child_)
            self.add.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'remove':
            obj_ = remove.factory()
            obj_.build(child_)
            self.remove.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'check':
            obj_ = check.factory()
            obj_.build(child_)
            self.check.append(obj_)
# end class SpamfilterResponseType


class CBOptionalProps:
    subclass = None
    def __init__(self, sort_key=None, conhelp=None, file=None, public=None, internal=None):
        self.sort_key = sort_key
        self.conhelp = conhelp
        self.file = file
        self.public = public
        self.internal = internal
    def factory(*args_, **kwargs_):
        if CBOptionalProps.subclass:
            return CBOptionalProps.subclass(*args_, **kwargs_)
        else:
            return CBOptionalProps(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getSort_key(self): return self.sort_key
    def setSort_key(self, value): self.sort_key = value
    def getConhelp(self): return self.conhelp
    def setConhelp(self, value): self.conhelp = value
    def getFile(self): return self.file
    def setFile(self, value): self.file = value
    def getPublic(self): return self.public
    def setPublic(self, value): self.public = value
    def getInternal(self): return self.internal
    def setInternal(self, value): self.internal = value
    def export(self, outfile, level, name_='CBOptionalProps'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='CBOptionalProps'):
        pass
    def exportChildren(self, outfile, level, name_='CBOptionalProps'):
        if self.sort_key is not None:
            showIndent(outfile, level)
            outfile.write('<sort_key>%s</sort_key>\n' % quote_xml(self.getSort_key()))
        if self.conhelp is not None:
            showIndent(outfile, level)
            outfile.write('<conhelp>%s</conhelp>\n' % quote_xml(self.getConhelp()))
        if self.file is not None:
            showIndent(outfile, level)
            outfile.write('<file>%s</file>\n' % quote_xml(self.getFile()))
        if self.public is not None:
            showIndent(outfile, level)
            outfile.write('<public>%s</public>\n' % quote_xml(self.getPublic()))
        if self.internal is not None:
            showIndent(outfile, level)
            outfile.write('<internal>%s</internal>\n' % quote_xml(self.getInternal()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'sort_key':
            sort_key_ = ''
            for text__content_ in child_.childNodes:
                sort_key_ += text__content_.nodeValue
            self.sort_key = sort_key_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'conhelp':
            conhelp_ = ''
            for text__content_ in child_.childNodes:
                conhelp_ += text__content_.nodeValue
            self.conhelp = conhelp_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'file':
            file_ = ''
            for text__content_ in child_.childNodes:
                file_ += text__content_.nodeValue
            self.file = file_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'public':
            public_ = ''
            for text__content_ in child_.childNodes:
                public_ += text__content_.nodeValue
            self.public = public_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'internal':
            internal_ = ''
            for text__content_ in child_.childNodes:
                internal_ += text__content_.nodeValue
            self.internal = internal_
# end class CBOptionalProps


class CBProps(CBOptionalProps):
    subclass = None
    def __init__(self, place='', url='', text='', sort_key=None, conhelp=None, file=None, public=None, internal=None):
        CBOptionalProps.__init__(self, sort_key, conhelp, file, public, internal)
        self.place = place
        self.url = url
        self.text = text
    def factory(*args_, **kwargs_):
        if CBProps.subclass:
            return CBProps.subclass(*args_, **kwargs_)
        else:
            return CBProps(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getPlace(self): return self.place
    def setPlace(self, value): self.place = value
    def getUrl(self): return self.url
    def setUrl(self, value): self.url = value
    def getText(self): return self.text
    def setText(self, value): self.text = value
    def export(self, outfile, level, name_='CBProps'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='CBProps'):
        CBOptionalProps.exportAttributes(self, outfile, level, name_='CBProps')
    def exportChildren(self, outfile, level, name_='CBProps'):
        showIndent(outfile, level)
        outfile.write('<place>%s</place>\n' % quote_xml(self.getPlace()))
        showIndent(outfile, level)
        outfile.write('<url>%s</url>\n' % quote_xml(self.getUrl()))
        showIndent(outfile, level)
        outfile.write('<text>%s</text>\n' % quote_xml(self.getText()))
        CBOptionalProps.exportChildren(self, outfile, level, name_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        CBOptionalProps.buildAttributes(self, attrs)
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'place':
            place_ = ''
            for text__content_ in child_.childNodes:
                place_ += text__content_.nodeValue
            self.place = place_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'url':
            url_ = ''
            for text__content_ in child_.childNodes:
                url_ += text__content_.nodeValue
            self.url = url_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'text':
            text_ = ''
            for text__content_ in child_.childNodes:
                text_ += text__content_.nodeValue
            self.text = text_
        CBOptionalProps.buildChildren(self, child_, nodeName_)
# end class CBProps


class CBUrlComponents:
    subclass = None
    def __init__(self, dom_id=None, dom_name=None, ftp_user=None, ftp_pass=None, cl_id=None, cname=None, pname=None, email=None):
        self.dom_id = dom_id
        self.dom_name = dom_name
        self.ftp_user = ftp_user
        self.ftp_pass = ftp_pass
        self.cl_id = cl_id
        self.cname = cname
        self.pname = pname
        self.email = email
    def factory(*args_, **kwargs_):
        if CBUrlComponents.subclass:
            return CBUrlComponents.subclass(*args_, **kwargs_)
        else:
            return CBUrlComponents(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getDom_id(self): return self.dom_id
    def setDom_id(self, value): self.dom_id = value
    def getDom_name(self): return self.dom_name
    def setDom_name(self, value): self.dom_name = value
    def getFtp_user(self): return self.ftp_user
    def setFtp_user(self, value): self.ftp_user = value
    def getFtp_pass(self): return self.ftp_pass
    def setFtp_pass(self, value): self.ftp_pass = value
    def getCl_id(self): return self.cl_id
    def setCl_id(self, value): self.cl_id = value
    def getCname(self): return self.cname
    def setCname(self, value): self.cname = value
    def getPname(self): return self.pname
    def setPname(self, value): self.pname = value
    def getEmail(self): return self.email
    def setEmail(self, value): self.email = value
    def export(self, outfile, level, name_='CBUrlComponents'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='CBUrlComponents'):
        pass
    def exportChildren(self, outfile, level, name_='CBUrlComponents'):
        if self.dom_id is not None:
            showIndent(outfile, level)
            outfile.write('<dom_id>%s</dom_id>\n' % quote_xml(self.getDom_id()))
        if self.dom_name is not None:
            showIndent(outfile, level)
            outfile.write('<dom_name>%s</dom_name>\n' % quote_xml(self.getDom_name()))
        if self.ftp_user is not None:
            showIndent(outfile, level)
            outfile.write('<ftp_user>%s</ftp_user>\n' % quote_xml(self.getFtp_user()))
        if self.ftp_pass is not None:
            showIndent(outfile, level)
            outfile.write('<ftp_pass>%s</ftp_pass>\n' % quote_xml(self.getFtp_pass()))
        if self.cl_id is not None:
            showIndent(outfile, level)
            outfile.write('<cl_id>%s</cl_id>\n' % quote_xml(self.getCl_id()))
        if self.cname is not None:
            showIndent(outfile, level)
            outfile.write('<cname>%s</cname>\n' % quote_xml(self.getCname()))
        if self.pname is not None:
            showIndent(outfile, level)
            outfile.write('<pname>%s</pname>\n' % quote_xml(self.getPname()))
        if self.email is not None:
            showIndent(outfile, level)
            outfile.write('<email>%s</email>\n' % quote_xml(self.getEmail()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'dom_id':
            dom_id_ = ''
            for text__content_ in child_.childNodes:
                dom_id_ += text__content_.nodeValue
            self.dom_id = dom_id_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'dom_name':
            dom_name_ = ''
            for text__content_ in child_.childNodes:
                dom_name_ += text__content_.nodeValue
            self.dom_name = dom_name_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ftp_user':
            ftp_user_ = ''
            for text__content_ in child_.childNodes:
                ftp_user_ += text__content_.nodeValue
            self.ftp_user = ftp_user_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ftp_pass':
            ftp_pass_ = ''
            for text__content_ in child_.childNodes:
                ftp_pass_ += text__content_.nodeValue
            self.ftp_pass = ftp_pass_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'cl_id':
            cl_id_ = ''
            for text__content_ in child_.childNodes:
                cl_id_ += text__content_.nodeValue
            self.cl_id = cl_id_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'cname':
            cname_ = ''
            for text__content_ in child_.childNodes:
                cname_ += text__content_.nodeValue
            self.cname = cname_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'pname':
            pname_ = ''
            for text__content_ in child_.childNodes:
                pname_ += text__content_.nodeValue
            self.pname = pname_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'email':
            email_ = ''
            for text__content_ in child_.childNodes:
                email_ += text__content_.nodeValue
            self.email = email_
# end class CBUrlComponents


class CBOwner:
    subclass = None
    def __init__(self, admin=None, client_id=None, domain_id=None, mailname_id=None):
        self.admin = admin
        self.client_id = client_id
        self.domain_id = domain_id
        self.mailname_id = mailname_id
    def factory(*args_, **kwargs_):
        if CBOwner.subclass:
            return CBOwner.subclass(*args_, **kwargs_)
        else:
            return CBOwner(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getAdmin(self): return self.admin
    def setAdmin(self, value): self.admin = value
    def getClient_id(self): return self.client_id
    def setClient_id(self, value): self.client_id = value
    def getDomain_id(self): return self.domain_id
    def setDomain_id(self, value): self.domain_id = value
    def getMailname_id(self): return self.mailname_id
    def setMailname_id(self, value): self.mailname_id = value
    def export(self, outfile, level, name_='CBOwner'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='CBOwner'):
        pass
    def exportChildren(self, outfile, level, name_='CBOwner'):
        if self.admin is not None:
            showIndent(outfile, level)
            outfile.write('<admin>%s</admin>\n' % quote_xml(self.getAdmin()))
        if self.client_id is not None:
            showIndent(outfile, level)
            outfile.write('<client-id>%s</client-id>\n' % quote_xml(self.getClient_id()))
        if self.domain_id is not None:
            showIndent(outfile, level)
            outfile.write('<domain-id>%s</domain-id>\n' % quote_xml(self.getDomain_id()))
        if self.mailname_id is not None:
            showIndent(outfile, level)
            outfile.write('<mailname-id>%s</mailname-id>\n' % quote_xml(self.getMailname_id()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'admin':
            admin_ = ''
            for text__content_ in child_.childNodes:
                admin_ += text__content_.nodeValue
            self.admin = admin_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'client-id':
            client_id_ = ''
            for text__content_ in child_.childNodes:
                client_id_ += text__content_.nodeValue
            self.client_id = client_id_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'domain-id':
            domain_id_ = ''
            for text__content_ in child_.childNodes:
                domain_id_ += text__content_.nodeValue
            self.domain_id = domain_id_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'mailname-id':
            mailname_id_ = ''
            for text__content_ in child_.childNodes:
                mailname_id_ += text__content_.nodeValue
            self.mailname_id = mailname_id_
# end class CBOwner


class UIResponseType:
    subclass = None
    def __init__(self, set_visibility_customizations=None, create_custombutton=None, get_custombutton=None, delete_custombutton=None, get_navigation=None):
        if set_visibility_customizations is None:
            self.set_visibility_customizations = []
        else:
            self.set_visibility_customizations = set_visibility_customizations
        if create_custombutton is None:
            self.create_custombutton = []
        else:
            self.create_custombutton = create_custombutton
        if get_custombutton is None:
            self.get_custombutton = []
        else:
            self.get_custombutton = get_custombutton
        if delete_custombutton is None:
            self.delete_custombutton = []
        else:
            self.delete_custombutton = delete_custombutton
        if get_navigation is None:
            self.get_navigation = []
        else:
            self.get_navigation = get_navigation
    def factory(*args_, **kwargs_):
        if UIResponseType.subclass:
            return UIResponseType.subclass(*args_, **kwargs_)
        else:
            return UIResponseType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getSet_visibility_customizations(self): return self.set_visibility_customizations
    def setSet_visibility_customizations(self, value): self.set_visibility_customizations = value
    def addSet_visibility_customizations(self, value): self.set_visibility_customizations.append(value)
    def insertSet_visibility_customizations(self, index, value): self.set_visibility_customizations[index] = value
    def getCreate_custombutton(self): return self.create_custombutton
    def setCreate_custombutton(self, value): self.create_custombutton = value
    def addCreate_custombutton(self, value): self.create_custombutton.append(value)
    def insertCreate_custombutton(self, index, value): self.create_custombutton[index] = value
    def getGet_custombutton(self): return self.get_custombutton
    def setGet_custombutton(self, value): self.get_custombutton = value
    def addGet_custombutton(self, value): self.get_custombutton.append(value)
    def insertGet_custombutton(self, index, value): self.get_custombutton[index] = value
    def getDelete_custombutton(self): return self.delete_custombutton
    def setDelete_custombutton(self, value): self.delete_custombutton = value
    def addDelete_custombutton(self, value): self.delete_custombutton.append(value)
    def insertDelete_custombutton(self, index, value): self.delete_custombutton[index] = value
    def getGet_navigation(self): return self.get_navigation
    def setGet_navigation(self, value): self.get_navigation = value
    def addGet_navigation(self, value): self.get_navigation.append(value)
    def insertGet_navigation(self, index, value): self.get_navigation[index] = value
    def export(self, outfile, level, name_='UIResponseType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='UIResponseType'):
        pass
    def exportChildren(self, outfile, level, name_='UIResponseType'):
        for set_visibility_customizations_ in self.getSet_visibility_customizations():
            set_visibility_customizations_.export(outfile, level)
        for create_custombutton_ in self.getCreate_custombutton():
            create_custombutton_.export(outfile, level)
        for get_custombutton_ in self.getGet_custombutton():
            get_custombutton_.export(outfile, level)
        for delete_custombutton_ in self.getDelete_custombutton():
            delete_custombutton_.export(outfile, level)
        for get_navigation_ in self.getGet_navigation():
            get_navigation_.export(outfile, level, name_='get-navigation')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'set_visibility_customizations':
            obj_ = set_visibility_customizations.factory()
            obj_.build(child_)
            self.set_visibility_customizations.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'create-custombutton':
            obj_ = create_custombutton.factory()
            obj_.build(child_)
            self.create_custombutton.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'get-custombutton':
            obj_ = get_custombutton.factory()
            obj_.build(child_)
            self.get_custombutton.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'delete-custombutton':
            obj_ = delete_custombutton.factory()
            obj_.build(child_)
            self.delete_custombutton.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'get-navigation':
            obj_ = GetNavigationOutputType.factory()
            obj_.build(child_)
            self.get_navigation.append(obj_)
# end class UIResponseType


class GetNavigationOutputType:
    subclass = None
    def __init__(self, result=None):
        self.result = result
    def factory(*args_, **kwargs_):
        if GetNavigationOutputType.subclass:
            return GetNavigationOutputType.subclass(*args_, **kwargs_)
        else:
            return GetNavigationOutputType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getResult(self): return self.result
    def setResult(self, value): self.result = value
    def export(self, outfile, level, name_='GetNavigationOutputType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='GetNavigationOutputType'):
        pass
    def exportChildren(self, outfile, level, name_='GetNavigationOutputType'):
        if self.result is not None:
            self.result.export(outfile, level)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'result':
            obj_ = result.factory()
            obj_.build(child_)
            self.setResult(obj_)
# end class GetNavigationOutputType


class UploadOutputType:
    subclass = None
    def __init__(self, result=None):
        if result is None:
            self.result = []
        else:
            self.result = result
    def factory(*args_, **kwargs_):
        if UploadOutputType.subclass:
            return UploadOutputType.subclass(*args_, **kwargs_)
        else:
            return UploadOutputType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getResult(self): return self.result
    def setResult(self, value): self.result = value
    def addResult(self, value): self.result.append(value)
    def insertResult(self, index, value): self.result[index] = value
    def export(self, outfile, level, name_='UploadOutputType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='UploadOutputType'):
        pass
    def exportChildren(self, outfile, level, name_='UploadOutputType'):
        for result_ in self.getResult():
            result_.export(outfile, level, name_='result')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'result':
            obj_ = UploadOutputResultType.factory()
            obj_.build(child_)
            self.result.append(obj_)
# end class UploadOutputType


class UploadOutputResultType(resultType):
    subclass = None
    def __init__(self, name='', file='', status='', errcode=None, errtext=None):
        resultType.__init__(self, status, errcode, errtext)
        self.name = name
        self.file = file
    def factory(*args_, **kwargs_):
        if UploadOutputResultType.subclass:
            return UploadOutputResultType.subclass(*args_, **kwargs_)
        else:
            return UploadOutputResultType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getName(self): return self.name
    def setName(self, value): self.name = value
    def getFile(self): return self.file
    def setFile(self, value): self.file = value
    def export(self, outfile, level, name_='UploadOutputResultType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='UploadOutputResultType'):
        resultType.exportAttributes(self, outfile, level, name_='UploadOutputResultType')
    def exportChildren(self, outfile, level, name_='UploadOutputResultType'):
        showIndent(outfile, level)
        outfile.write('<name>%s</name>\n' % quote_xml(self.getName()))
        showIndent(outfile, level)
        outfile.write('<file>%s</file>\n' % quote_xml(self.getFile()))
        resultType.exportChildren(self, outfile, level, name_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        resultType.buildAttributes(self, attrs)
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'name':
            name_ = ''
            for text__content_ in child_.childNodes:
                name_ += text__content_.nodeValue
            self.name = name_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'file':
            file_ = ''
            for text__content_ in child_.childNodes:
                file_ += text__content_.nodeValue
            self.file = file_
        resultType.buildChildren(self, child_, nodeName_)
# end class UploadOutputResultType


class DesktopInputPacketType:
    subclass = None
    def __init__(self, set_admin=None, set_default_preset=None, preset_list=None, add_preset=None, remove_preset=None):
        if set_admin is None:
            self.set_admin = []
        else:
            self.set_admin = set_admin
        if set_default_preset is None:
            self.set_default_preset = []
        else:
            self.set_default_preset = set_default_preset
        if preset_list is None:
            self.preset_list = []
        else:
            self.preset_list = preset_list
        if add_preset is None:
            self.add_preset = []
        else:
            self.add_preset = add_preset
        if remove_preset is None:
            self.remove_preset = []
        else:
            self.remove_preset = remove_preset
    def factory(*args_, **kwargs_):
        if DesktopInputPacketType.subclass:
            return DesktopInputPacketType.subclass(*args_, **kwargs_)
        else:
            return DesktopInputPacketType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getSet_admin(self): return self.set_admin
    def setSet_admin(self, value): self.set_admin = value
    def addSet_admin(self, value): self.set_admin.append(value)
    def insertSet_admin(self, index, value): self.set_admin[index] = value
    def getSet_default_preset(self): return self.set_default_preset
    def setSet_default_preset(self, value): self.set_default_preset = value
    def addSet_default_preset(self, value): self.set_default_preset.append(value)
    def insertSet_default_preset(self, index, value): self.set_default_preset[index] = value
    def getPreset_list(self): return self.preset_list
    def setPreset_list(self, value): self.preset_list = value
    def addPreset_list(self, value): self.preset_list.append(value)
    def insertPreset_list(self, index, value): self.preset_list[index] = value
    def getAdd_preset(self): return self.add_preset
    def setAdd_preset(self, value): self.add_preset = value
    def addAdd_preset(self, value): self.add_preset.append(value)
    def insertAdd_preset(self, index, value): self.add_preset[index] = value
    def getRemove_preset(self): return self.remove_preset
    def setRemove_preset(self, value): self.remove_preset = value
    def addRemove_preset(self, value): self.remove_preset.append(value)
    def insertRemove_preset(self, index, value): self.remove_preset[index] = value
    def export(self, outfile, level, name_='DesktopInputPacketType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='DesktopInputPacketType'):
        pass
    def exportChildren(self, outfile, level, name_='DesktopInputPacketType'):
        for set_admin_ in self.getSet_admin():
            set_admin_.export(outfile, level, name_='set-admin')
        for set_default_preset_ in self.getSet_default_preset():
            set_default_preset_.export(outfile, level, name_='set-default-preset')
        for preset_list_ in self.getPreset_list():
            preset_list_.export(outfile, level, name_='preset-list')
        for add_preset_ in self.getAdd_preset():
            add_preset_.export(outfile, level, name_='add-preset')
        for remove_preset_ in self.getRemove_preset():
            remove_preset_.export(outfile, level, name_='remove-preset')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'set-admin':
            obj_ = SetAdminInputCommandType.factory()
            obj_.build(child_)
            self.set_admin.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'set-default-preset':
            obj_ = SetDefaultPresetInputCommandType.factory()
            obj_.build(child_)
            self.set_default_preset.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'preset-list':
            obj_ = PresetListsInputCommandType.factory()
            obj_.build(child_)
            self.preset_list.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'add-preset':
            obj_ = AddPresetInputCommandType.factory()
            obj_.build(child_)
            self.add_preset.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'remove-preset':
            obj_ = RemovePresetInputCommandType.factory()
            obj_.build(child_)
            self.remove_preset.append(obj_)
# end class DesktopInputPacketType


class SetAdminInputCommandType:
    subclass = None
    def __init__(self, desktop_preset=''):
        self.desktop_preset = desktop_preset
    def factory(*args_, **kwargs_):
        if SetAdminInputCommandType.subclass:
            return SetAdminInputCommandType.subclass(*args_, **kwargs_)
        else:
            return SetAdminInputCommandType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getDesktop_preset(self): return self.desktop_preset
    def setDesktop_preset(self, value): self.desktop_preset = value
    def export(self, outfile, level, name_='SetAdminInputCommandType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='SetAdminInputCommandType'):
        pass
    def exportChildren(self, outfile, level, name_='SetAdminInputCommandType'):
        showIndent(outfile, level)
        outfile.write('<desktop-preset>%s</desktop-preset>\n' % quote_xml(self.getDesktop_preset()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'desktop-preset':
            desktop_preset_ = ''
            for text__content_ in child_.childNodes:
                desktop_preset_ += text__content_.nodeValue
            self.desktop_preset = desktop_preset_
# end class SetAdminInputCommandType


class SetDefaultPresetInputCommandType:
    subclass = None
    def __init__(self, name=None, id=None, ttype=''):
        self.name = name
        self.id = id
        self.ttype = ttype
    def factory(*args_, **kwargs_):
        if SetDefaultPresetInputCommandType.subclass:
            return SetDefaultPresetInputCommandType.subclass(*args_, **kwargs_)
        else:
            return SetDefaultPresetInputCommandType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getName(self): return self.name
    def setName(self, value): self.name = value
    def getId(self): return self.id
    def setId(self, value): self.id = value
    def getType(self): return self.ttype
    def setType(self, value): self.ttype = value
    def export(self, outfile, level, name_='SetDefaultPresetInputCommandType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='SetDefaultPresetInputCommandType'):
        pass
    def exportChildren(self, outfile, level, name_='SetDefaultPresetInputCommandType'):
        if self.name is not None:
            showIndent(outfile, level)
            outfile.write('<name>%s</name>\n' % quote_xml(self.getName()))
        if self.id is not None:
            showIndent(outfile, level)
            outfile.write('<id>%s</id>\n' % quote_xml(self.getId()))
        showIndent(outfile, level)
        outfile.write('<type>%s</type>\n' % quote_xml(self.getType()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'name':
            name_ = ''
            for text__content_ in child_.childNodes:
                name_ += text__content_.nodeValue
            self.name = name_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'id':
            id_ = ''
            for text__content_ in child_.childNodes:
                id_ += text__content_.nodeValue
            self.id = id_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'type':
            type_ = ''
            for text__content_ in child_.childNodes:
                type_ += text__content_.nodeValue
            self.ttype = type_
# end class SetDefaultPresetInputCommandType


class AddPresetInputCommandType:
    subclass = None
    def __init__(self, file='', overwrite=None):
        self.file = file
        self.overwrite = overwrite
    def factory(*args_, **kwargs_):
        if AddPresetInputCommandType.subclass:
            return AddPresetInputCommandType.subclass(*args_, **kwargs_)
        else:
            return AddPresetInputCommandType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getFile(self): return self.file
    def setFile(self, value): self.file = value
    def getOverwrite(self): return self.overwrite
    def setOverwrite(self, value): self.overwrite = value
    def export(self, outfile, level, name_='AddPresetInputCommandType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='AddPresetInputCommandType'):
        pass
    def exportChildren(self, outfile, level, name_='AddPresetInputCommandType'):
        showIndent(outfile, level)
        outfile.write('<file>%s</file>\n' % quote_xml(self.getFile()))
        if self.overwrite is not None:
            self.overwrite.export(outfile, level, name_='overwrite')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'file':
            file_ = ''
            for text__content_ in child_.childNodes:
                file_ += text__content_.nodeValue
            self.file = file_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'overwrite':
            obj_ = NoneType.factory()
            obj_.build(child_)
            self.setOverwrite(obj_)
# end class AddPresetInputCommandType


class RemovePresetInputCommandType:
    subclass = None
    def __init__(self, filter=None):
        self.filter = filter
    def factory(*args_, **kwargs_):
        if RemovePresetInputCommandType.subclass:
            return RemovePresetInputCommandType.subclass(*args_, **kwargs_)
        else:
            return RemovePresetInputCommandType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getFilter(self): return self.filter
    def setFilter(self, value): self.filter = value
    def export(self, outfile, level, name_='RemovePresetInputCommandType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='RemovePresetInputCommandType'):
        pass
    def exportChildren(self, outfile, level, name_='RemovePresetInputCommandType'):
        if self.filter is not None:
            self.filter.export(outfile, level, name_='filter')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'filter':
            obj_ = PresetFilterType.factory()
            obj_.build(child_)
            self.setFilter(obj_)
# end class RemovePresetInputCommandType


class DesktopOutputPacketType:
    subclass = None
    def __init__(self, set_admin=None, set_default_preset=None, preset_list=None, add_preset=None, remove_preset=None):
        if set_admin is None:
            self.set_admin = []
        else:
            self.set_admin = set_admin
        if set_default_preset is None:
            self.set_default_preset = []
        else:
            self.set_default_preset = set_default_preset
        if preset_list is None:
            self.preset_list = []
        else:
            self.preset_list = preset_list
        if add_preset is None:
            self.add_preset = []
        else:
            self.add_preset = add_preset
        if remove_preset is None:
            self.remove_preset = []
        else:
            self.remove_preset = remove_preset
    def factory(*args_, **kwargs_):
        if DesktopOutputPacketType.subclass:
            return DesktopOutputPacketType.subclass(*args_, **kwargs_)
        else:
            return DesktopOutputPacketType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getSet_admin(self): return self.set_admin
    def setSet_admin(self, value): self.set_admin = value
    def addSet_admin(self, value): self.set_admin.append(value)
    def insertSet_admin(self, index, value): self.set_admin[index] = value
    def getSet_default_preset(self): return self.set_default_preset
    def setSet_default_preset(self, value): self.set_default_preset = value
    def addSet_default_preset(self, value): self.set_default_preset.append(value)
    def insertSet_default_preset(self, index, value): self.set_default_preset[index] = value
    def getPreset_list(self): return self.preset_list
    def setPreset_list(self, value): self.preset_list = value
    def addPreset_list(self, value): self.preset_list.append(value)
    def insertPreset_list(self, index, value): self.preset_list[index] = value
    def getAdd_preset(self): return self.add_preset
    def setAdd_preset(self, value): self.add_preset = value
    def addAdd_preset(self, value): self.add_preset.append(value)
    def insertAdd_preset(self, index, value): self.add_preset[index] = value
    def getRemove_preset(self): return self.remove_preset
    def setRemove_preset(self, value): self.remove_preset = value
    def addRemove_preset(self, value): self.remove_preset.append(value)
    def insertRemove_preset(self, index, value): self.remove_preset[index] = value
    def export(self, outfile, level, name_='DesktopOutputPacketType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='DesktopOutputPacketType'):
        pass
    def exportChildren(self, outfile, level, name_='DesktopOutputPacketType'):
        for set_admin_ in self.getSet_admin():
            set_admin_.export(outfile, level, name_='set-admin')
        for set_default_preset_ in self.getSet_default_preset():
            set_default_preset_.export(outfile, level, name_='set-default-preset')
        for preset_list_ in self.getPreset_list():
            preset_list_.export(outfile, level, name_='preset-list')
        for add_preset_ in self.getAdd_preset():
            add_preset_.export(outfile, level, name_='add-preset')
        for remove_preset_ in self.getRemove_preset():
            remove_preset_.export(outfile, level, name_='remove-preset')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'set-admin':
            obj_ = SetAdminResult.factory()
            obj_.build(child_)
            self.set_admin.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'set-default-preset':
            obj_ = SetDefaultResult.factory()
            obj_.build(child_)
            self.set_default_preset.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'preset-list':
            obj_ = PresetListsResult.factory()
            obj_.build(child_)
            self.preset_list.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'add-preset':
            obj_ = AddPresetResult.factory()
            obj_.build(child_)
            self.add_preset.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'remove-preset':
            obj_ = RemovePresetResult.factory()
            obj_.build(child_)
            self.remove_preset.append(obj_)
# end class DesktopOutputPacketType


class PresetFilterType:
    subclass = None
    def __init__(self, name=None, ttype=None, id=None):
        self.name = name
        self.ttype = ttype
        if id is None:
            self.id = []
        else:
            self.id = id
    def factory(*args_, **kwargs_):
        if PresetFilterType.subclass:
            return PresetFilterType.subclass(*args_, **kwargs_)
        else:
            return PresetFilterType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getName(self): return self.name
    def setName(self, value): self.name = value
    def getType(self): return self.ttype
    def setType(self, value): self.ttype = value
    def getId(self): return self.id
    def setId(self, value): self.id = value
    def addId(self, value): self.id.append(value)
    def insertId(self, index, value): self.id[index] = value
    def export(self, outfile, level, name_='PresetFilterType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='PresetFilterType'):
        pass
    def exportChildren(self, outfile, level, name_='PresetFilterType'):
        if self.name is not None:
            showIndent(outfile, level)
            outfile.write('<name>%s</name>\n' % quote_xml(self.getName()))
        if self.ttype is not None:
            showIndent(outfile, level)
            outfile.write('<type>%s</type>\n' % quote_xml(self.getType()))
        for id_ in self.getId():
            showIndent(outfile, level)
            outfile.write('<id>%s</id>\n' % quote_xml(id_))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'name':
            name_ = ''
            for text__content_ in child_.childNodes:
                name_ += text__content_.nodeValue
            self.name = name_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'type':
            type_ = ''
            for text__content_ in child_.childNodes:
                type_ += text__content_.nodeValue
            self.ttype = type_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'id':
            id_ = ''
            for text__content_ in child_.childNodes:
                id_ += text__content_.nodeValue
            self.addId(id_)
# end class PresetFilterType


class DesktopOpResultType(resultType):
    subclass = None
    def __init__(self, id='', status='', errcode=None, errtext=None):
        resultType.__init__(self, status, errcode, errtext)
        self.id = id
    def factory(*args_, **kwargs_):
        if DesktopOpResultType.subclass:
            return DesktopOpResultType.subclass(*args_, **kwargs_)
        else:
            return DesktopOpResultType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getId(self): return self.id
    def setId(self, value): self.id = value
    def export(self, outfile, level, name_='DesktopOpResultType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='DesktopOpResultType'):
        resultType.exportAttributes(self, outfile, level, name_='DesktopOpResultType')
    def exportChildren(self, outfile, level, name_='DesktopOpResultType'):
        showIndent(outfile, level)
        outfile.write('<id>%s</id>\n' % quote_xml(self.getId()))
        resultType.exportChildren(self, outfile, level, name_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        resultType.buildAttributes(self, attrs)
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'id':
            id_ = ''
            for text__content_ in child_.childNodes:
                id_ += text__content_.nodeValue
            self.id = id_
        resultType.buildChildren(self, child_, nodeName_)
# end class DesktopOpResultType


class PresetListsInputCommandType:
    subclass = None
    def __init__(self, filter=None):
        self.filter = filter
    def factory(*args_, **kwargs_):
        if PresetListsInputCommandType.subclass:
            return PresetListsInputCommandType.subclass(*args_, **kwargs_)
        else:
            return PresetListsInputCommandType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getFilter(self): return self.filter
    def setFilter(self, value): self.filter = value
    def export(self, outfile, level, name_='PresetListsInputCommandType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='PresetListsInputCommandType'):
        pass
    def exportChildren(self, outfile, level, name_='PresetListsInputCommandType'):
        if self.filter is not None:
            self.filter.export(outfile, level, name_='filter')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'filter':
            obj_ = PresetSimpleFilterType.factory()
            obj_.build(child_)
            self.setFilter(obj_)
# end class PresetListsInputCommandType


class PresetSimpleFilterType:
    subclass = None
    def __init__(self, id=None):
        if id is None:
            self.id = []
        else:
            self.id = id
    def factory(*args_, **kwargs_):
        if PresetSimpleFilterType.subclass:
            return PresetSimpleFilterType.subclass(*args_, **kwargs_)
        else:
            return PresetSimpleFilterType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getId(self): return self.id
    def setId(self, value): self.id = value
    def addId(self, value): self.id.append(value)
    def insertId(self, index, value): self.id[index] = value
    def export(self, outfile, level, name_='PresetSimpleFilterType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='PresetSimpleFilterType'):
        pass
    def exportChildren(self, outfile, level, name_='PresetSimpleFilterType'):
        for id_ in self.getId():
            showIndent(outfile, level)
            outfile.write('<id>%s</id>\n' % quote_xml(id_))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'id':
            id_ = ''
            for text__content_ in child_.childNodes:
                id_ += text__content_.nodeValue
            self.addId(id_)
# end class PresetSimpleFilterType


class PresetType:
    subclass = None
    def __init__(self, name='', ttype='', default=None):
        self.name = name
        self.ttype = ttype
        self.default = default
    def factory(*args_, **kwargs_):
        if PresetType.subclass:
            return PresetType.subclass(*args_, **kwargs_)
        else:
            return PresetType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getName(self): return self.name
    def setName(self, value): self.name = value
    def getType(self): return self.ttype
    def setType(self, value): self.ttype = value
    def getDefault(self): return self.default
    def setDefault(self, value): self.default = value
    def export(self, outfile, level, name_='PresetType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='PresetType'):
        pass
    def exportChildren(self, outfile, level, name_='PresetType'):
        showIndent(outfile, level)
        outfile.write('<name>%s</name>\n' % quote_xml(self.getName()))
        showIndent(outfile, level)
        outfile.write('<type>%s</type>\n' % quote_xml(self.getType()))
        if self.default is not None:
            self.default.export(outfile, level, name_='default')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'name':
            name_ = ''
            for text__content_ in child_.childNodes:
                name_ += text__content_.nodeValue
            self.name = name_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'type':
            type_ = ''
            for text__content_ in child_.childNodes:
                type_ += text__content_.nodeValue
            self.ttype = type_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'default':
            obj_ = NoneType.factory()
            obj_.build(child_)
            self.setDefault(obj_)
# end class PresetType


class DesktopOpAdvancedpresetType(DesktopOpResultType):
    subclass = None
    def __init__(self, preset=None, id='', status='', errcode=None, errtext=None):
        DesktopOpResultType.__init__(self, id, status, errcode, errtext)
        self.preset = preset
    def factory(*args_, **kwargs_):
        if DesktopOpAdvancedpresetType.subclass:
            return DesktopOpAdvancedpresetType.subclass(*args_, **kwargs_)
        else:
            return DesktopOpAdvancedpresetType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getPreset(self): return self.preset
    def setPreset(self, value): self.preset = value
    def export(self, outfile, level, name_='DesktopOpAdvancedpresetType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='DesktopOpAdvancedpresetType'):
        DesktopOpResultType.exportAttributes(self, outfile, level, name_='DesktopOpAdvancedpresetType')
    def exportChildren(self, outfile, level, name_='DesktopOpAdvancedpresetType'):
        if self.preset is not None:
            self.preset.export(outfile, level, name_='preset')
        DesktopOpResultType.exportChildren(self, outfile, level, name_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        DesktopOpResultType.buildAttributes(self, attrs)
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'preset':
            obj_ = PresetType.factory()
            obj_.build(child_)
            self.setPreset(obj_)
        DesktopOpResultType.buildChildren(self, child_, nodeName_)
# end class DesktopOpAdvancedpresetType


class SetAdminResult:
    subclass = None
    def __init__(self, result=None):
        self.result = result
    def factory(*args_, **kwargs_):
        if SetAdminResult.subclass:
            return SetAdminResult.subclass(*args_, **kwargs_)
        else:
            return SetAdminResult(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getResult(self): return self.result
    def setResult(self, value): self.result = value
    def export(self, outfile, level, name_='SetAdminResult'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='SetAdminResult'):
        pass
    def exportChildren(self, outfile, level, name_='SetAdminResult'):
        if self.result is not None:
            self.result.export(outfile, level, name_='result')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'result':
            obj_ = DesktopOpResultType.factory()
            obj_.build(child_)
            self.setResult(obj_)
# end class SetAdminResult


class SetDefaultResult:
    subclass = None
    def __init__(self, result=None):
        self.result = result
    def factory(*args_, **kwargs_):
        if SetDefaultResult.subclass:
            return SetDefaultResult.subclass(*args_, **kwargs_)
        else:
            return SetDefaultResult(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getResult(self): return self.result
    def setResult(self, value): self.result = value
    def export(self, outfile, level, name_='SetDefaultResult'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='SetDefaultResult'):
        pass
    def exportChildren(self, outfile, level, name_='SetDefaultResult'):
        if self.result is not None:
            self.result.export(outfile, level, name_='result')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'result':
            obj_ = DesktopOpResultType.factory()
            obj_.build(child_)
            self.setResult(obj_)
# end class SetDefaultResult


class AddPresetResult:
    subclass = None
    def __init__(self, result=None):
        self.result = result
    def factory(*args_, **kwargs_):
        if AddPresetResult.subclass:
            return AddPresetResult.subclass(*args_, **kwargs_)
        else:
            return AddPresetResult(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getResult(self): return self.result
    def setResult(self, value): self.result = value
    def export(self, outfile, level, name_='AddPresetResult'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='AddPresetResult'):
        pass
    def exportChildren(self, outfile, level, name_='AddPresetResult'):
        if self.result is not None:
            self.result.export(outfile, level, name_='result')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'result':
            obj_ = DesktopOpResultType.factory()
            obj_.build(child_)
            self.setResult(obj_)
# end class AddPresetResult


class RemovePresetResult:
    subclass = None
    def __init__(self, result=None):
        self.result = result
    def factory(*args_, **kwargs_):
        if RemovePresetResult.subclass:
            return RemovePresetResult.subclass(*args_, **kwargs_)
        else:
            return RemovePresetResult(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getResult(self): return self.result
    def setResult(self, value): self.result = value
    def export(self, outfile, level, name_='RemovePresetResult'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='RemovePresetResult'):
        pass
    def exportChildren(self, outfile, level, name_='RemovePresetResult'):
        if self.result is not None:
            self.result.export(outfile, level, name_='result')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'result':
            obj_ = DesktopOpResultType.factory()
            obj_.build(child_)
            self.setResult(obj_)
# end class RemovePresetResult


class PresetListsResult:
    subclass = None
    def __init__(self, result=None):
        if result is None:
            self.result = []
        else:
            self.result = result
    def factory(*args_, **kwargs_):
        if PresetListsResult.subclass:
            return PresetListsResult.subclass(*args_, **kwargs_)
        else:
            return PresetListsResult(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getResult(self): return self.result
    def setResult(self, value): self.result = value
    def addResult(self, value): self.result.append(value)
    def insertResult(self, index, value): self.result[index] = value
    def export(self, outfile, level, name_='PresetListsResult'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='PresetListsResult'):
        pass
    def exportChildren(self, outfile, level, name_='PresetListsResult'):
        for result_ in self.getResult():
            result_.export(outfile, level, name_='result')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'result':
            obj_ = DesktopOpAdvancedpresetType.factory()
            obj_.build(child_)
            self.result.append(obj_)
# end class PresetListsResult


class DomainTemplateInputType:
    subclass = None
    def __init__(self, add=None, get=None, ddel=None, set=None):
        if add is None:
            self.add = []
        else:
            self.add = add
        if get is None:
            self.get = []
        else:
            self.get = get
        if ddel is None:
            self.ddel = []
        else:
            self.ddel = ddel
        if set is None:
            self.set = []
        else:
            self.set = set
    def factory(*args_, **kwargs_):
        if DomainTemplateInputType.subclass:
            return DomainTemplateInputType.subclass(*args_, **kwargs_)
        else:
            return DomainTemplateInputType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getAdd(self): return self.add
    def setAdd(self, value): self.add = value
    def addAdd(self, value): self.add.append(value)
    def insertAdd(self, index, value): self.add[index] = value
    def getGet(self): return self.get
    def setGet(self, value): self.get = value
    def addGet(self, value): self.get.append(value)
    def insertGet(self, index, value): self.get[index] = value
    def getDel(self): return self.ddel
    def setDel(self, value): self.ddel = value
    def addDel(self, value): self.ddel.append(value)
    def insertDel(self, index, value): self.ddel[index] = value
    def getSet(self): return self.set
    def setSet(self, value): self.set = value
    def addSet(self, value): self.set.append(value)
    def insertSet(self, index, value): self.set[index] = value
    def export(self, outfile, level, name_='DomainTemplateInputType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='DomainTemplateInputType'):
        pass
    def exportChildren(self, outfile, level, name_='DomainTemplateInputType'):
        for add_ in self.getAdd():
            add_.export(outfile, level, name_='add')
        for get_ in self.getGet():
            get_.export(outfile, level, name_='get')
        for del_ in self.getDel():
            del_.export(outfile, level, name_='del')
        for set_ in self.getSet():
            set_.export(outfile, level, name_='set')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'add':
            obj_ = DomainTemplateAddInputType.factory()
            obj_.build(child_)
            self.add.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'get':
            obj_ = DomainTemplateGetInputType.factory()
            obj_.build(child_)
            self.get.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'del':
            obj_ = DomanTemplateDeleteInputType.factory()
            obj_.build(child_)
            self.ddel.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'set':
            obj_ = DomainTemplateSetInputType.factory()
            obj_.build(child_)
            self.set.append(obj_)
# end class DomainTemplateInputType


class DomainTemplateAddInputType:
    subclass = None
    def __init__(self, name='', client_id=None, client_login=None, mail=None, limits=None, log_rotation=None, preferences=None, hosting=None):
        self.name = name
        self.client_id = client_id
        self.client_login = client_login
        self.mail = mail
        self.limits = limits
        self.log_rotation = log_rotation
        self.preferences = preferences
        self.hosting = hosting
    def factory(*args_, **kwargs_):
        if DomainTemplateAddInputType.subclass:
            return DomainTemplateAddInputType.subclass(*args_, **kwargs_)
        else:
            return DomainTemplateAddInputType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getName(self): return self.name
    def setName(self, value): self.name = value
    def getClient_id(self): return self.client_id
    def setClient_id(self, value): self.client_id = value
    def getClient_login(self): return self.client_login
    def setClient_login(self, value): self.client_login = value
    def getMail(self): return self.mail
    def setMail(self, value): self.mail = value
    def getLimits(self): return self.limits
    def setLimits(self, value): self.limits = value
    def getLog_rotation(self): return self.log_rotation
    def setLog_rotation(self, value): self.log_rotation = value
    def getPreferences(self): return self.preferences
    def setPreferences(self, value): self.preferences = value
    def getHosting(self): return self.hosting
    def setHosting(self, value): self.hosting = value
    def export(self, outfile, level, name_='DomainTemplateAddInputType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='DomainTemplateAddInputType'):
        pass
    def exportChildren(self, outfile, level, name_='DomainTemplateAddInputType'):
        showIndent(outfile, level)
        outfile.write('<name>%s</name>\n' % quote_xml(self.getName()))
        if self.client_id is not None:
            showIndent(outfile, level)
            outfile.write('<client-id>%s</client-id>\n' % quote_xml(self.getClient_id()))
        if self.client_login is not None:
            showIndent(outfile, level)
            outfile.write('<client-login>%s</client-login>\n' % quote_xml(self.getClient_login()))
        if self.mail is not None:
            self.mail.export(outfile, level, name_='mail')
        if self.limits is not None:
            self.limits.export(outfile, level, name_='limits')
        if self.log_rotation is not None:
            self.log_rotation.export(outfile, level, name_='log-rotation')
        if self.preferences is not None:
            self.preferences.export(outfile, level, name_='preferences')
        if self.hosting is not None:
            self.hosting.export(outfile, level, name_='hosting')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'name':
            name_ = ''
            for text__content_ in child_.childNodes:
                name_ += text__content_.nodeValue
            self.name = name_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'client-id':
            client_id_ = ''
            for text__content_ in child_.childNodes:
                client_id_ += text__content_.nodeValue
            self.client_id = client_id_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'client-login':
            client_login_ = ''
            for text__content_ in child_.childNodes:
                client_login_ += text__content_.nodeValue
            self.client_login = client_login_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'mail':
            obj_ = MailPreferences.factory()
            obj_.build(child_)
            self.setMail(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'limits':
            obj_ = domainLimits.factory()
            obj_.build(child_)
            self.setLimits(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'log-rotation':
            obj_ = LogRotationType.factory()
            obj_.build(child_)
            self.setLog_rotation(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'preferences':
            obj_ = DomainTemplatePreferecesType.factory()
            obj_.build(child_)
            self.setPreferences(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'hosting':
            obj_ = DomainTemplatePHostingPreferences.factory()
            obj_.build(child_)
            self.setHosting(obj_)
# end class DomainTemplateAddInputType


class DomainTemplatePreferecesType:
    subclass = None
    def __init__(self, stat=None, maillists=None, dns_zone_type=None):
        self.stat = stat
        self.maillists = maillists
        self.dns_zone_type = dns_zone_type
    def factory(*args_, **kwargs_):
        if DomainTemplatePreferecesType.subclass:
            return DomainTemplatePreferecesType.subclass(*args_, **kwargs_)
        else:
            return DomainTemplatePreferecesType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getStat(self): return self.stat
    def setStat(self, value): self.stat = value
    def getMaillists(self): return self.maillists
    def setMaillists(self, value): self.maillists = value
    def getDns_zone_type(self): return self.dns_zone_type
    def setDns_zone_type(self, value): self.dns_zone_type = value
    def export(self, outfile, level, name_='DomainTemplatePreferecesType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='DomainTemplatePreferecesType'):
        pass
    def exportChildren(self, outfile, level, name_='DomainTemplatePreferecesType'):
        if self.stat is not None:
            showIndent(outfile, level)
            outfile.write('<stat>%s</stat>\n' % quote_xml(self.getStat()))
        if self.maillists is not None:
            showIndent(outfile, level)
            outfile.write('<maillists>%s</maillists>\n' % quote_xml(self.getMaillists()))
        if self.dns_zone_type is not None:
            showIndent(outfile, level)
            outfile.write('<dns_zone_type>%s</dns_zone_type>\n' % quote_xml(self.getDns_zone_type()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'stat':
            stat_ = ''
            for text__content_ in child_.childNodes:
                stat_ += text__content_.nodeValue
            self.stat = stat_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'maillists':
            maillists_ = ''
            for text__content_ in child_.childNodes:
                maillists_ += text__content_.nodeValue
            self.maillists = maillists_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'dns_zone_type':
            dns_zone_type_ = ''
            for text__content_ in child_.childNodes:
                dns_zone_type_ += text__content_.nodeValue
            self.dns_zone_type = dns_zone_type_
# end class DomainTemplatePreferecesType


class LogRotationType:
    subclass = None
    def __init__(self, on=None, off=None):
        self.on = on
        self.off = off
    def factory(*args_, **kwargs_):
        if LogRotationType.subclass:
            return LogRotationType.subclass(*args_, **kwargs_)
        else:
            return LogRotationType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getOn(self): return self.on
    def setOn(self, value): self.on = value
    def getOff(self): return self.off
    def setOff(self, value): self.off = value
    def export(self, outfile, level, name_='LogRotationType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='LogRotationType'):
        pass
    def exportChildren(self, outfile, level, name_='LogRotationType'):
        if self.on is not None:
            self.on.export(outfile, level)
        if self.off is not None:
            self.off.export(outfile, level, name_='off')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'on':
            obj_ = on.factory()
            obj_.build(child_)
            self.setOn(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'off':
            obj_ = NoneType.factory()
            obj_.build(child_)
            self.setOff(obj_)
# end class LogRotationType


class DomainTemplateFilterType:
    subclass = None
    def __init__(self, name=None, id=None):
        if name is None:
            self.name = []
        else:
            self.name = name
        if id is None:
            self.id = []
        else:
            self.id = id
    def factory(*args_, **kwargs_):
        if DomainTemplateFilterType.subclass:
            return DomainTemplateFilterType.subclass(*args_, **kwargs_)
        else:
            return DomainTemplateFilterType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getName(self): return self.name
    def setName(self, value): self.name = value
    def addName(self, value): self.name.append(value)
    def insertName(self, index, value): self.name[index] = value
    def getId(self): return self.id
    def setId(self, value): self.id = value
    def addId(self, value): self.id.append(value)
    def insertId(self, index, value): self.id[index] = value
    def export(self, outfile, level, name_='DomainTemplateFilterType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='DomainTemplateFilterType'):
        pass
    def exportChildren(self, outfile, level, name_='DomainTemplateFilterType'):
        for name_ in self.getName():
            showIndent(outfile, level)
            outfile.write('<name>%s</name>\n' % quote_xml(name_))
        for id_ in self.getId():
            showIndent(outfile, level)
            outfile.write('<id>%s</id>\n' % quote_xml(id_))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'name':
            name_ = ''
            for text__content_ in child_.childNodes:
                name_ += text__content_.nodeValue
            self.addName(name_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'id':
            id_ = ''
            for text__content_ in child_.childNodes:
                id_ += text__content_.nodeValue
            self.addId(id_)
# end class DomainTemplateFilterType


class DomainTemplateGetInputType:
    subclass = None
    def __init__(self, filter=None, client_id=None, client_login=None):
        self.filter = filter
        self.client_id = client_id
        self.client_login = client_login
    def factory(*args_, **kwargs_):
        if DomainTemplateGetInputType.subclass:
            return DomainTemplateGetInputType.subclass(*args_, **kwargs_)
        else:
            return DomainTemplateGetInputType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getFilter(self): return self.filter
    def setFilter(self, value): self.filter = value
    def getClient_id(self): return self.client_id
    def setClient_id(self, value): self.client_id = value
    def getClient_login(self): return self.client_login
    def setClient_login(self, value): self.client_login = value
    def export(self, outfile, level, name_='DomainTemplateGetInputType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='DomainTemplateGetInputType'):
        pass
    def exportChildren(self, outfile, level, name_='DomainTemplateGetInputType'):
        if self.filter is not None:
            self.filter.export(outfile, level, name_='filter')
        if self.client_id is not None:
            showIndent(outfile, level)
            outfile.write('<client-id>%s</client-id>\n' % quote_xml(self.getClient_id()))
        if self.client_login is not None:
            showIndent(outfile, level)
            outfile.write('<client-login>%s</client-login>\n' % quote_xml(self.getClient_login()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'filter':
            obj_ = DomainTemplateFilterType.factory()
            obj_.build(child_)
            self.setFilter(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'client-id':
            client_id_ = ''
            for text__content_ in child_.childNodes:
                client_id_ += text__content_.nodeValue
            self.client_id = client_id_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'client-login':
            client_login_ = ''
            for text__content_ in child_.childNodes:
                client_login_ += text__content_.nodeValue
            self.client_login = client_login_
# end class DomainTemplateGetInputType


class DomanTemplateDeleteInputType:
    subclass = None
    def __init__(self, filter=None, client_id=None, client_login=None):
        self.filter = filter
        self.client_id = client_id
        self.client_login = client_login
    def factory(*args_, **kwargs_):
        if DomanTemplateDeleteInputType.subclass:
            return DomanTemplateDeleteInputType.subclass(*args_, **kwargs_)
        else:
            return DomanTemplateDeleteInputType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getFilter(self): return self.filter
    def setFilter(self, value): self.filter = value
    def getClient_id(self): return self.client_id
    def setClient_id(self, value): self.client_id = value
    def getClient_login(self): return self.client_login
    def setClient_login(self, value): self.client_login = value
    def export(self, outfile, level, name_='DomanTemplateDeleteInputType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='DomanTemplateDeleteInputType'):
        pass
    def exportChildren(self, outfile, level, name_='DomanTemplateDeleteInputType'):
        if self.filter is not None:
            self.filter.export(outfile, level, name_='filter')
        if self.client_id is not None:
            showIndent(outfile, level)
            outfile.write('<client-id>%s</client-id>\n' % quote_xml(self.getClient_id()))
        if self.client_login is not None:
            showIndent(outfile, level)
            outfile.write('<client-login>%s</client-login>\n' % quote_xml(self.getClient_login()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'filter':
            obj_ = DomainTemplateFilterType.factory()
            obj_.build(child_)
            self.setFilter(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'client-id':
            client_id_ = ''
            for text__content_ in child_.childNodes:
                client_id_ += text__content_.nodeValue
            self.client_id = client_id_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'client-login':
            client_login_ = ''
            for text__content_ in child_.childNodes:
                client_login_ += text__content_.nodeValue
            self.client_login = client_login_
# end class DomanTemplateDeleteInputType


class DomainTemplateSetInputType:
    subclass = None
    def __init__(self, filter=None, client_id=None, client_login=None, mail=None, limits=None, log_rotation=None, preferences=None, hosting=None):
        self.filter = filter
        self.client_id = client_id
        self.client_login = client_login
        self.mail = mail
        self.limits = limits
        self.log_rotation = log_rotation
        self.preferences = preferences
        self.hosting = hosting
    def factory(*args_, **kwargs_):
        if DomainTemplateSetInputType.subclass:
            return DomainTemplateSetInputType.subclass(*args_, **kwargs_)
        else:
            return DomainTemplateSetInputType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getFilter(self): return self.filter
    def setFilter(self, value): self.filter = value
    def getClient_id(self): return self.client_id
    def setClient_id(self, value): self.client_id = value
    def getClient_login(self): return self.client_login
    def setClient_login(self, value): self.client_login = value
    def getMail(self): return self.mail
    def setMail(self, value): self.mail = value
    def getLimits(self): return self.limits
    def setLimits(self, value): self.limits = value
    def getLog_rotation(self): return self.log_rotation
    def setLog_rotation(self, value): self.log_rotation = value
    def getPreferences(self): return self.preferences
    def setPreferences(self, value): self.preferences = value
    def getHosting(self): return self.hosting
    def setHosting(self, value): self.hosting = value
    def export(self, outfile, level, name_='DomainTemplateSetInputType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='DomainTemplateSetInputType'):
        pass
    def exportChildren(self, outfile, level, name_='DomainTemplateSetInputType'):
        if self.filter is not None:
            self.filter.export(outfile, level, name_='filter')
        if self.client_id is not None:
            showIndent(outfile, level)
            outfile.write('<client-id>%s</client-id>\n' % quote_xml(self.getClient_id()))
        if self.client_login is not None:
            showIndent(outfile, level)
            outfile.write('<client-login>%s</client-login>\n' % quote_xml(self.getClient_login()))
        if self.mail is not None:
            self.mail.export(outfile, level, name_='mail')
        if self.limits is not None:
            self.limits.export(outfile, level, name_='limits')
        if self.log_rotation is not None:
            self.log_rotation.export(outfile, level, name_='log-rotation')
        if self.preferences is not None:
            self.preferences.export(outfile, level, name_='preferences')
        if self.hosting is not None:
            self.hosting.export(outfile, level, name_='hosting')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'filter':
            obj_ = DomainTemplateFilterType.factory()
            obj_.build(child_)
            self.setFilter(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'client-id':
            client_id_ = ''
            for text__content_ in child_.childNodes:
                client_id_ += text__content_.nodeValue
            self.client_id = client_id_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'client-login':
            client_login_ = ''
            for text__content_ in child_.childNodes:
                client_login_ += text__content_.nodeValue
            self.client_login = client_login_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'mail':
            obj_ = MailPreferences.factory()
            obj_.build(child_)
            self.setMail(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'limits':
            obj_ = domainLimits.factory()
            obj_.build(child_)
            self.setLimits(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'log-rotation':
            obj_ = LogRotationType.factory()
            obj_.build(child_)
            self.setLog_rotation(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'preferences':
            obj_ = DomainTemplatePreferecesType.factory()
            obj_.build(child_)
            self.setPreferences(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'hosting':
            obj_ = DomanTemplatePHosting.factory()
            obj_.build(child_)
            self.setHosting(obj_)
# end class DomainTemplateSetInputType


class DomainTemplateOutputType:
    subclass = None
    def __init__(self, add=None, get=None, ddel=None, set=None):
        if add is None:
            self.add = []
        else:
            self.add = add
        if get is None:
            self.get = []
        else:
            self.get = get
        if ddel is None:
            self.ddel = []
        else:
            self.ddel = ddel
        if set is None:
            self.set = []
        else:
            self.set = set
    def factory(*args_, **kwargs_):
        if DomainTemplateOutputType.subclass:
            return DomainTemplateOutputType.subclass(*args_, **kwargs_)
        else:
            return DomainTemplateOutputType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getAdd(self): return self.add
    def setAdd(self, value): self.add = value
    def addAdd(self, value): self.add.append(value)
    def insertAdd(self, index, value): self.add[index] = value
    def getGet(self): return self.get
    def setGet(self, value): self.get = value
    def addGet(self, value): self.get.append(value)
    def insertGet(self, index, value): self.get[index] = value
    def getDel(self): return self.ddel
    def setDel(self, value): self.ddel = value
    def addDel(self, value): self.ddel.append(value)
    def insertDel(self, index, value): self.ddel[index] = value
    def getSet(self): return self.set
    def setSet(self, value): self.set = value
    def addSet(self, value): self.set.append(value)
    def insertSet(self, index, value): self.set[index] = value
    def export(self, outfile, level, name_='DomainTemplateOutputType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='DomainTemplateOutputType'):
        pass
    def exportChildren(self, outfile, level, name_='DomainTemplateOutputType'):
        for add_ in self.getAdd():
            add_.export(outfile, level, name_='add')
        for get_ in self.getGet():
            get_.export(outfile, level, name_='get')
        for del_ in self.getDel():
            del_.export(outfile, level, name_='del')
        for set_ in self.getSet():
            set_.export(outfile, level, name_='set')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'add':
            obj_ = DomainTemplateAddOutputType.factory()
            obj_.build(child_)
            self.add.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'get':
            obj_ = DomainTemplateGetOutputType.factory()
            obj_.build(child_)
            self.get.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'del':
            obj_ = DomainTemplateDeleteOutputType.factory()
            obj_.build(child_)
            self.ddel.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'set':
            obj_ = DomainTemplateSetOutputType.factory()
            obj_.build(child_)
            self.set.append(obj_)
# end class DomainTemplateOutputType


class DomainTemplateAddOutputType:
    subclass = None
    def __init__(self, result=None):
        self.result = result
    def factory(*args_, **kwargs_):
        if DomainTemplateAddOutputType.subclass:
            return DomainTemplateAddOutputType.subclass(*args_, **kwargs_)
        else:
            return DomainTemplateAddOutputType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getResult(self): return self.result
    def setResult(self, value): self.result = value
    def export(self, outfile, level, name_='DomainTemplateAddOutputType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='DomainTemplateAddOutputType'):
        pass
    def exportChildren(self, outfile, level, name_='DomainTemplateAddOutputType'):
        if self.result is not None:
            self.result.export(outfile, level)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'result':
            obj_ = result.factory()
            obj_.build(child_)
            self.setResult(obj_)
# end class DomainTemplateAddOutputType


class DomainTemplateGetOutputType:
    subclass = None
    def __init__(self, result=None):
        if result is None:
            self.result = []
        else:
            self.result = result
    def factory(*args_, **kwargs_):
        if DomainTemplateGetOutputType.subclass:
            return DomainTemplateGetOutputType.subclass(*args_, **kwargs_)
        else:
            return DomainTemplateGetOutputType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getResult(self): return self.result
    def setResult(self, value): self.result = value
    def addResult(self, value): self.result.append(value)
    def insertResult(self, index, value): self.result[index] = value
    def export(self, outfile, level, name_='DomainTemplateGetOutputType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='DomainTemplateGetOutputType'):
        pass
    def exportChildren(self, outfile, level, name_='DomainTemplateGetOutputType'):
        for result_ in self.getResult():
            result_.export(outfile, level)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'result':
            obj_ = result.factory()
            obj_.build(child_)
            self.result.append(obj_)
# end class DomainTemplateGetOutputType


class DomanTemplatePHosting:
    subclass = None
    def __init__(self, vrt_hst=None, none=None):
        self.vrt_hst = vrt_hst
        self.none = none
    def factory(*args_, **kwargs_):
        if DomanTemplatePHosting.subclass:
            return DomanTemplatePHosting.subclass(*args_, **kwargs_)
        else:
            return DomanTemplatePHosting(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getVrt_hst(self): return self.vrt_hst
    def setVrt_hst(self, value): self.vrt_hst = value
    def getNone(self): return self.none
    def setNone(self, value): self.none = value
    def export(self, outfile, level, name_='DomanTemplatePHosting'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='DomanTemplatePHosting'):
        pass
    def exportChildren(self, outfile, level, name_='DomanTemplatePHosting'):
        if self.vrt_hst is not None:
            self.vrt_hst.export(outfile, level, name_='vrt_hst')
        if self.none is not None:
            self.none.export(outfile, level, name_='none')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'vrt_hst':
            obj_ = DomainTemplatePHostingPreferences.factory()
            obj_.build(child_)
            self.setVrt_hst(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'none':
            obj_ = NoneType.factory()
            obj_.build(child_)
            self.setNone(obj_)
# end class DomanTemplatePHosting


class DomainTemplateResultType:
    subclass = None
    def __init__(self, result=None):
        if result is None:
            self.result = []
        else:
            self.result = result
    def factory(*args_, **kwargs_):
        if DomainTemplateResultType.subclass:
            return DomainTemplateResultType.subclass(*args_, **kwargs_)
        else:
            return DomainTemplateResultType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getResult(self): return self.result
    def setResult(self, value): self.result = value
    def addResult(self, value): self.result.append(value)
    def insertResult(self, index, value): self.result[index] = value
    def export(self, outfile, level, name_='DomainTemplateResultType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='DomainTemplateResultType'):
        pass
    def exportChildren(self, outfile, level, name_='DomainTemplateResultType'):
        for result_ in self.getResult():
            result_.export(outfile, level)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'result':
            obj_ = result.factory()
            obj_.build(child_)
            self.result.append(obj_)
# end class DomainTemplateResultType


class DomainTemplateSetOutputType(DomainTemplateResultType):
    subclass = None
    def __init__(self, result=None, valueOf_=''):
        DomainTemplateResultType.__init__(self, result)
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if DomainTemplateSetOutputType.subclass:
            return DomainTemplateSetOutputType.subclass(*args_, **kwargs_)
        else:
            return DomainTemplateSetOutputType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, name_='DomainTemplateSetOutputType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='DomainTemplateSetOutputType'):
        DomainTemplateResultType.exportAttributes(self, outfile, level, name_='DomainTemplateSetOutputType')
    def exportChildren(self, outfile, level, name_='DomainTemplateSetOutputType'):
        DomainTemplateResultType.exportChildren(self, outfile, level, name_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        DomainTemplateResultType.buildAttributes(self, attrs)
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
        DomainTemplateResultType.buildChildren(self, child_, nodeName_)
# end class DomainTemplateSetOutputType


class ConditionType:
    subclass = None
    def __init__(self, log_bysize=None, log_bytime=None):
        self.log_bysize = log_bysize
        self.log_bytime = log_bytime
    def factory(*args_, **kwargs_):
        if ConditionType.subclass:
            return ConditionType.subclass(*args_, **kwargs_)
        else:
            return ConditionType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getLog_bysize(self): return self.log_bysize
    def setLog_bysize(self, value): self.log_bysize = value
    def getLog_bytime(self): return self.log_bytime
    def setLog_bytime(self, value): self.log_bytime = value
    def export(self, outfile, level, name_='ConditionType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='ConditionType'):
        pass
    def exportChildren(self, outfile, level, name_='ConditionType'):
        if self.log_bysize is not None:
            showIndent(outfile, level)
            outfile.write('<log-bysize>%s</log-bysize>\n' % quote_xml(self.getLog_bysize()))
        if self.log_bytime is not None:
            showIndent(outfile, level)
            outfile.write('<log-bytime>%s</log-bytime>\n' % quote_xml(self.getLog_bytime()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'log-bysize':
            log_bysize_ = ''
            for text__content_ in child_.childNodes:
                log_bysize_ += text__content_.nodeValue
            self.log_bysize = log_bysize_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'log-bytime':
            log_bytime_ = ''
            for text__content_ in child_.childNodes:
                log_bytime_ += text__content_.nodeValue
            self.log_bytime = log_bytime_
# end class ConditionType


class DomainTemplatePHostingPreferences:
    subclass = None
    def __init__(self, ftp_quota=None, fp=None, fp_ssl=None, fp_auth=None, ssl=None, shell=None, php=None, ssi=None, cgi=None, mod_perl=None, mod_python=None, asp=None, asp_dot_net=None, coldfusion=None, webstat=None, webstat_protected=None, errdocs=None, at_domains=None, php_safe_mode=None, sb_publishing=None):
        self.ftp_quota = ftp_quota
        self.fp = fp
        self.fp_ssl = fp_ssl
        self.fp_auth = fp_auth
        self.ssl = ssl
        self.shell = shell
        self.php = php
        self.ssi = ssi
        self.cgi = cgi
        self.mod_perl = mod_perl
        self.mod_python = mod_python
        self.asp = asp
        self.asp_dot_net = asp_dot_net
        self.coldfusion = coldfusion
        self.webstat = webstat
        self.webstat_protected = webstat_protected
        self.errdocs = errdocs
        self.at_domains = at_domains
        self.php_safe_mode = php_safe_mode
        self.sb_publishing = sb_publishing
    def factory(*args_, **kwargs_):
        if DomainTemplatePHostingPreferences.subclass:
            return DomainTemplatePHostingPreferences.subclass(*args_, **kwargs_)
        else:
            return DomainTemplatePHostingPreferences(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getFtp_quota(self): return self.ftp_quota
    def setFtp_quota(self, value): self.ftp_quota = value
    def getFp(self): return self.fp
    def setFp(self, value): self.fp = value
    def getFp_ssl(self): return self.fp_ssl
    def setFp_ssl(self, value): self.fp_ssl = value
    def getFp_auth(self): return self.fp_auth
    def setFp_auth(self, value): self.fp_auth = value
    def getSsl(self): return self.ssl
    def setSsl(self, value): self.ssl = value
    def getShell(self): return self.shell
    def setShell(self, value): self.shell = value
    def getPhp(self): return self.php
    def setPhp(self, value): self.php = value
    def getSsi(self): return self.ssi
    def setSsi(self, value): self.ssi = value
    def getCgi(self): return self.cgi
    def setCgi(self, value): self.cgi = value
    def getMod_perl(self): return self.mod_perl
    def setMod_perl(self, value): self.mod_perl = value
    def getMod_python(self): return self.mod_python
    def setMod_python(self, value): self.mod_python = value
    def getAsp(self): return self.asp
    def setAsp(self, value): self.asp = value
    def getAsp_dot_net(self): return self.asp_dot_net
    def setAsp_dot_net(self, value): self.asp_dot_net = value
    def getColdfusion(self): return self.coldfusion
    def setColdfusion(self, value): self.coldfusion = value
    def getWebstat(self): return self.webstat
    def setWebstat(self, value): self.webstat = value
    def getWebstat_protected(self): return self.webstat_protected
    def setWebstat_protected(self, value): self.webstat_protected = value
    def getErrdocs(self): return self.errdocs
    def setErrdocs(self, value): self.errdocs = value
    def getAt_domains(self): return self.at_domains
    def setAt_domains(self, value): self.at_domains = value
    def getPhp_safe_mode(self): return self.php_safe_mode
    def setPhp_safe_mode(self, value): self.php_safe_mode = value
    def getSb_publishing(self): return self.sb_publishing
    def setSb_publishing(self, value): self.sb_publishing = value
    def export(self, outfile, level, name_='DomainTemplatePHostingPreferences'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='DomainTemplatePHostingPreferences'):
        pass
    def exportChildren(self, outfile, level, name_='DomainTemplatePHostingPreferences'):
        if self.ftp_quota is not None:
            showIndent(outfile, level)
            outfile.write('<ftp_quota>%s</ftp_quota>\n' % quote_xml(self.getFtp_quota()))
        if self.fp is not None:
            showIndent(outfile, level)
            outfile.write('<fp>%s</fp>\n' % quote_xml(self.getFp()))
        if self.fp_ssl is not None:
            showIndent(outfile, level)
            outfile.write('<fp_ssl>%s</fp_ssl>\n' % quote_xml(self.getFp_ssl()))
        if self.fp_auth is not None:
            showIndent(outfile, level)
            outfile.write('<fp_auth>%s</fp_auth>\n' % quote_xml(self.getFp_auth()))
        if self.ssl is not None:
            showIndent(outfile, level)
            outfile.write('<ssl>%s</ssl>\n' % quote_xml(self.getSsl()))
        if self.shell is not None:
            showIndent(outfile, level)
            outfile.write('<shell>%s</shell>\n' % quote_xml(self.getShell()))
        if self.php is not None:
            showIndent(outfile, level)
            outfile.write('<php>%s</php>\n' % quote_xml(self.getPhp()))
        if self.ssi is not None:
            showIndent(outfile, level)
            outfile.write('<ssi>%s</ssi>\n' % quote_xml(self.getSsi()))
        if self.cgi is not None:
            showIndent(outfile, level)
            outfile.write('<cgi>%s</cgi>\n' % quote_xml(self.getCgi()))
        if self.mod_perl is not None:
            showIndent(outfile, level)
            outfile.write('<mod_perl>%s</mod_perl>\n' % quote_xml(self.getMod_perl()))
        if self.mod_python is not None:
            showIndent(outfile, level)
            outfile.write('<mod_python>%s</mod_python>\n' % quote_xml(self.getMod_python()))
        if self.asp is not None:
            showIndent(outfile, level)
            outfile.write('<asp>%s</asp>\n' % quote_xml(self.getAsp()))
        if self.asp_dot_net is not None:
            showIndent(outfile, level)
            outfile.write('<asp_dot_net>%s</asp_dot_net>\n' % quote_xml(self.getAsp_dot_net()))
        if self.coldfusion is not None:
            showIndent(outfile, level)
            outfile.write('<coldfusion>%s</coldfusion>\n' % quote_xml(self.getColdfusion()))
        if self.webstat is not None:
            showIndent(outfile, level)
            outfile.write('<webstat>%s</webstat>\n' % quote_xml(self.getWebstat()))
        if self.webstat_protected is not None:
            showIndent(outfile, level)
            outfile.write('<webstat_protected>%d</webstat_protected>\n' % self.getWebstat_protected())
        if self.errdocs is not None:
            showIndent(outfile, level)
            outfile.write('<errdocs>%s</errdocs>\n' % quote_xml(self.getErrdocs()))
        if self.at_domains is not None:
            showIndent(outfile, level)
            outfile.write('<at_domains>%s</at_domains>\n' % quote_xml(self.getAt_domains()))
        if self.php_safe_mode is not None:
            showIndent(outfile, level)
            outfile.write('<php_safe_mode>%s</php_safe_mode>\n' % quote_xml(self.getPhp_safe_mode()))
        if self.sb_publishing is not None:
            showIndent(outfile, level)
            outfile.write('<sb_publishing>%s</sb_publishing>\n' % quote_xml(self.getSb_publishing()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ftp_quota':
            ftp_quota_ = ''
            for text__content_ in child_.childNodes:
                ftp_quota_ += text__content_.nodeValue
            self.ftp_quota = ftp_quota_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'fp':
            fp_ = ''
            for text__content_ in child_.childNodes:
                fp_ += text__content_.nodeValue
            self.fp = fp_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'fp_ssl':
            fp_ssl_ = ''
            for text__content_ in child_.childNodes:
                fp_ssl_ += text__content_.nodeValue
            self.fp_ssl = fp_ssl_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'fp_auth':
            fp_auth_ = ''
            for text__content_ in child_.childNodes:
                fp_auth_ += text__content_.nodeValue
            self.fp_auth = fp_auth_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ssl':
            ssl_ = ''
            for text__content_ in child_.childNodes:
                ssl_ += text__content_.nodeValue
            self.ssl = ssl_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'shell':
            shell_ = ''
            for text__content_ in child_.childNodes:
                shell_ += text__content_.nodeValue
            self.shell = shell_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'php':
            php_ = ''
            for text__content_ in child_.childNodes:
                php_ += text__content_.nodeValue
            self.php = php_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ssi':
            ssi_ = ''
            for text__content_ in child_.childNodes:
                ssi_ += text__content_.nodeValue
            self.ssi = ssi_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'cgi':
            cgi_ = ''
            for text__content_ in child_.childNodes:
                cgi_ += text__content_.nodeValue
            self.cgi = cgi_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'mod_perl':
            mod_perl_ = ''
            for text__content_ in child_.childNodes:
                mod_perl_ += text__content_.nodeValue
            self.mod_perl = mod_perl_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'mod_python':
            mod_python_ = ''
            for text__content_ in child_.childNodes:
                mod_python_ += text__content_.nodeValue
            self.mod_python = mod_python_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'asp':
            asp_ = ''
            for text__content_ in child_.childNodes:
                asp_ += text__content_.nodeValue
            self.asp = asp_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'asp_dot_net':
            asp_dot_net_ = ''
            for text__content_ in child_.childNodes:
                asp_dot_net_ += text__content_.nodeValue
            self.asp_dot_net = asp_dot_net_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'coldfusion':
            coldfusion_ = ''
            for text__content_ in child_.childNodes:
                coldfusion_ += text__content_.nodeValue
            self.coldfusion = coldfusion_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'webstat':
            webstat_ = ''
            for text__content_ in child_.childNodes:
                webstat_ += text__content_.nodeValue
            self.webstat = webstat_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'webstat_protected':
            if child_.firstChild:
                sval_ = child_.firstChild.nodeValue
                if sval_ in ('true', '1'):
                    ival_ = 1
                elif sval_ in ('false', '0'):
                    ival_ = 0
                else:
                    raise ValueError('requires boolean -- %s' % child_.toxml())
                self.webstat_protected = ival_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'errdocs':
            errdocs_ = ''
            for text__content_ in child_.childNodes:
                errdocs_ += text__content_.nodeValue
            self.errdocs = errdocs_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'at_domains':
            at_domains_ = ''
            for text__content_ in child_.childNodes:
                at_domains_ += text__content_.nodeValue
            self.at_domains = at_domains_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'php_safe_mode':
            php_safe_mode_ = ''
            for text__content_ in child_.childNodes:
                php_safe_mode_ += text__content_.nodeValue
            self.php_safe_mode = php_safe_mode_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'sb_publishing':
            sb_publishing_ = ''
            for text__content_ in child_.childNodes:
                sb_publishing_ += text__content_.nodeValue
            self.sb_publishing = sb_publishing_
# end class DomainTemplatePHostingPreferences


class ClientTemplateInputType:
    subclass = None
    def __init__(self, add=None, get=None, ddel=None, set=None):
        if add is None:
            self.add = []
        else:
            self.add = add
        if get is None:
            self.get = []
        else:
            self.get = get
        if ddel is None:
            self.ddel = []
        else:
            self.ddel = ddel
        if set is None:
            self.set = []
        else:
            self.set = set
    def factory(*args_, **kwargs_):
        if ClientTemplateInputType.subclass:
            return ClientTemplateInputType.subclass(*args_, **kwargs_)
        else:
            return ClientTemplateInputType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getAdd(self): return self.add
    def setAdd(self, value): self.add = value
    def addAdd(self, value): self.add.append(value)
    def insertAdd(self, index, value): self.add[index] = value
    def getGet(self): return self.get
    def setGet(self, value): self.get = value
    def addGet(self, value): self.get.append(value)
    def insertGet(self, index, value): self.get[index] = value
    def getDel(self): return self.ddel
    def setDel(self, value): self.ddel = value
    def addDel(self, value): self.ddel.append(value)
    def insertDel(self, index, value): self.ddel[index] = value
    def getSet(self): return self.set
    def setSet(self, value): self.set = value
    def addSet(self, value): self.set.append(value)
    def insertSet(self, index, value): self.set[index] = value
    def export(self, outfile, level, name_='ClientTemplateInputType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='ClientTemplateInputType'):
        pass
    def exportChildren(self, outfile, level, name_='ClientTemplateInputType'):
        for add_ in self.getAdd():
            add_.export(outfile, level, name_='add')
        for get_ in self.getGet():
            get_.export(outfile, level, name_='get')
        for del_ in self.getDel():
            del_.export(outfile, level, name_='del')
        for set_ in self.getSet():
            set_.export(outfile, level, name_='set')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'add':
            obj_ = ClienttemplateAddInputType.factory()
            obj_.build(child_)
            self.add.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'get':
            obj_ = ClientTemplateGetInputType.factory()
            obj_.build(child_)
            self.get.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'del':
            obj_ = ClientTemplateDelInputType.factory()
            obj_.build(child_)
            self.ddel.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'set':
            obj_ = ClientTemplateSetInputType.factory()
            obj_.build(child_)
            self.set.append(obj_)
# end class ClientTemplateInputType


class ClienttemplateAddInputType:
    subclass = None
    def __init__(self, name='', limits=None, permissions=None, ip_pool=None):
        self.name = name
        self.limits = limits
        self.permissions = permissions
        self.ip_pool = ip_pool
    def factory(*args_, **kwargs_):
        if ClienttemplateAddInputType.subclass:
            return ClienttemplateAddInputType.subclass(*args_, **kwargs_)
        else:
            return ClienttemplateAddInputType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getName(self): return self.name
    def setName(self, value): self.name = value
    def getLimits(self): return self.limits
    def setLimits(self, value): self.limits = value
    def getPermissions(self): return self.permissions
    def setPermissions(self, value): self.permissions = value
    def getIp_pool(self): return self.ip_pool
    def setIp_pool(self, value): self.ip_pool = value
    def export(self, outfile, level, name_='ClienttemplateAddInputType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='ClienttemplateAddInputType'):
        pass
    def exportChildren(self, outfile, level, name_='ClienttemplateAddInputType'):
        showIndent(outfile, level)
        outfile.write('<name>%s</name>\n' % quote_xml(self.getName()))
        if self.limits is not None:
            self.limits.export(outfile, level, name_='limits')
        if self.permissions is not None:
            self.permissions.export(outfile, level, name_='permissions')
        if self.ip_pool is not None:
            self.ip_pool.export(outfile, level, name_='ip-pool')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'name':
            name_ = ''
            for text__content_ in child_.childNodes:
                name_ += text__content_.nodeValue
            self.name = name_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'limits':
            obj_ = clientLimits.factory()
            obj_.build(child_)
            self.setLimits(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'permissions':
            obj_ = clientPerms.factory()
            obj_.build(child_)
            self.setPermissions(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ip-pool':
            obj_ = ClienttemplateIpPoolType.factory()
            obj_.build(child_)
            self.setIp_pool(obj_)
# end class ClienttemplateAddInputType


class ClientTemplateGetInputType:
    subclass = None
    def __init__(self, filter=None, limits=None, permissions=None, ip_pool=None):
        self.filter = filter
        self.limits = limits
        self.permissions = permissions
        self.ip_pool = ip_pool
    def factory(*args_, **kwargs_):
        if ClientTemplateGetInputType.subclass:
            return ClientTemplateGetInputType.subclass(*args_, **kwargs_)
        else:
            return ClientTemplateGetInputType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getFilter(self): return self.filter
    def setFilter(self, value): self.filter = value
    def getLimits(self): return self.limits
    def setLimits(self, value): self.limits = value
    def getPermissions(self): return self.permissions
    def setPermissions(self, value): self.permissions = value
    def getIp_pool(self): return self.ip_pool
    def setIp_pool(self, value): self.ip_pool = value
    def export(self, outfile, level, name_='ClientTemplateGetInputType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='ClientTemplateGetInputType'):
        pass
    def exportChildren(self, outfile, level, name_='ClientTemplateGetInputType'):
        if self.filter is not None:
            self.filter.export(outfile, level, name_='filter')
        if self.limits is not None:
            self.limits.export(outfile, level, name_='limits')
        if self.permissions is not None:
            self.permissions.export(outfile, level, name_='permissions')
        if self.ip_pool is not None:
            self.ip_pool.export(outfile, level, name_='ip-pool')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'filter':
            obj_ = ClientTemplateFilterType.factory()
            obj_.build(child_)
            self.setFilter(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'limits':
            obj_ = NoneType.factory()
            obj_.build(child_)
            self.setLimits(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'permissions':
            obj_ = NoneType.factory()
            obj_.build(child_)
            self.setPermissions(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ip-pool':
            obj_ = NoneType.factory()
            obj_.build(child_)
            self.setIp_pool(obj_)
# end class ClientTemplateGetInputType


class ClientTemplateDelInputType:
    subclass = None
    def __init__(self, filter=None):
        self.filter = filter
    def factory(*args_, **kwargs_):
        if ClientTemplateDelInputType.subclass:
            return ClientTemplateDelInputType.subclass(*args_, **kwargs_)
        else:
            return ClientTemplateDelInputType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getFilter(self): return self.filter
    def setFilter(self, value): self.filter = value
    def export(self, outfile, level, name_='ClientTemplateDelInputType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='ClientTemplateDelInputType'):
        pass
    def exportChildren(self, outfile, level, name_='ClientTemplateDelInputType'):
        if self.filter is not None:
            self.filter.export(outfile, level, name_='filter')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'filter':
            obj_ = ClientTemplateFilterType.factory()
            obj_.build(child_)
            self.setFilter(obj_)
# end class ClientTemplateDelInputType


class ClientTemplateSetInputType:
    subclass = None
    def __init__(self, filter=None, limits=None, permissions=None, ip_pool=None):
        self.filter = filter
        self.limits = limits
        self.permissions = permissions
        self.ip_pool = ip_pool
    def factory(*args_, **kwargs_):
        if ClientTemplateSetInputType.subclass:
            return ClientTemplateSetInputType.subclass(*args_, **kwargs_)
        else:
            return ClientTemplateSetInputType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getFilter(self): return self.filter
    def setFilter(self, value): self.filter = value
    def getLimits(self): return self.limits
    def setLimits(self, value): self.limits = value
    def getPermissions(self): return self.permissions
    def setPermissions(self, value): self.permissions = value
    def getIp_pool(self): return self.ip_pool
    def setIp_pool(self, value): self.ip_pool = value
    def export(self, outfile, level, name_='ClientTemplateSetInputType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='ClientTemplateSetInputType'):
        pass
    def exportChildren(self, outfile, level, name_='ClientTemplateSetInputType'):
        if self.filter is not None:
            self.filter.export(outfile, level, name_='filter')
        if self.limits is not None:
            self.limits.export(outfile, level, name_='limits')
        if self.permissions is not None:
            self.permissions.export(outfile, level, name_='permissions')
        if self.ip_pool is not None:
            self.ip_pool.export(outfile, level, name_='ip-pool')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'filter':
            obj_ = ClientTemplateFilterType.factory()
            obj_.build(child_)
            self.setFilter(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'limits':
            obj_ = clientLimits.factory()
            obj_.build(child_)
            self.setLimits(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'permissions':
            obj_ = clientPerms.factory()
            obj_.build(child_)
            self.setPermissions(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ip-pool':
            obj_ = ClienttemplateIpPoolType.factory()
            obj_.build(child_)
            self.setIp_pool(obj_)
# end class ClientTemplateSetInputType


class ClientTemplateFilterType:
    subclass = None
    def __init__(self, id=None, name=None):
        if id is None:
            self.id = []
        else:
            self.id = id
        if name is None:
            self.name = []
        else:
            self.name = name
    def factory(*args_, **kwargs_):
        if ClientTemplateFilterType.subclass:
            return ClientTemplateFilterType.subclass(*args_, **kwargs_)
        else:
            return ClientTemplateFilterType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getId(self): return self.id
    def setId(self, value): self.id = value
    def addId(self, value): self.id.append(value)
    def insertId(self, index, value): self.id[index] = value
    def getName(self): return self.name
    def setName(self, value): self.name = value
    def addName(self, value): self.name.append(value)
    def insertName(self, index, value): self.name[index] = value
    def export(self, outfile, level, name_='ClientTemplateFilterType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='ClientTemplateFilterType'):
        pass
    def exportChildren(self, outfile, level, name_='ClientTemplateFilterType'):
        for id_ in self.getId():
            showIndent(outfile, level)
            outfile.write('<id>%s</id>\n' % quote_xml(id_))
        for name_ in self.getName():
            showIndent(outfile, level)
            outfile.write('<name>%s</name>\n' % quote_xml(name_))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'id':
            id_ = ''
            for text__content_ in child_.childNodes:
                id_ += text__content_.nodeValue
            self.addId(id_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'name':
            name_ = ''
            for text__content_ in child_.childNodes:
                name_ += text__content_.nodeValue
            self.addName(name_)
# end class ClientTemplateFilterType


class ClienttemplateIpPoolType(ipPoolType):
    subclass = None
    def __init__(self, allocate_ip=None, ip_address=None):
        ipPoolType.__init__(self, ip_address)
        self.allocate_ip = allocate_ip
    def factory(*args_, **kwargs_):
        if ClienttemplateIpPoolType.subclass:
            return ClienttemplateIpPoolType.subclass(*args_, **kwargs_)
        else:
            return ClienttemplateIpPoolType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getAllocate_ip(self): return self.allocate_ip
    def setAllocate_ip(self, value): self.allocate_ip = value
    def export(self, outfile, level, name_='ClienttemplateIpPoolType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='ClienttemplateIpPoolType'):
        ipPoolType.exportAttributes(self, outfile, level, name_='ClienttemplateIpPoolType')
    def exportChildren(self, outfile, level, name_='ClienttemplateIpPoolType'):
        if self.allocate_ip is not None:
            showIndent(outfile, level)
            outfile.write('<allocate-ip>%s</allocate-ip>\n' % quote_xml(self.getAllocate_ip()))
        ipPoolType.exportChildren(self, outfile, level, name_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        ipPoolType.buildAttributes(self, attrs)
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'allocate-ip':
            allocate_ip_ = ''
            for text__content_ in child_.childNodes:
                allocate_ip_ += text__content_.nodeValue
            self.allocate_ip = allocate_ip_
        ipPoolType.buildChildren(self, child_, nodeName_)
# end class ClienttemplateIpPoolType


class ClientTemplateOutputType:
    subclass = None
    def __init__(self, add=None, get=None, ddel=None, set=None):
        if add is None:
            self.add = []
        else:
            self.add = add
        if get is None:
            self.get = []
        else:
            self.get = get
        if ddel is None:
            self.ddel = []
        else:
            self.ddel = ddel
        if set is None:
            self.set = []
        else:
            self.set = set
    def factory(*args_, **kwargs_):
        if ClientTemplateOutputType.subclass:
            return ClientTemplateOutputType.subclass(*args_, **kwargs_)
        else:
            return ClientTemplateOutputType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getAdd(self): return self.add
    def setAdd(self, value): self.add = value
    def addAdd(self, value): self.add.append(value)
    def insertAdd(self, index, value): self.add[index] = value
    def getGet(self): return self.get
    def setGet(self, value): self.get = value
    def addGet(self, value): self.get.append(value)
    def insertGet(self, index, value): self.get[index] = value
    def getDel(self): return self.ddel
    def setDel(self, value): self.ddel = value
    def addDel(self, value): self.ddel.append(value)
    def insertDel(self, index, value): self.ddel[index] = value
    def getSet(self): return self.set
    def setSet(self, value): self.set = value
    def addSet(self, value): self.set.append(value)
    def insertSet(self, index, value): self.set[index] = value
    def export(self, outfile, level, name_='ClientTemplateOutputType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='ClientTemplateOutputType'):
        pass
    def exportChildren(self, outfile, level, name_='ClientTemplateOutputType'):
        for add_ in self.getAdd():
            add_.export(outfile, level, name_='add')
        for get_ in self.getGet():
            get_.export(outfile, level, name_='get')
        for del_ in self.getDel():
            del_.export(outfile, level, name_='del')
        for set_ in self.getSet():
            set_.export(outfile, level, name_='set')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'add':
            obj_ = ClientTemplateOutputAddType.factory()
            obj_.build(child_)
            self.add.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'get':
            obj_ = ClienttemplateOutputGetType.factory()
            obj_.build(child_)
            self.get.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'del':
            obj_ = ClientTemplateOutputDelType.factory()
            obj_.build(child_)
            self.ddel.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'set':
            obj_ = ClientTemplateOutputSetType.factory()
            obj_.build(child_)
            self.set.append(obj_)
# end class ClientTemplateOutputType


class ClientTemplateOutputAddType:
    subclass = None
    def __init__(self, result=None):
        self.result = result
    def factory(*args_, **kwargs_):
        if ClientTemplateOutputAddType.subclass:
            return ClientTemplateOutputAddType.subclass(*args_, **kwargs_)
        else:
            return ClientTemplateOutputAddType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getResult(self): return self.result
    def setResult(self, value): self.result = value
    def export(self, outfile, level, name_='ClientTemplateOutputAddType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='ClientTemplateOutputAddType'):
        pass
    def exportChildren(self, outfile, level, name_='ClientTemplateOutputAddType'):
        if self.result is not None:
            self.result.export(outfile, level, name_='result')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'result':
            obj_ = ClientTemplateOutputResulttype.factory()
            obj_.build(child_)
            self.setResult(obj_)
# end class ClientTemplateOutputAddType


class ClientTemplateOutputResulttype(resultType):
    subclass = None
    def __init__(self, id=None, name=None, status='', errcode=None, errtext=None):
        resultType.__init__(self, status, errcode, errtext)
        self.id = id
        self.name = name
    def factory(*args_, **kwargs_):
        if ClientTemplateOutputResulttype.subclass:
            return ClientTemplateOutputResulttype.subclass(*args_, **kwargs_)
        else:
            return ClientTemplateOutputResulttype(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getId(self): return self.id
    def setId(self, value): self.id = value
    def getName(self): return self.name
    def setName(self, value): self.name = value
    def export(self, outfile, level, name_='ClientTemplateOutputResulttype'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='ClientTemplateOutputResulttype'):
        resultType.exportAttributes(self, outfile, level, name_='ClientTemplateOutputResulttype')
    def exportChildren(self, outfile, level, name_='ClientTemplateOutputResulttype'):
        if self.id is not None:
            showIndent(outfile, level)
            outfile.write('<id>%s</id>\n' % quote_xml(self.getId()))
        if self.name is not None:
            showIndent(outfile, level)
            outfile.write('<name>%s</name>\n' % quote_xml(self.getName()))
        resultType.exportChildren(self, outfile, level, name_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        resultType.buildAttributes(self, attrs)
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'id':
            id_ = ''
            for text__content_ in child_.childNodes:
                id_ += text__content_.nodeValue
            self.id = id_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'name':
            name_ = ''
            for text__content_ in child_.childNodes:
                name_ += text__content_.nodeValue
            self.name = name_
        resultType.buildChildren(self, child_, nodeName_)
# end class ClientTemplateOutputResulttype


class ClienttemplateOutputGetType:
    subclass = None
    def __init__(self, result=None):
        if result is None:
            self.result = []
        else:
            self.result = result
    def factory(*args_, **kwargs_):
        if ClienttemplateOutputGetType.subclass:
            return ClienttemplateOutputGetType.subclass(*args_, **kwargs_)
        else:
            return ClienttemplateOutputGetType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getResult(self): return self.result
    def setResult(self, value): self.result = value
    def addResult(self, value): self.result.append(value)
    def insertResult(self, index, value): self.result[index] = value
    def export(self, outfile, level, name_='ClienttemplateOutputGetType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='ClienttemplateOutputGetType'):
        pass
    def exportChildren(self, outfile, level, name_='ClienttemplateOutputGetType'):
        for result_ in self.getResult():
            result_.export(outfile, level)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'result':
            obj_ = result.factory()
            obj_.build(child_)
            self.result.append(obj_)
# end class ClienttemplateOutputGetType


class ClientTemplateOutputSetType:
    subclass = None
    def __init__(self, result=None):
        if result is None:
            self.result = []
        else:
            self.result = result
    def factory(*args_, **kwargs_):
        if ClientTemplateOutputSetType.subclass:
            return ClientTemplateOutputSetType.subclass(*args_, **kwargs_)
        else:
            return ClientTemplateOutputSetType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getResult(self): return self.result
    def setResult(self, value): self.result = value
    def addResult(self, value): self.result.append(value)
    def insertResult(self, index, value): self.result[index] = value
    def export(self, outfile, level, name_='ClientTemplateOutputSetType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='ClientTemplateOutputSetType'):
        pass
    def exportChildren(self, outfile, level, name_='ClientTemplateOutputSetType'):
        for result_ in self.getResult():
            result_.export(outfile, level, name_='result')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'result':
            obj_ = ClientTemplateOutputResulttype.factory()
            obj_.build(child_)
            self.result.append(obj_)
# end class ClientTemplateOutputSetType


class ClientTemplateOutputDelType:
    subclass = None
    def __init__(self, result=None):
        if result is None:
            self.result = []
        else:
            self.result = result
    def factory(*args_, **kwargs_):
        if ClientTemplateOutputDelType.subclass:
            return ClientTemplateOutputDelType.subclass(*args_, **kwargs_)
        else:
            return ClientTemplateOutputDelType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getResult(self): return self.result
    def setResult(self, value): self.result = value
    def addResult(self, value): self.result.append(value)
    def insertResult(self, index, value): self.result[index] = value
    def export(self, outfile, level, name_='ClientTemplateOutputDelType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='ClientTemplateOutputDelType'):
        pass
    def exportChildren(self, outfile, level, name_='ClientTemplateOutputDelType'):
        for result_ in self.getResult():
            result_.export(outfile, level, name_='result')
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        pass
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'result':
            obj_ = ClientTemplateOutputResulttype.factory()
            obj_.build(child_)
            self.result.append(obj_)
# end class ClientTemplateOutputDelType


class ResponsePacketType:
    subclass = None
    def __init__(self, version=None, certificate=None, client=None, db_server=None, dns=None, domain=None, domain_alias=None, event_log=None, ip=None, mail=None, migration_agent=None, migration=None, secret_key=None, server=None, siteapp=None, spamfilter=None, ui=None, upload=None, desktop=None, domain_template=None, client_template=None, system=None, output=None):
        self.version = version
        if certificate is None:
            self.certificate = []
        else:
            self.certificate = certificate
        if client is None:
            self.client = []
        else:
            self.client = client
        if db_server is None:
            self.db_server = []
        else:
            self.db_server = db_server
        if dns is None:
            self.dns = []
        else:
            self.dns = dns
        if domain is None:
            self.domain = []
        else:
            self.domain = domain
        if domain_alias is None:
            self.domain_alias = []
        else:
            self.domain_alias = domain_alias
        if event_log is None:
            self.event_log = []
        else:
            self.event_log = event_log
        if ip is None:
            self.ip = []
        else:
            self.ip = ip
        if mail is None:
            self.mail = []
        else:
            self.mail = mail
        if migration_agent is None:
            self.migration_agent = []
        else:
            self.migration_agent = migration_agent
        if migration is None:
            self.migration = []
        else:
            self.migration = migration
        if secret_key is None:
            self.secret_key = []
        else:
            self.secret_key = secret_key
        if server is None:
            self.server = []
        else:
            self.server = server
        if siteapp is None:
            self.siteapp = []
        else:
            self.siteapp = siteapp
        if spamfilter is None:
            self.spamfilter = []
        else:
            self.spamfilter = spamfilter
        if ui is None:
            self.ui = []
        else:
            self.ui = ui
        if upload is None:
            self.upload = []
        else:
            self.upload = upload
        if desktop is None:
            self.desktop = []
        else:
            self.desktop = desktop
        if domain_template is None:
            self.domain_template = []
        else:
            self.domain_template = domain_template
        if client_template is None:
            self.client_template = []
        else:
            self.client_template = client_template
        self.system = system
        self.output = output
    def factory(*args_, **kwargs_):
        if ResponsePacketType.subclass:
            return ResponsePacketType.subclass(*args_, **kwargs_)
        else:
            return ResponsePacketType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getCertificate(self): return self.certificate
    def setCertificate(self, value): self.certificate = value
    def addCertificate(self, value): self.certificate.append(value)
    def insertCertificate(self, index, value): self.certificate[index] = value
    def getClient(self): return self.client
    def setClient(self, value): self.client = value
    def addClient(self, value): self.client.append(value)
    def insertClient(self, index, value): self.client[index] = value
    def getDb_server(self): return self.db_server
    def setDb_server(self, value): self.db_server = value
    def addDb_server(self, value): self.db_server.append(value)
    def insertDb_server(self, index, value): self.db_server[index] = value
    def getDns(self): return self.dns
    def setDns(self, value): self.dns = value
    def addDns(self, value): self.dns.append(value)
    def insertDns(self, index, value): self.dns[index] = value
    def getDomain(self): return self.domain
    def setDomain(self, value): self.domain = value
    def addDomain(self, value): self.domain.append(value)
    def insertDomain(self, index, value): self.domain[index] = value
    def getDomain_alias(self): return self.domain_alias
    def setDomain_alias(self, value): self.domain_alias = value
    def addDomain_alias(self, value): self.domain_alias.append(value)
    def insertDomain_alias(self, index, value): self.domain_alias[index] = value
    def getEvent_log(self): return self.event_log
    def setEvent_log(self, value): self.event_log = value
    def addEvent_log(self, value): self.event_log.append(value)
    def insertEvent_log(self, index, value): self.event_log[index] = value
    def getIp(self): return self.ip
    def setIp(self, value): self.ip = value
    def addIp(self, value): self.ip.append(value)
    def insertIp(self, index, value): self.ip[index] = value
    def getMail(self): return self.mail
    def setMail(self, value): self.mail = value
    def addMail(self, value): self.mail.append(value)
    def insertMail(self, index, value): self.mail[index] = value
    def getMigration_agent(self): return self.migration_agent
    def setMigration_agent(self, value): self.migration_agent = value
    def addMigration_agent(self, value): self.migration_agent.append(value)
    def insertMigration_agent(self, index, value): self.migration_agent[index] = value
    def getMigration(self): return self.migration
    def setMigration(self, value): self.migration = value
    def addMigration(self, value): self.migration.append(value)
    def insertMigration(self, index, value): self.migration[index] = value
    def getSecret_key(self): return self.secret_key
    def setSecret_key(self, value): self.secret_key = value
    def addSecret_key(self, value): self.secret_key.append(value)
    def insertSecret_key(self, index, value): self.secret_key[index] = value
    def getServer(self): return self.server
    def setServer(self, value): self.server = value
    def addServer(self, value): self.server.append(value)
    def insertServer(self, index, value): self.server[index] = value
    def getSiteapp(self): return self.siteapp
    def setSiteapp(self, value): self.siteapp = value
    def addSiteapp(self, value): self.siteapp.append(value)
    def insertSiteapp(self, index, value): self.siteapp[index] = value
    def getSpamfilter(self): return self.spamfilter
    def setSpamfilter(self, value): self.spamfilter = value
    def addSpamfilter(self, value): self.spamfilter.append(value)
    def insertSpamfilter(self, index, value): self.spamfilter[index] = value
    def getUi(self): return self.ui
    def setUi(self, value): self.ui = value
    def addUi(self, value): self.ui.append(value)
    def insertUi(self, index, value): self.ui[index] = value
    def getUpload(self): return self.upload
    def setUpload(self, value): self.upload = value
    def addUpload(self, value): self.upload.append(value)
    def insertUpload(self, index, value): self.upload[index] = value
    def getDesktop(self): return self.desktop
    def setDesktop(self, value): self.desktop = value
    def addDesktop(self, value): self.desktop.append(value)
    def insertDesktop(self, index, value): self.desktop[index] = value
    def getDomain_template(self): return self.domain_template
    def setDomain_template(self, value): self.domain_template = value
    def addDomain_template(self, value): self.domain_template.append(value)
    def insertDomain_template(self, index, value): self.domain_template[index] = value
    def getClient_template(self): return self.client_template
    def setClient_template(self, value): self.client_template = value
    def addClient_template(self, value): self.client_template.append(value)
    def insertClient_template(self, index, value): self.client_template[index] = value
    def getSystem(self): return self.system
    def setSystem(self, value): self.system = value
    def getOutput(self): return self.output
    def setOutput(self, value): self.output = value
    def getVersion(self): return self.version
    def setVersion(self, value): self.version = value
    def export(self, outfile, level, name_='ResponsePacketType'):
        showIndent(outfile, level)
        outfile.write('<%s' % (name_, ))
        self.exportAttributes(outfile, level, name_='ResponsePacketType')
        outfile.write('>')
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='ResponsePacketType'):
        if self.getVersion() is not None:
            outfile.write(' version="%s"' % (self.getVersion(), ))
    def exportChildren(self, outfile, level, name_='ResponsePacketType'):
        for certificate_ in self.getCertificate():
            certificate_.export(outfile, level, name_='certificate')
        for client_ in self.getClient():
            client_.export(outfile, level, name_='client')
        for db_server_ in self.getDb_server():
            db_server_.export(outfile, level, name_='db_server')
        for dns_ in self.getDns():
            dns_.export(outfile, level, name_='dns')
        for domain_ in self.getDomain():
            domain_.export(outfile, level, name_='domain')
        for domain_alias_ in self.getDomain_alias():
            domain_alias_.export(outfile, level, name_='domain_alias')
        for event_log_ in self.getEvent_log():
            event_log_.export(outfile, level, name_='event_log')
        for ip_ in self.getIp():
            ip_.export(outfile, level, name_='ip')
        for mail_ in self.getMail():
            mail_.export(outfile, level, name_='mail')
        for migration_agent_ in self.getMigration_agent():
            migration_agent_.export(outfile, level, name_='migration_agent')
        for migration_ in self.getMigration():
            migration_.export(outfile, level, name_='migration')
        for secret_key_ in self.getSecret_key():
            secret_key_.export(outfile, level, name_='secret_key')
        for server_ in self.getServer():
            server_.export(outfile, level, name_='server')
        for siteapp_ in self.getSiteapp():
            siteapp_.export(outfile, level, name_='siteapp')
        for spamfilter_ in self.getSpamfilter():
            spamfilter_.export(outfile, level, name_='spamfilter')
        for ui_ in self.getUi():
            ui_.export(outfile, level, name_='ui')
        for upload_ in self.getUpload():
            upload_.export(outfile, level, name_='upload')
        for desktop_ in self.getDesktop():
            desktop_.export(outfile, level, name_='desktop')
        for domain_template_ in self.getDomain_template():
            domain_template_.export(outfile, level, name_='domain-template')
        for client_template_ in self.getClient_template():
            client_template_.export(outfile, level, name_='client-template')
        if self.system is not None:
            self.system.export(outfile, level, name_='system')
        if self.output is not None:
            showIndent(outfile, level)
            outfile.write('<output>%s</output>\n' % quote_xml(self.getOutput()))
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        if attrs.get('version'):
            self.version = attrs.get('version').value
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'certificate':
            obj_ = CertificateResponseType.factory()
            obj_.build(child_)
            self.certificate.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'client':
            obj_ = ClientResponseType.factory()
            obj_.build(child_)
            self.client.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'db_server':
            obj_ = DatabaseServerResponseType.factory()
            obj_.build(child_)
            self.db_server.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'dns':
            obj_ = DNSResponseType.factory()
            obj_.build(child_)
            self.dns.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'domain':
            obj_ = DomainResponseType.factory()
            obj_.build(child_)
            self.domain.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'domain_alias':
            obj_ = DomainAliasResponseType.factory()
            obj_.build(child_)
            self.domain_alias.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'event_log':
            obj_ = EventLogResponseType.factory()
            obj_.build(child_)
            self.event_log.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ip':
            obj_ = IpResponseType.factory()
            obj_.build(child_)
            self.ip.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'mail':
            obj_ = MailResponseType.factory()
            obj_.build(child_)
            self.mail.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'migration_agent':
            obj_ = MigrationAgentOutputType.factory()
            obj_.build(child_)
            self.migration_agent.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'migration':
            obj_ = MigrationOutputType.factory()
            obj_.build(child_)
            self.migration.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'secret_key':
            obj_ = SecretKeyResponseType.factory()
            obj_.build(child_)
            self.secret_key.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'server':
            obj_ = ServerOperatorType.factory()
            obj_.build(child_)
            self.server.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'siteapp':
            obj_ = SiteAppResponseType.factory()
            obj_.build(child_)
            self.siteapp.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'spamfilter':
            obj_ = SpamfilterResponseType.factory()
            obj_.build(child_)
            self.spamfilter.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'ui':
            obj_ = UIResponseType.factory()
            obj_.build(child_)
            self.ui.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'upload':
            obj_ = UploadOutputType.factory()
            obj_.build(child_)
            self.upload.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'desktop':
            obj_ = DesktopOutputPacketType.factory()
            obj_.build(child_)
            self.desktop.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'domain-template':
            obj_ = DomainTemplateOutputType.factory()
            obj_.build(child_)
            self.domain_template.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'client-template':
            obj_ = ClientTemplateOutputType.factory()
            obj_.build(child_)
            self.client_template.append(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'system':
            obj_ = resultType.factory()
            obj_.build(child_)
            self.setSystem(obj_)
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'output':
            output_ = ''
            for text__content_ in child_.childNodes:
                output_ += text__content_.nodeValue
            self.output = output_
# end class ResponsePacketType


class DomainTemplateDeleteOutputType(DomainTemplateResultType):
    subclass = None
    def __init__(self, result=None, valueOf_=''):
        DomainTemplateResultType.__init__(self, result)
        self.valueOf_ = valueOf_
    def factory(*args_, **kwargs_):
        if DomainTemplateDeleteOutputType.subclass:
            return DomainTemplateDeleteOutputType.subclass(*args_, **kwargs_)
        else:
            return DomainTemplateDeleteOutputType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getValueOf_(self): return self.valueOf_
    def setValueOf_(self, valueOf_): self.valueOf_ = valueOf_
    def export(self, outfile, level, name_='DomainTemplateDeleteOutputType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='DomainTemplateDeleteOutputType'):
        DomainTemplateResultType.exportAttributes(self, outfile, level, name_='DomainTemplateDeleteOutputType')
    def exportChildren(self, outfile, level, name_='DomainTemplateDeleteOutputType'):
        DomainTemplateResultType.exportChildren(self, outfile, level, name_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        DomainTemplateResultType.buildAttributes(self, attrs)
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.TEXT_NODE:
            self.valueOf_ += child_.nodeValue
        DomainTemplateResultType.buildChildren(self, child_, nodeName_)
# end class DomainTemplateDeleteOutputType


class aliasInfoType(Settings):
    subclass = None
    def __init__(self, domain_id='', name='', status=None, pref=None):
        Settings.__init__(self, status, pref)
        self.domain_id = domain_id
        self.name = name
    def factory(*args_, **kwargs_):
        if aliasInfoType.subclass:
            return aliasInfoType.subclass(*args_, **kwargs_)
        else:
            return aliasInfoType(*args_, **kwargs_)
    factory = staticmethod(factory)
    def getDomain_id(self): return self.domain_id
    def setDomain_id(self, value): self.domain_id = value
    def getName(self): return self.name
    def setName(self, value): self.name = value
    def export(self, outfile, level, name_='aliasInfoType'):
        showIndent(outfile, level)
        outfile.write('<%s>' % name_)
        outfile.write('\n')
        self.exportChildren(outfile, level + 1, name_)
        showIndent(outfile, level)
        outfile.write('</%s>\n' % name_)
    def exportAttributes(self, outfile, level, name_='aliasInfoType'):
        Settings.exportAttributes(self, outfile, level, name_='aliasInfoType')
    def exportChildren(self, outfile, level, name_='aliasInfoType'):
        showIndent(outfile, level)
        outfile.write('<domain_id>%s</domain_id>\n' % quote_xml(self.getDomain_id()))
        showIndent(outfile, level)
        outfile.write('<name>%s</name>\n' % quote_xml(self.getName()))
        Settings.exportChildren(self, outfile, level, name_)
    def build(self, node_):
        attrs = node_.attributes
        self.buildAttributes(attrs)
        for child_ in node_.childNodes:
            nodeName_ = child_.nodeName.split(':')[-1]
            self.buildChildren(child_, nodeName_)
    def buildAttributes(self, attrs):
        Settings.buildAttributes(self, attrs)
    def buildChildren(self, child_, nodeName_):
        if child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'domain_id':
            domain_id_ = ''
            for text__content_ in child_.childNodes:
                domain_id_ += text__content_.nodeValue
            self.domain_id = domain_id_
        elif child_.nodeType == Node.ELEMENT_NODE and \
            nodeName_ == 'name':
            name_ = ''
            for text__content_ in child_.childNodes:
                name_ += text__content_.nodeValue
            self.name = name_
        Settings.buildChildren(self, child_, nodeName_)
# end class aliasInfoType


from xml.sax import handler, make_parser


USAGE_TEXT = """
Usage: python <Parser>.py <in_xml_file>
"""

def usage():
    print USAGE_TEXT
    sys.exit(-1)


#
# SAX handler used to determine the top level element.
#
class SaxSelectorHandler(handler.ContentHandler):
    def __init__(self):
        self.topElementName = None
    def getTopElementName(self):
        return self.topElementName
    def startElement(self, name, attrs):
        self.topElementName = name
        raise StopIteration


def parseSelect(inFileName):
    infile = file(inFileName, 'r')
    topElementName = None
    parser = make_parser()
    documentHandler = SaxSelectorHandler()
    parser.setContentHandler(documentHandler)
    try:
        try:
            parser.parse(infile)
        except StopIteration:
            topElementName = documentHandler.getTopElementName()
        if topElementName is None:
            raise RuntimeError, 'no top level element'
        topElementName = topElementName.replace('-', '_').replace(':', '_')
        if topElementName not in globals():
            raise RuntimeError, 'no class for top element: %s' % topElementName
        topElement = globals()[topElementName]
        infile.seek(0)
        doc = minidom.parse(infile)
    finally:
        infile.close()
    rootNode = doc.childNodes[0]
    rootObj = topElement.factory()
    rootObj.build(rootNode)
    # Enable Python to collect the space used by the DOM.
    doc = None
    sys.stdout.write('<?xml version="1.0" ?>\n')
    rootObj.export(sys.stdout, 0)
    return rootObj


def parse(inFileName):
    doc = minidom.parse(inFileName)
    rootNode = doc.childNodes[0]
    rootObj = resultType.factory()
    rootObj.build(rootNode)
    # Enable Python to collect the space used by the DOM.
    doc = None
    sys.stdout.write('<?xml version="1.0" ?>\n')
    rootObj.export(sys.stdout, 0, name_="resultType")
    return rootObj


def parseString(inString):
    doc = minidom.parseString(inString)
    rootNode = doc.childNodes[0]
    rootObj = resultType.factory()
    rootObj.build(rootNode)
    # Enable Python to collect the space used by the DOM.
    doc = None
    sys.stdout.write('<?xml version="1.0" ?>\n')
    rootObj.export(sys.stdout, 0, name_="resultType")
    return rootObj


def parseLiteral(inFileName):
    doc = minidom.parse(inFileName)
    rootNode = doc.childNodes[0]
    rootObj = resultType.factory()
    rootObj.build(rootNode)
    # Enable Python to collect the space used by the DOM.
    doc = None
    sys.stdout.write('from agent_output import *\n\n')
    sys.stdout.write('rootObj = resultType(\n')
    rootObj.exportLiteral(sys.stdout, 0, name_="resultType")
    sys.stdout.write(')\n')
    return rootObj


def main():
    args = sys.argv[1:]
    if len(args) == 1:
        parse(args[0])
    else:
        usage()


if __name__ == '__main__':
    main()
    #import pdb
    #pdb.run('main()')

